
indexing
	
	description: "Account string column in a multi column list"
	author: "David Hollenberg"
	date: "June 9, 2005"

class ACCOUNT_STRING_COLUMN [G -> HAS_ACCOUNT_STRING]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Cust Account"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.account_string
		end

	comparator: ACCOUNT_STRING_COMPARATOR [G]
		do
			create Result
		end

end
