
indexing

	author: "Generated"
	date: "Thu Jun 12 13:50:27 PDT 2003"

class ADMIN_APPLICATION_PARAMETERS_ROW
inherit
	ADMIN_APPLICATION_PARAMETERS_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature -- Properties

	admin_parameter_value (section, app, parameter: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- Rows for admin application parameter
			-- in `section' for `app' with name `parameter'
		require
			section_exists: section /= Void
			application_exists: app /= Void
			parameter_exists: parameter /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_SSS
		do
			create b.make (section, app, parameter)
			Result := all_rows_filtered (conn, "section_id = :1 and application = :2 and parameter_name = :3", b)
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
