
indexing
	
	description: "Administrative liaison name in a multi column list"
	author: "David Hollenberg"
	date: "December 22, 2005"

class ADMIN_LIAISON_NAME_COLUMN [G -> HAS_ADMIN_LIAISON_NAME]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Admin Liaison Name"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_admin_liaison_name then
				Result := r.admin_liaison_name
			else
				Result := ""
			end
		end

	comparator: ADMIN_LIAISON_NAME_COMPARATOR [G]
		do
			create Result
		end

end
