
indexing
	
	description: "Comparator for administrative liaison name in a multi column list"
	author: "David Hollenberg"
	date: "December 22, 2005"

class ADMIN_LIAISON_NAME_COMPARATOR [G -> HAS_ADMIN_LIAISON_NAME]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_admin_liaison_name and v.has_admin_liaison_name then
				Result := u.admin_liaison_name < v.admin_liaison_name
			elseif v.has_admin_liaison_name then
				Result := True
			else
				Result := False
			end
		end

end
