
indexing
	
	description: "Comparator for administrative liaison net address in a multi column list"
	author: "David Hollenberg"
	date: "December 22, 2005"

class ADMIN_LIAISON_NET_ADDRESS_COMPARATOR [G -> HAS_ADMIN_LIAISON_NET_ADDRESS]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_admin_liaison_net_address and v.has_admin_liaison_net_address then
				Result := u.admin_liaison_net_address < v.admin_liaison_net_address
			elseif v.has_admin_liaison_net_address then
				Result := True
			else
				Result := False
			end
		end

end
