
indexing
	
	description: "Facilities for translating application colors"
	author: "David Hollenberg"
	date: "April 20, 2007"

class APPLICATION_COLOR_TRANSLATION

inherit
	ANY
	DB_OPTIONS_ACCESS
		export
			{NONE} all
		end

feature -- Translation

	to_ev_color (a_color: APPLICATION_COLORS_ROW): EV_COLOR
			-- `a_color' as an EV_COLOR
		local
			row: NAMED_COLORS_ROW
		do
			if a_color.is_null_color_name then
				create Result.make_with_rgb (a_color.red_value, a_color.green_value, a_color.blue_value)
			else
				create row.make_by_key (a_color.any_connection, option.Old_row, a_color.color_name)
				create Result.make_with_rgb (row.red_value, row.green_value, row.blue_value)
			end
		end

end
