
indexing

	date: "Tue Apr 24 10:30:09 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"APPLICATION_EVENTS (MOSIS.APPLICATION_EVENTS)"
			-- Included columns
			-- 	APPLICATION
			-- 	CHAR_VALUE
			-- 	DATE_VALUE
			-- 	DESCR
			-- 	EVENT_NAME
			-- 	NUMERIC_VALUE
			-- Excluded columns
			-- 	(none)

class APPLICATION_EVENTS_MRAW

inherit

	DB_CHANGEABLE_ROW
	APPLICATION_EVENTS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_char_value (s: STRING)
		do
			change_field (False, True)
			char_value := s
			if s = Void then
				create char_value.make (0)
			end
			is_null_char_value := s = Void or else s.count = 0
		end

	set_date_value (d: DB_DATE)
		do
			change_field (False, True)
			date_value := d
			if d = Void then
				create {ORACLE_DATE} date_value.set_null
			end
			is_null_date_value := d = Void or else d.is_null
		end

	set_descr (s: STRING)
		do
			change_field (False, True)
			descr := s
			if s = Void then
				create descr.make (0)
			end
			is_null_descr := s = Void or else s.count = 0
		end

	set_numeric_value (d: DOUBLE)
		do
			change_field (False, True)
			numeric_value := d
			is_null_numeric_value := False
		end

feature -- Modification to null

	set_null_char_value
		do
			set_char_value (Void)
		end

	set_null_date_value
		do
			set_date_value (Void)
		end

	set_null_descr
		do
			set_descr (Void)
		end

	set_null_numeric_value
		do
			change_field (False, True)
			numeric_value := 0.0
			is_null_numeric_value := True
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, application, is_null_application)
			s.bind_num_to_string (2, char_value, is_null_char_value)
			s.bind_num_to_date (3, date_value, is_null_date_value)
			s.bind_num_to_string (4, descr, is_null_descr)
			s.bind_num_to_string (5, event_name, is_null_event_name)
			s.bind_num_to_double (6, numeric_value, is_null_numeric_value)
		end

	bind_list_for_insert: STRING = "Error: insert not allowed"

	bind_list_for_update: STRING = "  application = :1, char_value = :2, date_value = :3, descr = :4,%N  event_name = :5, numeric_value = :6"

end
