
indexing
	
	description: "Assignable count column in a multi column list"
	author: "David Hollenberg"
	date: "December 19, 2006"

class ASSIGNABLE_COUNT_COLUMN [G -> HAS_ASSIGNABLE_COUNT]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Allowed"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_right_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_assignable_count then
				Result := r.assignable_count.out
			else
				Result := ""
			end
		end

	comparator: ASSIGNABLE_COUNT_COMPARATOR [G]
		do
			create Result
		end

end

