
indexing
	
	description: "Comparator for assignable count in a multi column list"
	author: "David Hollenberg"
	date: "December 19, 2006"

class ASSIGNABLE_COUNT_COMPARATOR [G -> HAS_ASSIGNABLE_COUNT]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_assignable_count and v.has_assignable_count then
				Result := u.assignable_count < v.assignable_count
			elseif v.has_assignable_count then
				Result := True
			else
				Result := False
			end
		end

end
