
indexing
	
	description: "Change that assigns or removes a wafer etest ID %
		%assignment from a project"
	author: "David Hollenberg"
	date: "January 25, 2007"

class ASSIGNED_LOT_CHANGE
inherit
	RETICLE_SIMPLE_CHANGE
		rename
			make as simple_make
		export
			{NONE} simple_make
		end

create
	make

feature {NONE} -- Creation

	make (an_element: RETICLE_VIEW_ELEMENT an_old_name, a_new_name: STRING)
		do
			simple_make (an_element)
			old_wafer_etest_name := an_old_name
			new_wafer_etest_name := a_new_name
		end

feature -- Properties

	old_wafer_etest_name: STRING
			-- Wafer etest name before change

	new_wafer_etest_name: STRING
			-- Wafer etest name after change

feature -- Operations

	undo
			-- Undo change
		do
			element.die.set_wafer_etest_name (old_wafer_etest_name)
		end

	redo
			-- Redo change
		do
			element.die.set_wafer_etest_name (new_wafer_etest_name)
		end

end
