
indexing

	date: "Tue Apr 24 10:30:09 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"BAR_CODE_CHARACTERS (MOSIS.BAR_CODE_CHARACTERS)"
			-- Included columns
			-- 	BAR_CODE
			-- 	BAR_CODE_CHARACTER
			-- 	BAR_CODE_CLASS
			-- 	ORDINAL_VALUE
			-- Excluded columns
			-- 	(none)

class BAR_CODE_CHARACTERS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_bar_code_character: STRING; the_bar_code_class: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_bar_code_character_exists: the_bar_code_character /= Void
			the_bar_code_class_exists: the_bar_code_class /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			bar_code_character := the_bar_code_character
			bar_code_class := the_bar_code_class
			is_null_bar_code_character := False
			is_null_bar_code_class := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  bar_code, bar_code_character, bar_code_class, ordinal_value"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "bar_code_characters bcch"

	join_condition: STRING = ""

	table_name: STRING = "bar_code_characters"

	key_where_clause: STRING = "bar_code_character = :1 and bar_code_class = :2"

feature -- Values

	bar_code: STRING
			-- DB: VARCHAR2(20) not null

	bar_code_character: STRING
			-- DB: VARCHAR2(20) not null

	bar_code_class: STRING
			-- DB: VARCHAR2(20) not null

	ordinal_value: INTEGER
			-- DB: NUMBER(4,0)

feature -- Maximum database lengths for character columns

	maxlen_bar_code: INTEGER = 20
	maxlen_bar_code_character: INTEGER = 20
	maxlen_bar_code_class: INTEGER = 20

feature -- Precisions for number columns

	precision_ordinal_value: INTEGER = 4

feature -- Scales for number columns

	scale_ordinal_value: INTEGER = 0

feature -- Nullness for null allowed columns

	is_null_ordinal_value: BOOLEAN

feature -- Nullness for non-null columns

	is_null_bar_code: BOOLEAN
	is_null_bar_code_character: BOOLEAN
	is_null_bar_code_class: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (bar_code_character, r.bar_code_character)
				and equal (bar_code_class, r.bar_code_class)
			Result := Result
				and is_null_bar_code_character = r.is_null_bar_code_character
				and is_null_bar_code_class = r.is_null_bar_code_class
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and ordinal_value = r.ordinal_value
			Result := Result
				and equal (bar_code, r.bar_code)
			Result := Result
				and is_null_bar_code = r.is_null_bar_code
				and is_null_ordinal_value = r.is_null_ordinal_value
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 20)
			q.select_string (2, 20)
			q.select_string (3, 20)
			q.select_integer (4)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			ordinal_value := q.integer_value (4)
		end

	fill_in_references (q: SQL_QUERY)
		do
			bar_code := q.string_value (1)
			bar_code_character := q.string_value (2)
			bar_code_class := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, bar_code)
			q.get_string_value (2, bar_code_character)
			q.get_string_value (3, bar_code_class)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_bar_code := q.is_null (1)
			is_null_bar_code_character := q.is_null (2)
			is_null_bar_code_class := q.is_null (3)
			is_null_ordinal_value := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_bar_code_character := True
			is_null_bar_code_class := True
			create bar_code_character.make (0)
			create bar_code_class.make (0)
		end

	set_null_nonkey
		do
			is_null_bar_code := True
			is_null_ordinal_value := True
			create bar_code.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, bar_code_character, False)
			q.bind_num_to_string (2, bar_code_class, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and ordinal_value = q.integer_value (4)
			q.get_string_value (1, s)
			Result := Result and equal (bar_code, s)
			q.get_string_value (2, s)
			Result := Result and equal (bar_code_character, s)
			q.get_string_value (3, s)
			Result := Result and equal (bar_code_class, s)
			Result := Result
				and is_null_bar_code = q.is_null (1)
				and is_null_bar_code_character = q.is_null (2)
				and is_null_bar_code_class = q.is_null (3)
				and is_null_ordinal_value = q.is_null (4)
		end

end
