
indexing

	date: "Tue Apr 24 10:30:09 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"BAR_CODE_CLASSES (MOSIS.BAR_CODE_CLASSES)"
			-- Included columns
			-- 	BAR_CODE_BITS
			-- 	BAR_CODE_CLASS
			-- 	DESCR
			-- Excluded columns
			-- 	(none)

class BAR_CODE_CLASSES_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_bar_code_class: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_bar_code_class_exists: the_bar_code_class /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			bar_code_class := the_bar_code_class
			is_null_bar_code_class := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  bar_code_bits, bar_code_class, descr"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "bar_code_classes bccl"

	join_condition: STRING = ""

	table_name: STRING = "bar_code_classes"

	key_where_clause: STRING = "bar_code_class = :1"

feature -- Values

	bar_code_bits: INTEGER
			-- DB: NUMBER(3,0) not null

	bar_code_class: STRING
			-- DB: VARCHAR2(20) not null

	descr: STRING
			-- DB: VARCHAR2(50)

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_bar_code_bits: BOOLEAN
	is_null_bar_code_class: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (bar_code_class, r.bar_code_class)
			Result := Result
				and is_null_bar_code_class = r.is_null_bar_code_class
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and bar_code_bits = r.bar_code_bits
			Result := Result
				and equal (descr, r.descr)
			Result := Result
				and is_null_bar_code_bits = r.is_null_bar_code_bits
				and is_null_descr = r.is_null_descr
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_string (2, 20)
			q.select_string (3, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			bar_code_bits := q.integer_value (1)
		end

	fill_in_references (q: SQL_QUERY)
		do
			bar_code_class := q.string_value (2)
			descr := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, bar_code_class)
			q.get_string_value (3, descr)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_bar_code_bits := q.is_null (1)
			is_null_bar_code_class := q.is_null (2)
			is_null_descr := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_bar_code_class := True
			create bar_code_class.make (0)
		end

	set_null_nonkey
		do
			is_null_bar_code_bits := True
			is_null_descr := True
			create descr.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, bar_code_class, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and bar_code_bits = q.integer_value (1)
			q.get_string_value (2, s)
			Result := Result and equal (bar_code_class, s)
			q.get_string_value (3, s)
			Result := Result and equal (descr, s)
			Result := Result
				and is_null_bar_code_bits = q.is_null (1)
				and is_null_bar_code_class = q.is_null (2)
				and is_null_descr = q.is_null (3)
		end

end
