
indexing
	
	description: "Batch job number column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class BATCH_JOB_NO_COLUMN [G -> HAS_BATCH_JOB_NUMBER]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Job No"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_right_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_batch_job then
				Result := r.batch_job_number.out
			else
				Result := ""
			end
		end

	comparator: BATCH_JOB_NO_COMPARATOR [G]
		do
			create Result
		end

end
