
indexing
	
	description: "Batch job state column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class BATCH_JOB_STATE_COLUMN [G -> HAS_BATCH_JOB_STATE]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Job State"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.batch_job_state
		end

	comparator: BATCH_JOB_STATE_COMPARATOR [G]
		do
			create Result
		end

end
