
indexing

	date: "Tue Apr 24 10:30:09 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"BATCH_JOBS (MOSIS.BATCH_JOBS)"
			-- Included columns
			-- 	BATCH_JOB_NO
			-- 	BATCH_JOB_QUEUE
			-- 	BATCH_JOB_STATE
			-- 	BATCH_JOB_TYPE
			-- 	CHILD_PROCESS_ID
			-- 	DATE_CHILD_STARTED
			-- 	DATE_STATE_CHANGED
			-- 	DATE_SUBMITTED
			-- 	ERROR_EXPLANATION
			-- 	ERROR_FILENAME
			-- 	EXECUTION_HOST
			-- 	EXIT_CODE
			-- 	INPUT_FILENAME
			-- 	JOB_NAME
			-- 	JOB_SET_NAME
			-- 	NOTIFY_ON_FAILURE
			-- 	OUTPUT_FILENAME
			-- 	PRIORITY
			-- 	PROCESS_NAME
			-- 	PROCESS_START_COUNT
			-- 	PROGRAM_ARGUMENTS
			-- 	PROGRAM_FILENAME
			-- 	RESTARTABLE
			-- 	SIGNAL_NUMBER
			-- Excluded columns
			-- 	(none)

class BATCH_JOBS_MRAW

inherit

	DB_DELETABLE_ROW
	BATCH_JOBS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_batch_job_no (k: INTEGER)
		do
			change_key_field
			batch_job_no := k
			is_null_batch_job_no := False
		end

	set_batch_job_queue (s: STRING)
		do
			change_field (True, True)
			batch_job_queue := s
			if s = Void then
				create batch_job_queue.make (0)
			end
			is_null_batch_job_queue := s = Void or else s.count = 0
		end

	set_batch_job_state (s: STRING)
		do
			change_field (True, True)
			batch_job_state := s
			if s = Void then
				create batch_job_state.make (0)
			end
			is_null_batch_job_state := s = Void or else s.count = 0
		end

	set_batch_job_type (s: STRING)
		do
			change_field (True, True)
			batch_job_type := s
			if s = Void then
				create batch_job_type.make (0)
			end
			is_null_batch_job_type := s = Void or else s.count = 0
		end

	set_child_process_id (k: INTEGER)
		do
			change_field (True, True)
			child_process_id := k
			is_null_child_process_id := False
		end

	set_date_child_started (d: DB_DATE)
		do
			change_field (True, True)
			date_child_started := d
			if d = Void then
				create {ORACLE_DATE} date_child_started.set_null
			end
			is_null_date_child_started := d = Void or else d.is_null
		end

	set_date_state_changed (d: DB_DATE)
		do
			change_field (True, True)
			date_state_changed := d
			if d = Void then
				create {ORACLE_DATE} date_state_changed.set_null
			end
			is_null_date_state_changed := d = Void or else d.is_null
		end

	set_date_submitted (d: DB_DATE)
		do
			change_field (True, True)
			date_submitted := d
			if d = Void then
				create {ORACLE_DATE} date_submitted.set_null
			end
			is_null_date_submitted := d = Void or else d.is_null
		end

	set_error_explanation (s: STRING)
		do
			change_field (True, True)
			error_explanation := s
			if s = Void then
				create error_explanation.make (0)
			end
			is_null_error_explanation := s = Void or else s.count = 0
		end

	set_error_filename (s: STRING)
		do
			change_field (True, True)
			error_filename := s
			if s = Void then
				create error_filename.make (0)
			end
			is_null_error_filename := s = Void or else s.count = 0
		end

	set_execution_host (s: STRING)
		do
			change_field (True, True)
			execution_host := s
			if s = Void then
				create execution_host.make (0)
			end
			is_null_execution_host := s = Void or else s.count = 0
		end

	set_exit_code (k: INTEGER)
		do
			change_field (True, True)
			exit_code := k
			is_null_exit_code := False
		end

	set_input_filename (s: STRING)
		do
			change_field (True, True)
			input_filename := s
			if s = Void then
				create input_filename.make (0)
			end
			is_null_input_filename := s = Void or else s.count = 0
		end

	set_job_name (s: STRING)
		do
			change_field (True, True)
			job_name := s
			if s = Void then
				create job_name.make (0)
			end
			is_null_job_name := s = Void or else s.count = 0
		end

	set_job_set_name (s: STRING)
		do
			change_field (True, True)
			job_set_name := s
			if s = Void then
				create job_set_name.make (0)
			end
			is_null_job_set_name := s = Void or else s.count = 0
		end

	set_notify_on_failure (b: BOOLEAN)
		do
			change_field (True, True)
			notify_on_failure := b
			is_null_notify_on_failure := False
		end

	set_output_filename (s: STRING)
		do
			change_field (True, True)
			output_filename := s
			if s = Void then
				create output_filename.make (0)
			end
			is_null_output_filename := s = Void or else s.count = 0
		end

	set_priority (k: INTEGER)
		do
			change_field (True, True)
			priority := k
			is_null_priority := False
		end

	set_process_name (s: STRING)
		do
			change_field (True, True)
			process_name := s
			if s = Void then
				create process_name.make (0)
			end
			is_null_process_name := s = Void or else s.count = 0
		end

	set_process_start_count (k: INTEGER)
		do
			change_field (True, True)
			process_start_count := k
			is_null_process_start_count := False
		end

	set_program_arguments (s: STRING)
		do
			change_field (True, True)
			program_arguments := s
			if s = Void then
				create program_arguments.make (0)
			end
			is_null_program_arguments := s = Void or else s.count = 0
		end

	set_program_filename (s: STRING)
		do
			change_field (True, True)
			program_filename := s
			if s = Void then
				create program_filename.make (0)
			end
			is_null_program_filename := s = Void or else s.count = 0
		end

	set_restartable (b: BOOLEAN)
		do
			change_field (True, True)
			restartable := b
			is_null_restartable := False
		end

	set_signal_number (k: INTEGER)
		do
			change_field (True, True)
			signal_number := k
			is_null_signal_number := False
		end

feature -- Modification to null

	set_null_child_process_id
		do
			change_field (True, True)
			child_process_id := 0
			is_null_child_process_id := True
		end

	set_null_date_child_started
		do
			set_date_child_started (Void)
		end

	set_null_error_explanation
		do
			set_error_explanation (Void)
		end

	set_null_error_filename
		do
			set_error_filename (Void)
		end

	set_null_execution_host
		do
			set_execution_host (Void)
		end

	set_null_exit_code
		do
			change_field (True, True)
			exit_code := 0
			is_null_exit_code := True
		end

	set_null_input_filename
		do
			set_input_filename (Void)
		end

	set_null_output_filename
		do
			set_output_filename (Void)
		end

	set_null_process_name
		do
			set_process_name (Void)
		end

	set_null_process_start_count
		do
			change_field (True, True)
			process_start_count := 0
			is_null_process_start_count := True
		end

	set_null_program_arguments
		do
			set_program_arguments (Void)
		end

	set_null_signal_number
		do
			change_field (True, True)
			signal_number := 0
			is_null_signal_number := True
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, batch_job_no, is_null_batch_job_no)
			s.bind_num_to_string (2, batch_job_queue, is_null_batch_job_queue)
			s.bind_num_to_string (3, batch_job_state, is_null_batch_job_state)
			s.bind_num_to_string (4, batch_job_type, is_null_batch_job_type)
			s.bind_num_to_integer (5, child_process_id, is_null_child_process_id)
			s.bind_num_to_date (6, date_child_started, is_null_date_child_started)
			s.bind_num_to_date (7, date_state_changed, is_null_date_state_changed)
			s.bind_num_to_date (8, date_submitted, is_null_date_submitted)
			s.bind_num_to_string (9, error_explanation, is_null_error_explanation)
			s.bind_num_to_string (10, error_filename, is_null_error_filename)
			s.bind_num_to_string (11, execution_host, is_null_execution_host)
			s.bind_num_to_integer (12, exit_code, is_null_exit_code)
			s.bind_num_to_string (13, input_filename, is_null_input_filename)
			s.bind_num_to_string (14, job_name, is_null_job_name)
			s.bind_num_to_string (15, job_set_name, is_null_job_set_name)
			s.bind_num_to_boolean (16, notify_on_failure, is_null_notify_on_failure)
			s.bind_num_to_string (17, output_filename, is_null_output_filename)
			s.bind_num_to_integer (18, priority, is_null_priority)
			s.bind_num_to_string (19, process_name, is_null_process_name)
			s.bind_num_to_integer (20, process_start_count, is_null_process_start_count)
			s.bind_num_to_string (21, program_arguments, is_null_program_arguments)
			s.bind_num_to_string (22, program_filename, is_null_program_filename)
			s.bind_num_to_boolean (23, restartable, is_null_restartable)
			s.bind_num_to_integer (24, signal_number, is_null_signal_number)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20, :21, :22, :23, :24"

	bind_list_for_update: STRING = "  batch_job_no = :1, batch_job_queue = :2, batch_job_state = :3,%N  batch_job_type = :4, child_process_id = :5, date_child_started = :6,%N  date_state_changed = :7, date_submitted = :8, error_explanation = :9,%N  error_filename = :10, execution_host = :11, exit_code = :12,%N  input_filename = :13, job_name = :14, job_set_name = :15,%N  notify_on_failure = :16, output_filename = :17, priority = :18,%N  process_name = :19, process_start_count = :20, program_arguments = :21,%N  program_filename = :22, restartable = :23, signal_number = :24"

end
