
indexing
	
	description: "Key/pointer binding type column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class BINDING_COLUMN [G -> HAS_BINDING]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Key/Button Binding"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_binding then
				Result := r.binding
			else
				Result := ""
			end
		end

	comparator: BINDING_COMPARATOR [G]
		do
			create Result
		end

end
