
indexing
	
	description: "Comparator for binding"
	author: "David Hollenberg"
	date: "November 18, 2003"

class BINDING_COMPARATOR [G -> HAS_BINDING]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_binding and v.has_binding then
				Result := u.binding < v.binding
			else
				Result := v.has_binding
			end
		end

end
