
indexing
	
	description: "Comparator for binding type"
	author: "David Hollenberg"
	date: "November 18, 2003"

class BINDING_TYPE_COMPARATOR [G -> HAS_BINDING_TYPE]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_binding_type and v.has_binding_type then
				Result := u.binding_type < v.binding_type
			else
				Result := v.has_binding_type
			end
		end

end
