
indexing
	
	description: "Comparator for bottom Y"
	author: "David Hollenberg"
	date: "November 18, 2003"

class BOTTOM_Y_COMPARATOR [G -> HAS_BOTTOM_Y]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_bottom_y and v.has_bottom_y then
				Result := u.bottom_y < v.bottom_y
			else
				Result := v.has_bottom_y
			end
		end

end
