class CATS_CLAYFILE_STEP
	-- step to write a .clay file for a design_technology

inherit
	CATS_SCRIPT_STEP

create
	make

feature	-- the mandatory attributes of each step

	step_type: STRING is "CLAYFILE"
		-- the (fixed) name of this type of step

	command_line: STRING is
	do  Result := su.string_of_2("cat >! ", output)
	end;

	input1: STRING	-- (stays Void)

	input2: STRING	-- (stays Void)

	write_input_to_script(sfil: LARGE_PLAIN_TEXT_FILE) is
		-- script for ciflib: just the three file names
	do  des_tech.write_clay_file_body(sfil)
	end;

feature {NONE} -- creation

	des_tech: DESIGN_TECHNOLOGY;

	make(dt: DESIGN_TECHNOLOGY; cfil: STRING) is
		-- write dt's clay file to cfil
	do  des_tech := dt;
	    output := cfil;
	    output_is_temp := true
	end;

end -- CATS_CLAYFILE_STEP
