
indexing

	date: "Tue Apr 24 10:30:09 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"CATS_MESSAGE_TEMPLATES (MOSIS.CATS_MESSAGE_TEMPLATES)"
			-- Included columns
			-- 	CATS_MESSAGE_TEMPLATE
			-- 	MAX_OCCURRENCES
			-- 	SEVERITY
			-- 	SUMMARY_TEXT
			-- Excluded columns
			-- 	(none)

class CATS_MESSAGE_TEMPLATES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_cats_message_template: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_cats_message_template_exists: the_cats_message_template /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			cats_message_template := the_cats_message_template
			is_null_cats_message_template := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  cats_message_template, max_occurrences, severity, summary_text"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cats_message_templates cmt"

	join_condition: STRING = ""

	table_name: STRING = "cats_message_templates"

	key_where_clause: STRING = "cats_message_template = :1"

feature -- Values

	cats_message_template: STRING
			-- DB: VARCHAR2(255) not null

	max_occurrences: INTEGER
			-- DB: NUMBER(6,0)

	severity: CHARACTER
			-- DB: CHAR(1) not null
			-- Eiffel type specified explicitly

	summary_text: STRING
			-- DB: VARCHAR2(255)

feature -- Nullness for null allowed columns

	is_null_max_occurrences: BOOLEAN
	is_null_summary_text: BOOLEAN

feature -- Nullness for non-null columns

	is_null_cats_message_template: BOOLEAN
	is_null_severity: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (cats_message_template, r.cats_message_template)
			Result := Result
				and is_null_cats_message_template = r.is_null_cats_message_template
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and max_occurrences = r.max_occurrences
				and severity = r.severity
			Result := Result
				and equal (summary_text, r.summary_text)
			Result := Result
				and is_null_max_occurrences = r.is_null_max_occurrences
				and is_null_severity = r.is_null_severity
				and is_null_summary_text = r.is_null_summary_text
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_integer (2)
			q.select_character (3)
			q.select_string (4, 255)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			max_occurrences := q.integer_value (2)
			severity := q.character_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			cats_message_template := q.string_value (1)
			summary_text := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, cats_message_template)
			q.get_string_value (4, summary_text)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_cats_message_template := q.is_null (1)
			is_null_max_occurrences := q.is_null (2)
			is_null_severity := q.is_null (3)
			is_null_summary_text := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_cats_message_template := True
			create cats_message_template.make (0)
		end

	set_null_nonkey
		do
			is_null_max_occurrences := True
			is_null_severity := True
			is_null_summary_text := True
			create summary_text.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, cats_message_template, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and max_occurrences = q.integer_value (2)
				and severity = q.character_value (3)
			q.get_string_value (1, s)
			Result := Result and equal (cats_message_template, s)
			q.get_string_value (4, s)
			Result := Result and equal (summary_text, s)
			Result := Result
				and is_null_cats_message_template = q.is_null (1)
				and is_null_max_occurrences = q.is_null (2)
				and is_null_severity = q.is_null (3)
				and is_null_summary_text = q.is_null (4)
		end

end
