
indexing
	
	description: "Comparator for center X in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class CENTER_X_COMPARATOR [G -> HAS_CENTER_X]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_center_x and v.has_center_x then
				Result := u.center_x < v.center_x
			elseif v.has_center_x then
				Result := True
			else
				Result := False
			end
		end

end
