
indexing
	
	description: "Comparator for center Y in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class CENTER_Y_COMPARATOR [G -> HAS_CENTER_Y]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_center_y and v.has_center_y then
				Result := u.center_y < v.center_y
			elseif v.has_center_y then
				Result := True
			else
				Result := False
			end
		end

end
