
indexing
	
	description: "Action to clear list of intersecting model areas for %
		%element's cut die determined by surrounding cuts and %
		%initialize it to empty list with specific capacity"
	author: "David Hollenberg"
	date: "October 1, 2006"

class CLEAR_INTERSECTING_CUT_CUT_DIE_AREAS_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Properties

	capacity: INTEGER
			-- Initial capacity of element intersecting areas list

feature -- Modification

	set_capacity (a_value: like capacity)
			-- Set `capacity' to `a_value'
		do
			capacity := a_value
		end

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			an_element.initialize_intersecting_cut_cut_die_areas (capacity)
		end

end
