
indexing
	
	description: "Action to add assigned wafer etest IDs for element %
		%to a list if not already there"
	author: "David Hollenberg"
	date: "December 13, 2006"

class COMPUTE_ASSIGNED_ETEST_IDS_ACTION
inherit
	COMPUTE_ETEST_IDS_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		local
			name: WAFER_ETEST_NAMES_ROW
			id: STRING
		do
			if an_element.has_wafer_etest_id then
				name := an_element.assigned_wafer_etest_name
				id := name.wafer_etest_id
				if not wafer_etest_ids.has (id) then
					wafer_etest_ids.extend (id)
					wafer_etest_names.extend (name)
				end
			end
		end

end
