
indexing
	
	description: "Action that computes default set of isolated projects"
	author: "David Hollenberg"
	date: "December 18, 2006"

class COMPUTE_DEFAULT_ISOLATION_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		local
			old_isolated, new_isolated: BOOLEAN
		do
			old_isolated := an_element.is_isolated_in_current_cut_pattern
			new_isolated := an_element.appears_isolated and an_element.is_in_current_cut_pattern_lot
			if old_isolated /= new_isolated then
				an_element.add_to_changed_region
				-- Make sure element is isolated when
				-- change is added
				if new_isolated then
					an_element.isolate
					an_element.add_change (create {ISOLATION_CHANGE}.make (an_element))
				else
					an_element.add_change (create {UNISOLATION_CHANGE}.make (an_element))
					an_element.unisolate
				end
			end
		end

end
