
indexing
	
	description: "Action to add wafer etest IDs for element %
		%to a list if not already there"
	author: "David Hollenberg"
	date: "December 13, 2006"

deferred class COMPUTE_ETEST_IDS_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Properties

	wafer_etest_ids: LIST [STRING]
			-- List of wafer etest IDs found so far

	wafer_etest_names: LIST [WAFER_ETEST_NAMES_ROW]
			-- List of wafer etest names rows
			-- found so far

feature -- Modification

	set_wafer_etest_ids (a_list: like wafer_etest_ids)
			-- Set `wafer_etest_ids' to `a_list'
		require
			a_list_not_void: a_list /= Void
		do
			wafer_etest_ids := a_list
			wafer_etest_ids.compare_objects
		ensure
			wafer_etest_ids_set: wafer_etest_ids = a_list
		end

	set_wafer_etest_names (a_list: like wafer_etest_names)
			-- Set `wafer_etest_names' to `a_list'
		require
			a_list_not_void: a_list /= Void
		do
			wafer_etest_names := a_list
		ensure
			wafer_etest_names_set: wafer_etest_names = a_list
		end

end
