
indexing
	
	description: "Change that converted an object between fixed and locked"
	author: "David Hollenberg"
	date: "January 25, 2007"

deferred class CONVERT_CHANGE
inherit
	RETICLE_SIMPLE_CHANGE
		rename
			make as simple_make
		export
			{NONE} simple_make
		end

feature {NONE} -- Creation

	make (an_element: RETICLE_VIEW_ELEMENT a_fixed_x_changed, a_fixed_y_changed, a_locked_x_changed, a_locked_y_changed: BOOLEAN)
		do
			simple_make (an_element)
			fixed_in_x_changed := a_fixed_x_changed
			fixed_in_y_changed := a_fixed_y_changed
			locked_in_x_changed := a_locked_x_changed
			locked_in_y_changed := a_locked_y_changed
		end

feature -- Properties

	fixed_in_x_changed: BOOLEAN
			-- Did fixed in X change?

	fixed_in_y_changed: BOOLEAN
			-- Did fixed in Y change?

	locked_in_x_changed: BOOLEAN
			-- Did locked in X change?

	locked_in_y_changed: BOOLEAN
			-- Did locked in Y change?

end
