
indexing
	
	description: "Action that creates a cut through center of a scribe"
	author: "David Hollenberg"
	date: "December 18, 2006"

class CREATE_CUT_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			if an_element.is_horizontal_scribe then
				an_element.view.create_cut (True, an_element.field_relative_center_y)
			elseif an_element.is_vertical_scribe then
				an_element.view.create_cut (False, an_element.field_relative_center_x)
			end
		end

end
