
indexing
	
	description: "Comparator for creator in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class CREATOR_COMPARATOR [G -> HAS_CREATOR]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_creator and v.has_creator then
				Result := u.creator < v.creator
			elseif v.has_creator then
				Result := True
			else
				Result := False
			end
		end

end
