
indexing

	date: "Tue Apr 24 10:30:09 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"CUST_ACCT_LEGAL_AGRS (MOSIS.CUST_ACCT_LEGAL_AGRS)",
			-- Included columns
			-- 	COMMENTS (cala_comments)
			-- 	CUST_ACCT_NO
			-- 	DATE_ASSIGNED
			-- 	DATE_REMINDER_SENT
			-- Excluded columns
			-- 	LEGAL_AGR_NO
		"LEGAL_AGRS (MOSIS.LEGAL_AGRS)",
			-- Included columns
			-- 	COMMENTS (la_comments)
			-- 	DATE_CUST_SIGNED
			-- 	DATE_EXPIRES
			-- 	DATE_FROM_USC
			-- 	DATE_M_RECD
			-- 	DATE_TO_USC
			-- 	IS_MODIFIED
			-- 	LEGAL_AGR_COMPLETE
			-- 	LEGAL_AGR_NO
			-- 	LEGAL_AGR_TYPE
			-- 	ORG_NO
			-- 	SIGNED_NAME
			-- 	SIGNER_TITLE
			-- 	VENDOR_AGR_ID
			-- Excluded columns
			-- 	(none)
		"LEGAL_AGR_TYPES (MOSIS.LEGAL_AGR_TYPES)"
			-- Included columns
			-- 	DESCR
			-- 	DOCUMENT_SERVER_ACCESS
			-- 	IS_DESIGN_KIT_LICENSE
			-- 	IS_DISCLOSURE_AGR
			-- 	VENDOR_ORG_NO
			-- Excluded columns
			-- 	LEGAL_AGR_TYPE

class CUST_ACCT_LEGAL_AGRS_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 23

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  cala.comments, cust_acct_no, date_assigned, date_reminder_sent,%N  la.comments, date_cust_signed, date_expires, date_from_usc, date_m_recd,%N  date_to_usc, is_modified, legal_agr_complete, la.legal_agr_no,%N  la.legal_agr_type, org_no, signed_name, signer_title, vendor_agr_id,%N  descr, document_server_access, is_design_kit_license, is_disclosure_agr,%N  vendor_org_no"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cust_acct_legal_agrs cala, legal_agrs la, legal_agr_types lat"

	join_condition: STRING = "cala.legal_agr_no = la.legal_agr_no and la.legal_agr_type = lat.legal_agr_type"

	table_count: INTEGER = 3

	group_by: STRING = ""

feature -- Values

	cala_comments: STRING
			-- DB: cala.comments VARCHAR2(255)

	cust_acct_no: INTEGER
			-- DB: NUMBER(6,0) not null

	date_assigned: DB_DATE
			-- DB: DATE

	date_reminder_sent: DB_DATE
			-- DB: DATE

	la_comments: STRING
			-- DB: la.comments VARCHAR2(255)

	date_cust_signed: DB_DATE
			-- DB: DATE

	date_expires: DB_DATE
			-- DB: DATE

	date_from_usc: DB_DATE
			-- DB: DATE

	date_m_recd: DB_DATE
			-- DB: DATE

	date_to_usc: DB_DATE
			-- DB: DATE

	is_modified: BOOLEAN
			-- DB: CHAR(1) not null

	legal_agr_complete: BOOLEAN
			-- DB: CHAR(1) not null

	legal_agr_no: INTEGER
			-- DB: NUMBER(6,0) not null

	legal_agr_type: STRING
			-- DB: VARCHAR2(6) not null

	org_no: INTEGER
			-- DB: NUMBER(6,0) not null

	signed_name: STRING
			-- DB: VARCHAR2(40)

	signer_title: STRING
			-- DB: VARCHAR2(40)

	vendor_agr_id: STRING
			-- DB: VARCHAR2(15)

	descr: STRING
			-- DB: VARCHAR2(50)

	document_server_access: BOOLEAN
			-- DB: CHAR(1) not null

	is_design_kit_license: BOOLEAN
			-- DB: CHAR(1) not null

	is_disclosure_agr: BOOLEAN
			-- DB: CHAR(1) not null

	vendor_org_no: INTEGER
			-- DB: NUMBER(6,0)

feature -- Nullness for null allowed columns

	is_null_cala_comments: BOOLEAN
	is_null_date_assigned: BOOLEAN
	is_null_date_reminder_sent: BOOLEAN
	is_null_la_comments: BOOLEAN
	is_null_date_cust_signed: BOOLEAN
	is_null_date_expires: BOOLEAN
	is_null_date_from_usc: BOOLEAN
	is_null_date_m_recd: BOOLEAN
	is_null_date_to_usc: BOOLEAN
	is_null_signed_name: BOOLEAN
	is_null_signer_title: BOOLEAN
	is_null_vendor_agr_id: BOOLEAN
	is_null_descr: BOOLEAN
	is_null_vendor_org_no: BOOLEAN

feature -- Nullness for non-null columns

	is_null_cust_acct_no: BOOLEAN
	is_null_is_modified: BOOLEAN
	is_null_legal_agr_complete: BOOLEAN
	is_null_legal_agr_no: BOOLEAN
	is_null_legal_agr_type: BOOLEAN
	is_null_org_no: BOOLEAN
	is_null_document_server_access: BOOLEAN
	is_null_is_design_kit_license: BOOLEAN
	is_null_is_disclosure_agr: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and cust_acct_no = r.cust_acct_no
				and legal_agr_no = r.legal_agr_no
			Result := Result
				and is_null_cust_acct_no = r.is_null_cust_acct_no
				and is_null_legal_agr_no = r.is_null_legal_agr_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and is_modified = r.is_modified
				and legal_agr_complete = r.legal_agr_complete
				and org_no = r.org_no
				and document_server_access = r.document_server_access
				and is_design_kit_license = r.is_design_kit_license
				and is_disclosure_agr = r.is_disclosure_agr
				and vendor_org_no = r.vendor_org_no
			Result := Result
				and equal (cala_comments, r.cala_comments)
				and equal (date_assigned, r.date_assigned)
				and equal (date_reminder_sent, r.date_reminder_sent)
				and equal (la_comments, r.la_comments)
				and equal (date_cust_signed, r.date_cust_signed)
				and equal (date_expires, r.date_expires)
				and equal (date_from_usc, r.date_from_usc)
				and equal (date_m_recd, r.date_m_recd)
				and equal (date_to_usc, r.date_to_usc)
				and equal (legal_agr_type, r.legal_agr_type)
				and equal (signed_name, r.signed_name)
				and equal (signer_title, r.signer_title)
				and equal (vendor_agr_id, r.vendor_agr_id)
				and equal (descr, r.descr)
			Result := Result
				and is_null_cala_comments = r.is_null_cala_comments
				and is_null_date_assigned = r.is_null_date_assigned
				and is_null_date_reminder_sent = r.is_null_date_reminder_sent
				and is_null_la_comments = r.is_null_la_comments
				and is_null_date_cust_signed = r.is_null_date_cust_signed
				and is_null_date_expires = r.is_null_date_expires
				and is_null_date_from_usc = r.is_null_date_from_usc
				and is_null_date_m_recd = r.is_null_date_m_recd
				and is_null_date_to_usc = r.is_null_date_to_usc
				and is_null_is_modified = r.is_null_is_modified
				and is_null_legal_agr_complete = r.is_null_legal_agr_complete
				and is_null_legal_agr_type = r.is_null_legal_agr_type
				and is_null_org_no = r.is_null_org_no
				and is_null_signed_name = r.is_null_signed_name
				and is_null_signer_title = r.is_null_signer_title
				and is_null_vendor_agr_id = r.is_null_vendor_agr_id
				and is_null_descr = r.is_null_descr
				and is_null_document_server_access = r.is_null_document_server_access
				and is_null_is_design_kit_license = r.is_null_is_design_kit_license
				and is_null_is_disclosure_agr = r.is_null_is_disclosure_agr
				and is_null_vendor_org_no = r.is_null_vendor_org_no
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_integer (2)
			q.select_date (3)
			q.select_date (4)
			q.select_string (5, 255)
			q.select_date (6)
			q.select_date (7)
			q.select_date (8)
			q.select_date (9)
			q.select_date (10)
			q.select_boolean (11)
			q.select_boolean (12)
			q.select_integer (13)
			q.select_string (14, 6)
			q.select_integer (15)
			q.select_string (16, 40)
			q.select_string (17, 40)
			q.select_string (18, 15)
			q.select_string (19, 50)
			q.select_boolean (20)
			q.select_boolean (21)
			q.select_boolean (22)
			q.select_integer (23)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			cust_acct_no := q.integer_value (2)
			is_modified := q.boolean_value (11)
			legal_agr_complete := q.boolean_value (12)
			legal_agr_no := q.integer_value (13)
			org_no := q.integer_value (15)
			document_server_access := q.boolean_value (20)
			is_design_kit_license := q.boolean_value (21)
			is_disclosure_agr := q.boolean_value (22)
			vendor_org_no := q.integer_value (23)
		end

	fill_in_references (q: SQL_QUERY)
		do
			cala_comments := q.string_value (1)
			date_assigned := q.date_value (3)
			date_reminder_sent := q.date_value (4)
			la_comments := q.string_value (5)
			date_cust_signed := q.date_value (6)
			date_expires := q.date_value (7)
			date_from_usc := q.date_value (8)
			date_m_recd := q.date_value (9)
			date_to_usc := q.date_value (10)
			legal_agr_type := q.string_value (14)
			signed_name := q.string_value (16)
			signer_title := q.string_value (17)
			vendor_agr_id := q.string_value (18)
			descr := q.string_value (19)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, cala_comments)
			q.get_date_value (3, date_assigned)
			q.get_date_value (4, date_reminder_sent)
			q.get_string_value (5, la_comments)
			q.get_date_value (6, date_cust_signed)
			q.get_date_value (7, date_expires)
			q.get_date_value (8, date_from_usc)
			q.get_date_value (9, date_m_recd)
			q.get_date_value (10, date_to_usc)
			q.get_string_value (14, legal_agr_type)
			q.get_string_value (16, signed_name)
			q.get_string_value (17, signer_title)
			q.get_string_value (18, vendor_agr_id)
			q.get_string_value (19, descr)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_cala_comments := q.is_null (1)
			is_null_cust_acct_no := q.is_null (2)
			is_null_date_assigned := q.is_null (3)
			is_null_date_reminder_sent := q.is_null (4)
			is_null_la_comments := q.is_null (5)
			is_null_date_cust_signed := q.is_null (6)
			is_null_date_expires := q.is_null (7)
			is_null_date_from_usc := q.is_null (8)
			is_null_date_m_recd := q.is_null (9)
			is_null_date_to_usc := q.is_null (10)
			is_null_is_modified := q.is_null (11)
			is_null_legal_agr_complete := q.is_null (12)
			is_null_legal_agr_no := q.is_null (13)
			is_null_legal_agr_type := q.is_null (14)
			is_null_org_no := q.is_null (15)
			is_null_signed_name := q.is_null (16)
			is_null_signer_title := q.is_null (17)
			is_null_vendor_agr_id := q.is_null (18)
			is_null_descr := q.is_null (19)
			is_null_document_server_access := q.is_null (20)
			is_null_is_design_kit_license := q.is_null (21)
			is_null_is_disclosure_agr := q.is_null (22)
			is_null_vendor_org_no := q.is_null (23)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_cala_comments := True
			is_null_cust_acct_no := True
			is_null_date_assigned := True
			is_null_date_reminder_sent := True
			is_null_la_comments := True
			is_null_date_cust_signed := True
			is_null_date_expires := True
			is_null_date_from_usc := True
			is_null_date_m_recd := True
			is_null_date_to_usc := True
			is_null_is_modified := True
			is_null_legal_agr_complete := True
			is_null_legal_agr_no := True
			is_null_legal_agr_type := True
			is_null_org_no := True
			is_null_signed_name := True
			is_null_signer_title := True
			is_null_vendor_agr_id := True
			is_null_descr := True
			is_null_document_server_access := True
			is_null_is_design_kit_license := True
			is_null_is_disclosure_agr := True
			is_null_vendor_org_no := True
			create cala_comments.make (0)
			create {ORACLE_DATE} date_assigned.set_null
			create {ORACLE_DATE} date_reminder_sent.set_null
			create la_comments.make (0)
			create {ORACLE_DATE} date_cust_signed.set_null
			create {ORACLE_DATE} date_expires.set_null
			create {ORACLE_DATE} date_from_usc.set_null
			create {ORACLE_DATE} date_m_recd.set_null
			create {ORACLE_DATE} date_to_usc.set_null
			create legal_agr_type.make (0)
			create signed_name.make (0)
			create signer_title.make (0)
			create vendor_agr_id.make (0)
			create descr.make (0)
		end

end
