
indexing

	date: "Tue Apr 24 10:30:10 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"CUST_CHARGE_BREAKDOWNS (MOSIS.CUST_CHARGE_BREAKDOWNS)"
			-- Included columns
			-- 	AMOUNT_CHARGED
			-- 	M_ADJUSTMENT_NO
			-- 	M_COST_CATEGORY_ID
			-- 	M_CUST_CHARGE_NO
			-- Excluded columns
			-- 	(none)

class CUST_CHARGE_BREAKDOWNS_MRAW

inherit

	DB_DELETABLE_ROW
	CUST_CHARGE_BREAKDOWNS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_amount_charged (d: DOUBLE)
		do
			change_field (True, True)
			amount_charged := d
			is_null_amount_charged := False
		end

	set_m_adjustment_no (k: INTEGER)
		do
			change_key_field
			m_adjustment_no := k
			is_null_m_adjustment_no := False
		end

	set_m_cost_category_id (s: STRING)
		do
			change_key_field
			m_cost_category_id := s
			if s = Void then
				create m_cost_category_id.make (0)
			end
			is_null_m_cost_category_id := s = Void or else s.count = 0
		end

	set_m_cust_charge_no (k: INTEGER)
		do
			change_key_field
			m_cust_charge_no := k
			is_null_m_cust_charge_no := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_double (1, amount_charged, is_null_amount_charged)
			s.bind_num_to_integer (2, m_adjustment_no, is_null_m_adjustment_no)
			s.bind_num_to_string (3, m_cost_category_id, is_null_m_cost_category_id)
			s.bind_num_to_integer (4, m_cust_charge_no, is_null_m_cust_charge_no)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4"

	bind_list_for_update: STRING = "  amount_charged = :1, m_adjustment_no = :2, m_cost_category_id = :3,%N  m_cust_charge_no = :4"

end
