
indexing

	date: "Mon Sep 29 10:54:29 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"CUST_CHARGES (MOSIS.CUST_CHARGES)"
			-- Included columns
			-- 	AMOUNT_TAX
			-- 	AMOUNT_TOTAL_NO_TAX
			-- 	DATE_ENTERED
			-- 	DISTRIBUTION_RANK
			-- 	EDU_UNITS
			-- 	IS_UNIT_CHARGE
			-- 	MFA_NO
			-- 	M_ADJUSTMENT_NO
			-- 	M_CUST_CHARGE_NO
			-- 	M_FUNDING_ALLOC_NO
			-- 	M_FUNDING_AUTH_NO
			-- 	M_JOB_NO
			-- 	PROCESS_CHARGE
			-- 	REASON
			-- 	UNCOLLECTABLE
			-- Excluded columns
			-- 	(none)

class CUST_CHARGES_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	CUST_CHARGES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_amount_tax (d: DOUBLE)
		do
			change_field (True, True)
			amount_tax := d
			is_null_amount_tax := False
		end

	set_amount_total_no_tax (d: DOUBLE)
		do
			change_field (True, True)
			amount_total_no_tax := d
			is_null_amount_total_no_tax := False
		end

	set_date_entered (d: DB_DATE)
		do
			change_field (True, True)
			date_entered := d
			if d = Void then
				create {ORACLE_DATE} date_entered.set_null
			end
			is_null_date_entered := d = Void or else d.is_null
		end

	set_distribution_rank (k: INTEGER)
		do
			change_field (True, True)
			distribution_rank := k
			is_null_distribution_rank := False
		end

	set_edu_units (k: INTEGER)
		do
			change_field (True, True)
			edu_units := k
			is_null_edu_units := False
		end

	set_is_unit_charge (b: BOOLEAN)
		do
			change_field (True, True)
			is_unit_charge := b
			is_null_is_unit_charge := False
		end

	set_mfa_no (k: INTEGER)
		do
			change_field (True, True)
			mfa_no := k
			is_null_mfa_no := False
		end

	set_m_adjustment_no (k: INTEGER)
		do
			change_key_field
			m_adjustment_no := k
			is_null_m_adjustment_no := False
		end

	set_m_cust_charge_no (k: INTEGER)
		do
			change_key_field
			m_cust_charge_no := k
			is_null_m_cust_charge_no := False
		end

	set_m_funding_alloc_no (k: INTEGER)
		do
			change_field (True, True)
			m_funding_alloc_no := k
			is_null_m_funding_alloc_no := False
		end

	set_m_funding_auth_no (k: INTEGER)
		do
			change_field (True, True)
			m_funding_auth_no := k
			is_null_m_funding_auth_no := False
		end

	set_m_job_no (k: INTEGER)
		do
			change_field (True, True)
			m_job_no := k
			is_null_m_job_no := False
		end

	set_process_charge (b: BOOLEAN)
		do
			change_field (True, True)
			process_charge := b
			is_null_process_charge := False
		end

	set_reason (s: STRING)
		do
			change_field (True, True)
			reason := s
			if s = Void then
				create reason.make (0)
			end
			is_null_reason := s = Void or else s.count = 0
		end

	set_uncollectable (b: BOOLEAN)
		do
			change_field (True, True)
			uncollectable := b
			is_null_uncollectable := False
		end

feature -- Modification to null

	set_null_mfa_no
		do
			change_field (True, True)
			mfa_no := 0
			is_null_mfa_no := True
		end

	set_null_reason
		do
			set_reason (Void)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			amount_tax := 0
			is_null_amount_tax := False
			amount_total_no_tax := 0
			is_null_amount_total_no_tax := False
			edu_units := 0
			is_null_edu_units := False
			is_unit_charge := False
			is_null_is_unit_charge := False
			process_charge := False
			is_null_process_charge := False
			uncollectable := False
			is_null_uncollectable := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_double (1, amount_tax, is_null_amount_tax)
			s.bind_num_to_double (2, amount_total_no_tax, is_null_amount_total_no_tax)
			s.bind_num_to_date (3, date_entered, is_null_date_entered)
			s.bind_num_to_integer (4, distribution_rank, is_null_distribution_rank)
			s.bind_num_to_integer (5, edu_units, is_null_edu_units)
			s.bind_num_to_boolean (6, is_unit_charge, is_null_is_unit_charge)
			s.bind_num_to_integer (7, mfa_no, is_null_mfa_no)
			s.bind_num_to_integer (8, m_adjustment_no, is_null_m_adjustment_no)
			s.bind_num_to_integer (9, m_cust_charge_no, is_null_m_cust_charge_no)
			s.bind_num_to_integer (10, m_funding_alloc_no, is_null_m_funding_alloc_no)
			s.bind_num_to_integer (11, m_funding_auth_no, is_null_m_funding_auth_no)
			s.bind_num_to_integer (12, m_job_no, is_null_m_job_no)
			s.bind_num_to_boolean (13, process_charge, is_null_process_charge)
			s.bind_num_to_string (14, reason, is_null_reason)
			s.bind_num_to_boolean (15, uncollectable, is_null_uncollectable)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15"

	bind_list_for_update: STRING = "  amount_tax = :1, amount_total_no_tax = :2, date_entered = :3,%N  distribution_rank = :4, edu_units = :5, is_unit_charge = :6, mfa_no = :7,%N  m_adjustment_no = :8, m_cust_charge_no = :9, m_funding_alloc_no = :10,%N  m_funding_auth_no = :11, m_job_no = :12, process_charge = :13,%N  reason = :14, uncollectable = :15"

end
