
indexing

	author: "Generated"
	date: "Fri Feb 27 10:32:55 PST 2004"

class CUST_WO_LINE_ITEMS_MROW
inherit
	CUST_WO_LINE_ITEMS_MRAW
	CUST_WO_LINE_ITEMS_ROW
		undefine
			initialize_new,
			initialize_new_by_key
		end
	ROW_COUNT_CHECK_ACCESS
	ROW_BUSY_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature -- Properties

	set_part(p: like cached_part) is
		-- set part and (maybe) m_part_no
	require p /= Void
	do  cached_part := p;
	    if m_part_no /= p.m_part_no
	     then set_m_part_no(p.m_part_no)
	    end
	ensure m_part_no = part.m_part_no
	end;

	set_packaging_lot(run_id: STRING; lot_no: INTEGER) is
		-- assign this line item to a run_packaging_lot
		-- (two fer one)
	do  set_packaging_run_id(run_id);
	    set_packaging_lot_no(lot_no)
	end;

	clear_packaging_lot is
			-- Clear packaging run ID and packaging lot number
		do  
			set_null_packaging_run_id
	    		set_null_packaging_lot_no
		end

	locked_test_vehicle_line_items_for_run (run: STRING conn: DB_CONNECTION opt: DB_LOCK_BUSY_OPTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All cust work order line items for test vehicles on
			-- run `run', with rows already locked
		require
			run_exists: run /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			busy_action_exists: opt /= Void
			range_exists: range /= Void
		local
			b: DB_BIND_SS
			ic_fab_instance_type: IC_FAB_INSTANCE_TYPE_VALUES
		do
			create b.make (run, ic_fab_instance_type.Test_vehicle)
			Result := all_rows_filtered_locked (conn, "m_order_no in (select m_order_no from cust_wos where m_fab_no in (select m_fab_no from ic_fab_instances where run_id = :1 and ic_fab_instance_type = :2))", b, opt)
			check_list_busy
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
