
indexing

	date: "Mon Mar 30 16:34:03 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"CUST_WOS (MOSIS.CUST_WOS)"
			-- Included columns
			-- 	ACKNOWLEDGEMENT_COMMENT
			-- 	CA_TAX_RATE
			-- 	CREATED_BY
			-- 	CUST_ACCT_NO
			-- 	CUST_WO_COMMENT
			-- 	CUST_WO_ID
			-- 	DATE_ACKNOWLEDGED
			-- 	DATE_APPROVED_FOR_EXPORT
			-- 	DATE_CUST_WO
			-- 	DATE_FAX_RECD
			-- 	DATE_FOR_FUNDING
			-- 	DATE_FOR_PRICING
			-- 	DATE_HARDCOPY_RECD
			-- 	DATE_VERBAL_RECD
			-- 	DISCOUNT_FRACTION
			-- 	HAS_BXA711
			-- 	HAS_ECCN
			-- 	MODIFIED_BY
			-- 	M_CUST_QUOTE_NO
			-- 	M_FAB_NO
			-- 	M_FUNDING_ALLOC_NO
			-- 	M_ORDER_NO
			-- 	PRICING_SCHEDULE
			-- 	PRODUCTION_ID
			-- 	REVISION_NO
			-- Excluded columns
			-- 	(none)

class CUST_WOS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_m_order_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			m_order_no := the_m_order_no
			is_null_m_order_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 25

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  acknowledgement_comment, ca_tax_rate, created_by, cust_acct_no,%N  cust_wo_comment, cust_wo_id, date_acknowledged, date_approved_for_export,%N  date_cust_wo, date_fax_recd, date_for_funding, date_for_pricing,%N  date_hardcopy_recd, date_verbal_recd, discount_fraction, has_bxa711,%N  has_eccn, modified_by, m_cust_quote_no, m_fab_no, m_funding_alloc_no,%N  m_order_no, pricing_schedule, production_id, revision_no"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cust_wos cwo"

	join_condition: STRING = ""

	table_name: STRING = "cust_wos"

	key_where_clause: STRING = "m_order_no = :1"

feature -- Values

	acknowledgement_comment: STRING
			-- DB: VARCHAR2(255)

	ca_tax_rate: DOUBLE
			-- DB: NUMBER(8,6)

	created_by: STRING
			-- DB: VARCHAR2(3) not null

	cust_acct_no: INTEGER
			-- DB: NUMBER(6,0) not null

	cust_wo_comment: STRING
			-- DB: VARCHAR2(255)

	cust_wo_id: STRING
			-- DB: VARCHAR2(20)

	date_acknowledged: DB_DATE
			-- DB: DATE

	date_approved_for_export: DB_DATE
			-- DB: DATE

	date_cust_wo: DB_DATE
			-- DB: DATE

	date_fax_recd: DB_DATE
			-- DB: DATE

	date_for_funding: DB_DATE
			-- DB: DATE

	date_for_pricing: DB_DATE
			-- DB: DATE not null

	date_hardcopy_recd: DB_DATE
			-- DB: DATE

	date_verbal_recd: DB_DATE
			-- DB: DATE

	discount_fraction: DOUBLE
			-- DB: NUMBER(*,*) not null

	has_bxa711: BOOLEAN
			-- DB: CHAR(1) not null

	has_eccn: BOOLEAN
			-- DB: CHAR(1) not null

	modified_by: STRING
			-- DB: VARCHAR2(30) not null

	m_cust_quote_no: INTEGER
			-- DB: NUMBER(6,0)

	m_fab_no: INTEGER
			-- DB: NUMBER(6,0)

	m_funding_alloc_no: INTEGER
			-- DB: NUMBER(6,0) not null

	m_order_no: INTEGER
			-- DB: NUMBER(6,0) not null

	pricing_schedule: STRING
			-- DB: VARCHAR2(10) not null

	production_id: STRING
			-- DB: VARCHAR2(10)

	revision_no: INTEGER
			-- DB: NUMBER(6,0)

feature -- Nullness for null allowed columns

	is_null_acknowledgement_comment: BOOLEAN
	is_null_ca_tax_rate: BOOLEAN
	is_null_cust_wo_comment: BOOLEAN
	is_null_cust_wo_id: BOOLEAN
	is_null_date_acknowledged: BOOLEAN
	is_null_date_approved_for_export: BOOLEAN
	is_null_date_cust_wo: BOOLEAN
	is_null_date_fax_recd: BOOLEAN
	is_null_date_for_funding: BOOLEAN
	is_null_date_hardcopy_recd: BOOLEAN
	is_null_date_verbal_recd: BOOLEAN
	is_null_m_cust_quote_no: BOOLEAN
	is_null_m_fab_no: BOOLEAN
	is_null_production_id: BOOLEAN
	is_null_revision_no: BOOLEAN

feature -- Nullness for non-null columns

	is_null_created_by: BOOLEAN
	is_null_cust_acct_no: BOOLEAN
	is_null_date_for_pricing: BOOLEAN
	is_null_discount_fraction: BOOLEAN
	is_null_has_bxa711: BOOLEAN
	is_null_has_eccn: BOOLEAN
	is_null_modified_by: BOOLEAN
	is_null_m_funding_alloc_no: BOOLEAN
	is_null_m_order_no: BOOLEAN
	is_null_pricing_schedule: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and m_order_no = r.m_order_no
			Result := Result
				and is_null_m_order_no = r.is_null_m_order_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and ca_tax_rate = r.ca_tax_rate
				and cust_acct_no = r.cust_acct_no
				and discount_fraction = r.discount_fraction
				and has_bxa711 = r.has_bxa711
				and has_eccn = r.has_eccn
				and m_cust_quote_no = r.m_cust_quote_no
				and m_fab_no = r.m_fab_no
				and m_funding_alloc_no = r.m_funding_alloc_no
				and revision_no = r.revision_no
			Result := Result
				and equal (acknowledgement_comment, r.acknowledgement_comment)
				and equal (created_by, r.created_by)
				and equal (cust_wo_comment, r.cust_wo_comment)
				and equal (cust_wo_id, r.cust_wo_id)
				and equal (date_acknowledged, r.date_acknowledged)
				and equal (date_approved_for_export, r.date_approved_for_export)
				and equal (date_cust_wo, r.date_cust_wo)
				and equal (date_fax_recd, r.date_fax_recd)
				and equal (date_for_funding, r.date_for_funding)
				and equal (date_for_pricing, r.date_for_pricing)
				and equal (date_hardcopy_recd, r.date_hardcopy_recd)
				and equal (date_verbal_recd, r.date_verbal_recd)
				and equal (modified_by, r.modified_by)
				and equal (pricing_schedule, r.pricing_schedule)
				and equal (production_id, r.production_id)
			Result := Result
				and is_null_acknowledgement_comment = r.is_null_acknowledgement_comment
				and is_null_ca_tax_rate = r.is_null_ca_tax_rate
				and is_null_created_by = r.is_null_created_by
				and is_null_cust_acct_no = r.is_null_cust_acct_no
				and is_null_cust_wo_comment = r.is_null_cust_wo_comment
				and is_null_cust_wo_id = r.is_null_cust_wo_id
				and is_null_date_acknowledged = r.is_null_date_acknowledged
				and is_null_date_approved_for_export = r.is_null_date_approved_for_export
				and is_null_date_cust_wo = r.is_null_date_cust_wo
				and is_null_date_fax_recd = r.is_null_date_fax_recd
				and is_null_date_for_funding = r.is_null_date_for_funding
				and is_null_date_for_pricing = r.is_null_date_for_pricing
				and is_null_date_hardcopy_recd = r.is_null_date_hardcopy_recd
				and is_null_date_verbal_recd = r.is_null_date_verbal_recd
				and is_null_discount_fraction = r.is_null_discount_fraction
				and is_null_has_bxa711 = r.is_null_has_bxa711
				and is_null_has_eccn = r.is_null_has_eccn
				and is_null_modified_by = r.is_null_modified_by
				and is_null_m_cust_quote_no = r.is_null_m_cust_quote_no
				and is_null_m_fab_no = r.is_null_m_fab_no
				and is_null_m_funding_alloc_no = r.is_null_m_funding_alloc_no
				and is_null_pricing_schedule = r.is_null_pricing_schedule
				and is_null_production_id = r.is_null_production_id
				and is_null_revision_no = r.is_null_revision_no
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_double (2)
			q.select_string (3, 3)
			q.select_integer (4)
			q.select_string (5, 255)
			q.select_string (6, 20)
			q.select_date (7)
			q.select_date (8)
			q.select_date (9)
			q.select_date (10)
			q.select_date (11)
			q.select_date (12)
			q.select_date (13)
			q.select_date (14)
			q.select_double (15)
			q.select_boolean (16)
			q.select_boolean (17)
			q.select_string (18, 30)
			q.select_integer (19)
			q.select_integer (20)
			q.select_integer (21)
			q.select_integer (22)
			q.select_string (23, 10)
			q.select_string (24, 10)
			q.select_integer (25)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			ca_tax_rate := q.double_value (2)
			cust_acct_no := q.integer_value (4)
			discount_fraction := q.double_value (15)
			has_bxa711 := q.boolean_value (16)
			has_eccn := q.boolean_value (17)
			m_cust_quote_no := q.integer_value (19)
			m_fab_no := q.integer_value (20)
			m_funding_alloc_no := q.integer_value (21)
			m_order_no := q.integer_value (22)
			revision_no := q.integer_value (25)
		end

	fill_in_references (q: SQL_QUERY)
		do
			acknowledgement_comment := q.string_value (1)
			created_by := q.string_value (3)
			cust_wo_comment := q.string_value (5)
			cust_wo_id := q.string_value (6)
			date_acknowledged := q.date_value (7)
			date_approved_for_export := q.date_value (8)
			date_cust_wo := q.date_value (9)
			date_fax_recd := q.date_value (10)
			date_for_funding := q.date_value (11)
			date_for_pricing := q.date_value (12)
			date_hardcopy_recd := q.date_value (13)
			date_verbal_recd := q.date_value (14)
			modified_by := q.string_value (18)
			pricing_schedule := q.string_value (23)
			production_id := q.string_value (24)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, acknowledgement_comment)
			q.get_string_value (3, created_by)
			q.get_string_value (5, cust_wo_comment)
			q.get_string_value (6, cust_wo_id)
			q.get_date_value (7, date_acknowledged)
			q.get_date_value (8, date_approved_for_export)
			q.get_date_value (9, date_cust_wo)
			q.get_date_value (10, date_fax_recd)
			q.get_date_value (11, date_for_funding)
			q.get_date_value (12, date_for_pricing)
			q.get_date_value (13, date_hardcopy_recd)
			q.get_date_value (14, date_verbal_recd)
			q.get_string_value (18, modified_by)
			q.get_string_value (23, pricing_schedule)
			q.get_string_value (24, production_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_acknowledgement_comment := q.is_null (1)
			is_null_ca_tax_rate := q.is_null (2)
			is_null_created_by := q.is_null (3)
			is_null_cust_acct_no := q.is_null (4)
			is_null_cust_wo_comment := q.is_null (5)
			is_null_cust_wo_id := q.is_null (6)
			is_null_date_acknowledged := q.is_null (7)
			is_null_date_approved_for_export := q.is_null (8)
			is_null_date_cust_wo := q.is_null (9)
			is_null_date_fax_recd := q.is_null (10)
			is_null_date_for_funding := q.is_null (11)
			is_null_date_for_pricing := q.is_null (12)
			is_null_date_hardcopy_recd := q.is_null (13)
			is_null_date_verbal_recd := q.is_null (14)
			is_null_discount_fraction := q.is_null (15)
			is_null_has_bxa711 := q.is_null (16)
			is_null_has_eccn := q.is_null (17)
			is_null_modified_by := q.is_null (18)
			is_null_m_cust_quote_no := q.is_null (19)
			is_null_m_fab_no := q.is_null (20)
			is_null_m_funding_alloc_no := q.is_null (21)
			is_null_m_order_no := q.is_null (22)
			is_null_pricing_schedule := q.is_null (23)
			is_null_production_id := q.is_null (24)
			is_null_revision_no := q.is_null (25)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_m_order_no := True
		end

	set_null_nonkey
		do
			is_null_acknowledgement_comment := True
			is_null_ca_tax_rate := True
			is_null_created_by := True
			is_null_cust_acct_no := True
			is_null_cust_wo_comment := True
			is_null_cust_wo_id := True
			is_null_date_acknowledged := True
			is_null_date_approved_for_export := True
			is_null_date_cust_wo := True
			is_null_date_fax_recd := True
			is_null_date_for_funding := True
			is_null_date_for_pricing := True
			is_null_date_hardcopy_recd := True
			is_null_date_verbal_recd := True
			is_null_discount_fraction := True
			is_null_has_bxa711 := True
			is_null_has_eccn := True
			is_null_modified_by := True
			is_null_m_cust_quote_no := True
			is_null_m_fab_no := True
			is_null_m_funding_alloc_no := True
			is_null_pricing_schedule := True
			is_null_production_id := True
			is_null_revision_no := True
			create acknowledgement_comment.make (0)
			create created_by.make (0)
			create cust_wo_comment.make (0)
			create cust_wo_id.make (0)
			create {ORACLE_DATE} date_acknowledged.set_null
			create {ORACLE_DATE} date_approved_for_export.set_null
			create {ORACLE_DATE} date_cust_wo.set_null
			create {ORACLE_DATE} date_fax_recd.set_null
			create {ORACLE_DATE} date_for_funding.set_null
			create {ORACLE_DATE} date_for_pricing.set_null
			create {ORACLE_DATE} date_hardcopy_recd.set_null
			create {ORACLE_DATE} date_verbal_recd.set_null
			create modified_by.make (0)
			create pricing_schedule.make (0)
			create production_id.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, m_order_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and ca_tax_rate = q.double_value (2)
				and cust_acct_no = q.integer_value (4)
				and discount_fraction = q.double_value (15)
				and has_bxa711 = q.boolean_value (16)
				and has_eccn = q.boolean_value (17)
				and m_cust_quote_no = q.integer_value (19)
				and m_fab_no = q.integer_value (20)
				and m_funding_alloc_no = q.integer_value (21)
				and m_order_no = q.integer_value (22)
				and revision_no = q.integer_value (25)
			q.get_string_value (1, s)
			Result := Result and equal (acknowledgement_comment, s)
			q.get_string_value (3, s)
			Result := Result and equal (created_by, s)
			q.get_string_value (5, s)
			Result := Result and equal (cust_wo_comment, s)
			q.get_string_value (6, s)
			Result := Result and equal (cust_wo_id, s)
			q.get_date_value (7, d)
			Result := Result and equal (date_acknowledged, d)
			q.get_date_value (8, d)
			Result := Result and equal (date_approved_for_export, d)
			q.get_date_value (9, d)
			Result := Result and equal (date_cust_wo, d)
			q.get_date_value (10, d)
			Result := Result and equal (date_fax_recd, d)
			q.get_date_value (11, d)
			Result := Result and equal (date_for_funding, d)
			q.get_date_value (12, d)
			Result := Result and equal (date_for_pricing, d)
			q.get_date_value (13, d)
			Result := Result and equal (date_hardcopy_recd, d)
			q.get_date_value (14, d)
			Result := Result and equal (date_verbal_recd, d)
			q.get_string_value (18, s)
			Result := Result and equal (modified_by, s)
			q.get_string_value (23, s)
			Result := Result and equal (pricing_schedule, s)
			q.get_string_value (24, s)
			Result := Result and equal (production_id, s)
			Result := Result
				and is_null_acknowledgement_comment = q.is_null (1)
				and is_null_ca_tax_rate = q.is_null (2)
				and is_null_created_by = q.is_null (3)
				and is_null_cust_acct_no = q.is_null (4)
				and is_null_cust_wo_comment = q.is_null (5)
				and is_null_cust_wo_id = q.is_null (6)
				and is_null_date_acknowledged = q.is_null (7)
				and is_null_date_approved_for_export = q.is_null (8)
				and is_null_date_cust_wo = q.is_null (9)
				and is_null_date_fax_recd = q.is_null (10)
				and is_null_date_for_funding = q.is_null (11)
				and is_null_date_for_pricing = q.is_null (12)
				and is_null_date_hardcopy_recd = q.is_null (13)
				and is_null_date_verbal_recd = q.is_null (14)
				and is_null_discount_fraction = q.is_null (15)
				and is_null_has_bxa711 = q.is_null (16)
				and is_null_has_eccn = q.is_null (17)
				and is_null_modified_by = q.is_null (18)
				and is_null_m_cust_quote_no = q.is_null (19)
				and is_null_m_fab_no = q.is_null (20)
				and is_null_m_funding_alloc_no = q.is_null (21)
				and is_null_m_order_no = q.is_null (22)
				and is_null_pricing_schedule = q.is_null (23)
				and is_null_production_id = q.is_null (24)
				and is_null_revision_no = q.is_null (25)
		end

end
