
indexing

	author: "Generated"
	date: "Tue Jan  6 12:44:37 PST 2004"

class DATABASE_LOGIN_ERROR
inherit
	APPLICATION_CONDITION
	PARAMETERS_4 [STRING, STRING, STRING, STRING]
		rename
			parameter_1 as user_name,
			parameter_2 as password,
			parameter_3 as connect_string,
			parameter_4 as error_message,
			set_parameter_1 as set_user_name,
			set_parameter_2 as set_password,
			set_parameter_3 as set_connect_string,
			set_parameter_4 as set_error_message,
			is_valid_parameter_1 as is_valid_user_name,
			is_valid_parameter_2 as is_valid_password,
			is_valid_parameter_3 as is_valid_connect_string,
			is_valid_parameter_4 as is_valid_error_message
		undefine
			default_create
		end

create
	default_create

feature

	tag: STRING = "DATABASE_LOGIN_ERROR"

	message_template: STRING = "Login failed for user %"<USER>%", connect string %"<CONNSTR>%"<NL><MSG>"

feature {NONE} -- Implementation

	bind_parameters (t: TEXT_TEMPLATE)
			-- Bind parameters to values in `t'
		do
			t.bind ("USER", user_name)
			t.bind ("PASSWORD", password)
			t.bind ("CONNSTR", connect_string)
			t.bind ("MSG", error_message)
		end

end
