
indexing
	
	description: "Comparator for date created in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class DATE_CREATED_COMPARATOR [G -> HAS_DATE_CREATED]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_date_created and v.has_date_created then
				Result := u.date_created < v.date_created
			elseif v.has_date_created then
				Result := True
			else
				Result := False
			end
		end

end
