
indexing
	
	description: "Comparator for date fab_requested in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class DATE_FAB_REQUESTED_COMPARATOR [G -> HAS_DATE_FAB_REQUESTED]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_date_fab_requested and v.has_date_fab_requested then
				Result := u.date_fab_requested < v.date_fab_requested
			elseif v.has_date_fab_requested then
				Result := True
			else
				Result := False
			end
		end

end
