
indexing
	
	description: "Date and time created column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class DATE_TIME_CREATED_COLUMN [G -> HAS_DATE_CREATED]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Date Created"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_date_created then
				Result := r.date_created.to_date_and_time_string
			else
				Result := ""
			end
		end

	comparator: DATE_CREATED_COMPARATOR [G]
		do
			create Result
		end

end
