
indexing
	
	description: "Names of database signals (alerts)"
	author: "David Hollenberg"
	date: "April 16, 2002"

class DB_SIGNAL_NAMES

feature 

	Job_queue_changed_signal: STRING = "JOB_QUEUE_CHANGED"
			-- Name of database signal indicating that the
			-- batch job queue has changed (new job added
			-- or existing job changed state)
	
	Job_queue_stop_signal: STRING = "JOB_QUEUE_STOP"
			-- Name of database signal indicating that job
			-- stop has been requested
	
	Design_check_changed_signal: STRING = "DESIGN_CHECK_CHANGED"
			-- Name of database signal indicating that new design
			-- check has been added
	
	Design_check_done_signal: STRING = "DESIGN_CHECK_DONE"
			-- Name of database signal indicating that a
			-- design check has completed
	
end
