
indexing
	
	description: "Object that generates the same default colors for every %
		%element of a reticle view that is selectable"
	author: "David Hollenberg"
	date: "October 1, 2006"

class DEFAULT_COLOR_GENERATOR
inherit
	RETICLE_VIEW_ELEMENT_COLOR_GENERATOR

create
	make

feature  -- Access

	border_color (an_element: RETICLE_VIEW_ELEMENT): EV_COLOR
			-- Foreground color for border (usually a
			-- rectangle) of `an_element'
		do
			if not an_element.is_selectable then
				Result := palette.unselectable_color
			else
				Result := palette.default_border_color
			end
		end
	
	label_color (an_element: RETICLE_VIEW_ELEMENT): EV_COLOR
			-- Foreground color for label
		do
			if not an_element.is_selectable then
				Result := palette.unselectable_color
			else
				Result := palette.default_label_color
			end
		end
	
end
