
indexing
	
	description: "Object that generates a %"filled%" indication for %
		%selectable elements of a reticle view that are deletion-locked"
	author: "David Hollenberg"
	date: "November 29, 2006"

class DELETION_LOCKED_FILL_GENERATOR
inherit
	RETICLE_VIEW_ELEMENT_FILL_GENERATOR

create
	make

feature  -- Access

	is_interior_filled (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Should interior of `an_element' be filled when
			-- it is displayed?
		do
			Result := an_element.is_selectable and not an_element.is_deletable
		end
	
	interior_color (an_element: RETICLE_VIEW_ELEMENT): EV_COLOR
			-- Foreground color for interior of
			-- `an_element', if it is filled
		do
			Result := palette.default_fill_color
		end
	
end
