
indexing
	
	description: "Dialog that tells about Delta version"
	author: "David Hollenberg"
	date: "June 20, 2002"

class
	DELTA_VERSION_DIALOG

inherit
	EV_INFORMATION_DIALOG

create
	make

feature {NONE} -- Creation

	make
		do
			make_with_text (version_info)
			set_title ("Delta Version")
		end

feature -- Constant strings

	version_info: STRING
		local
			curr_version, latest_version: DELTA_VERSION
		do
			create {DELTA_CURRENT_VERSION} curr_version
			create {DELTA_LATEST_VERSION} latest_version
			if curr_version.number.is_equal (latest_version.number) then
				Result := "Delta version " + curr_version.number +
			  		" built on " + curr_version.release_date
			else
				Result := "This is NOT the latest version of Delta%N%N" +
					"This is version " + curr_version.number +
			  		" built on " + curr_version.release_date +
					"%NLatest version is " + latest_version.number +
			  		" built on " + latest_version.release_date
					
			end
		end
		
	version_number: STRING = "1.0.1"
	
	version_date: STRING = "Wed Jan  7 16:01:52 PST 2004"
	
end
