
indexing
	
	description: "Design and associated package information"
	author: "David Hollenberg"
	date: "April 13, 2007"

class DESIGN_AND_PACKAGE

create
	default_create

feature -- Properties

	design_no: INTEGER
			-- Design number

	export_control_type: STRING
			-- Export control type for design

	wafer_etest_id: STRING
			-- Wafer etest ID of lot on which design will be
			-- fabricated

	wafer_process: STRING
			-- Process on which design will be fabricated

	package_id: STRING
			-- Package in which design will be packaged

	is_plastic: BOOLEAN
			-- Is this a plastic package?

	manufacturer_short_id: STRING
			-- Short ID for organization that manufactured package

feature -- Modification

	set_design_no (a_design_no: like design_no)
			-- Set `design_no' to `a_design_no'
		do
			design_no := a_design_no
		end

	set_export_control_type (a_type: like export_control_type)
			-- Set `export_control_type' to `a_type'
		do
			export_control_type := a_type
		end

	set_wafer_process (a_wafer_process: like wafer_process)
			-- Set `wafer_process' to `a_wafer_process'
		do
			wafer_process := a_wafer_process
		end

	set_wafer_etest_id (a_wafer_etest_id: like wafer_etest_id)
			-- Set `wafer_etest_id' to `a_wafer_etest_id'
		do
			wafer_etest_id := a_wafer_etest_id
		end

	set_package_id (a_package_id: like package_id)
			-- Set `package_id' to `a_package_id'
		do
			package_id := a_package_id
		end

	set_is_plastic (a_value: like is_plastic)
			-- Set `is_plastic' to `a_value'
		do
			is_plastic := a_value
		end

	set_manufacturer_short_id (a_manufacturer_short_id: like manufacturer_short_id)
			-- Set `manufacturer_short_id' to `a_manufacturer_short_id'
		do
			manufacturer_short_id := a_manufacturer_short_id
		end

end
