
indexing

	date: "Tue Apr 24 10:30:11 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"DESIGN_CHECK_MESSAGES (MOSIS.DESIGN_CHECK_MESSAGES)"
			-- Included columns
			-- 	DESIGN_NO
			-- 	MESSAGE_CLASS
			-- 	MESSAGE_NO
			-- 	REVISION_NO
			-- 	SEVERITY
			-- 	TEXT
			-- Excluded columns
			-- 	(none)

class DESIGN_CHECK_MESSAGES_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 6

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  design_no, message_class, message_no, revision_no, severity, text"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "design_check_messages dcm"

	join_condition: STRING = ""

	table_name: STRING = "design_check_messages"

	key_where_clause: STRING = ""

feature -- Values

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	message_class: STRING
			-- DB: VARCHAR2(24) not null

	message_no: INTEGER
			-- DB: NUMBER(6,0) not null

	revision_no: INTEGER
			-- DB: NUMBER(6,0) not null

	severity: CHARACTER
			-- DB: CHAR(1) not null
			-- Eiffel type specified explicitly

	text: STRING
			-- DB: VARCHAR2(2000) not null

feature -- Nullness for non-null columns

	is_null_design_no: BOOLEAN
	is_null_message_class: BOOLEAN
	is_null_message_no: BOOLEAN
	is_null_revision_no: BOOLEAN
	is_null_severity: BOOLEAN
	is_null_text: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and design_no = r.design_no
				and message_no = r.message_no
				and revision_no = r.revision_no
			Result := Result
				and is_null_design_no = r.is_null_design_no
				and is_null_message_no = r.is_null_message_no
				and is_null_revision_no = r.is_null_revision_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and severity = r.severity
			Result := Result
				and equal (message_class, r.message_class)
				and equal (text, r.text)
			Result := Result
				and is_null_message_class = r.is_null_message_class
				and is_null_severity = r.is_null_severity
				and is_null_text = r.is_null_text
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_string (2, 24)
			q.select_integer (3)
			q.select_integer (4)
			q.select_character (5)
			q.select_string (6, 2000)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			design_no := q.integer_value (1)
			message_no := q.integer_value (3)
			revision_no := q.integer_value (4)
			severity := q.character_value (5)
		end

	fill_in_references (q: SQL_QUERY)
		do
			message_class := q.string_value (2)
			text := q.string_value (6)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, message_class)
			q.get_string_value (6, text)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_design_no := q.is_null (1)
			is_null_message_class := q.is_null (2)
			is_null_message_no := q.is_null (3)
			is_null_revision_no := q.is_null (4)
			is_null_severity := q.is_null (5)
			is_null_text := q.is_null (6)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_no := True
			is_null_revision_no := True
			is_null_message_no := True
		end

	set_null_nonkey
		do
			is_null_message_class := True
			is_null_severity := True
			is_null_text := True
			create message_class.make (0)
			create text.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and design_no = q.integer_value (1)
				and message_no = q.integer_value (3)
				and revision_no = q.integer_value (4)
				and severity = q.character_value (5)
			q.get_string_value (2, s)
			Result := Result and equal (message_class, s)
			q.get_string_value (6, s)
			Result := Result and equal (text, s)
			Result := Result
				and is_null_design_no = q.is_null (1)
				and is_null_message_class = q.is_null (2)
				and is_null_message_no = q.is_null (3)
				and is_null_revision_no = q.is_null (4)
				and is_null_severity = q.is_null (5)
				and is_null_text = q.is_null (6)
		end

end
