
indexing
	
	description: "Design name in a multi column list"
	author: "David Hollenberg"
	date: "December 22, 2005"

class DESIGN_NAME_COLUMN [G -> HAS_DESIGN_NAME]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Design Name"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_design_name then
				Result := r.design_name
			else
				Result := ""
			end
		end

	comparator: DESIGN_NAME_COMPARATOR [G]
		do
			create Result
		end

end
