
indexing
	
	description: "Comparator for design no in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class DESIGN_NO_COMPARATOR [G -> HAS_DESIGN_NUMBER]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_design_number and v.has_design_number then
				Result := u.design_number < v.design_number
			elseif v.has_design_number then
				Result := True
			else
				Result := False
			end
		end

end
