
indexing

	date: "Fri Jan 23 15:56:02 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user GOLDBERG"
	database_tables: 
		"DESIGN_TECHN_LAYERS (MOSIS.DESIGN_TECHN_LAYERS)"
			-- Included columns
			-- 	CD_STYLE
			-- 	DESIGN_TECHN
			-- 	DESIGN_TECHN_ID
			-- 	FAR_EDGE
			-- 	FILL_ROLE
			-- 	LAYER_ID
			-- 	LAYER_NAME
			-- 	MEBES_SPOT_SIZE
			-- 	MIN_SPACING
			-- 	MIN_WIDTH
			-- 	NEAR_EDGE
			-- 	SCRIBE_STYLE
			-- Excluded columns
			-- 	(none)

class DESIGN_TECHN_LAYERS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	DESIGN_TECHN_LAYERS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached

feature -- Modification

	set_cd_style (s: STRING)
		do
			change_field (True, True)
			cd_style := s
			if s = Void then
				create cd_style.make (0)
			end
			is_null_cd_style := s = Void or else s.count = 0
		end

	set_design_techn (s: STRING)
		do
			change_key_field
			design_techn := s
			if s = Void then
				create design_techn.make (0)
			end
			is_null_design_techn := s = Void or else s.count = 0
		end

	set_design_techn_id (s: STRING)
		do
			change_field (True, True)
			design_techn_id := s
			if s = Void then
				create design_techn_id.make (0)
			end
			is_null_design_techn_id := s = Void or else s.count = 0
		end

	set_far_edge (d: DOUBLE)
		do
			change_field (True, True)
			far_edge := d
			is_null_far_edge := False
		end

	set_fill_role (s: STRING)
		do
			change_field (True, True)
			fill_role := s
			if s = Void then
				create fill_role.make (0)
			end
			is_null_fill_role := s = Void or else s.count = 0
		end

	set_layer_id (c: CHARACTER)
		do
			change_field (True, True)
			layer_id := c
			is_null_layer_id := False
		end

	set_layer_name (s: STRING)
		do
			change_key_field
			layer_name := s
			if s = Void then
				create layer_name.make (0)
			end
			is_null_layer_name := s = Void or else s.count = 0
		end

	set_mebes_spot_size (d: DOUBLE)
		do
			change_field (True, True)
			mebes_spot_size := d
			is_null_mebes_spot_size := False
		end

	set_min_spacing (d: DOUBLE)
		do
			change_field (True, True)
			min_spacing := d
			is_null_min_spacing := False
		end

	set_min_width (d: DOUBLE)
		do
			change_field (True, True)
			min_width := d
			is_null_min_width := False
		end

	set_near_edge (d: DOUBLE)
		do
			change_field (True, True)
			near_edge := d
			is_null_near_edge := False
		end

	set_scribe_style (s: STRING)
		do
			change_field (True, True)
			scribe_style := s
			if s = Void then
				create scribe_style.make (0)
			end
			is_null_scribe_style := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_cd_style
		do
			set_cd_style (Void)
		end

	set_null_far_edge
		do
			change_field (True, True)
			far_edge := 0.0
			is_null_far_edge := True
		end

	set_null_layer_id
		do
			change_field (True, True)
			layer_id := '%U'
			is_null_layer_id := True
		end

	set_null_mebes_spot_size
		do
			change_field (True, True)
			mebes_spot_size := 0.0
			is_null_mebes_spot_size := True
		end

	set_null_min_spacing
		do
			change_field (True, True)
			min_spacing := 0.0
			is_null_min_spacing := True
		end

	set_null_min_width
		do
			change_field (True, True)
			min_width := 0.0
			is_null_min_width := True
		end

	set_null_near_edge
		do
			change_field (True, True)
			near_edge := 0.0
			is_null_near_edge := True
		end

	set_null_scribe_style
		do
			set_scribe_style (Void)
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_cd_style then
				set_null_cd_style
			else
				set_cd_style (r.cd_style)
			end
			if r.is_null_design_techn then
				handle_null_copy_error ("design_techn")
			else
				set_design_techn (r.design_techn)
			end
			if r.is_null_design_techn_id then
				handle_null_copy_error ("design_techn_id")
			else
				set_design_techn_id (r.design_techn_id)
			end
			if r.is_null_far_edge then
				set_null_far_edge
			else
				set_far_edge (r.far_edge)
			end
			if r.is_null_fill_role then
				handle_null_copy_error ("fill_role")
			else
				set_fill_role (r.fill_role)
			end
			if r.is_null_layer_id then
				set_null_layer_id
			else
				set_layer_id (r.layer_id)
			end
			if r.is_null_layer_name then
				handle_null_copy_error ("layer_name")
			else
				set_layer_name (r.layer_name)
			end
			if r.is_null_mebes_spot_size then
				set_null_mebes_spot_size
			else
				set_mebes_spot_size (r.mebes_spot_size)
			end
			if r.is_null_min_spacing then
				set_null_min_spacing
			else
				set_min_spacing (r.min_spacing)
			end
			if r.is_null_min_width then
				set_null_min_width
			else
				set_min_width (r.min_width)
			end
			if r.is_null_near_edge then
				set_null_near_edge
			else
				set_near_edge (r.near_edge)
			end
			if r.is_null_scribe_style then
				set_null_scribe_style
			else
				set_scribe_style (r.scribe_style)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, cd_style, is_null_cd_style)
			s.bind_num_to_string (2, design_techn, is_null_design_techn)
			s.bind_num_to_string (3, design_techn_id, is_null_design_techn_id)
			s.bind_num_to_double (4, far_edge, is_null_far_edge)
			s.bind_num_to_string (5, fill_role, is_null_fill_role)
			s.bind_num_to_character (6, layer_id, is_null_layer_id)
			s.bind_num_to_string (7, layer_name, is_null_layer_name)
			s.bind_num_to_double (8, mebes_spot_size, is_null_mebes_spot_size)
			s.bind_num_to_double (9, min_spacing, is_null_min_spacing)
			s.bind_num_to_double (10, min_width, is_null_min_width)
			s.bind_num_to_double (11, near_edge, is_null_near_edge)
			s.bind_num_to_string (12, scribe_style, is_null_scribe_style)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12"

	bind_list_for_update: STRING = "  cd_style = :1, design_techn = :2, design_techn_id = :3, far_edge = :4,%N  fill_role = :5, layer_id = :6, layer_name = :7, mebes_spot_size = :8,%N  min_spacing = :9, min_width = :10, near_edge = :11, scribe_style = :12"

end
