
indexing

	date: "Tue Apr 24 10:30:11 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user DHOLLEN"
	database_tables: 
		"DESIGN_TECHN#LAYER_ERRORS (MOSIS.DESIGN_TECHN#LAYER_ERRORS)",
			-- Included columns
			-- 	DESIGN_TECHN_ID
			-- 	LAYER_ERROR_ID
			-- 	SEVERITY
			-- Excluded columns
			-- 	(none)
		"LAYER_ERRORS (MOSIS.LAYER_ERRORS)"
			-- Included columns
			-- 	DESCR
			-- Excluded columns
			-- 	LAYER_ERROR_ID

class DESIGN_TECHNXLAYER_ERRORS_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  design_techn_id, dt.layer_error_id, severity, descr"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "design_techn#layer_errors dt, layer_errors le"

	join_condition: STRING = "dt.layer_error_id = le.layer_error_id"

	table_count: INTEGER = 2

	group_by: STRING = ""

feature -- Values

	design_techn_id: STRING
			-- DB: VARCHAR2(50) not null

	layer_error_id: STRING
			-- DB: VARCHAR2(20) not null

	severity: CHARACTER
			-- DB: CHAR(1) not null
			-- Eiffel type specified explicitly

	descr: STRING
			-- DB: VARCHAR2(255)

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_techn_id: BOOLEAN
	is_null_layer_error_id: BOOLEAN
	is_null_severity: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (design_techn_id, r.design_techn_id)
				and equal (layer_error_id, r.layer_error_id)
			Result := Result
				and is_null_design_techn_id = r.is_null_design_techn_id
				and is_null_layer_error_id = r.is_null_layer_error_id
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and severity = r.severity
			Result := Result
				and equal (descr, r.descr)
			Result := Result
				and is_null_severity = r.is_null_severity
				and is_null_descr = r.is_null_descr
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 50)
			q.select_string (2, 20)
			q.select_character (3)
			q.select_string (4, 255)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			severity := q.character_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			design_techn_id := q.string_value (1)
			layer_error_id := q.string_value (2)
			descr := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, design_techn_id)
			q.get_string_value (2, layer_error_id)
			q.get_string_value (4, descr)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_design_techn_id := q.is_null (1)
			is_null_layer_error_id := q.is_null (2)
			is_null_severity := q.is_null (3)
			is_null_descr := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_design_techn_id := True
			is_null_layer_error_id := True
			is_null_severity := True
			is_null_descr := True
			create design_techn_id.make (0)
			create layer_error_id.make (0)
			create descr.make (0)
		end

end
