
indexing
	
	description: "Die id column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class DIE_ID_COLUMN [G -> HAS_DIE_ID]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Die ID"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.die_id
		end

	comparator: DIE_ID_COMPARATOR [G]
		do
			create Result
		end

end
