
indexing

	author: "David Hollenberg"
	date: "March 1, 2007"

class DIE_ID_FIRST_LETTERS_ROW
inherit
	DIE_ID_FIRST_LETTERS_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature

	rows_for_litho_type (lt: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All rows for litho type `lt', ordered by die type
			-- and letter order
		require
			lt_exists: lt /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_S
		do
			create b.make (lt)
			Result := all_rows_filtered_ordered (conn, "litho_type = :1", b, "die_type, letter_order")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
