
indexing

	author: "Generated"
	date: "Fri Feb 27 10:32:55 PST 2004"

class DIEXCUT_QUANTITIES_ROW
inherit
	DIEXCUT_QUANTITIES_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null

feature -- Properties

	rows_for_run_die (run, die: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All rows for run `run' and die id `die'
		require
			run_exists: run /= Void
			die_exists: die /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_SS
		do
			create b.make (run, die)
			Result := all_rows_filtered (conn, "run_id = :1 and die_id = :2", b)
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end


end
