indexing
	description:
		"Standard Colors for drawings."
	author: "Barden E. Smith"
	date:	"February 11, 2005"

class
	DRW_COLOR_GENERATOR

inherit
	ANY
		export
			{NONE} default_create
		redefine
			default_create
		end

create
	default_create

feature -- Colors

	colors: HASH_TABLE [DRW_COLOR, STRING]

feature -- Color names
			
	Aliceblue_name: STRING is "aliceblue"
	
	Antiquewhite_name: STRING is "antiquewhite"
	
	Aqua_name: STRING is "aqua"
	
	Aquamarine_name: STRING is "aquamarine"
	
	Azure_name: STRING is "azure"
	
	Beige_name: STRING is "beige"
	
	Bisque_name: STRING is "bisque"
	
	Black_name: STRING is "black"
	
	Blanchedalmond_name: STRING is "blanchedalmond"
	
	Blue_name: STRING is "blue"
	
	Blueviolet_name: STRING is "blueviolet"
	
	Brown_name: STRING is "brown"
	
	Burlywood_name: STRING is "burlywood"
	
	Cadetblue_name: STRING is "cadetblue"
	
	Chartreuse_name: STRING is "chartreuse"
	
	Chocolate_name: STRING is "chocolate"
	
	Coral_name: STRING is "coral"
	
	Cornflowerblue_name: STRING is "cornflowerblue"
	
	Cornsilk_name: STRING is "cornsilk"
	
	Crimson_name: STRING is "crimson"
	
	Cyan_name: STRING is "cyan"
	
	Darkblue_name: STRING is "darkblue"
	
	Darkcyan_name: STRING is "darkcyan"
	
	Darkgoldenrod_name: STRING is "darkgoldenrod"
	
	Darkgray_name: STRING is "darkgray"
	
	Darkgreen_name: STRING is "darkgreen"
	
	Darkgrey_name: STRING is "darkgrey"
	
	Darkkhaki_name: STRING is "darkkhaki"
	
	Darkmagenta_name: STRING is "darkmagenta"
	
	Darkolivegreen_name: STRING is "darkolivegreen"
	
	Darkorange_name: STRING is "darkorange"
	
	Darkorchid_name: STRING is "darkorchid"
	
	Darkred_name: STRING is "darkred"
	
	Darksalmon_name: STRING is "darksalmon"
	
	Darkseagreen_name: STRING is "darkseagreen"
	
	Darkslateblue_name: STRING is "darkslateblue"
	
	Darkslategray_name: STRING is "darkslategray"
	
	Darkslategrey_name: STRING is "darkslategrey"
	
	Darkturquoise_name: STRING is "darkturquoise"
	
	Darkviolet_name: STRING is "darkviolet"
	
	Deeppink_name: STRING is "deeppink"
	
	Deepskyblue_name: STRING is "deepskyblue"
	
	Dimgray_name: STRING is "dimgray"
	
	Dimgrey_name: STRING is "dimgrey"
	
	Dodgerblue_name: STRING is "dodgerblue"
	
	Firebrick_name: STRING is "firebrick"
	
	Floralwhite_name: STRING is "floralwhite"
	
	Forestgreen_name: STRING is "forestgreen"
	
	Fuchsia_name: STRING is "fuchsia"
	
	Gainsboro_name: STRING is "gainsboro"
	
	Ghostwhite_name: STRING is "ghostwhite"
	
	Gold_name: STRING is "gold"
	
	Goldenrod_name: STRING is "goldenrod"
	
	Gray_name: STRING is "gray"
	
	Grey_name: STRING is "grey"
	
	Green_name: STRING is "green"
	
	Greenyellow_name: STRING is "greenyellow"
	
	Honeydew_name: STRING is "honeydew"
	
	Hotpink_name: STRING is "hotpink"
	
	Indianred_name: STRING is "indianred"
	
	Indigo_name: STRING is "indigo"
	
	Ivory_name: STRING is "ivory"
	
	Khaki_name: STRING is "khaki"
	
	Lavender_name: STRING is "lavender"
	
	Lavenderblush_name: STRING is "lavenderblush"
	
	Lawngreen_name: STRING is "lawngreen"
	
	Lemonchiffon_name: STRING is "lemonchiffon"
	
	Lightblue_name: STRING is "lightblue"
	
	Lightcoral_name: STRING is "lightcoral"
	
	Lightcyan_name: STRING is "lightcyan"
	
	Lightgoldenrodyellow_name: STRING is "lightgoldenrodyellow"
	
	Lightgray_name: STRING is "lightgray"
	
	Lightgreen_name: STRING is "lightgreen"
	
	Lightgrey_name: STRING is "lightgrey"
	
	Lightpink_name: STRING is "lightpink"
	
	Lightsalmon_name: STRING is "lightsalmon"
	
	Lightseagreen_name: STRING is "lightseagreen"
	
	Lightskyblue_name: STRING is "lightskyblue"
	
	Lightslategray_name: STRING is "lightslategray"
	
	Lightslategrey_name: STRING is "lightslategrey"
	
	Lightsteelblue_name: STRING is "lightsteelblue"
	
	Lightyellow_name: STRING is "lightyellow"
	
	Lime_name: STRING is "lime"
	
	Limegreen_name: STRING is "limegreen"
	
	Linen_name: STRING is "linen"
	
	Magenta_name: STRING is "magenta"
	
	Maroon_name: STRING is "maroon"
	
	Mediumaquamarine_name: STRING is "mediumaquamarine"
	
	Mediumblue_name: STRING is "mediumblue"
	
	Mediumorchid_name: STRING is "mediumorchid"
	
	Mediumpurple_name: STRING is "mediumpurple"
	
	Mediumseagreen_name: STRING is "mediumseagreen"
	
	Mediumslateblue_name: STRING is "mediumslateblue"
	
	Mediumspringgreen_name: STRING is "mediumspringgreen"
	
	Mediumturquoise_name: STRING is "mediumturquoise"
	
	Mediumvioletred_name: STRING is "mediumvioletred"
	
	Midnightblue_name: STRING is "midnightblue"
	
	Mintcream_name: STRING is "mintcream"
	
	Mistyrose_name: STRING is "mistyrose"
	
	Moccasin_name: STRING is "moccasin"
	
	Navajowhite_name: STRING is "navajowhite"
	
	Navy_name: STRING is "navy"
	
	Oldlace_name: STRING is "oldlace"
	
	Olive_name: STRING is "olive"
	
	Olivedrab_name: STRING is "olivedrab"
	
	Orange_name: STRING is "orange"
	
	Orangered_name: STRING is "orangered"
	
	Orchid_name: STRING is "orchid"
	
	Palegoldenrod_name: STRING is "palegoldenrod"
	
	Palegreen_name: STRING is "palegreen"
	
	Paleturquoise_name: STRING is "paleturquoise"
	
	Palevioletred_name: STRING is "palevioletred"
	
	Papayawhip_name: STRING is "papayawhip"
	
	Peachpuff_name: STRING is "peachpuff"
	
	Peru_name: STRING is "peru"
	
	Pink_name: STRING is "pink"
	
	Plum_name: STRING is "plum"
	
	Powderblue_name: STRING is "powderblue"
	
	Purple_name: STRING is "purple"
	
	Red_name: STRING is "red"
	
	Rosybrown_name: STRING is "rosybrown"
	
	Royalblue_name: STRING is "royalblue"
	
	Saddlebrown_name: STRING is "saddlebrown"
	
	Salmon_name: STRING is "salmon"
	
	Sandybrown_name: STRING is "sandybrown"
	
	Seagreen_name: STRING is "seagreen"
	
	Seashell_name: STRING is "seashell"
	
	Sienna_name: STRING is "sienna"
	
	Silver_name: STRING is "silver"
	
	Skyblue_name: STRING is "skyblue"
	
	Slateblue_name: STRING is "slateblue"
	
	Slategray_name: STRING is "slategray"
	
	Slategrey_name: STRING is "slategrey"
	
	Snow_name: STRING is "snow"
	
	Springgreen_name: STRING is "springgreen"
	
	Steelblue_name: STRING is "steelblue"
	
	Tan_name: STRING is "tan"
	
	Teal_name: STRING is "teal"
	
	Thistle_name: STRING is "thistle"
	
	Tomato_name: STRING is "tomato"
	
	Turquoise_name: STRING is "turquoise"
	
	Violet_name: STRING is "violet"
	
	Wheat_name: STRING is "wheat"
	
	White_name: STRING is "white"
	
	Whitesmoke_name: STRING is "whitesmoke"
	
	Yellow_name: STRING is "yellow"
	
	Yellowgreen_name: STRING is "yellowgreen"

feature {NONE} -- Implementation

	add_color_rgb (name: STRING r, g, b: INTEGER) is
		require
			have_table: colors /= Void
		local
			c: DRW_COLOR
		do
			create c.make_named_rgb (name, r / 255.0, g / 255.0, b / 255.0)
			colors.extend (c, name)
		end


feature {NONE} -- Creation

	default_create is
		do
			create colors.make (147)
			add_color_rgb (Aliceblue_name, 240, 248, 255)
			add_color_rgb (Antiquewhite_name, 250, 235, 215)
			add_color_rgb (Aqua_name, 0, 255, 255)
			add_color_rgb (Aquamarine_name, 127, 255, 212)
			add_color_rgb (Azure_name, 240, 255, 255)
			add_color_rgb (Beige_name, 245, 245, 220)
			add_color_rgb (Bisque_name, 255, 228, 196)
			add_color_rgb (Black_name, 0, 0, 0)
			add_color_rgb (Blanchedalmond_name, 255, 235, 205)
			add_color_rgb (Blue_name, 0, 0, 255)
			add_color_rgb (Blueviolet_name, 138, 43, 226)
			add_color_rgb (Brown_name, 165, 42, 42)
			add_color_rgb (Burlywood_name, 222, 184, 135)
			add_color_rgb (Cadetblue_name, 95, 158, 160)
			add_color_rgb (Chartreuse_name, 127, 255, 0)
			add_color_rgb (Chocolate_name, 210, 105, 30)
			add_color_rgb (Coral_name, 255, 127, 80)
			add_color_rgb (Cornflowerblue_name, 100, 149, 237)
			add_color_rgb (Cornsilk_name, 255, 248, 220)
			add_color_rgb (Crimson_name, 220, 20, 60)
			add_color_rgb (Cyan_name, 0, 255, 255)
			add_color_rgb (Darkblue_name, 0, 0, 139)
			add_color_rgb (Darkcyan_name, 0, 139, 139)
			add_color_rgb (Darkgoldenrod_name, 184, 134, 11)
			add_color_rgb (Darkgray_name, 169, 169, 169)
			add_color_rgb (Darkgreen_name, 0, 100, 0)
			add_color_rgb (Darkgrey_name, 169, 169, 169)
			add_color_rgb (Darkkhaki_name, 189, 183, 107)
			add_color_rgb (Darkmagenta_name, 139, 0, 139)
			add_color_rgb (Darkolivegreen_name, 85, 107, 47)
			add_color_rgb (Darkorange_name, 255, 140, 0)
			add_color_rgb (Darkorchid_name, 153, 50, 204)
			add_color_rgb (Darkred_name, 139, 0, 0)
			add_color_rgb (Darksalmon_name, 233, 150, 122)
			add_color_rgb (Darkseagreen_name, 143, 188, 143)
			add_color_rgb (Darkslateblue_name, 72, 61, 139)
			add_color_rgb (Darkslategray_name, 47, 79, 79)
			add_color_rgb (Darkslategrey_name, 47, 79, 79)
			add_color_rgb (Darkturquoise_name, 0, 206, 209)
			add_color_rgb (Darkviolet_name, 148, 0, 211)
			add_color_rgb (Deeppink_name, 255, 20, 147)
			add_color_rgb (Deepskyblue_name, 0, 191, 255)
			add_color_rgb (Dimgray_name, 105, 105, 105)
			add_color_rgb (Dimgrey_name, 105, 105, 105)
			add_color_rgb (Dodgerblue_name, 30, 144, 255)
			add_color_rgb (Firebrick_name, 178, 34, 34)
			add_color_rgb (Floralwhite_name, 255, 250, 240)
			add_color_rgb (Forestgreen_name, 34, 139, 34)
			add_color_rgb (Fuchsia_name, 255, 0, 255)
			add_color_rgb (Gainsboro_name, 220, 220, 220)
			add_color_rgb (Ghostwhite_name, 248, 248, 255)
			add_color_rgb (Gold_name, 255, 215, 0)
			add_color_rgb (Goldenrod_name, 218, 165, 32)
			add_color_rgb (Gray_name, 128, 128, 128)
			add_color_rgb (Grey_name, 128, 128, 128)
			add_color_rgb (Green_name, 0, 128, 0)
			add_color_rgb (Greenyellow_name, 173, 255, 47)
			add_color_rgb (Honeydew_name, 240, 255, 240)
			add_color_rgb (Hotpink_name, 255, 105, 180)
			add_color_rgb (Indianred_name, 205, 92, 92)
			add_color_rgb (Indigo_name, 75, 0, 130)
			add_color_rgb (Ivory_name, 255, 255, 240)
			add_color_rgb (Khaki_name, 240, 230, 140)
			add_color_rgb (Lavender_name, 230, 230, 250)
			add_color_rgb (Lavenderblush_name, 255, 240, 245)
			add_color_rgb (Lawngreen_name, 124, 252, 0)
			add_color_rgb (Lemonchiffon_name, 255, 250, 205)
			add_color_rgb (Lightblue_name, 173, 216, 230)
			add_color_rgb (Lightcoral_name, 240, 128, 128)
			add_color_rgb (Lightcyan_name, 224, 255, 255)
			add_color_rgb (Lightgoldenrodyellow_name, 250, 250, 210)
			add_color_rgb (Lightgray_name, 211, 211, 211)
			add_color_rgb (Lightgreen_name, 144, 238, 144)
			add_color_rgb (Lightgrey_name, 211, 211, 211)
			add_color_rgb (Lightpink_name, 255, 182, 193)
			add_color_rgb (Lightsalmon_name, 255, 160, 122)
			add_color_rgb (Lightseagreen_name, 32, 178, 170)
			add_color_rgb (Lightskyblue_name, 135, 206, 250)
			add_color_rgb (Lightslategray_name, 119, 136, 153)
			add_color_rgb (Lightslategrey_name, 119, 136, 153)
			add_color_rgb (Lightsteelblue_name, 176, 196, 222)
			add_color_rgb (Lightyellow_name, 255, 255, 224)
			add_color_rgb (Lime_name, 0, 255, 0)
			add_color_rgb (Limegreen_name, 50, 205, 50)
			add_color_rgb (Linen_name, 250, 240, 230)
			add_color_rgb (Magenta_name, 255, 0, 255)
			add_color_rgb (Maroon_name, 128, 0, 0)
			add_color_rgb (Mediumaquamarine_name, 102, 205, 170)
			add_color_rgb (Mediumblue_name, 0, 0, 205)
			add_color_rgb (Mediumorchid_name, 186, 85, 211)
			add_color_rgb (Mediumpurple_name, 147, 112, 219)
			add_color_rgb (Mediumseagreen_name, 60, 179, 113)
			add_color_rgb (Mediumslateblue_name, 123, 104, 238)
			add_color_rgb (Mediumspringgreen_name, 0, 250, 154)
			add_color_rgb (Mediumturquoise_name, 72, 209, 204)
			add_color_rgb (Mediumvioletred_name, 199, 21, 133)
			add_color_rgb (Midnightblue_name, 25, 25, 112)
			add_color_rgb (Mintcream_name, 245, 255, 250)
			add_color_rgb (Mistyrose_name, 255, 228, 225)
			add_color_rgb (Moccasin_name, 255, 228, 181)
			add_color_rgb (Navajowhite_name, 255, 222, 173)
			add_color_rgb (Navy_name, 0, 0, 128)
			add_color_rgb (Oldlace_name, 253, 245, 230)
			add_color_rgb (Olive_name, 128, 128, 0)
			add_color_rgb (Olivedrab_name, 107, 142, 35)
			add_color_rgb (Orange_name, 255, 165, 0)
			add_color_rgb (Orangered_name, 255, 69, 0)
			add_color_rgb (Orchid_name, 218, 112, 214)
			add_color_rgb (Palegoldenrod_name, 238, 232, 170)
			add_color_rgb (Palegreen_name, 152, 251, 152)
			add_color_rgb (Paleturquoise_name, 175, 238, 238)
			add_color_rgb (Palevioletred_name, 219, 112, 147)
			add_color_rgb (Papayawhip_name, 255, 239, 213)
			add_color_rgb (Peachpuff_name, 255, 218, 185)
			add_color_rgb (Peru_name, 205, 133, 63)
			add_color_rgb (Pink_name, 255, 192, 203)
			add_color_rgb (Plum_name, 221, 160, 221)
			add_color_rgb (Powderblue_name, 176, 224, 230)
			add_color_rgb (Purple_name, 128, 0, 128)
			add_color_rgb (Red_name, 255, 0, 0)
			add_color_rgb (Rosybrown_name, 188, 143, 143)
			add_color_rgb (Royalblue_name, 65, 105, 225)
			add_color_rgb (Saddlebrown_name, 139, 69, 19)
			add_color_rgb (Salmon_name, 250, 128, 114)
			add_color_rgb (Sandybrown_name, 244, 164, 96)
			add_color_rgb (Seagreen_name, 46, 139, 87)
			add_color_rgb (Seashell_name, 255, 245, 238)
			add_color_rgb (Sienna_name, 160, 82, 45)
			add_color_rgb (Silver_name, 192, 192, 192)
			add_color_rgb (Skyblue_name, 135, 206, 235)
			add_color_rgb (Slateblue_name, 106, 90, 205)
			add_color_rgb (Slategray_name, 112, 128, 144)
			add_color_rgb (Slategrey_name, 112, 128, 144)
			add_color_rgb (Snow_name, 255, 250, 250)
			add_color_rgb (Springgreen_name, 0, 255, 127)
			add_color_rgb (Steelblue_name, 70, 130, 180)
			add_color_rgb (Tan_name, 210, 180, 140)
			add_color_rgb (Teal_name, 0, 128, 128)
			add_color_rgb (Thistle_name, 216, 191, 216)
			add_color_rgb (Tomato_name, 255, 99, 71)
			add_color_rgb (Turquoise_name, 64, 224, 208)
			add_color_rgb (Violet_name, 238, 130, 238)
			add_color_rgb (Wheat_name, 245, 222, 179)
			add_color_rgb (White_name, 255, 255, 255)
			add_color_rgb (Whitesmoke_name, 245, 245, 245)
			add_color_rgb (Yellow_name, 255, 255, 0)
			add_color_rgb (Yellowgreen_name, 154, 205, 50)
		end

end -- class DRW_COLOR_GENERATOR
