indexing
	description:
		"Drawing command type constants."
	author: "Barden E. Smith"
	date:	"August 13, 2004"

class
	DRW_COMMAND_TYPE

feature {DRW_COMMAND, DRW_COMMAND_PROCESSOR} -- Implementation

	drw_pathseg_unknown:				INTEGER is 0;
	drw_pathseg_closepath:				INTEGER is 1;
	drw_pathseg_moveto_abs:				INTEGER is 2;
	drw_pathseg_moveto_rel:				INTEGER is 3;
	drw_pathseg_lineto_abs:				INTEGER is 4;
	drw_pathseg_lineto_rel:				INTEGER is 5;
	drw_pathseg_curveto_cubic_abs:			INTEGER is 6;
	drw_pathseg_curveto_cubic_rel:			INTEGER is 7;
	drw_pathseg_curveto_quadratic_abs:		INTEGER is 8;
	drw_pathseg_curveto_quadratic_rel:		INTEGER is 9;
	drw_pathseg_arc_abs:				INTEGER is 10;
	drw_pathseg_arc_rel:				INTEGER is 11;
	drw_pathseg_lineto_horizontal_abs:		INTEGER is 12;
	drw_pathseg_lineto_horizontal_rel:		INTEGER is 13;
	drw_pathseg_lineto_vertical_abs:		INTEGER is 14;
	drw_pathseg_lineto_vertical_rel:		INTEGER is 15;
	drw_pathseg_curveto_cubic_smooth_abs:		INTEGER is 16;
	drw_pathseg_curveto_cubic_smooth_rel:		INTEGER is 17;
	drw_pathseg_curveto_quadratic_smooth_abs:	INTEGER is 18;
	drw_pathseg_curveto_quadratic_smooth_rel:	INTEGER is 19;

end -- class DRW_COMMAND_TYPE