
indexing
	
	description: "Filter that selects only reticle elements any of whose %
		%copies contains a view point"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_ANY_COPY_CONTAINS_POINT_FILTER
inherit
	VIEW_POINT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.any_copies_contain (point)
		end

end
