
indexing
	
	description: "Filter that selects only isolated elements that %
		%have a die size determined by surrounding cuts that is %
		%different than the die size determined by surrounding scribes"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_NON_DEFAULT_CUT_SIZE_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.has_non_default_cut_die_size
		end


end
