
indexing
	
	description: "Filter that selects only reticle elements that %
		%are projects whose cut die size determined by surrounding %
		%scribes exceeds their maximum die size"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_SCRIBE_CUT_DIE_TOO_BIG_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_scribe_cut_die_too_big
		end


end
