
indexing
	
	description: "Filter that selects only reticle elements that are %
		%that are currently selected and that can be isolated"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_SELECTED_ISOLATABLE_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.can_be_isolated and an_element.is_selected
		end


end
