
indexing
	
	description: "Filter that selects only reticle elements that are %
		%scribes or fillers whose size is below the small object %
		%threshold in either dimension (just length for scribes).%
		%Alternate version that provides option to include or exclude %
		%scribes."
	author: "David Hollenberg"
	date: "October 1, 2006"

class ELEM_SMALL_SCRIBE_FILLER_ALT_FILTER
inherit
	VIEW_ELEMENT_FILTER
	SCRIBES_INCLUDABLE

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_small_scribe_or_filler and (scribes_included or an_element.is_non_scribe)
		end


end
