
indexing
	
	description: "Filter that selects only reticle elements that %
		%are intersect at least one field of view and have at least %
		%one edge which is too close to field of view edge.  Alternate %
		%version that provides option to include or exclude scribes"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_TOO_CLOSE_TO_EDGE_ALT_FILTER
inherit
	VIEW_ELEMENT_FILTER
	SCRIBES_INCLUDABLE

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_too_close_to_field_edge and (scribes_included or an_element.is_non_scribe)
		end


end
