
indexing
	
	description: "Filter that selects only reticle elements that %
		%intersect at least one field of view and that are too close %
		%to another object that also intersects at least one field"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_TOO_CLOSE_TO_OBJECT_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_too_close_to_object
		end


end
