
indexing
	
	description: "Filter that selects only reticle elements that %
		%are projects which are not centered in their cut die"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_UNCENTERED_IN_CUT_DIE_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_uncentered_in_cut_die
		end


end
