
indexing
	
	description: "Filter that selects only reticle elements that have %
		%associated wafer etest ID(s) but have not been assigned a %
		%specific one"
	author: "David Hollenberg"
	date: "October 1, 2006"

class ELEM_WAFER_ETEST_ID_UNASSIGNED_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_wafer_etest_id_missing
		end


end
