
indexing
	
	description: "Empty column in a multi column list"
	author: "David Hollenberg"
	date: "December 19, 2006"

class EMPTY_COLUMN [G]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = ""
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := ""
		end

	comparator: EMPTY_COMPARATOR [G]
		do
			create Result
		end

end

