
indexing
	
	description: "Comparator for fab instance type in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class FAB_INSTANCE_TYPE_COMPARATOR [G -> HAS_FAB_INSTANCE_TYPE]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_fab_instance_type and v.has_fab_instance_type then
				Result := u.fab_instance_type < v.fab_instance_type
			elseif v.has_fab_instance_type then
				Result := True
			else
				Result := False
			end
		end

end
