
indexing

	date: "Fri Jan 23 16:11:39 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"FAB_POOL_W_WAFER_TECHNS (MOSIS.FAB_POOL_W_WAFER_TECHNS)"
			-- Included columns
			-- 	ACCESS_GRANTED
			-- 	DATE_FAB_REQUESTED
			-- 	DATE_MODIFIED
			-- 	DESIGN_ACCEPT_STATE
			-- 	DESIGN_NO
			-- 	DESIGN_TECHN
			-- 	FOUNDRY_COMPATIBLE
			-- 	HAS_CHARGES
			-- 	IS_LOCKED
			-- 	M_FAB_NO
			-- 	OVERHEAD_STYLE
			-- 	PRICING_SCHEDULE
			-- 	RUN_DATE_REQUESTED
			-- 	RUN_ID
			-- 	RUN_TYPE_REQUESTED
			-- 	SCHED_RUN_NO
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class FAB_POOL_W_WAFER_TECHNS_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 17

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  access_granted, date_fab_requested, date_modified, design_accept_state,%N  design_no, design_techn, foundry_compatible, has_charges, is_locked,%N  m_fab_no, overhead_style, pricing_schedule, run_date_requested, run_id,%N  run_type_requested, sched_run_no, wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "fab_pool_w_wafer_techns fpwwt"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	access_granted: BOOLEAN
			-- DB: VARCHAR2(1)

	date_fab_requested: DB_DATE
			-- DB: DATE

	date_modified: DB_DATE
			-- DB: DATE

	design_accept_state: STRING
			-- DB: VARCHAR2(15)

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	design_techn: STRING
			-- DB: VARCHAR2(50)

	foundry_compatible: BOOLEAN
			-- DB: CHAR(1) not null

	has_charges: BOOLEAN
			-- DB: CHAR(1) not null

	is_locked: BOOLEAN
			-- DB: VARCHAR2(1)

	m_fab_no: INTEGER
			-- DB: NUMBER(6,0) not null

	overhead_style: STRING
			-- DB: VARCHAR2(12)

	pricing_schedule: STRING
			-- DB: VARCHAR2(10) not null

	run_date_requested: DB_DATE
			-- DB: DATE

	run_id: STRING
			-- DB: CHAR(4)

	run_type_requested: STRING
			-- DB: VARCHAR2(5) not null

	sched_run_no: INTEGER
			-- DB: NUMBER(6,0)

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_access_granted: BOOLEAN
	is_null_date_fab_requested: BOOLEAN
	is_null_date_modified: BOOLEAN
	is_null_design_accept_state: BOOLEAN
	is_null_design_techn: BOOLEAN
	is_null_is_locked: BOOLEAN
	is_null_overhead_style: BOOLEAN
	is_null_run_date_requested: BOOLEAN
	is_null_run_id: BOOLEAN
	is_null_sched_run_no: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_no: BOOLEAN
	is_null_foundry_compatible: BOOLEAN
	is_null_has_charges: BOOLEAN
	is_null_m_fab_no: BOOLEAN
	is_null_pricing_schedule: BOOLEAN
	is_null_run_type_requested: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and access_granted = r.access_granted
				and design_no = r.design_no
				and foundry_compatible = r.foundry_compatible
				and has_charges = r.has_charges
				and is_locked = r.is_locked
				and m_fab_no = r.m_fab_no
				and sched_run_no = r.sched_run_no
			Result := Result
				and equal (date_fab_requested, r.date_fab_requested)
				and equal (date_modified, r.date_modified)
				and equal (design_accept_state, r.design_accept_state)
				and equal (design_techn, r.design_techn)
				and equal (overhead_style, r.overhead_style)
				and equal (pricing_schedule, r.pricing_schedule)
				and equal (run_date_requested, r.run_date_requested)
				and equal (run_id, r.run_id)
				and equal (run_type_requested, r.run_type_requested)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_access_granted = r.is_null_access_granted
				and is_null_date_fab_requested = r.is_null_date_fab_requested
				and is_null_date_modified = r.is_null_date_modified
				and is_null_design_accept_state = r.is_null_design_accept_state
				and is_null_design_no = r.is_null_design_no
				and is_null_design_techn = r.is_null_design_techn
				and is_null_foundry_compatible = r.is_null_foundry_compatible
				and is_null_has_charges = r.is_null_has_charges
				and is_null_is_locked = r.is_null_is_locked
				and is_null_m_fab_no = r.is_null_m_fab_no
				and is_null_overhead_style = r.is_null_overhead_style
				and is_null_pricing_schedule = r.is_null_pricing_schedule
				and is_null_run_date_requested = r.is_null_run_date_requested
				and is_null_run_id = r.is_null_run_id
				and is_null_run_type_requested = r.is_null_run_type_requested
				and is_null_sched_run_no = r.is_null_sched_run_no
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_date (2)
			q.select_date (3)
			q.select_string (4, 15)
			q.select_integer (5)
			q.select_string (6, 50)
			q.select_boolean (7)
			q.select_boolean (8)
			q.select_boolean (9)
			q.select_integer (10)
			q.select_string (11, 12)
			q.select_string (12, 10)
			q.select_date (13)
			q.select_string (14, 4)
			q.select_string (15, 5)
			q.select_integer (16)
			q.select_string (17, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			access_granted := q.boolean_value (1)
			design_no := q.integer_value (5)
			foundry_compatible := q.boolean_value (7)
			has_charges := q.boolean_value (8)
			is_locked := q.boolean_value (9)
			m_fab_no := q.integer_value (10)
			sched_run_no := q.integer_value (16)
		end

	fill_in_references (q: SQL_QUERY)
		do
			date_fab_requested := q.date_value (2)
			date_modified := q.date_value (3)
			design_accept_state := q.string_value (4)
			design_techn := q.string_value (6)
			overhead_style := q.string_value (11)
			pricing_schedule := q.string_value (12)
			run_date_requested := q.date_value (13)
			run_id := q.string_value (14)
			run_type_requested := q.string_value (15)
			wafer_techn := q.string_value (17)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_date_value (2, date_fab_requested)
			q.get_date_value (3, date_modified)
			q.get_string_value (4, design_accept_state)
			q.get_string_value (6, design_techn)
			q.get_string_value (11, overhead_style)
			q.get_string_value (12, pricing_schedule)
			q.get_date_value (13, run_date_requested)
			q.get_string_value (14, run_id)
			q.get_string_value (15, run_type_requested)
			q.get_string_value (17, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_access_granted := q.is_null (1)
			is_null_date_fab_requested := q.is_null (2)
			is_null_date_modified := q.is_null (3)
			is_null_design_accept_state := q.is_null (4)
			is_null_design_no := q.is_null (5)
			is_null_design_techn := q.is_null (6)
			is_null_foundry_compatible := q.is_null (7)
			is_null_has_charges := q.is_null (8)
			is_null_is_locked := q.is_null (9)
			is_null_m_fab_no := q.is_null (10)
			is_null_overhead_style := q.is_null (11)
			is_null_pricing_schedule := q.is_null (12)
			is_null_run_date_requested := q.is_null (13)
			is_null_run_id := q.is_null (14)
			is_null_run_type_requested := q.is_null (15)
			is_null_sched_run_no := q.is_null (16)
			is_null_wafer_techn := q.is_null (17)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_access_granted := True
			is_null_date_fab_requested := True
			is_null_date_modified := True
			is_null_design_accept_state := True
			is_null_design_no := True
			is_null_design_techn := True
			is_null_foundry_compatible := True
			is_null_has_charges := True
			is_null_is_locked := True
			is_null_m_fab_no := True
			is_null_overhead_style := True
			is_null_pricing_schedule := True
			is_null_run_date_requested := True
			is_null_run_id := True
			is_null_run_type_requested := True
			is_null_sched_run_no := True
			is_null_wafer_techn := True
			create {ORACLE_DATE} date_fab_requested.set_null
			create {ORACLE_DATE} date_modified.set_null
			create design_accept_state.make (0)
			create design_techn.make (0)
			create overhead_style.make (0)
			create pricing_schedule.make (0)
			create {ORACLE_DATE} run_date_requested.set_null
			create run_id.make (0)
			create run_type_requested.make (0)
			create wafer_techn.make (0)
		end

end
