
indexing
	
	description: "Interface to allow user to build order for fab %
		%for dedicated or trusted foundry run"
	author: "David Hollenberg"
	date: "June 16, 2005"

deferred class FAB_RUN_ORDER_IFC

inherit
	ABSTRACT_INTERFACE
	RC_SESSIONABLE
		
feature {NONE} -- Creation

	make_interface
			-- Create interface
		do
			create success_actions
			create abort_actions
		end

feature -- Properties

	success_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when order created
			-- successfully

	abort_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when order creation
			-- is aborted prematurely

end
