
indexing

	date: "Mon Sep 22 11:01:26 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"FIELD_LOCATIONS (MOSIS.FIELD_LOCATIONS)"
			-- Included columns
			-- 	COPY_NO
			-- 	FIELD_NAME
			-- 	FIELD_SET_NAME
			-- 	LOCATION_X
			-- 	LOCATION_Y
			-- Excluded columns
			-- 	(none)

class FIELD_LOCATIONS_MRAW

inherit

	DB_DELETABLE_ROW
	FIELD_LOCATIONS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_copy_no (k: INTEGER)
		do
			change_key_field
			copy_no := k
			is_null_copy_no := False
		end

	set_field_name (s: STRING)
		do
			change_key_field
			field_name := s
			if s = Void then
				create field_name.make (0)
			end
			is_null_field_name := s = Void or else s.count = 0
		end

	set_field_set_name (s: STRING)
		do
			change_key_field
			field_set_name := s
			if s = Void then
				create field_set_name.make (0)
			end
			is_null_field_set_name := s = Void or else s.count = 0
		end

	set_location_x (d: DOUBLE)
		do
			change_field (True, True)
			location_x := d
			is_null_location_x := False
		end

	set_location_y (d: DOUBLE)
		do
			change_field (True, True)
			location_y := d
			is_null_location_y := False
		end

feature -- Modification to null

	set_null_location_x
		do
			change_field (True, True)
			location_x := 0.0
			is_null_location_x := True
		end

	set_null_location_y
		do
			change_field (True, True)
			location_y := 0.0
			is_null_location_y := True
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, copy_no, is_null_copy_no)
			s.bind_num_to_string (2, field_name, is_null_field_name)
			s.bind_num_to_string (3, field_set_name, is_null_field_set_name)
			s.bind_num_to_double (4, location_x, is_null_location_x)
			s.bind_num_to_double (5, location_y, is_null_location_y)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5"

	bind_list_for_update: STRING = "  copy_no = :1, field_name = :2, field_set_name = :3, location_x = :4,%N  location_y = :5"

end
