
indexing
	
	description: "Comparator for field set in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class FIELD_SET_COMPARATOR [G -> HAS_FIELD_SET]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_field_set and v.has_field_set then
				Result := u.field_set < v.field_set
			elseif v.has_field_set then
				Result := True
			else
				Result := False
			end
		end

end
