
indexing

	date: "Mon Oct  8 11:08:26 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"FIELD_STEP_PATTERN#FIELD_LOCS (MOSIS.FIELD_STEP_PATTERN#FIELD_LOCS)"
			-- Included columns
			-- 	COPY_NO
			-- 	FIELD_NAME
			-- 	FIELD_STEP_PATTERN
			-- 	LOCATION_X
			-- 	LOCATION_Y
			-- 	PARTIALLY_PROCESSED
			-- Excluded columns
			-- 	(none)

class FIELD_STEP_PATTERNXFIELD_LOCS_MRAW

inherit

	DB_DELETABLE_ROW
	FIELD_STEP_PATTERNXFIELD_LOCS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_copy_no (k: INTEGER)
		do
			change_key_field
			copy_no := k
			is_null_copy_no := False
		end

	set_field_name (s: STRING)
		do
			change_key_field
			field_name := s
			if s = Void then
				create field_name.make (0)
			end
			is_null_field_name := s = Void or else s.count = 0
		end

	set_field_step_pattern (s: STRING)
		do
			change_key_field
			field_step_pattern := s
			if s = Void then
				create field_step_pattern.make (0)
			end
			is_null_field_step_pattern := s = Void or else s.count = 0
		end

	set_location_x (d: DOUBLE)
		do
			change_field (True, True)
			location_x := d
			is_null_location_x := False
		end

	set_location_y (d: DOUBLE)
		do
			change_field (True, True)
			location_y := d
			is_null_location_y := False
		end

	set_partially_processed (b: BOOLEAN)
		do
			change_field (True, True)
			partially_processed := b
			is_null_partially_processed := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, copy_no, is_null_copy_no)
			s.bind_num_to_string (2, field_name, is_null_field_name)
			s.bind_num_to_string (3, field_step_pattern, is_null_field_step_pattern)
			s.bind_num_to_double (4, location_x, is_null_location_x)
			s.bind_num_to_double (5, location_y, is_null_location_y)
			s.bind_num_to_boolean (6, partially_processed, is_null_partially_processed)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6"

	bind_list_for_update: STRING = "  copy_no = :1, field_name = :2, field_step_pattern = :3, location_x = :4,%N  location_y = :5, partially_processed = :6"

end
