
indexing
	
	description: "A run closing step operation that ensures vendor forms %
		%(Specific Technology Information) have been filled out"
	author: "David Hollenberg"
	date: "May 26, 2004"

class FILL_VENDOR_FORMS_OP
inherit
	RC_PRIMITIVE_STEP_OP
	RC_APPLICABLE_STEP
	NO_USER_INTERFACE
	NO_EXTERNAL_STATE

create
	make

feature -- Properties

	input_data_items: LIST [STRING]
			-- Data items required before step can be executed
		do
			Result := array_as_list (<<
					data_item.Assembled_run
				 >>)
		end

feature {NONE} -- Implementation

	do_step
			-- Execute step
		do
			if question ("Have all vendor (STI) forms been filled out?" + "%N%N" + "Answer %"Yes%" if not applicable to this run.") then
			else
				abort
			end
			call_completion_actions
		end

	undo_step
			-- Undo execution of step
		do
			call_completion_actions
		end

	set_state
			-- Set `state'
		do
			state := Void
		end

end
