
indexing
	
	description: "Action that finds the only selected element"
	author: "David Hollenberg"
	date: "October 31, 2006"

class FIND_SELECTED_ELEMENT_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Properties

	selected_element: RETICLE_VIEW_ELEMENT
			-- The single selected element

feature -- Modification

	set_void_selected_element
			-- Set `selected_element' to Void
		do
			selected_element := Void
		end

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			if an_element.is_selected then
				selected_element := an_element
			end
		end

end
