
indexing
	
	description: "Object that generates a %"filled%" indication for %
		%elements of a reticle view that are fixed in X or Y or both"
	author: "David Hollenberg"
	date: "October 5, 2006"

class FIXED_STATUS_FILL_GENERATOR
inherit
	RETICLE_VIEW_ELEMENT_FILL_GENERATOR

create
	make

feature  -- Access

	is_interior_filled (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Should interior of `an_element' be filled when
			-- it is displayed?
		do
			Result := False
		end
	
	interior_color (an_element: RETICLE_VIEW_ELEMENT): EV_COLOR
			-- Foreground color for interior of
			-- `an_element', if it is filled
		do
			-- Inapplicable
		end
	
end
