
indexing

	date: "Tue Apr 24 10:30:12 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"FTP_TRANSFERS (MOSIS.FTP_TRANSFERS)",
			-- Included columns
			-- 	ACCOUNT
			-- 	ATTEMPT_COUNT
			-- 	BINARY_CRC_BYTE_COUNT
			-- 	BINARY_CRC_CHECKSUM
			-- 	BINARY_TRANSFER
			-- 	CIF_CHECKSUM
			-- 	CIF_CHECKSUM_BYTE_COUNT
			-- 	DATA_TRANSFER_COUNT
			-- 	DATA_TRANSFER_INTERVAL
			-- 	DATE_TRANSFER_EXPIRES
			-- 	DATE_TRANSFER_REQUESTED
			-- 	DESIGN_NO
			-- 	FAILURE_COUNT
			-- 	FRAGMENT_NO
			-- 	FTP_TERMINATION_REASON
			-- 	FTP_TERMINATION_STATE
			-- 	FTP_TRANSFER_STATE
			-- 	INITIATED_REMOTELY
			-- 	LOCAL_FILENAME
			-- 	LOCK_FILENAME
			-- 	M_COMMUNICATION_NO
			-- 	NETWORK_TRANSFER_COUNT
			-- 	PASSWORD
			-- 	PROCESS_START_COUNT
			-- 	REMOTE_DIRECTORY_PATH
			-- 	REMOTE_FILENAME
			-- 	REMOTE_HOST
			-- 	REQUEST_NO
			-- 	REVISION_NO
			-- 	TEXT_CRC_BYTE_COUNT
			-- 	TEXT_CRC_CHECKSUM
			-- 	TRANSIENT_FAILURE
			-- 	USER_NAME
			-- Excluded columns
			-- 	(none)
		"Pseudo columns"
			-- Included columns
			-- 	(DATE_TRANSFER_EXPIRES - SYSDATE) * 86400 (expiration_interval)
			-- Excluded columns
			-- 	(none)

class FTP_TRANSFERS_MRAW

inherit

	DB_DELETABLE_ROW
	FTP_TRANSFERS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_account (s: STRING)
		do
			change_field (True, True)
			account := s
			if s = Void then
				create account.make (0)
			end
			is_null_account := s = Void or else s.count = 0
		end

	set_attempt_count (k: INTEGER)
		do
			change_field (True, True)
			attempt_count := k
			is_null_attempt_count := False
		end

	set_binary_crc_byte_count (d: DOUBLE)
		do
			change_field (True, True)
			binary_crc_byte_count := d
			is_null_binary_crc_byte_count := False
		end

	set_binary_crc_checksum (d: DOUBLE)
		do
			change_field (True, True)
			binary_crc_checksum := d
			is_null_binary_crc_checksum := False
		end

	set_binary_transfer (b: BOOLEAN)
		do
			change_field (True, True)
			binary_transfer := b
			is_null_binary_transfer := False
		end

	set_cif_checksum (d: DOUBLE)
		do
			change_field (True, True)
			cif_checksum := d
			is_null_cif_checksum := False
		end

	set_cif_checksum_byte_count (d: DOUBLE)
		do
			change_field (True, True)
			cif_checksum_byte_count := d
			is_null_cif_checksum_byte_count := False
		end

	set_data_transfer_count (d: DOUBLE)
		do
			change_field (True, True)
			data_transfer_count := d
			is_null_data_transfer_count := False
		end

	set_data_transfer_interval (d: DOUBLE)
		do
			change_field (True, True)
			data_transfer_interval := d
			is_null_data_transfer_interval := False
		end

	set_date_transfer_expires (d: DB_DATE)
		do
			change_field (True, True)
			date_transfer_expires := d
			if d = Void then
				create {ORACLE_DATE} date_transfer_expires.set_null
			end
			is_null_date_transfer_expires := d = Void or else d.is_null
		end

	set_date_transfer_requested (d: DB_DATE)
		do
			change_field (True, True)
			date_transfer_requested := d
			if d = Void then
				create {ORACLE_DATE} date_transfer_requested.set_null
			end
			is_null_date_transfer_requested := d = Void or else d.is_null
		end

	set_design_no (k: INTEGER)
		do
			change_key_field
			design_no := k
			is_null_design_no := False
		end

	set_failure_count (k: INTEGER)
		do
			change_field (True, True)
			failure_count := k
			is_null_failure_count := False
		end

	set_fragment_no (k: INTEGER)
		do
			change_key_field
			fragment_no := k
			is_null_fragment_no := False
		end

	set_ftp_termination_reason (s: STRING)
		do
			change_field (True, True)
			ftp_termination_reason := s
			if s = Void then
				create ftp_termination_reason.make (0)
			end
			is_null_ftp_termination_reason := s = Void or else s.count = 0
		end

	set_ftp_termination_state (s: STRING)
		do
			change_field (True, True)
			ftp_termination_state := s
			if s = Void then
				create ftp_termination_state.make (0)
			end
			is_null_ftp_termination_state := s = Void or else s.count = 0
		end

	set_ftp_transfer_state (s: STRING)
		do
			change_field (True, True)
			ftp_transfer_state := s
			if s = Void then
				create ftp_transfer_state.make (0)
			end
			is_null_ftp_transfer_state := s = Void or else s.count = 0
		end

	set_initiated_remotely (b: BOOLEAN)
		do
			change_field (True, True)
			initiated_remotely := b
			is_null_initiated_remotely := False
		end

	set_local_filename (s: STRING)
		do
			change_field (True, True)
			local_filename := s
			if s = Void then
				create local_filename.make (0)
			end
			is_null_local_filename := s = Void or else s.count = 0
		end

	set_lock_filename (s: STRING)
		do
			change_field (True, True)
			lock_filename := s
			if s = Void then
				create lock_filename.make (0)
			end
			is_null_lock_filename := s = Void or else s.count = 0
		end

	set_m_communication_no (k: INTEGER)
		do
			change_field (True, True)
			m_communication_no := k
			is_null_m_communication_no := False
		end

	set_network_transfer_count (d: DOUBLE)
		do
			change_field (True, True)
			network_transfer_count := d
			is_null_network_transfer_count := False
		end

	set_password (s: STRING)
		do
			change_field (True, True)
			password := s
			if s = Void then
				create password.make (0)
			end
			is_null_password := s = Void or else s.count = 0
		end

	set_process_start_count (k: INTEGER)
		do
			change_field (True, True)
			process_start_count := k
			is_null_process_start_count := False
		end

	set_remote_directory_path (s: STRING)
		do
			change_field (True, True)
			remote_directory_path := s
			if s = Void then
				create remote_directory_path.make (0)
			end
			is_null_remote_directory_path := s = Void or else s.count = 0
		end

	set_remote_filename (s: STRING)
		do
			change_field (True, True)
			remote_filename := s
			if s = Void then
				create remote_filename.make (0)
			end
			is_null_remote_filename := s = Void or else s.count = 0
		end

	set_remote_host (s: STRING)
		do
			change_field (True, True)
			remote_host := s
			if s = Void then
				create remote_host.make (0)
			end
			is_null_remote_host := s = Void or else s.count = 0
		end

	set_request_no (k: INTEGER)
		do
			change_field (True, True)
			request_no := k
			is_null_request_no := False
		end

	set_revision_no (k: INTEGER)
		do
			change_key_field
			revision_no := k
			is_null_revision_no := False
		end

	set_text_crc_byte_count (d: DOUBLE)
		do
			change_field (True, True)
			text_crc_byte_count := d
			is_null_text_crc_byte_count := False
		end

	set_text_crc_checksum (d: DOUBLE)
		do
			change_field (True, True)
			text_crc_checksum := d
			is_null_text_crc_checksum := False
		end

	set_transient_failure (b: BOOLEAN)
		do
			change_field (True, True)
			transient_failure := b
			is_null_transient_failure := False
		end

	set_user_name (s: STRING)
		do
			change_field (True, True)
			user_name := s
			if s = Void then
				create user_name.make (0)
			end
			is_null_user_name := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_account
		do
			set_account (Void)
		end

	set_null_attempt_count
		do
			change_field (True, True)
			attempt_count := 0
			is_null_attempt_count := True
		end

	set_null_binary_crc_byte_count
		do
			change_field (True, True)
			binary_crc_byte_count := 0.0
			is_null_binary_crc_byte_count := True
		end

	set_null_binary_crc_checksum
		do
			change_field (True, True)
			binary_crc_checksum := 0.0
			is_null_binary_crc_checksum := True
		end

	set_null_cif_checksum
		do
			change_field (True, True)
			cif_checksum := 0.0
			is_null_cif_checksum := True
		end

	set_null_cif_checksum_byte_count
		do
			change_field (True, True)
			cif_checksum_byte_count := 0.0
			is_null_cif_checksum_byte_count := True
		end

	set_null_data_transfer_count
		do
			change_field (True, True)
			data_transfer_count := 0.0
			is_null_data_transfer_count := True
		end

	set_null_data_transfer_interval
		do
			change_field (True, True)
			data_transfer_interval := 0.0
			is_null_data_transfer_interval := True
		end

	set_null_date_transfer_expires
		do
			set_date_transfer_expires (Void)
		end

	set_null_failure_count
		do
			change_field (True, True)
			failure_count := 0
			is_null_failure_count := True
		end

	set_null_ftp_termination_reason
		do
			set_ftp_termination_reason (Void)
		end

	set_null_ftp_termination_state
		do
			set_ftp_termination_state (Void)
		end

	set_null_local_filename
		do
			set_local_filename (Void)
		end

	set_null_lock_filename
		do
			set_lock_filename (Void)
		end

	set_null_m_communication_no
		do
			change_field (True, True)
			m_communication_no := 0
			is_null_m_communication_no := True
		end

	set_null_network_transfer_count
		do
			change_field (True, True)
			network_transfer_count := 0.0
			is_null_network_transfer_count := True
		end

	set_null_password
		do
			set_password (Void)
		end

	set_null_process_start_count
		do
			change_field (True, True)
			process_start_count := 0
			is_null_process_start_count := True
		end

	set_null_remote_directory_path
		do
			set_remote_directory_path (Void)
		end

	set_null_request_no
		do
			change_field (True, True)
			request_no := 0
			is_null_request_no := True
		end

	set_null_text_crc_byte_count
		do
			change_field (True, True)
			text_crc_byte_count := 0.0
			is_null_text_crc_byte_count := True
		end

	set_null_text_crc_checksum
		do
			change_field (True, True)
			text_crc_checksum := 0.0
			is_null_text_crc_checksum := True
		end

	set_null_user_name
		do
			set_user_name (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, account, is_null_account)
			s.bind_num_to_integer (2, attempt_count, is_null_attempt_count)
			s.bind_num_to_double (3, binary_crc_byte_count, is_null_binary_crc_byte_count)
			s.bind_num_to_double (4, binary_crc_checksum, is_null_binary_crc_checksum)
			s.bind_num_to_boolean (5, binary_transfer, is_null_binary_transfer)
			s.bind_num_to_double (6, cif_checksum, is_null_cif_checksum)
			s.bind_num_to_double (7, cif_checksum_byte_count, is_null_cif_checksum_byte_count)
			s.bind_num_to_double (8, data_transfer_count, is_null_data_transfer_count)
			s.bind_num_to_double (9, data_transfer_interval, is_null_data_transfer_interval)
			s.bind_num_to_date (10, date_transfer_expires, is_null_date_transfer_expires)
			s.bind_num_to_date (11, date_transfer_requested, is_null_date_transfer_requested)
			s.bind_num_to_integer (12, design_no, is_null_design_no)
			s.bind_num_to_integer (13, failure_count, is_null_failure_count)
			s.bind_num_to_integer (14, fragment_no, is_null_fragment_no)
			s.bind_num_to_string (15, ftp_termination_reason, is_null_ftp_termination_reason)
			s.bind_num_to_string (16, ftp_termination_state, is_null_ftp_termination_state)
			s.bind_num_to_string (17, ftp_transfer_state, is_null_ftp_transfer_state)
			s.bind_num_to_boolean (18, initiated_remotely, is_null_initiated_remotely)
			s.bind_num_to_string (19, local_filename, is_null_local_filename)
			s.bind_num_to_string (20, lock_filename, is_null_lock_filename)
			s.bind_num_to_integer (21, m_communication_no, is_null_m_communication_no)
			s.bind_num_to_double (22, network_transfer_count, is_null_network_transfer_count)
			s.bind_num_to_string (23, password, is_null_password)
			s.bind_num_to_integer (24, process_start_count, is_null_process_start_count)
			s.bind_num_to_string (25, remote_directory_path, is_null_remote_directory_path)
			s.bind_num_to_string (26, remote_filename, is_null_remote_filename)
			s.bind_num_to_string (27, remote_host, is_null_remote_host)
			s.bind_num_to_integer (28, request_no, is_null_request_no)
			s.bind_num_to_integer (29, revision_no, is_null_revision_no)
			s.bind_num_to_double (30, text_crc_byte_count, is_null_text_crc_byte_count)
			s.bind_num_to_double (31, text_crc_checksum, is_null_text_crc_checksum)
			s.bind_num_to_boolean (32, transient_failure, is_null_transient_failure)
			s.bind_num_to_string (33, user_name, is_null_user_name)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20, :21, :22, :23, :24, :25, :26, :27, :28, :29, :30,%N  :31, :32, :33"

	bind_list_for_update: STRING = "  account = :1, attempt_count = :2, binary_crc_byte_count = :3,%N  binary_crc_checksum = :4, binary_transfer = :5, cif_checksum = :6,%N  cif_checksum_byte_count = :7, data_transfer_count = :8,%N  data_transfer_interval = :9, date_transfer_expires = :10,%N  date_transfer_requested = :11, design_no = :12, failure_count = :13,%N  fragment_no = :14, ftp_termination_reason = :15,%N  ftp_termination_state = :16, ftp_transfer_state = :17,%N  initiated_remotely = :18, local_filename = :19, lock_filename = :20,%N  m_communication_no = :21, network_transfer_count = :22, password = :23,%N  process_start_count = :24, remote_directory_path = :25,%N  remote_filename = :26, remote_host = :27, request_no = :28,%N  revision_no = :29, text_crc_byte_count = :30, text_crc_checksum = :31,%N  transient_failure = :32, user_name = :33"

end
