
indexing

	date: "Wed Feb 18 12:05:31 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"FTP_TRANSFERS (MOSIS.FTP_TRANSFERS)",
			-- Included columns
			-- 	ACCOUNT
			-- 	ATTEMPT_COUNT
			-- 	BINARY_CRC_BYTE_COUNT
			-- 	BINARY_CRC_CHECKSUM
			-- 	BINARY_TRANSFER
			-- 	CIF_CHECKSUM
			-- 	CIF_CHECKSUM_BYTE_COUNT
			-- 	DATA_TRANSFER_COUNT
			-- 	DATA_TRANSFER_INTERVAL
			-- 	DATE_TRANSFER_EXPIRES
			-- 	DATE_TRANSFER_REQUESTED
			-- 	DESIGN_NO
			-- 	FAILURE_COUNT
			-- 	FRAGMENT_NO
			-- 	FTP_TERMINATION_REASON
			-- 	FTP_TERMINATION_STATE
			-- 	FTP_TRANSFER_STATE
			-- 	INITIATED_REMOTELY
			-- 	LOCAL_FILENAME
			-- 	LOCK_FILENAME
			-- 	M_COMMUNICATION_NO
			-- 	NETWORK_TRANSFER_COUNT
			-- 	PASSWORD
			-- 	PROCESS_START_COUNT
			-- 	REMOTE_DIRECTORY_PATH
			-- 	REMOTE_FILENAME
			-- 	REMOTE_HOST
			-- 	REQUEST_NO
			-- 	REVISION_NO
			-- 	TEXT_CRC_BYTE_COUNT
			-- 	TEXT_CRC_CHECKSUM
			-- 	TRANSIENT_FAILURE
			-- 	USER_NAME
			-- Excluded columns
			-- 	(none)
		"Pseudo columns"
			-- Included columns
			-- 	(DATE_TRANSFER_EXPIRES - SYSDATE) * 86400 (expiration_interval)
			-- Excluded columns
			-- 	(none)

class FTP_TRANSFERS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_design_no: INTEGER; the_revision_no: INTEGER; the_fragment_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			design_no := the_design_no
			revision_no := the_revision_no
			fragment_no := the_fragment_no
			is_null_design_no := False
			is_null_revision_no := False
			is_null_fragment_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 33

	pseudo_column_count: INTEGER = 1

	real_column_names: STRING = "  account, attempt_count, binary_crc_byte_count, binary_crc_checksum,%N  binary_transfer, cif_checksum, cif_checksum_byte_count,%N  data_transfer_count, data_transfer_interval, date_transfer_expires,%N  date_transfer_requested, design_no, failure_count, fragment_no,%N  ftp_termination_reason, ftp_termination_state, ftp_transfer_state,%N  initiated_remotely, local_filename, lock_filename, m_communication_no,%N  network_transfer_count, password, process_start_count,%N  remote_directory_path, remote_filename, remote_host, request_no,%N  revision_no, text_crc_byte_count, text_crc_checksum, transient_failure,%N  user_name"

	pseudo_column_names: STRING = "  (date_transfer_expires - sysdate) * 86400"

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "ftp_transfers fr"

	join_condition: STRING = ""

	table_name: STRING = "ftp_transfers"

	key_where_clause: STRING = "design_no = :1 and revision_no = :2 and fragment_no = :3"

feature -- Values

	account: STRING
			-- DB: VARCHAR2(255)

	attempt_count: INTEGER
			-- DB: NUMBER(3,0)

	binary_crc_byte_count: DOUBLE
			-- DB: NUMBER(*,0)

	binary_crc_checksum: DOUBLE
			-- DB: NUMBER(*,0)

	binary_transfer: BOOLEAN
			-- DB: CHAR(1) not null

	cif_checksum: DOUBLE
			-- DB: NUMBER(*,0)

	cif_checksum_byte_count: DOUBLE
			-- DB: NUMBER(*,0)

	data_transfer_count: DOUBLE
			-- DB: NUMBER(13,0)

	data_transfer_interval: DOUBLE
			-- DB: NUMBER(*,3)

	date_transfer_expires: DB_DATE
			-- DB: DATE

	date_transfer_requested: DB_DATE
			-- DB: DATE not null

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	failure_count: INTEGER
			-- DB: NUMBER(3,0)

	fragment_no: INTEGER
			-- DB: NUMBER(6,0) not null

	ftp_termination_reason: STRING
			-- DB: VARCHAR2(25)

	ftp_termination_state: STRING
			-- DB: VARCHAR2(25)

	ftp_transfer_state: STRING
			-- DB: VARCHAR2(15) not null

	initiated_remotely: BOOLEAN
			-- DB: CHAR(1) not null

	local_filename: STRING
			-- DB: VARCHAR2(255)

	lock_filename: STRING
			-- DB: VARCHAR2(255)

	m_communication_no: INTEGER
			-- DB: NUMBER(9,0)

	network_transfer_count: DOUBLE
			-- DB: NUMBER(13,0)

	password: STRING
			-- DB: VARCHAR2(255)

	process_start_count: INTEGER
			-- DB: NUMBER(3,0)

	remote_directory_path: STRING
			-- DB: VARCHAR2(255)

	remote_filename: STRING
			-- DB: VARCHAR2(255) not null

	remote_host: STRING
			-- DB: VARCHAR2(255) not null

	request_no: INTEGER
			-- DB: NUMBER(3,0)

	revision_no: INTEGER
			-- DB: NUMBER(6,0) not null

	text_crc_byte_count: DOUBLE
			-- DB: NUMBER(*,0)

	text_crc_checksum: DOUBLE
			-- DB: NUMBER(*,0)

	transient_failure: BOOLEAN
			-- DB: CHAR(1) not null

	user_name: STRING
			-- DB: VARCHAR2(255)

	expiration_interval: INTEGER
			-- DB: (date_transfer_expires - sysdate) * 86400 (pseudo column)
			-- Eiffel type specified explicitly

feature -- Nullness for null allowed columns

	is_null_account: BOOLEAN
	is_null_attempt_count: BOOLEAN
	is_null_binary_crc_byte_count: BOOLEAN
	is_null_binary_crc_checksum: BOOLEAN
	is_null_cif_checksum: BOOLEAN
	is_null_cif_checksum_byte_count: BOOLEAN
	is_null_data_transfer_count: BOOLEAN
	is_null_data_transfer_interval: BOOLEAN
	is_null_date_transfer_expires: BOOLEAN
	is_null_failure_count: BOOLEAN
	is_null_ftp_termination_reason: BOOLEAN
	is_null_ftp_termination_state: BOOLEAN
	is_null_local_filename: BOOLEAN
	is_null_lock_filename: BOOLEAN
	is_null_m_communication_no: BOOLEAN
	is_null_network_transfer_count: BOOLEAN
	is_null_password: BOOLEAN
	is_null_process_start_count: BOOLEAN
	is_null_remote_directory_path: BOOLEAN
	is_null_request_no: BOOLEAN
	is_null_text_crc_byte_count: BOOLEAN
	is_null_text_crc_checksum: BOOLEAN
	is_null_user_name: BOOLEAN
	is_null_expiration_interval: BOOLEAN

feature -- Nullness for non-null columns

	is_null_binary_transfer: BOOLEAN
	is_null_date_transfer_requested: BOOLEAN
	is_null_design_no: BOOLEAN
	is_null_fragment_no: BOOLEAN
	is_null_ftp_transfer_state: BOOLEAN
	is_null_initiated_remotely: BOOLEAN
	is_null_remote_filename: BOOLEAN
	is_null_remote_host: BOOLEAN
	is_null_revision_no: BOOLEAN
	is_null_transient_failure: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and design_no = r.design_no
				and fragment_no = r.fragment_no
				and revision_no = r.revision_no
			Result := Result
				and is_null_design_no = r.is_null_design_no
				and is_null_fragment_no = r.is_null_fragment_no
				and is_null_revision_no = r.is_null_revision_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and attempt_count = r.attempt_count
				and binary_crc_byte_count = r.binary_crc_byte_count
				and binary_crc_checksum = r.binary_crc_checksum
				and binary_transfer = r.binary_transfer
				and cif_checksum = r.cif_checksum
				and cif_checksum_byte_count = r.cif_checksum_byte_count
				and data_transfer_count = r.data_transfer_count
				and data_transfer_interval = r.data_transfer_interval
				and failure_count = r.failure_count
				and initiated_remotely = r.initiated_remotely
				and m_communication_no = r.m_communication_no
				and network_transfer_count = r.network_transfer_count
				and process_start_count = r.process_start_count
				and request_no = r.request_no
				and text_crc_byte_count = r.text_crc_byte_count
				and text_crc_checksum = r.text_crc_checksum
				and transient_failure = r.transient_failure
			Result := Result
				and equal (account, r.account)
				and equal (date_transfer_expires, r.date_transfer_expires)
				and equal (date_transfer_requested, r.date_transfer_requested)
				and equal (ftp_termination_reason, r.ftp_termination_reason)
				and equal (ftp_termination_state, r.ftp_termination_state)
				and equal (ftp_transfer_state, r.ftp_transfer_state)
				and equal (local_filename, r.local_filename)
				and equal (lock_filename, r.lock_filename)
				and equal (password, r.password)
				and equal (remote_directory_path, r.remote_directory_path)
				and equal (remote_filename, r.remote_filename)
				and equal (remote_host, r.remote_host)
				and equal (user_name, r.user_name)
			Result := Result
				and is_null_account = r.is_null_account
				and is_null_attempt_count = r.is_null_attempt_count
				and is_null_binary_crc_byte_count = r.is_null_binary_crc_byte_count
				and is_null_binary_crc_checksum = r.is_null_binary_crc_checksum
				and is_null_binary_transfer = r.is_null_binary_transfer
				and is_null_cif_checksum = r.is_null_cif_checksum
				and is_null_cif_checksum_byte_count = r.is_null_cif_checksum_byte_count
				and is_null_data_transfer_count = r.is_null_data_transfer_count
				and is_null_data_transfer_interval = r.is_null_data_transfer_interval
				and is_null_date_transfer_expires = r.is_null_date_transfer_expires
				and is_null_date_transfer_requested = r.is_null_date_transfer_requested
				and is_null_failure_count = r.is_null_failure_count
				and is_null_ftp_termination_reason = r.is_null_ftp_termination_reason
				and is_null_ftp_termination_state = r.is_null_ftp_termination_state
				and is_null_ftp_transfer_state = r.is_null_ftp_transfer_state
				and is_null_initiated_remotely = r.is_null_initiated_remotely
				and is_null_local_filename = r.is_null_local_filename
				and is_null_lock_filename = r.is_null_lock_filename
				and is_null_m_communication_no = r.is_null_m_communication_no
				and is_null_network_transfer_count = r.is_null_network_transfer_count
				and is_null_password = r.is_null_password
				and is_null_process_start_count = r.is_null_process_start_count
				and is_null_remote_directory_path = r.is_null_remote_directory_path
				and is_null_remote_filename = r.is_null_remote_filename
				and is_null_remote_host = r.is_null_remote_host
				and is_null_request_no = r.is_null_request_no
				and is_null_text_crc_byte_count = r.is_null_text_crc_byte_count
				and is_null_text_crc_checksum = r.is_null_text_crc_checksum
				and is_null_transient_failure = r.is_null_transient_failure
				and is_null_user_name = r.is_null_user_name
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_integer (2)
			q.select_double (3)
			q.select_double (4)
			q.select_boolean (5)
			q.select_double (6)
			q.select_double (7)
			q.select_double (8)
			q.select_double (9)
			q.select_date (10)
			q.select_date (11)
			q.select_integer (12)
			q.select_integer (13)
			q.select_integer (14)
			q.select_string (15, 25)
			q.select_string (16, 25)
			q.select_string (17, 15)
			q.select_boolean (18)
			q.select_string (19, 255)
			q.select_string (20, 255)
			q.select_integer (21)
			q.select_double (22)
			q.select_string (23, 255)
			q.select_integer (24)
			q.select_string (25, 255)
			q.select_string (26, 255)
			q.select_string (27, 255)
			q.select_integer (28)
			q.select_integer (29)
			q.select_double (30)
			q.select_double (31)
			q.select_boolean (32)
			q.select_string (33, 255)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
			q.select_integer (34)
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			attempt_count := q.integer_value (2)
			binary_crc_byte_count := q.double_value (3)
			binary_crc_checksum := q.double_value (4)
			binary_transfer := q.boolean_value (5)
			cif_checksum := q.double_value (6)
			cif_checksum_byte_count := q.double_value (7)
			data_transfer_count := q.double_value (8)
			data_transfer_interval := q.double_value (9)
			design_no := q.integer_value (12)
			failure_count := q.integer_value (13)
			fragment_no := q.integer_value (14)
			initiated_remotely := q.boolean_value (18)
			m_communication_no := q.integer_value (21)
			network_transfer_count := q.double_value (22)
			process_start_count := q.integer_value (24)
			request_no := q.integer_value (28)
			revision_no := q.integer_value (29)
			text_crc_byte_count := q.double_value (30)
			text_crc_checksum := q.double_value (31)
			transient_failure := q.boolean_value (32)
			expiration_interval := q.integer_value (34)
		end

	fill_in_references (q: SQL_QUERY)
		do
			account := q.string_value (1)
			date_transfer_expires := q.date_value (10)
			date_transfer_requested := q.date_value (11)
			ftp_termination_reason := q.string_value (15)
			ftp_termination_state := q.string_value (16)
			ftp_transfer_state := q.string_value (17)
			local_filename := q.string_value (19)
			lock_filename := q.string_value (20)
			password := q.string_value (23)
			remote_directory_path := q.string_value (25)
			remote_filename := q.string_value (26)
			remote_host := q.string_value (27)
			user_name := q.string_value (33)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, account)
			q.get_date_value (10, date_transfer_expires)
			q.get_date_value (11, date_transfer_requested)
			q.get_string_value (15, ftp_termination_reason)
			q.get_string_value (16, ftp_termination_state)
			q.get_string_value (17, ftp_transfer_state)
			q.get_string_value (19, local_filename)
			q.get_string_value (20, lock_filename)
			q.get_string_value (23, password)
			q.get_string_value (25, remote_directory_path)
			q.get_string_value (26, remote_filename)
			q.get_string_value (27, remote_host)
			q.get_string_value (33, user_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_account := q.is_null (1)
			is_null_attempt_count := q.is_null (2)
			is_null_binary_crc_byte_count := q.is_null (3)
			is_null_binary_crc_checksum := q.is_null (4)
			is_null_binary_transfer := q.is_null (5)
			is_null_cif_checksum := q.is_null (6)
			is_null_cif_checksum_byte_count := q.is_null (7)
			is_null_data_transfer_count := q.is_null (8)
			is_null_data_transfer_interval := q.is_null (9)
			is_null_date_transfer_expires := q.is_null (10)
			is_null_date_transfer_requested := q.is_null (11)
			is_null_design_no := q.is_null (12)
			is_null_failure_count := q.is_null (13)
			is_null_fragment_no := q.is_null (14)
			is_null_ftp_termination_reason := q.is_null (15)
			is_null_ftp_termination_state := q.is_null (16)
			is_null_ftp_transfer_state := q.is_null (17)
			is_null_initiated_remotely := q.is_null (18)
			is_null_local_filename := q.is_null (19)
			is_null_lock_filename := q.is_null (20)
			is_null_m_communication_no := q.is_null (21)
			is_null_network_transfer_count := q.is_null (22)
			is_null_password := q.is_null (23)
			is_null_process_start_count := q.is_null (24)
			is_null_remote_directory_path := q.is_null (25)
			is_null_remote_filename := q.is_null (26)
			is_null_remote_host := q.is_null (27)
			is_null_request_no := q.is_null (28)
			is_null_revision_no := q.is_null (29)
			is_null_text_crc_byte_count := q.is_null (30)
			is_null_text_crc_checksum := q.is_null (31)
			is_null_transient_failure := q.is_null (32)
			is_null_user_name := q.is_null (33)
			is_null_expiration_interval := q.is_null (34)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_no := True
			is_null_revision_no := True
			is_null_fragment_no := True
		end

	set_null_nonkey
		do
			is_null_account := True
			is_null_attempt_count := True
			is_null_binary_crc_byte_count := True
			is_null_binary_crc_checksum := True
			is_null_binary_transfer := True
			is_null_cif_checksum := True
			is_null_cif_checksum_byte_count := True
			is_null_data_transfer_count := True
			is_null_data_transfer_interval := True
			is_null_date_transfer_expires := True
			is_null_date_transfer_requested := True
			is_null_failure_count := True
			is_null_ftp_termination_reason := True
			is_null_ftp_termination_state := True
			is_null_ftp_transfer_state := True
			is_null_initiated_remotely := True
			is_null_local_filename := True
			is_null_lock_filename := True
			is_null_m_communication_no := True
			is_null_network_transfer_count := True
			is_null_password := True
			is_null_process_start_count := True
			is_null_remote_directory_path := True
			is_null_remote_filename := True
			is_null_remote_host := True
			is_null_request_no := True
			is_null_text_crc_byte_count := True
			is_null_text_crc_checksum := True
			is_null_transient_failure := True
			is_null_user_name := True
			is_null_expiration_interval := True
			create account.make (0)
			create {ORACLE_DATE} date_transfer_expires.set_null
			create {ORACLE_DATE} date_transfer_requested.set_null
			create ftp_termination_reason.make (0)
			create ftp_termination_state.make (0)
			create ftp_transfer_state.make (0)
			create local_filename.make (0)
			create lock_filename.make (0)
			create password.make (0)
			create remote_directory_path.make (0)
			create remote_filename.make (0)
			create remote_host.make (0)
			create user_name.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, design_no, False)
			q.bind_num_to_integer (2, revision_no, False)
			q.bind_num_to_integer (3, fragment_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and attempt_count = q.integer_value (2)
				and binary_crc_byte_count = q.double_value (3)
				and binary_crc_checksum = q.double_value (4)
				and binary_transfer = q.boolean_value (5)
				and cif_checksum = q.double_value (6)
				and cif_checksum_byte_count = q.double_value (7)
				and data_transfer_count = q.double_value (8)
				and data_transfer_interval = q.double_value (9)
				and design_no = q.integer_value (12)
				and failure_count = q.integer_value (13)
				and fragment_no = q.integer_value (14)
				and initiated_remotely = q.boolean_value (18)
				and m_communication_no = q.integer_value (21)
				and network_transfer_count = q.double_value (22)
				and process_start_count = q.integer_value (24)
				and request_no = q.integer_value (28)
				and revision_no = q.integer_value (29)
				and text_crc_byte_count = q.double_value (30)
				and text_crc_checksum = q.double_value (31)
				and transient_failure = q.boolean_value (32)
			q.get_string_value (1, s)
			Result := Result and equal (account, s)
			q.get_date_value (10, d)
			Result := Result and equal (date_transfer_expires, d)
			q.get_date_value (11, d)
			Result := Result and equal (date_transfer_requested, d)
			q.get_string_value (15, s)
			Result := Result and equal (ftp_termination_reason, s)
			q.get_string_value (16, s)
			Result := Result and equal (ftp_termination_state, s)
			q.get_string_value (17, s)
			Result := Result and equal (ftp_transfer_state, s)
			q.get_string_value (19, s)
			Result := Result and equal (local_filename, s)
			q.get_string_value (20, s)
			Result := Result and equal (lock_filename, s)
			q.get_string_value (23, s)
			Result := Result and equal (password, s)
			q.get_string_value (25, s)
			Result := Result and equal (remote_directory_path, s)
			q.get_string_value (26, s)
			Result := Result and equal (remote_filename, s)
			q.get_string_value (27, s)
			Result := Result and equal (remote_host, s)
			q.get_string_value (33, s)
			Result := Result and equal (user_name, s)
			Result := Result
				and is_null_account = q.is_null (1)
				and is_null_attempt_count = q.is_null (2)
				and is_null_binary_crc_byte_count = q.is_null (3)
				and is_null_binary_crc_checksum = q.is_null (4)
				and is_null_binary_transfer = q.is_null (5)
				and is_null_cif_checksum = q.is_null (6)
				and is_null_cif_checksum_byte_count = q.is_null (7)
				and is_null_data_transfer_count = q.is_null (8)
				and is_null_data_transfer_interval = q.is_null (9)
				and is_null_date_transfer_expires = q.is_null (10)
				and is_null_date_transfer_requested = q.is_null (11)
				and is_null_design_no = q.is_null (12)
				and is_null_failure_count = q.is_null (13)
				and is_null_fragment_no = q.is_null (14)
				and is_null_ftp_termination_reason = q.is_null (15)
				and is_null_ftp_termination_state = q.is_null (16)
				and is_null_ftp_transfer_state = q.is_null (17)
				and is_null_initiated_remotely = q.is_null (18)
				and is_null_local_filename = q.is_null (19)
				and is_null_lock_filename = q.is_null (20)
				and is_null_m_communication_no = q.is_null (21)
				and is_null_network_transfer_count = q.is_null (22)
				and is_null_password = q.is_null (23)
				and is_null_process_start_count = q.is_null (24)
				and is_null_remote_directory_path = q.is_null (25)
				and is_null_remote_filename = q.is_null (26)
				and is_null_remote_host = q.is_null (27)
				and is_null_request_no = q.is_null (28)
				and is_null_revision_no = q.is_null (29)
				and is_null_text_crc_byte_count = q.is_null (30)
				and is_null_text_crc_checksum = q.is_null (31)
				and is_null_transient_failure = q.is_null (32)
				and is_null_user_name = q.is_null (33)
		end

end
