
indexing
	
	description: "Multi-column list row for a field and%
		%associated GDS merge batch job"
	author: "David Hollenberg"
	date: "October 9, 2008"

class GDS_MERGE_FIELD_JOB
inherit	
	GDS_MERGE_JOB

create 
	make

create {GDS_MERGE_FIELD_JOB}
	make_filled

feature -- Properties

	job_name (a_run_id: STRING): STRING
			-- Name of job for `a_run_id'
		do
			Result := a_run_id + gds_merge_job_base + run_gds_files_row.field_name
		end

	has_field_name: BOOLEAN = True
			-- Does `Current' have a associated field name?

feature {NONE} -- Implementation

	new_filled_list (n: INTEGER): like Current
			-- New list with `n' elements.
		do
			create Result.make_filled (n)
		end
		
end
