
indexing

	date: "Tue Apr 24 10:30:12 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user DHOLLEN"
	database_tables: 
		"GDS#DESIGN_TECHN_ID_LAYERS (MOSIS.GDS#DESIGN_TECHN_ID_LAYERS)"
			-- Included columns
			-- 	DESIGN_TECHN_ID
			-- 	GDS_DATATYPE
			-- 	GDS_LAYER
			-- 	LAYER_NAME
			-- Excluded columns
			-- 	(none)

class GDSXDESIGN_TECHN_ID_LAYERS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  design_techn_id, gds_datatype, gds_layer, layer_name"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "gds#design_techn_id_layers dtil"

	join_condition: STRING = ""

	table_name: STRING = "gds#design_techn_id_layers"

	key_where_clause: STRING = ""

feature -- Values

	design_techn_id: STRING
			-- DB: VARCHAR2(50) not null

	gds_datatype: INTEGER
			-- DB: NUMBER(3,0)

	gds_layer: INTEGER
			-- DB: NUMBER(3,0) not null

	layer_name: STRING
			-- DB: VARCHAR2(255) not null

feature -- Nullness for null allowed columns

	is_null_gds_datatype: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_techn_id: BOOLEAN
	is_null_gds_layer: BOOLEAN
	is_null_layer_name: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and gds_datatype = r.gds_datatype
				and gds_layer = r.gds_layer
			Result := Result
				and equal (design_techn_id, r.design_techn_id)
				and equal (layer_name, r.layer_name)
			Result := Result
				and is_null_design_techn_id = r.is_null_design_techn_id
				and is_null_gds_datatype = r.is_null_gds_datatype
				and is_null_gds_layer = r.is_null_gds_layer
				and is_null_layer_name = r.is_null_layer_name
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 50)
			q.select_integer (2)
			q.select_integer (3)
			q.select_string (4, 255)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			gds_datatype := q.integer_value (2)
			gds_layer := q.integer_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			design_techn_id := q.string_value (1)
			layer_name := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, design_techn_id)
			q.get_string_value (4, layer_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_design_techn_id := q.is_null (1)
			is_null_gds_datatype := q.is_null (2)
			is_null_gds_layer := q.is_null (3)
			is_null_layer_name := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
		end

	set_null_nonkey
		do
			is_null_design_techn_id := True
			is_null_gds_datatype := True
			is_null_gds_layer := True
			is_null_layer_name := True
			create design_techn_id.make (0)
			create layer_name.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and gds_datatype = q.integer_value (2)
				and gds_layer = q.integer_value (3)
			q.get_string_value (1, s)
			Result := Result and equal (design_techn_id, s)
			q.get_string_value (4, s)
			Result := Result and equal (layer_name, s)
			Result := Result
				and is_null_design_techn_id = q.is_null (1)
				and is_null_gds_datatype = q.is_null (2)
				and is_null_gds_layer = q.is_null (3)
				and is_null_layer_name = q.is_null (4)
		end

end
