indexing
	
	description: "Abstraction for object that may have a date created"
	author: "David Hollenberg"
	date: "October 12, 2004"

deferred class HAS_DATE_CREATED
feature
	has_date_created: BOOLEAN
			-- Does `Current' have an associated date created?
		deferred
		end

	date_created: DB_DATE
			-- Associated date created
		require
			has_date_created: has_date_created
		deferred
		ensure
			result_exists: Result /= Void
		end

end
