indexing
	
	description: "Abstraction for object that may have one or more dates sent"
	author: "David Hollenberg"
	date: "June 1, 2005"

deferred class HAS_DATES_SENT
feature
	has_dates_sent: BOOLEAN
			-- Does `Current' have any associated dates sent?
		deferred
		end

	dates_sent: LIST [DB_DATE]
			-- Associated dates sent
		require
			has_dates_sent: has_dates_sent
		deferred
		ensure
			result_exists: Result /= Void
		end
end
