
indexing
	
	description: "Abstraction for object that may have wafer lot compatibility status"
	author: "David Hollenberg"
	date: "December 19, 2006"

deferred class HAS_LOT_COMPATIBILITY
feature
	has_lot_compatibility (n: INTEGER): BOOLEAN
			-- Does `Current' have lot compatibility status for
			-- lot `n'?
		deferred
		end

	lot_compatibility (n: INTEGER): STRING
			-- Lot compatibility status for lot `n'
		require
			has_lot_compatibility: has_lot_compatibility (n)
		deferred
		ensure
			result_exists: Result /= Void
		end

end
