class HASHED_OBJECT_MODIFIER[G -> HASHABLE]
		-- look up old/new value pairs in a hash table

inherit
	OBJECT_MODIFIER[G]

create
	make

feature {NONE}

	the_table: HASH_TABLE[G, G]

feature -- deferred implementation

	needs_modification(s: G): BOOLEAN is
	do  Result := the_table.has(s)
	end;

	make_modified_object(s: G): ?G is
	do  Result := the_table.item(s).twin
	end;

feature -- creation (or reuse)

	make(hsh: HASH_TABLE[G, G]) is
	do  the_table := hsh
	end;

end -- HASHED_OBJECT_MODIFIER
