
indexing
	
	description: "HP_GMOS10 wafer techn family"
	author: "David Hollenberg";
	date: "June 18, 2003"

class HP_GMOS10
inherit
	WAFER_TECHN_FAMILY
		redefine
			wafer_part_id_from_source,
			is_valid_source
		end

feature -- Properties

	name: STRING is "HP_GMOS10"

	native_design_techn: STRING is
			-- name of the "native" design_techn
	do  Result := dtv.hp_gmos10
	end;

	wafer_part_id_from_source (s: STRING): STRING is
			-- Wafer part id derived from wafer part id source `s'
		do
			create Result.make (9)
			Result.append (s.substring (1, 4))
			Result.extend ((s.substring (8, 9).to_integer + 64).to_character_8)
			Result.append (s.substring (5, 9))
		end

feature -- Contract support

	is_valid_source (s: STRING): BOOLEAN is
			-- Is `s' a valid source for family?
		do
			Result := precursor (s) and then s.count = 9 and then s.item (5) = '-' and then s.item (8).is_digit and then s.item (9).is_digit
		end

end
