
indexing

	date: "Tue Apr 24 10:30:13 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"IC_FAB_INSTANCE_PROCESSES (MOSIS.IC_FAB_INSTANCE_PROCESSES)"
			-- Included columns
			-- 	M_FAB_NO
			-- 	QUANTITY_ORDERED
			-- 	WAFER_PROCESS
			-- Excluded columns
			-- 	(none)

class IC_FAB_INSTANCE_PROCESSES_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	IC_FAB_INSTANCE_PROCESSES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_m_fab_no (k: INTEGER)
		do
			change_key_field
			m_fab_no := k
			is_null_m_fab_no := False
		end

	set_quantity_ordered (k: INTEGER)
		do
			change_field (True, True)
			quantity_ordered := k
			is_null_quantity_ordered := False
		end

	set_wafer_process (s: STRING)
		do
			change_key_field
			wafer_process := s
			if s = Void then
				create wafer_process.make (0)
			end
			is_null_wafer_process := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_quantity_ordered
		do
			change_field (True, True)
			quantity_ordered := 0
			is_null_quantity_ordered := True
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_m_fab_no then
				handle_null_copy_error ("m_fab_no")
			else
				set_m_fab_no (r.m_fab_no)
			end
			if r.is_null_quantity_ordered then
				set_null_quantity_ordered
			else
				set_quantity_ordered (r.quantity_ordered)
			end
			if r.is_null_wafer_process then
				handle_null_copy_error ("wafer_process")
			else
				set_wafer_process (r.wafer_process)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, m_fab_no, is_null_m_fab_no)
			s.bind_num_to_integer (2, quantity_ordered, is_null_quantity_ordered)
			s.bind_num_to_string (3, wafer_process, is_null_wafer_process)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3"

	bind_list_for_update: STRING = "  m_fab_no = :1, quantity_ordered = :2, wafer_process = :3"

end
