
indexing

	date: "Tue Apr 24 10:30:13 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"IC_PACKAGING_DEFAULTS (MOSIS.IC_PACKAGING_DEFAULTS)"
			-- Included columns
			-- 	DEFAULT_PACKAGING_CLASS
			-- 	LEADFRAME
			-- 	LID_ATTACHMENT
			-- Excluded columns
			-- 	(none)

class IC_PACKAGING_DEFAULTS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_default_packaging_class: STRING; the_leadframe: BOOLEAN)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_default_packaging_class_exists: the_default_packaging_class /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			default_packaging_class := the_default_packaging_class
			leadframe := the_leadframe
			is_null_default_packaging_class := False
			is_null_leadframe := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  default_packaging_class, leadframe, lid_attachment"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "ic_packaging_defaults ipd"

	join_condition: STRING = ""

	table_name: STRING = "ic_packaging_defaults"

	key_where_clause: STRING = "default_packaging_class = :1 and leadframe = :2"

feature -- Values

	default_packaging_class: STRING
			-- DB: VARCHAR2(20) not null

	leadframe: BOOLEAN
			-- DB: CHAR(1) not null

	lid_attachment: STRING
			-- DB: VARCHAR2(10)

feature -- Nullness for null allowed columns

	is_null_lid_attachment: BOOLEAN

feature -- Nullness for non-null columns

	is_null_default_packaging_class: BOOLEAN
	is_null_leadframe: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and leadframe = r.leadframe
			Result := Result
				and equal (default_packaging_class, r.default_packaging_class)
			Result := Result
				and is_null_default_packaging_class = r.is_null_default_packaging_class
				and is_null_leadframe = r.is_null_leadframe
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (lid_attachment, r.lid_attachment)
			Result := Result
				and is_null_lid_attachment = r.is_null_lid_attachment
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 20)
			q.select_boolean (2)
			q.select_string (3, 10)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			leadframe := q.boolean_value (2)
		end

	fill_in_references (q: SQL_QUERY)
		do
			default_packaging_class := q.string_value (1)
			lid_attachment := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, default_packaging_class)
			q.get_string_value (3, lid_attachment)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_default_packaging_class := q.is_null (1)
			is_null_leadframe := q.is_null (2)
			is_null_lid_attachment := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_default_packaging_class := True
			is_null_leadframe := True
			create default_packaging_class.make (0)
		end

	set_null_nonkey
		do
			is_null_lid_attachment := True
			create lid_attachment.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, default_packaging_class, False)
			q.bind_num_to_boolean (2, leadframe, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and leadframe = q.boolean_value (2)
			q.get_string_value (1, s)
			Result := Result and equal (default_packaging_class, s)
			q.get_string_value (3, s)
			Result := Result and equal (lid_attachment, s)
			Result := Result
				and is_null_default_packaging_class = q.is_null (1)
				and is_null_leadframe = q.is_null (2)
				and is_null_lid_attachment = q.is_null (3)
		end

end
