
indexing

	date: "Thu Oct 25 15:04:23 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"IC_PACKAGINGS (MOSIS.IC_PACKAGINGS)"
			-- Included columns
			-- 	ARTWORK_FILENAME
			-- 	BAKE_AND_BAG
			-- 	BONDING_ID
			-- 	CUSTOMER_PROVIDING_DIAGRAM
			-- 	DATE_DIAGRAM_APPROVED
			-- 	DATE_DIAGRAM_RECEIVED
			-- 	DATE_DRAFT_DIAGRAM_APPROVED
			-- 	DATE_DRAFT_DIAGRAM_RECEIVED
			-- 	DESIGN_PACKAGE_ROTATION
			-- 	DESIGN_PACKAGE_ROTATION_REQD
			-- 	DIAGRAM_APPROVED_BY
			-- 	DIE_THICKNESS_MILS
			-- 	DOWNBOND_LOCATION_REQD
			-- 	IC_PACKAGING_NO
			-- 	IS_CUSTOM_WIRING
			-- 	LID_ATTACHMENT
			-- 	MOISTURE_SENSITIVE_LEVEL
			-- 	M_FAB_NO
			-- 	PACKAGE_ID
			-- 	PACKAGE_REQUESTED
			-- 	QUANTITY_PACKAGED_REQUESTED
			-- Excluded columns
			-- 	(none)

class IC_PACKAGINGS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	IC_PACKAGINGS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_artwork_filename (s: STRING)
		do
			change_field (True, True)
			artwork_filename := s
			if s = Void then
				create artwork_filename.make (0)
			end
			is_null_artwork_filename := s = Void or else s.count = 0
		end

	set_bake_and_bag (b: BOOLEAN)
		do
			change_field (True, True)
			bake_and_bag := b
			is_null_bake_and_bag := False
		end

	set_bonding_id (s: STRING)
		do
			change_field (True, True)
			bonding_id := s
			if s = Void then
				create bonding_id.make (0)
			end
			is_null_bonding_id := s = Void or else s.count = 0
		end

	set_customer_providing_diagram (b: BOOLEAN)
		do
			change_field (True, True)
			customer_providing_diagram := b
			is_null_customer_providing_diagram := False
		end

	set_date_diagram_approved (d: DB_DATE)
		do
			change_field (True, True)
			date_diagram_approved := d
			if d = Void then
				create {ORACLE_DATE} date_diagram_approved.set_null
			end
			is_null_date_diagram_approved := d = Void or else d.is_null
		end

	set_date_diagram_received (d: DB_DATE)
		do
			change_field (True, True)
			date_diagram_received := d
			if d = Void then
				create {ORACLE_DATE} date_diagram_received.set_null
			end
			is_null_date_diagram_received := d = Void or else d.is_null
		end

	set_date_draft_diagram_approved (d: DB_DATE)
		do
			change_field (True, True)
			date_draft_diagram_approved := d
			if d = Void then
				create {ORACLE_DATE} date_draft_diagram_approved.set_null
			end
			is_null_date_draft_diagram_approved := d = Void or else d.is_null
		end

	set_date_draft_diagram_received (d: DB_DATE)
		do
			change_field (True, True)
			date_draft_diagram_received := d
			if d = Void then
				create {ORACLE_DATE} date_draft_diagram_received.set_null
			end
			is_null_date_draft_diagram_received := d = Void or else d.is_null
		end

	set_design_package_rotation (k: INTEGER)
		do
			change_field (True, True)
			design_package_rotation := k
			is_null_design_package_rotation := False
		end

	set_design_package_rotation_reqd (k: INTEGER)
		do
			change_field (True, True)
			design_package_rotation_reqd := k
			is_null_design_package_rotation_reqd := False
		end

	set_diagram_approved_by (s: STRING)
		do
			change_field (True, True)
			diagram_approved_by := s
			if s = Void then
				create diagram_approved_by.make (0)
			end
			is_null_diagram_approved_by := s = Void or else s.count = 0
		end

	set_die_thickness_mils (d: DOUBLE)
		do
			change_field (True, True)
			die_thickness_mils := d
			is_null_die_thickness_mils := False
		end

	set_downbond_location_reqd (s: STRING)
		do
			change_field (True, True)
			downbond_location_reqd := s
			if s = Void then
				create downbond_location_reqd.make (0)
			end
			is_null_downbond_location_reqd := s = Void or else s.count = 0
		end

	set_ic_packaging_no (k: INTEGER)
		do
			change_key_field
			ic_packaging_no := k
			is_null_ic_packaging_no := False
		end

	set_is_custom_wiring (b: BOOLEAN)
		do
			change_field (True, True)
			is_custom_wiring := b
			is_null_is_custom_wiring := False
		end

	set_lid_attachment (s: STRING)
		do
			change_field (True, True)
			lid_attachment := s
			if s = Void then
				create lid_attachment.make (0)
			end
			is_null_lid_attachment := s = Void or else s.count = 0
		end

	set_moisture_sensitive_level (k: INTEGER)
		do
			change_field (True, True)
			moisture_sensitive_level := k
			is_null_moisture_sensitive_level := False
		end

	set_m_fab_no (k: INTEGER)
		do
			change_field (True, True)
			m_fab_no := k
			is_null_m_fab_no := False
		end

	set_package_id (s: STRING)
		do
			change_field (True, True)
			package_id := s
			if s = Void then
				create package_id.make (0)
			end
			is_null_package_id := s = Void or else s.count = 0
		end

	set_package_requested (s: STRING)
		do
			change_field (True, True)
			package_requested := s
			if s = Void then
				create package_requested.make (0)
			end
			is_null_package_requested := s = Void or else s.count = 0
		end

	set_quantity_packaged_requested (k: INTEGER)
		do
			change_field (True, True)
			quantity_packaged_requested := k
			is_null_quantity_packaged_requested := False
		end

feature -- Modification to null

	set_null_artwork_filename
		do
			set_artwork_filename (Void)
		end

	set_null_bonding_id
		do
			set_bonding_id (Void)
		end

	set_null_date_diagram_approved
		do
			set_date_diagram_approved (Void)
		end

	set_null_date_diagram_received
		do
			set_date_diagram_received (Void)
		end

	set_null_date_draft_diagram_approved
		do
			set_date_draft_diagram_approved (Void)
		end

	set_null_date_draft_diagram_received
		do
			set_date_draft_diagram_received (Void)
		end

	set_null_design_package_rotation
		do
			change_field (True, True)
			design_package_rotation := 0
			is_null_design_package_rotation := True
		end

	set_null_design_package_rotation_reqd
		do
			change_field (True, True)
			design_package_rotation_reqd := 0
			is_null_design_package_rotation_reqd := True
		end

	set_null_diagram_approved_by
		do
			set_diagram_approved_by (Void)
		end

	set_null_die_thickness_mils
		do
			change_field (True, True)
			die_thickness_mils := 0.0
			is_null_die_thickness_mils := True
		end

	set_null_downbond_location_reqd
		do
			set_downbond_location_reqd (Void)
		end

	set_null_is_custom_wiring
		do
			change_field (True, True)
			is_custom_wiring := False
			is_null_is_custom_wiring := True
		end

	set_null_lid_attachment
		do
			set_lid_attachment (Void)
		end

	set_null_moisture_sensitive_level
		do
			change_field (True, True)
			moisture_sensitive_level := 0
			is_null_moisture_sensitive_level := True
		end

	set_null_package_id
		do
			set_package_id (Void)
		end

	set_null_package_requested
		do
			set_package_requested (Void)
		end

	set_null_quantity_packaged_requested
		do
			change_field (True, True)
			quantity_packaged_requested := 0
			is_null_quantity_packaged_requested := True
		end

feature {NONE} -- Initialization

	set_default_values
		do
			bake_and_bag := False
			is_null_bake_and_bag := False
			customer_providing_diagram := False
			is_null_customer_providing_diagram := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, artwork_filename, is_null_artwork_filename)
			s.bind_num_to_boolean (2, bake_and_bag, is_null_bake_and_bag)
			s.bind_num_to_string (3, bonding_id, is_null_bonding_id)
			s.bind_num_to_boolean (4, customer_providing_diagram, is_null_customer_providing_diagram)
			s.bind_num_to_date (5, date_diagram_approved, is_null_date_diagram_approved)
			s.bind_num_to_date (6, date_diagram_received, is_null_date_diagram_received)
			s.bind_num_to_date (7, date_draft_diagram_approved, is_null_date_draft_diagram_approved)
			s.bind_num_to_date (8, date_draft_diagram_received, is_null_date_draft_diagram_received)
			s.bind_num_to_integer (9, design_package_rotation, is_null_design_package_rotation)
			s.bind_num_to_integer (10, design_package_rotation_reqd, is_null_design_package_rotation_reqd)
			s.bind_num_to_string (11, diagram_approved_by, is_null_diagram_approved_by)
			s.bind_num_to_double (12, die_thickness_mils, is_null_die_thickness_mils)
			s.bind_num_to_string (13, downbond_location_reqd, is_null_downbond_location_reqd)
			s.bind_num_to_integer (14, ic_packaging_no, is_null_ic_packaging_no)
			s.bind_num_to_boolean (15, is_custom_wiring, is_null_is_custom_wiring)
			s.bind_num_to_string (16, lid_attachment, is_null_lid_attachment)
			s.bind_num_to_integer (17, moisture_sensitive_level, is_null_moisture_sensitive_level)
			s.bind_num_to_integer (18, m_fab_no, is_null_m_fab_no)
			s.bind_num_to_string (19, package_id, is_null_package_id)
			s.bind_num_to_string (20, package_requested, is_null_package_requested)
			s.bind_num_to_integer (21, quantity_packaged_requested, is_null_quantity_packaged_requested)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20, :21"

	bind_list_for_update: STRING = "  artwork_filename = :1, bake_and_bag = :2, bonding_id = :3,%N  customer_providing_diagram = :4, date_diagram_approved = :5,%N  date_diagram_received = :6, date_draft_diagram_approved = :7,%N  date_draft_diagram_received = :8, design_package_rotation = :9,%N  design_package_rotation_reqd = :10, diagram_approved_by = :11,%N  die_thickness_mils = :12, downbond_location_reqd = :13,%N  ic_packaging_no = :14, is_custom_wiring = :15, lid_attachment = :16,%N  moisture_sensitive_level = :17, m_fab_no = :18, package_id = :19,%N  package_requested = :20, quantity_packaged_requested = :21"

end
