
indexing
	
	description: "Filter that selects only reticle elements that are %
		%horizontal scribes that intersect at least one field of view"
	author: "David Hollenberg"
	date: "January 17, 2007"

class INT_HORIZONTAL_SCRIBE_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_horizontal_scribe and an_element.intersects_any_field
		end


end
