
indexing
	
	description: "Interface to allow execution and monitoring of %
		%internal front end requests for selected projects"
	author: "David Hollenberg"
	date: "June 7, 2005"

deferred class INTERNAL_FE_REQUEST_IFC

inherit
	ABSTRACT_INTERFACE
	RC_SESSIONABLE
		
feature {NONE} -- Creation

	make_interface
			-- Create interface
		do
			create success_actions
			create abort_actions
		end

feature -- Properties

	success_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when done processing
			-- front end requests

	abort_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when front end request
			-- processing is aborted prematurely

end
