
indexing

	date: "Tue Apr 24 10:30:13 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"INTERNAL_FE_REQUESTS (MOSIS.INTERNAL_FE_REQUESTS)"
			-- Included columns
			-- 	DATE_REQUESTED
			-- 	FILE_ROLE
			-- 	INTERNAL_REQUEST_NO
			-- 	INTERNAL_REQUEST_TYPE
			-- 	IS_PRODUCTION_SPECIFIC
			-- 	M_ORDER_NO
			-- 	SOURCE_FILENAME
			-- 	TEXT_VALUE
			-- Excluded columns
			-- 	(none)

class INTERNAL_FE_REQUESTS_MRAW

inherit

	DB_DELETABLE_ROW
	INTERNAL_FE_REQUESTS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_date_requested (d: DB_DATE)
		do
			change_field (True, True)
			date_requested := d
			if d = Void then
				create {ORACLE_DATE} date_requested.set_null
			end
			is_null_date_requested := d = Void or else d.is_null
		end

	set_file_role (s: STRING)
		do
			change_field (True, True)
			file_role := s
			if s = Void then
				create file_role.make (0)
			end
			is_null_file_role := s = Void or else s.count = 0
		end

	set_internal_request_no (k: INTEGER)
		do
			change_key_field
			internal_request_no := k
			is_null_internal_request_no := False
		end

	set_internal_request_type (s: STRING)
		do
			change_field (True, True)
			internal_request_type := s
			if s = Void then
				create internal_request_type.make (0)
			end
			is_null_internal_request_type := s = Void or else s.count = 0
		end

	set_is_production_specific (b: BOOLEAN)
		do
			change_field (True, True)
			is_production_specific := b
			is_null_is_production_specific := False
		end

	set_m_order_no (k: INTEGER)
		do
			change_field (True, True)
			m_order_no := k
			is_null_m_order_no := False
		end

	set_source_filename (s: STRING)
		do
			change_field (True, True)
			source_filename := s
			if s = Void then
				create source_filename.make (0)
			end
			is_null_source_filename := s = Void or else s.count = 0
		end

	set_text_value (s: STRING)
		do
			change_field (True, True)
			text_value := s
			if s = Void then
				create text_value.make (0)
			end
			is_null_text_value := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_file_role
		do
			set_file_role (Void)
		end

	set_null_source_filename
		do
			set_source_filename (Void)
		end

	set_null_text_value
		do
			set_text_value (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_date (1, date_requested, is_null_date_requested)
			s.bind_num_to_string (2, file_role, is_null_file_role)
			s.bind_num_to_integer (3, internal_request_no, is_null_internal_request_no)
			s.bind_num_to_string (4, internal_request_type, is_null_internal_request_type)
			s.bind_num_to_boolean (5, is_production_specific, is_null_is_production_specific)
			s.bind_num_to_integer (6, m_order_no, is_null_m_order_no)
			s.bind_num_to_string (7, source_filename, is_null_source_filename)
			s.bind_num_to_string (8, text_value, is_null_text_value)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8"

	bind_list_for_update: STRING = "  date_requested = :1, file_role = :2, internal_request_no = :3,%N  internal_request_type = :4, is_production_specific = :5, m_order_no = :6,%N  source_filename = :7, text_value = :8"

end
