
indexing
	
	description: "Comparator for is assigned in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class IS_ASSIGNED_COMPARATOR [G -> HAS_IS_ASSIGNED]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_is_assigned and v.has_is_assigned then
				Result := not u.is_assigned and v.is_assigned
			elseif v.has_is_assigned then
				Result := True
			else
				Result := False
			end
		end

end
