
indexing
	
	description: "Is lot assigned column in a multi column list"
	author: "David Hollenberg"
	date: "December 19, 2006"

class IS_LOT_ASSIGNED_COLUMN [G -> HAS_IS_LOT_ASSIGNED]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]
	BOOLEAN_STRINGS
		export
			{NONE} all
		end

create
	default_create

feature -- Properties

	title: STRING = "Assigned?"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_is_lot_assigned then
				Result := boolean_to_string (r.is_lot_assigned)
			else
				Result := ""
			end
		end

	comparator: IS_LOT_ASSIGNED_COMPARATOR [G]
		do
			create Result
		end

end
