
indexing
	
	description: "Is plasstic column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class IS_PLASTIC_COLUMN [G -> HAS_IS_PLASTIC]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]
	BOOLEAN_STRINGS
		export
			{NONE} all
		end

create
	default_create

feature -- Properties

	title: STRING = "Plastic"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_is_plastic then
				Result := boolean_to_string (r.is_plastic)
			else
				Result := ""
			end
		end

	comparator: IS_PLASTIC_COMPARATOR [G]
		do
			create Result
		end

end
