
indexing
	
	description: "Comparator for is plastic in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class IS_PLASTIC_COMPARATOR [G -> HAS_IS_PLASTIC]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_is_plastic and v.has_is_plastic then
				Result := not u.is_plastic and v.is_plastic
			else
				Result := v.has_is_plastic
			end
		end

end
