
indexing
	
	description: "Change that isolates or unisolates an element"
	author: "David Hollenberg"
	date: "January 25, 2007"

class ISOLATION_STATUS_CHANGE
inherit
	RETICLE_SIMPLE_CHANGE
		redefine
			make
		end

create
	make

feature {NONE} -- Creation

	make (an_element: RETICLE_VIEW_ELEMENT)
		do
			precursor (an_element)
			cut_cut_die := an_element.isolated_cut_die
		end

feature -- Properties

	cut_cut_die: CONST_RECTANGLE
			-- Cut die determined by cuts at time of change

feature -- Operations

	undo
			-- Undo change
		do
			element.set_cut_cut_die (cut_cut_die)
		end

	redo
			-- Redo change
		do
			element.set_cut_cut_die (cut_cut_die)
		end

end
