
indexing
	
	description: "Interface to allow user to control jobs %
		%for a run"
	author: "David Hollenberg"
	date: "January 27, 2004"

deferred class JOB_CONTROL_IFC

inherit
	ABSTRACT_INTERFACE
	RC_SESSIONABLE
		
feature {NONE} -- Creation

	make_interface
			-- Create interface
		do
			create success_actions
			create abort_actions
		end

feature -- Properties

	success_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when all jobs complete
			-- successfully

	abort_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when execution of jobs
			-- is aborted prematurely

feature -- Operations

	autosubmit_jobs
			-- Automatically select all jobs that are submittable,
			-- submit them and then start monitoring
		deferred
		end

end
