
indexing

	date: "Tue Apr 24 10:30:13 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"JOB_DECK_SLICE_CODES (MOSIS.JOB_DECK_SLICE_CODES)"
			-- Included columns
			-- 	EBEAM_TYPE
			-- 	MASK_SIZE_ID
			-- 	SLICE_CODE
			-- Excluded columns
			-- 	(none)

class JOB_DECK_SLICE_CODES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_mask_size_id: STRING; the_ebeam_type: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_mask_size_id_exists: the_mask_size_id /= Void
			the_ebeam_type_exists: the_ebeam_type /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			mask_size_id := the_mask_size_id
			ebeam_type := the_ebeam_type
			is_null_mask_size_id := False
			is_null_ebeam_type := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  ebeam_type, mask_size_id, slice_code"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "job_deck_slice_codes jdsc"

	join_condition: STRING = ""

	table_name: STRING = "job_deck_slice_codes"

	key_where_clause: STRING = "mask_size_id = :1 and ebeam_type = :2"

feature -- Values

	ebeam_type: STRING
			-- DB: VARCHAR2(25) not null

	mask_size_id: STRING
			-- DB: VARCHAR2(20) not null

	slice_code: INTEGER
			-- DB: NUMBER(2,0) not null

feature -- Nullness for non-null columns

	is_null_ebeam_type: BOOLEAN
	is_null_mask_size_id: BOOLEAN
	is_null_slice_code: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (ebeam_type, r.ebeam_type)
				and equal (mask_size_id, r.mask_size_id)
			Result := Result
				and is_null_ebeam_type = r.is_null_ebeam_type
				and is_null_mask_size_id = r.is_null_mask_size_id
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and slice_code = r.slice_code
			Result := Result
				and is_null_slice_code = r.is_null_slice_code
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 25)
			q.select_string (2, 20)
			q.select_integer (3)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			slice_code := q.integer_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			ebeam_type := q.string_value (1)
			mask_size_id := q.string_value (2)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, ebeam_type)
			q.get_string_value (2, mask_size_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_ebeam_type := q.is_null (1)
			is_null_mask_size_id := q.is_null (2)
			is_null_slice_code := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_mask_size_id := True
			is_null_ebeam_type := True
			create mask_size_id.make (0)
			create ebeam_type.make (0)
		end

	set_null_nonkey
		do
			is_null_slice_code := True
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, mask_size_id, False)
			q.bind_num_to_string (2, ebeam_type, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and slice_code = q.integer_value (3)
			q.get_string_value (1, s)
			Result := Result and equal (ebeam_type, s)
			q.get_string_value (2, s)
			Result := Result and equal (mask_size_id, s)
			Result := Result
				and is_null_ebeam_type = q.is_null (1)
				and is_null_mask_size_id = q.is_null (2)
				and is_null_slice_code = q.is_null (3)
		end

end
