
indexing

	author: "Generated"
	date: "Sat Feb 21 09:30:28 PST 2004"

class JOB_DECK_SLICE_CODES_ROW
inherit
	JOB_DECK_SLICE_CODES_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature
	
	slice_code_for_size_and_type (size_id, type: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All slice codes for mask size id `size_id' and
			-- ebeam type `type'
		require
			size_id_exists: size_id /= Void
			type_exists: type /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_SS
		do
			create b.make (size_id, type)
			Result := all_rows_filtered (conn, "mask_size_id = :1 and ebeam_type = :2", b)
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
