
indexing
	
	description: "Window to allow printing of job files for %
		%a specific run"
	author: "David Hollenberg"
	date: "March 10, 2005"

class JOB_FILE_PRINT_WINDOW

inherit
	RC_RUN_PRINT_WINDOW
		
create
	make

feature {NONE} -- Implementation

	add_extra_select_menu_items (select_menu: EV_MENU)
		do
		end

	populate_maps
			-- Populate list of maps that can be printed
		local
			fg: RC_FILE_GENERATOR
		do
			maps.wipe_out
			missing_map_count := 0
			fg := file_generator
			if session.cache.run_needs_mebes_files and cache.is_reticle_packing_target then
				add_map ("Final job file to send to mask shop", fg.final_job_file)
			end
			set_missing_files_status
		end

	job_name: STRING
			-- Name to use for print job
		do
			Result := session.run_id + "_job_files"
		end
	
end
