
indexing
	
	description: "Elapsed job time column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class JOB_TIME_COLUMN [G -> HAS_ELAPSED_JOB_TIME]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Time"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_right_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_elapsed_job_time then
				Result := r.elapsed_job_time.out
			else
				Result := ""
			end
		end

	comparator: JOB_TIME_COMPARATOR [G]
		do
			create Result
		end

end
