
indexing
	
	description: "Comparator for elapsed job time in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class JOB_TIME_COMPARATOR [G -> HAS_ELAPSED_JOB_TIME]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_elapsed_job_time and v.has_elapsed_job_time then
				Result := u.elapsed_job_time < v.elapsed_job_time
			elseif v.has_elapsed_job_time then
				Result := True
			else
				Result := False
			end
		end

end
