
indexing
	
	description: "Job type column in a multi column list"
	author: "David Hollenberg"
	date: "March 4, 2004"

class JOB_TYPE_COLUMN [G -> HAS_JOB_TYPE]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Job Type"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.job_type
		end

	comparator: JOB_TYPE_COMPARATOR [G]
		do
			create Result
		end

end
