
indexing

	date: "Tue Apr 24 10:30:13 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"LAYER_ERROR_FACTORS (MOSIS.LAYER_ERROR_FACTORS)"
			-- Included columns
			-- 	LAYER_ERROR_ID
			-- 	LAYER_NAME
			-- 	PRESENT
			-- Excluded columns
			-- 	(none)

class LAYER_ERROR_FACTORS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  layer_error_id, layer_name, present"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "layer_error_factors lf"

	join_condition: STRING = ""

	table_name: STRING = "layer_error_factors"

	key_where_clause: STRING = ""

feature -- Values

	layer_error_id: STRING
			-- DB: VARCHAR2(20) not null

	layer_name: STRING
			-- DB: VARCHAR2(255) not null

	present: BOOLEAN
			-- DB: CHAR(1) not null

feature -- Nullness for non-null columns

	is_null_layer_error_id: BOOLEAN
	is_null_layer_name: BOOLEAN
	is_null_present: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (layer_error_id, r.layer_error_id)
				and equal (layer_name, r.layer_name)
			Result := Result
				and is_null_layer_error_id = r.is_null_layer_error_id
				and is_null_layer_name = r.is_null_layer_name
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and present = r.present
			Result := Result
				and is_null_present = r.is_null_present
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 20)
			q.select_string (2, 255)
			q.select_boolean (3)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			present := q.boolean_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			layer_error_id := q.string_value (1)
			layer_name := q.string_value (2)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, layer_error_id)
			q.get_string_value (2, layer_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_layer_error_id := q.is_null (1)
			is_null_layer_name := q.is_null (2)
			is_null_present := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_layer_error_id := True
			is_null_layer_name := True
			create layer_error_id.make (0)
			create layer_name.make (0)
		end

	set_null_nonkey
		do
			is_null_present := True
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and present = q.boolean_value (3)
			q.get_string_value (1, s)
			Result := Result and equal (layer_error_id, s)
			q.get_string_value (2, s)
			Result := Result and equal (layer_name, s)
			Result := Result
				and is_null_layer_error_id = q.is_null (1)
				and is_null_layer_name = q.is_null (2)
				and is_null_present = q.is_null (3)
		end

end
