class LAYOUT_PORT
		-- a marked position (presumably has a name and a layer too)

inherit
	CONST_RECTANGLE
	undefine out
	select is_equal
	end;

	LAYOUT
	rename is_equal as general_is_equal
	end;

create
	make_copy,
	make_by_corners,
	make_by_size_and_center

feature -- the deferred LAYOUT features

	out: STRING is
	do  Result := su.string_of_2("PORT: ", center.out);
	end;

	is_unlayered: BOOLEAN is true
		-- is this unlayered ("monochromatic") layout?

	traverse(c: LAYOUT_CONSUMER; m: MATRIX) is
	do  c.do_port(Current, m)
	end;

	have_bounding_box: BOOLEAN = false
		-- a PORT is NOT layout

	bounding_box: CONST_RECTANGLE is
		-- (there is no LAYOUT in this LAYOUT object)
	do
	end;

	change_layers(remapping: HASH_TABLE[STRING, STRING];
			notifier: PROCEDURE[ANY, TUPLE[LAYOUT, STRING]])
		-- no operation here
	do  
	end;

end -- LAYOUT_PORT
