deferred class LC_SIMPLE_REFERENCE
		-- an intermediate layout consumer to handle do_reference,
		-- expanding any arrays and calling do_simple_reference
		-- for each call instance

inherit
	LAYOUT_CONSUMER

	GEOMETRY_SUPPORT

feature	-- our contribution to the world

	do_reference(r: LAYOUT_REFERENCE; at: MATRIX) is
	local nam: STRING; bdy: LAYOUT; mlat: MATRIX;
		ix,nx,iy,ny: INTEGER; sx,sy: DOUBLE
	do  nam := r.structure_name;
	    bdy := r.body;	-- (may be VOID)
	    nx  := r.copies_in_X; sx := r.step_in_X;
	    ny  := r.copies_in_Y; sy := r.step_in_Y;
	    from  iy := 0
	    until iy = ny
	    loop  from  ix := 0
		  until ix = nx
		  loop  if ix = 0 and iy = 0
			 then mlat := Identity
			 else create mlat.make_translation_XY(sx*ix, sy*iy);
			end;
			do_simple_reference(nam, bdy, mlat.and_then(at))
			ix := ix + 1
		  end;
		  iy := iy + 1
	    end;
	end;

feature	--

	do_simple_reference(name: STRING; body: LAYOUT; at: MATRIX) is
	deferred
	end;

end -- LC_SIMPLE_REFERENCE
