
indexing
	
	description: "Action that locks view element in position in Y"
	author: "David Hollenberg"
	date: "October 1, 2006"

class LOCK_IN_Y_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			an_element.unfix_in_x_and_y
				-- Make sure it won't be fixed in X or Y
				-- when it is unlocked
			an_element.lock_in_y
			if an_element.is_fixed_in_x_changed or an_element.is_fixed_in_y_changed or an_element.is_movable_in_y_changed then
				an_element.add_to_changed_region
				an_element.add_change (create {LOCK_IN_Y_CHANGE}.make (an_element, an_element.is_fixed_in_x_changed, an_element.is_fixed_in_y_changed, an_element.is_movable_in_y_changed))
			end
		end

end
