
indexing

	author: "Generated"
	date: "Thu Jun 12 13:50:27 PDT 2003"

class M_OPERATORS_ROW
inherit
	M_OPERATORS_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature -- Properties

	run_closer_operators_ordered (conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
	
			-- All rows for operators that can be run closers
		require
			connection_exists: conn /= Void
			range_exists: range /= Void
		local
			b: DB_BIND_B
		do
			create b.make (True)
			Result := all_rows_filtered_ordered (conn, "is_closer = :1", b, "username")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

	run_clerk_operators_ordered (conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
	
			-- All rows for operators that can be run clerks
		require
			connection_exists: conn /= Void
			range_exists: range /= Void
		local
			b: DB_BIND_B
		do
			create b.make (True)
			Result := all_rows_filtered_ordered (conn, "is_clerk = :1", b, "username")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

	preferred_clerk_operators_ordered (conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
	
			-- All rows for operators that are preferred run clerks
		require
			connection_exists: conn /= Void
			range_exists: range /= Void
		local
			b: DB_BIND_B
		do
			create b.make (True)
			Result := all_rows_filtered_ordered (conn, "is_preferred_clerk = :1", b, "username")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

	design_engineer_operators_ordered (conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
	
			-- All rows for operators that can be design engineers
		require
			connection_exists: conn /= Void
			range_exists: range /= Void
		local
			b: DB_BIND_B
		do
			create b.make (True)
			Result := all_rows_filtered_ordered (conn, "is_design_engineer = :1", b, "username")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

	test_engineer_operators_ordered (conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
	
			-- All rows for operators that can be test engineers
		require
			connection_exists: conn /= Void
			range_exists: range /= Void
		local
			b: DB_BIND_B
		do
			create b.make (True)
			Result := all_rows_filtered_ordered (conn, "is_test_engineer = :1", b, "username")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

	preferred_test_engineers_ordered (conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
	
			-- All rows for operators that are preferred test
			-- engineers
		require
			connection_exists: conn /= Void
			range_exists: range /= Void
		local
			b: DB_BIND_B
		do
			create b.make (True)
			Result := all_rows_filtered_ordered (conn, "is_preferred_test_engineer = :1", b, "username")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end


end
