
indexing

	date: "Tue Apr 24 10:30:14 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"M_REPLIES (MOSIS.M_REPLIES)"
			-- Included columns
			-- 	COMMUNICATION_MEDIUM
			-- 	CONTENT_TYPE_ID
			-- 	DATE_PROCESSED
			-- 	DESIGN_STATE
			-- 	FIRST_RESPONSE_LINE
			-- 	HEADER_SUBJECT
			-- 	M_COMMUNICATION_NO
			-- 	M_SHIPMENT_NO
			-- 	REPLY_MODE
			-- 	REPLY_NO
			-- 	REQUEST_NO
			-- 	SECURITY_TYPE
			-- 	SENT_TO
			-- 	SEVERITY
			-- 	STORAGE_FILENAME
			-- 	STORAGE_SEGMENT_LENGTH
			-- 	STORAGE_SEGMENT_OFFSET
			-- Excluded columns
			-- 	(none)

class M_REPLIES_MRAW

inherit

	DB_DELETABLE_ROW
	M_REPLIES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_communication_medium (s: STRING)
		do
			change_field (True, True)
			communication_medium := s
			if s = Void then
				create communication_medium.make (0)
			end
			is_null_communication_medium := s = Void or else s.count = 0
		end

	set_content_type_id (s: STRING)
		do
			change_field (True, True)
			content_type_id := s
			if s = Void then
				create content_type_id.make (0)
			end
			is_null_content_type_id := s = Void or else s.count = 0
		end

	set_date_processed (d: DB_DATE)
		do
			change_field (True, True)
			date_processed := d
			if d = Void then
				create {ORACLE_DATE} date_processed.set_null
			end
			is_null_date_processed := d = Void or else d.is_null
		end

	set_design_state (s: STRING)
		do
			change_field (True, True)
			design_state := s
			if s = Void then
				create design_state.make (0)
			end
			is_null_design_state := s = Void or else s.count = 0
		end

	set_first_response_line (s: STRING)
		do
			change_field (True, True)
			first_response_line := s
			if s = Void then
				create first_response_line.make (0)
			end
			is_null_first_response_line := s = Void or else s.count = 0
		end

	set_header_subject (s: STRING)
		do
			change_field (True, True)
			header_subject := s
			if s = Void then
				create header_subject.make (0)
			end
			is_null_header_subject := s = Void or else s.count = 0
		end

	set_m_communication_no (k: INTEGER)
		do
			change_key_field
			m_communication_no := k
			is_null_m_communication_no := False
		end

	set_m_shipment_no (k: INTEGER)
		do
			change_field (True, True)
			m_shipment_no := k
			is_null_m_shipment_no := False
		end

	set_reply_mode (s: STRING)
		do
			change_field (True, True)
			reply_mode := s
			if s = Void then
				create reply_mode.make (0)
			end
			is_null_reply_mode := s = Void or else s.count = 0
		end

	set_reply_no (k: INTEGER)
		do
			change_key_field
			reply_no := k
			is_null_reply_no := False
		end

	set_request_no (k: INTEGER)
		do
			change_key_field
			request_no := k
			is_null_request_no := False
		end

	set_security_type (s: STRING)
		do
			change_field (True, True)
			security_type := s
			if s = Void then
				create security_type.make (0)
			end
			is_null_security_type := s = Void or else s.count = 0
		end

	set_sent_to (s: STRING)
		do
			change_field (True, True)
			sent_to := s
			if s = Void then
				create sent_to.make (0)
			end
			is_null_sent_to := s = Void or else s.count = 0
		end

	set_severity (c: CHARACTER)
		do
			change_field (True, True)
			severity := c
			is_null_severity := False
		end

	set_storage_filename (s: STRING)
		do
			change_field (True, True)
			storage_filename := s
			if s = Void then
				create storage_filename.make (0)
			end
			is_null_storage_filename := s = Void or else s.count = 0
		end

	set_storage_segment_length (k: INTEGER)
		do
			change_field (True, True)
			storage_segment_length := k
			is_null_storage_segment_length := False
		end

	set_storage_segment_offset (k: INTEGER)
		do
			change_field (True, True)
			storage_segment_offset := k
			is_null_storage_segment_offset := False
		end

feature -- Modification to null

	set_null_communication_medium
		do
			set_communication_medium (Void)
		end

	set_null_content_type_id
		do
			set_content_type_id (Void)
		end

	set_null_date_processed
		do
			set_date_processed (Void)
		end

	set_null_design_state
		do
			set_design_state (Void)
		end

	set_null_first_response_line
		do
			set_first_response_line (Void)
		end

	set_null_header_subject
		do
			set_header_subject (Void)
		end

	set_null_m_shipment_no
		do
			change_field (True, True)
			m_shipment_no := 0
			is_null_m_shipment_no := True
		end

	set_null_security_type
		do
			set_security_type (Void)
		end

	set_null_sent_to
		do
			set_sent_to (Void)
		end

	set_null_storage_filename
		do
			set_storage_filename (Void)
		end

	set_null_storage_segment_length
		do
			change_field (True, True)
			storage_segment_length := 0
			is_null_storage_segment_length := True
		end

	set_null_storage_segment_offset
		do
			change_field (True, True)
			storage_segment_offset := 0
			is_null_storage_segment_offset := True
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, communication_medium, is_null_communication_medium)
			s.bind_num_to_string (2, content_type_id, is_null_content_type_id)
			s.bind_num_to_date (3, date_processed, is_null_date_processed)
			s.bind_num_to_string (4, design_state, is_null_design_state)
			s.bind_num_to_string (5, first_response_line, is_null_first_response_line)
			s.bind_num_to_string (6, header_subject, is_null_header_subject)
			s.bind_num_to_integer (7, m_communication_no, is_null_m_communication_no)
			s.bind_num_to_integer (8, m_shipment_no, is_null_m_shipment_no)
			s.bind_num_to_string (9, reply_mode, is_null_reply_mode)
			s.bind_num_to_integer (10, reply_no, is_null_reply_no)
			s.bind_num_to_integer (11, request_no, is_null_request_no)
			s.bind_num_to_string (12, security_type, is_null_security_type)
			s.bind_num_to_string (13, sent_to, is_null_sent_to)
			s.bind_num_to_character (14, severity, is_null_severity)
			s.bind_num_to_string (15, storage_filename, is_null_storage_filename)
			s.bind_num_to_integer (16, storage_segment_length, is_null_storage_segment_length)
			s.bind_num_to_integer (17, storage_segment_offset, is_null_storage_segment_offset)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17"

	bind_list_for_update: STRING = "  communication_medium = :1, content_type_id = :2, date_processed = :3,%N  design_state = :4, first_response_line = :5, header_subject = :6,%N  m_communication_no = :7, m_shipment_no = :8, reply_mode = :9,%N  reply_no = :10, request_no = :11, security_type = :12, sent_to = :13,%N  severity = :14, storage_filename = :15, storage_segment_length = :16,%N  storage_segment_offset = :17"

end
