
indexing

	author: "Generated"
	date: "Tue Feb 17 14:43:31 PST 2004"

class MASK_LITHO_TYPES_ROW
inherit
	MASK_LITHO_TYPES_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature
	all_mask_litho_types (conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All known mask lithography types, ordered by name
		require
			connection_exists: conn /= Void
			range_exists: range /= Void
		do
			Result := all_rows_ordered (conn, "mask_litho_type")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

	mask_litho_types_with_name (mlt: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All mask litho types named `mlt'
		require
			mask_litho_type_exists: mlt /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_S
		do
			create b.make (mlt)
			Result := all_rows_filtered (conn, "mask_litho_type = :1", b)
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end


end
