
indexing

	date: "Mon Feb 23 10:43:24 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"MASK_TECHN_CANNED_LINES (MOSIS.MASK_TECHN_CANNED_LINES)"
			-- Included columns
			-- 	LINE_NO
			-- 	MASK_SIZE_ID
			-- 	MASK_TECHN
			-- 	PROLOG
			-- 	TEXT
			-- Excluded columns
			-- 	(none)

class MASK_TECHN_CANNED_LINES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_mask_techn: STRING; the_mask_size_id: STRING; the_prolog: BOOLEAN; the_line_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_mask_techn_exists: the_mask_techn /= Void
			the_mask_size_id_exists: the_mask_size_id /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			mask_techn := the_mask_techn
			mask_size_id := the_mask_size_id
			prolog := the_prolog
			line_no := the_line_no
			is_null_mask_techn := False
			is_null_mask_size_id := False
			is_null_prolog := False
			is_null_line_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 5

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  line_no, mask_size_id, mask_techn, prolog, text"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "mask_techn_canned_lines mtcl"

	join_condition: STRING = ""

	table_name: STRING = "mask_techn_canned_lines"

	key_where_clause: STRING = "mask_techn = :1 and mask_size_id = :2 and prolog = :3 and line_no = :4"

feature -- Values

	line_no: INTEGER
			-- DB: NUMBER(3,0) not null

	mask_size_id: STRING
			-- DB: VARCHAR2(20) not null

	mask_techn: STRING
			-- DB: VARCHAR2(50) not null

	prolog: BOOLEAN
			-- DB: CHAR(1) not null

	text: STRING
			-- DB: VARCHAR2(80)

feature -- Nullness for null allowed columns

	is_null_text: BOOLEAN

feature -- Nullness for non-null columns

	is_null_line_no: BOOLEAN
	is_null_mask_size_id: BOOLEAN
	is_null_mask_techn: BOOLEAN
	is_null_prolog: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and line_no = r.line_no
				and prolog = r.prolog
			Result := Result
				and equal (mask_size_id, r.mask_size_id)
				and equal (mask_techn, r.mask_techn)
			Result := Result
				and is_null_line_no = r.is_null_line_no
				and is_null_mask_size_id = r.is_null_mask_size_id
				and is_null_mask_techn = r.is_null_mask_techn
				and is_null_prolog = r.is_null_prolog
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (text, r.text)
			Result := Result
				and is_null_text = r.is_null_text
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_string (2, 20)
			q.select_string (3, 50)
			q.select_boolean (4)
			q.select_string (5, 80)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			line_no := q.integer_value (1)
			prolog := q.boolean_value (4)
		end

	fill_in_references (q: SQL_QUERY)
		do
			mask_size_id := q.string_value (2)
			mask_techn := q.string_value (3)
			text := q.string_value (5)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, mask_size_id)
			q.get_string_value (3, mask_techn)
			q.get_string_value (5, text)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_line_no := q.is_null (1)
			is_null_mask_size_id := q.is_null (2)
			is_null_mask_techn := q.is_null (3)
			is_null_prolog := q.is_null (4)
			is_null_text := q.is_null (5)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_mask_techn := True
			is_null_mask_size_id := True
			is_null_prolog := True
			is_null_line_no := True
			create mask_techn.make (0)
			create mask_size_id.make (0)
		end

	set_null_nonkey
		do
			is_null_text := True
			create text.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, mask_techn, False)
			q.bind_num_to_string (2, mask_size_id, False)
			q.bind_num_to_boolean (3, prolog, False)
			q.bind_num_to_integer (4, line_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and line_no = q.integer_value (1)
				and prolog = q.boolean_value (4)
			q.get_string_value (2, s)
			Result := Result and equal (mask_size_id, s)
			q.get_string_value (3, s)
			Result := Result and equal (mask_techn, s)
			q.get_string_value (5, s)
			Result := Result and equal (text, s)
			Result := Result
				and is_null_line_no = q.is_null (1)
				and is_null_mask_size_id = q.is_null (2)
				and is_null_mask_techn = q.is_null (3)
				and is_null_prolog = q.is_null (4)
				and is_null_text = q.is_null (5)
		end

end
