
indexing

	date: "Mon Feb 23 10:43:32 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"MASK_TITLE_ORIENTATIONS (MOSIS.MASK_TITLE_ORIENTATIONS)"
			-- Included columns
			-- 	LINE_NO
			-- 	TEXT
			-- 	WAFER_TECHN_FAMILY
			-- Excluded columns
			-- 	(none)

class MASK_TITLE_ORIENTATIONS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_wafer_techn_family: STRING; the_line_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_wafer_techn_family_exists: the_wafer_techn_family /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			wafer_techn_family := the_wafer_techn_family
			line_no := the_line_no
			is_null_wafer_techn_family := False
			is_null_line_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  line_no, text, wafer_techn_family"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "mask_title_orientations mtor"

	join_condition: STRING = ""

	table_name: STRING = "mask_title_orientations"

	key_where_clause: STRING = "wafer_techn_family = :1 and line_no = :2"

feature -- Values

	line_no: INTEGER
			-- DB: NUMBER(3,0) not null

	text: STRING
			-- DB: VARCHAR2(80)

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_text: BOOLEAN

feature -- Nullness for non-null columns

	is_null_line_no: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and line_no = r.line_no
			Result := Result
				and equal (wafer_techn_family, r.wafer_techn_family)
			Result := Result
				and is_null_line_no = r.is_null_line_no
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (text, r.text)
			Result := Result
				and is_null_text = r.is_null_text
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_string (2, 80)
			q.select_string (3, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			line_no := q.integer_value (1)
		end

	fill_in_references (q: SQL_QUERY)
		do
			text := q.string_value (2)
			wafer_techn_family := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, text)
			q.get_string_value (3, wafer_techn_family)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_line_no := q.is_null (1)
			is_null_text := q.is_null (2)
			is_null_wafer_techn_family := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_wafer_techn_family := True
			is_null_line_no := True
			create wafer_techn_family.make (0)
		end

	set_null_nonkey
		do
			is_null_text := True
			create text.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, wafer_techn_family, False)
			q.bind_num_to_integer (2, line_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and line_no = q.integer_value (1)
			q.get_string_value (2, s)
			Result := Result and equal (text, s)
			q.get_string_value (3, s)
			Result := Result and equal (wafer_techn_family, s)
			Result := Result
				and is_null_line_no = q.is_null (1)
				and is_null_text = q.is_null (2)
				and is_null_wafer_techn_family = q.is_null (3)
		end

end
