
indexing

	date: "Tue Apr 24 10:30:13 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"MASK_TITLES (MOSIS.MASK_TITLES)"
			-- Included columns
			-- 	JOB_DECK_TITLE_COMMAND
			-- 	LEVEL_NO
			-- 	TITLE_CODE_STRING
			-- 	WAFER_TECHN_FAMILY
			-- Excluded columns
			-- 	(none)

class MASK_TITLES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  job_deck_title_command, level_no, title_code_string, wafer_techn_family"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "mask_titles mtit"

	join_condition: STRING = ""

	table_name: STRING = "mask_titles"

	key_where_clause: STRING = ""

feature -- Values

	job_deck_title_command: STRING
			-- DB: VARCHAR2(10) not null

	level_no: INTEGER
			-- DB: NUMBER(3,0)

	title_code_string: STRING
			-- DB: VARCHAR2(255) not null

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_level_no: BOOLEAN

feature -- Nullness for non-null columns

	is_null_job_deck_title_command: BOOLEAN
	is_null_title_code_string: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and level_no = r.level_no
			Result := Result
				and equal (job_deck_title_command, r.job_deck_title_command)
				and equal (title_code_string, r.title_code_string)
				and equal (wafer_techn_family, r.wafer_techn_family)
			Result := Result
				and is_null_job_deck_title_command = r.is_null_job_deck_title_command
				and is_null_level_no = r.is_null_level_no
				and is_null_title_code_string = r.is_null_title_code_string
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 10)
			q.select_integer (2)
			q.select_string (3, 255)
			q.select_string (4, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			level_no := q.integer_value (2)
		end

	fill_in_references (q: SQL_QUERY)
		do
			job_deck_title_command := q.string_value (1)
			title_code_string := q.string_value (3)
			wafer_techn_family := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, job_deck_title_command)
			q.get_string_value (3, title_code_string)
			q.get_string_value (4, wafer_techn_family)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_job_deck_title_command := q.is_null (1)
			is_null_level_no := q.is_null (2)
			is_null_title_code_string := q.is_null (3)
			is_null_wafer_techn_family := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
		end

	set_null_nonkey
		do
			is_null_job_deck_title_command := True
			is_null_level_no := True
			is_null_title_code_string := True
			is_null_wafer_techn_family := True
			create job_deck_title_command.make (0)
			create title_code_string.make (0)
			create wafer_techn_family.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and level_no = q.integer_value (2)
			q.get_string_value (1, s)
			Result := Result and equal (job_deck_title_command, s)
			q.get_string_value (3, s)
			Result := Result and equal (title_code_string, s)
			q.get_string_value (4, s)
			Result := Result and equal (wafer_techn_family, s)
			Result := Result
				and is_null_job_deck_title_command = q.is_null (1)
				and is_null_level_no = q.is_null (2)
				and is_null_title_code_string = q.is_null (3)
				and is_null_wafer_techn_family = q.is_null (4)
		end

end
