
indexing
	
	description: "Comparator for maximum size X in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2006"

class MAX_SIZE_X_COMPARATOR [G -> HAS_MAX_SIZE_X]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_max_size_x and v.has_max_size_x then
				Result := u.max_size_x < v.max_size_x
			elseif v.has_max_size_x then
				Result := True
			else
				Result := False
			end
		end

end
