class MOSIS_AREA_CALCULATOR

feature	-- chargeable area

	chargeable_IC_area(conn: DB_CONNECTION; x, y: DOUBLE): DOUBLE is
		-- Official (chargeable) area of a design
		-- X and Y in microns;
		-- Result in sq mm
	local
		b: DB_BIND_NN
	do
		create b.make (x, y)
		Result := conn.selected_double ("round (round(:1) * round(:2) / 1.0E6, 3)", "dual", Void, b);
	end;

end -- MOSIS_AREA_CALCULATOR
