
indexing
	
	description: "Object that knows how to format a multi-column list %
		%by setting the columns to be displayed in it"
	author: "David Hollenberg";
	date: "December 21, 2005"

class MULTI_COLUMN_LIST_FORMATTER [G -> MULTI_COLUMN_LIST_ROW]

create
	make

feature {NONE} -- Creation

	make (a_list: like list a_formatter: like formatter) is
		do
			list := a_list
			formatter := a_formatter
		end

feature -- Properties

	list: MULTI_COLUMN_LIST [G]
			-- Multi-column list to be formatted

	formatter: FUNCTION [ANY, TUPLE, LIST [MULTI_COLUMN_LIST_COLUMN [G]]]
			-- Multi-column list to be formatted

feature -- Operations

	apply is
			-- Apply `formatter' to `list'
		do
			list.set_visible_columns (formatter.item ([]))
		end

end
