
indexing
	
	description: "Object that generates a %"filled%" indication for no %
		%elements of a reticle view"
	author: "David Hollenberg"
	date: "July 25, 2006"

class NONE_FILL_GENERATOR
inherit
	RETICLE_VIEW_ELEMENT_FILL_GENERATOR

create
	make

feature  -- Access

	is_interior_filled (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Should interior of `an_element' be filled when
			-- it is displayed?
		do
			Result := False
		end
	
	interior_color (an_element: RETICLE_VIEW_ELEMENT): EV_COLOR
			-- Foreground color for interior of
			-- `an_element', if it is filled
		do
			-- Inapplicable
			Result := palette.standard_background_color
		end
	
end
