deferred class NUMERIC_SEVERITY
		-- extend any (EIFFEL_CLASS_GENERATOR) class that contains
		-- severity: CHARACTER and
		-- set_severity(ch: CHARACTER)
		-- to deal with numeric
		-- severity level values in addition to character values

inherit

	NUMERIC_SEVERITY_RO

feature	-- if the descendant class has these two features

--	severity: CHARACTER is
--	deferred
--	end;

	set_severity(ch: CHARACTER) is
	deferred
	end;

feature -- then we add these three features

--	severity_no: INTEGER is
--	do  Result := severity_level(severity)
--	end;

	set_severity_no(i: INTEGER) is
		-- set external severity from an internal number
	require is_severity_level(i);
	do  set_severity(severity_char(i))
	end;
	
--	is_in_error: BOOLEAN is
--	do  Result := severity_no >= severity_is_error
--	end;
	
end -- NUMERIC_SEVERITY
