deferred class NUMERIC_SEVERITY_RO
		-- extend any (EIFFEL_CLASS_GENERATOR) class that contains
		-- SEVERITY: CHARACTER to offer numeric
		-- severity level values in addition to character values

inherit

	SEVERITY_LEVELS

feature	-- if the descendant class has this feature

	severity: CHARACTER is
	deferred
	end;

feature -- then we add these two features

	severity_no: INTEGER is
	do  Result := severity_level(severity)
	end;

	is_in_error: BOOLEAN is
	do  Result := severity_no >= severity_is_error
	end;
	
end -- NUMERIC_SEVERITY_RO
