
indexing
	
	description: "Operation column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class OPERATION_COLUMN [G -> HAS_OPERATION]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Operation"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_operation then
				Result := r.operation
			else
				Result := ""
			end
		end

	comparator: OPERATION_COMPARATOR [G]
		do
			create Result
		end

end
