
indexing
	
	author: "David Hollenberg"
	date:	"March 11, 2003"
	description: "Oracle-related external routines which are not macros"

class ORACLE_EXTERNALS

feature -- Externals

	is_allocated_lda (lda: POINTER): BOOLEAN
			-- Is `lda' an LDA which is still allocated
			-- (and HDA will be still allocated too) meaning
			-- that it is safe to do operations on the
			-- connection?
		external
			"C"
		end

	add_oracle_lda (lda: POINTER)
			-- Add `lda' to global list of allocated LDAs
		external
			"C"
		end

	remove_oracle_lda (lda: POINTER)
			-- Remove `lda' from global list of allocated LDAs
		external
			"C"
		end

end

