
indexing
	
	description: "Comparator for organization short ID in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class ORG_SHORT_ID_COMPARATOR [G -> HAS_ORG_SHORT_ID]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_org_short_id and v.has_org_short_id then
				Result := u.org_short_id < v.org_short_id
			elseif v.has_org_short_id then
				Result := True
			else
				Result := False
			end
		end

end
