
indexing
	
	description: "Package id column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class PACKAGE_ID_COLUMN [G -> HAS_PACKAGE_ID]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Package"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.package_id
		end

	comparator: PACKAGE_ID_COMPARATOR [G]
		do
			create Result
		end

end
