
indexing
	
	description: "Package manufacturer column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class PACKAGE_MANUFACTURER_COLUMN [G -> HAS_PACKAGE_MANUFACTURER]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Package Manufacturer"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_package_manufacturer then
				Result := r.package_manufacturer
			else
				Result := ""
			end
		end

	comparator: PACKAGE_MANUFACTURER_COMPARATOR [G]
		do
			create Result
		end

end
