
indexing
	
	description: "Object that can generate a packaging description for an %
		%element of a reticle view"
	author: "David Hollenberg"
	date: "July 25, 2006"

class PACKAGING_LABEL_GENERATOR
inherit
	RETICLE_VIEW_ELEMENT_LABEL_GENERATOR

feature  -- Access

	label (an_element: RETICLE_VIEW_ELEMENT): STRING
			-- Label for `an_element'
		local
			pkg_desc: STRING
		do
			pkg_desc := an_element.packaging_description
			if pkg_desc.is_empty then
				Result := an_element.identification
			else
				Result := pkg_desc
			end
		end
	
end
