
indexing
	
	description: "Interface to create initial packaging lots for a run"
	author: "David Hollenberg"
	date: "March 1, 2007"

deferred class PACKAGING_LOT_CREATION_IFC

inherit
	ABSTRACT_INTERFACE
	RC_SESSIONABLE
		
feature {NONE} -- Creation

	make_interface
			-- Create interface
		do
			create success_actions
			create abort_actions
		end

feature -- Properties

	success_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when wafer lots have
			-- been created

	abort_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when wafer lot creation
			-- is aborted prematurely

	state: PACKAGING_LOTS_STATE
			-- State saved by soft undo, if not Void

feature -- Modification

	set_state (s: PACKAGING_LOTS_STATE)
			-- Set `state' to `s'
		do
			state := s
		end

end
