
indexing

	date: "Tue Apr 24 10:30:15 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_ETEST_COLORS (MOSIS.PACKING_ETEST_COLORS)"
			-- Included columns
			-- 	BLUE_VALUE
			-- 	COLOR_NAME
			-- 	GREEN_VALUE
			-- 	PACKING_ID
			-- 	RED_VALUE
			-- 	WAFER_ETEST_NAME
			-- Excluded columns
			-- 	(none)

class PACKING_ETEST_COLORS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	PACKING_ETEST_COLORS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_blue_value (d: DOUBLE)
		do
			change_field (True, True)
			blue_value := d
			is_null_blue_value := False
		end

	set_color_name (s: STRING)
		do
			change_field (True, True)
			color_name := s
			if s = Void then
				create color_name.make (0)
			end
			is_null_color_name := s = Void or else s.count = 0
		end

	set_green_value (d: DOUBLE)
		do
			change_field (True, True)
			green_value := d
			is_null_green_value := False
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_red_value (d: DOUBLE)
		do
			change_field (True, True)
			red_value := d
			is_null_red_value := False
		end

	set_wafer_etest_name (s: STRING)
		do
			change_key_field
			wafer_etest_name := s
			if s = Void then
				create wafer_etest_name.make (0)
			end
			is_null_wafer_etest_name := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_blue_value
		do
			change_field (True, True)
			blue_value := 0.0
			is_null_blue_value := True
		end

	set_null_color_name
		do
			set_color_name (Void)
		end

	set_null_green_value
		do
			change_field (True, True)
			green_value := 0.0
			is_null_green_value := True
		end

	set_null_red_value
		do
			change_field (True, True)
			red_value := 0.0
			is_null_red_value := True
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_blue_value then
				set_null_blue_value
			else
				set_blue_value (r.blue_value)
			end
			if r.is_null_color_name then
				set_null_color_name
			else
				set_color_name (r.color_name)
			end
			if r.is_null_green_value then
				set_null_green_value
			else
				set_green_value (r.green_value)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_red_value then
				set_null_red_value
			else
				set_red_value (r.red_value)
			end
			if r.is_null_wafer_etest_name then
				handle_null_copy_error ("wafer_etest_name")
			else
				set_wafer_etest_name (r.wafer_etest_name)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_double (1, blue_value, is_null_blue_value)
			s.bind_num_to_string (2, color_name, is_null_color_name)
			s.bind_num_to_double (3, green_value, is_null_green_value)
			s.bind_num_to_string (4, packing_id, is_null_packing_id)
			s.bind_num_to_double (5, red_value, is_null_red_value)
			s.bind_num_to_string (6, wafer_etest_name, is_null_wafer_etest_name)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6"

	bind_list_for_update: STRING = "  blue_value = :1, color_name = :2, green_value = :3, packing_id = :4,%N  red_value = :5, wafer_etest_name = :6"

end
