
indexing
	
	description: "Comparator for packing id in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class PACKING_ID_COMPARATOR [G -> HAS_PACKING_ID]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_packing_id and v.has_packing_id then
				Result := u.packing_id < v.packing_id
			elseif v.has_packing_id then
				Result := True
			else
				Result := False
			end
		end

end
