
indexing
	
	description: "Comparator for packing name ascending"
	author: "David Hollenberg"
	date: "November 16, 2006"

class PACKING_NAME_ASC_COMPARATOR [G -> HAS_PACKING_NAME]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		local
			u_is_int, v_is_int: BOOLEAN
		do
			if u.has_packing_name and v.has_packing_name then
				u_is_int := u.packing_name.is_integer
				v_is_int := v.packing_name.is_integer
				if u_is_int and v_is_int then
					Result := u.packing_name.to_integer < v.packing_name.to_integer
				elseif u_is_int then
					Result := True
				elseif v_is_int then
					Result := False
				else
					Result := u.packing_name < v.packing_name
				end
			else
				Result := v.has_packing_name
			end
		end

end
