
indexing
	
	description: "Comparator for parent version no in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class PARENT_VERSION_NO_COMPARATOR [G -> HAS_PARENT_VERSION_NUMBER]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_parent_version_number and v.has_parent_version_number then
				Result := u.parent_version_number < v.parent_version_number
			elseif v.has_parent_version_number then
				Result := True
			else
				Result := False
			end
		end

end
