
indexing
	
	description: "A usage of a part id"
	author: "David Hollenberg"
	date: "June 12, 2003"

deferred class PART_ID_USAGE

feature -- Properties

	part_id: STRING
			-- Name of part id
		deferred
		ensure
			result_exists: Result /= Void
		end

	usage: STRING
			-- How part id is used
		deferred
		ensure
			result_exists: Result /= Void
		end

	matches_part (s: STRING): BOOLEAN
			-- Does `part_id' match `s'?
		require
			string_exists: s /= Void
		do
			Result := part_id.is_equal (s)
		end

end
