
indexing

	date: "Tue Apr 24 10:30:18 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"PRICE_BREAKDOWNS (MOSIS.PRICE_BREAKDOWNS)"
			-- Included columns
			-- 	AREA_AMOUNT
			-- 	FLAT_AMOUNT
			-- 	M_COST_CATEGORY_ID
			-- 	M_PRICE_NO
			-- Excluded columns
			-- 	(none)

class PRICE_BREAKDOWNS_ROW

inherit

	DB_ANONYMOUS_ROW
	GENERIC_PRICE_BREAKDOWN

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  area_amount, flat_amount, m_cost_category_id, m_price_no"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "price_breakdowns pb"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	area_amount: DOUBLE
			-- DB: NUMBER(9,2) not null

	flat_amount: DOUBLE
			-- DB: NUMBER(9,2) not null

	m_cost_category_id: STRING
			-- DB: VARCHAR2(10) not null

	m_price_no: INTEGER
			-- DB: NUMBER(6,0) not null

feature -- Nullness for non-null columns

	is_null_area_amount: BOOLEAN
	is_null_flat_amount: BOOLEAN
	is_null_m_cost_category_id: BOOLEAN
	is_null_m_price_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and m_price_no = r.m_price_no
			Result := Result
				and equal (m_cost_category_id, r.m_cost_category_id)
			Result := Result
				and is_null_m_cost_category_id = r.is_null_m_cost_category_id
				and is_null_m_price_no = r.is_null_m_price_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and area_amount = r.area_amount
				and flat_amount = r.flat_amount
			Result := Result
				and is_null_area_amount = r.is_null_area_amount
				and is_null_flat_amount = r.is_null_flat_amount
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_double (1)
			q.select_double (2)
			q.select_string (3, 10)
			q.select_integer (4)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			area_amount := q.double_value (1)
			flat_amount := q.double_value (2)
			m_price_no := q.integer_value (4)
		end

	fill_in_references (q: SQL_QUERY)
		do
			m_cost_category_id := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (3, m_cost_category_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_area_amount := q.is_null (1)
			is_null_flat_amount := q.is_null (2)
			is_null_m_cost_category_id := q.is_null (3)
			is_null_m_price_no := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_area_amount := True
			is_null_flat_amount := True
			is_null_m_cost_category_id := True
			is_null_m_price_no := True
			create m_cost_category_id.make (0)
		end

end
