
indexing

	date: "Tue Jul 31 14:47:45 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"PRODUCTIONS (MOSIS.PRODUCTIONS)"
			-- Included columns
			-- 	CHARGE_COMMENTS
			-- 	CLERK
			-- 	COST_COMMENTS
			-- 	DATA_ENTRY_USERNAME
			-- 	DATE_PRODUCTION_CLOSED
			-- 	DATE_TA_DATES_MODIFIED
			-- 	IS_COMPLETED
			-- 	IS_TAXI
			-- 	NOT_MOSIS
			-- 	PRODUCTION_CHARGES_LOCKED
			-- 	PRODUCTION_ID
			-- 	PRODUCTION_TYPE
			-- 	RUN_ID
			-- 	RUN_REVIEW_COMMENTS
			-- 	TEST_ENGINEER
			-- 	TURN_AROUND_DAYS
			-- 	WAFER_PART_ID
			-- 	WAFER_PART_ID_SOURCE
			-- Excluded columns
			-- 	(none)

class PRODUCTIONS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	PRODUCTIONS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_charge_comments (s: STRING)
		do
			change_field (True, True)
			charge_comments := s
			if s = Void then
				create charge_comments.make (0)
			end
			is_null_charge_comments := s = Void or else s.count = 0
		end

	set_clerk (s: STRING)
		do
			change_field (True, True)
			clerk := s
			if s = Void then
				create clerk.make (0)
			end
			is_null_clerk := s = Void or else s.count = 0
		end

	set_cost_comments (s: STRING)
		do
			change_field (True, True)
			cost_comments := s
			if s = Void then
				create cost_comments.make (0)
			end
			is_null_cost_comments := s = Void or else s.count = 0
		end

	set_data_entry_username (s: STRING)
		do
			change_field (True, True)
			data_entry_username := s
			if s = Void then
				create data_entry_username.make (0)
			end
			is_null_data_entry_username := s = Void or else s.count = 0
		end

	set_date_production_closed (d: DB_DATE)
		do
			change_field (True, True)
			date_production_closed := d
			if d = Void then
				create {ORACLE_DATE} date_production_closed.set_null
			end
			is_null_date_production_closed := d = Void or else d.is_null
		end

	set_date_ta_dates_modified (d: DB_DATE)
		do
			change_field (True, True)
			date_ta_dates_modified := d
			if d = Void then
				create {ORACLE_DATE} date_ta_dates_modified.set_null
			end
			is_null_date_ta_dates_modified := d = Void or else d.is_null
		end

	set_is_completed (b: BOOLEAN)
		do
			change_field (True, True)
			is_completed := b
			is_null_is_completed := False
		end

	set_is_taxi (b: BOOLEAN)
		do
			change_field (True, True)
			is_taxi := b
			is_null_is_taxi := False
		end

	set_not_mosis (b: BOOLEAN)
		do
			change_field (True, True)
			not_mosis := b
			is_null_not_mosis := False
		end

	set_production_charges_locked (b: BOOLEAN)
		do
			change_field (True, True)
			production_charges_locked := b
			is_null_production_charges_locked := False
		end

	set_production_id (s: STRING)
		do
			change_key_field
			production_id := s
			if s = Void then
				create production_id.make (0)
			end
			is_null_production_id := s = Void or else s.count = 0
		end

	set_production_type (s: STRING)
		do
			change_field (True, True)
			production_type := s
			if s = Void then
				create production_type.make (0)
			end
			is_null_production_type := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_field (True, True)
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_run_review_comments (s: STRING)
		do
			change_field (True, True)
			run_review_comments := s
			if s = Void then
				create run_review_comments.make (0)
			end
			is_null_run_review_comments := s = Void or else s.count = 0
		end

	set_test_engineer (s: STRING)
		do
			change_field (True, True)
			test_engineer := s
			if s = Void then
				create test_engineer.make (0)
			end
			is_null_test_engineer := s = Void or else s.count = 0
		end

	set_turn_around_days (k: INTEGER)
		do
			change_field (True, True)
			turn_around_days := k
			is_null_turn_around_days := False
		end

	set_wafer_part_id (s: STRING)
		do
			change_field (True, True)
			wafer_part_id := s
			if s = Void then
				create wafer_part_id.make (0)
			end
			is_null_wafer_part_id := s = Void or else s.count = 0
		end

	set_wafer_part_id_source (s: STRING)
		do
			change_field (True, True)
			wafer_part_id_source := s
			if s = Void then
				create wafer_part_id_source.make (0)
			end
			is_null_wafer_part_id_source := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_charge_comments
		do
			set_charge_comments (Void)
		end

	set_null_clerk
		do
			set_clerk (Void)
		end

	set_null_cost_comments
		do
			set_cost_comments (Void)
		end

	set_null_data_entry_username
		do
			set_data_entry_username (Void)
		end

	set_null_date_production_closed
		do
			set_date_production_closed (Void)
		end

	set_null_date_ta_dates_modified
		do
			set_date_ta_dates_modified (Void)
		end

	set_null_run_id
		do
			set_run_id (Void)
		end

	set_null_run_review_comments
		do
			set_run_review_comments (Void)
		end

	set_null_test_engineer
		do
			set_test_engineer (Void)
		end

	set_null_turn_around_days
		do
			change_field (True, True)
			turn_around_days := 0
			is_null_turn_around_days := True
		end

	set_null_wafer_part_id
		do
			set_wafer_part_id (Void)
		end

	set_null_wafer_part_id_source
		do
			set_wafer_part_id_source (Void)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			is_completed := False
			is_null_is_completed := False
			is_taxi := False
			is_null_is_taxi := False
			not_mosis := False
			is_null_not_mosis := False
			production_charges_locked := False
			is_null_production_charges_locked := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, charge_comments, is_null_charge_comments)
			s.bind_num_to_string (2, clerk, is_null_clerk)
			s.bind_num_to_string (3, cost_comments, is_null_cost_comments)
			s.bind_num_to_string (4, data_entry_username, is_null_data_entry_username)
			s.bind_num_to_date (5, date_production_closed, is_null_date_production_closed)
			s.bind_num_to_date (6, date_ta_dates_modified, is_null_date_ta_dates_modified)
			s.bind_num_to_boolean (7, is_completed, is_null_is_completed)
			s.bind_num_to_boolean (8, is_taxi, is_null_is_taxi)
			s.bind_num_to_boolean (9, not_mosis, is_null_not_mosis)
			s.bind_num_to_boolean (10, production_charges_locked, is_null_production_charges_locked)
			s.bind_num_to_string (11, production_id, is_null_production_id)
			s.bind_num_to_string (12, production_type, is_null_production_type)
			s.bind_num_to_string (13, run_id, is_null_run_id)
			s.bind_num_to_string (14, run_review_comments, is_null_run_review_comments)
			s.bind_num_to_string (15, test_engineer, is_null_test_engineer)
			s.bind_num_to_integer (16, turn_around_days, is_null_turn_around_days)
			s.bind_num_to_string (17, wafer_part_id, is_null_wafer_part_id)
			s.bind_num_to_string (18, wafer_part_id_source, is_null_wafer_part_id_source)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18"

	bind_list_for_update: STRING = "  charge_comments = :1, clerk = :2, cost_comments = :3,%N  data_entry_username = :4, date_production_closed = :5,%N  date_ta_dates_modified = :6, is_completed = :7, is_taxi = :8,%N  not_mosis = :9, production_charges_locked = :10, production_id = :11,%N  production_type = :12, run_id = :13, run_review_comments = :14,%N  test_engineer = :15, turn_around_days = :16, wafer_part_id = :17,%N  wafer_part_id_source = :18"

end
