
indexing
	
	description: "Comparator for quantity ordered in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class QUANTITY_ORDERED_COMPARATOR [G -> HAS_QUANTITY_ORDERED]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_quantity_ordered and v.has_quantity_ordered then
				Result := u.quantity_ordered < v.quantity_ordered
			else
				Result := v.has_quantity_ordered
			end
		end

end
