
indexing
	
	description: "Interface to set die overhead parameters for a run"
	author: "David Hollenberg"
	date: "March 1, 2007"

deferred class RC_DIE_OVERHEAD_PARAMETERS_IFC

inherit
	ABSTRACT_INTERFACE
	RC_SESSIONABLE
		
feature {NONE} -- Creation

	make_interface
			-- Create interface
		do
			create success_actions
			create abort_actions
		end

feature -- Properties

	success_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when die overhead parameters
			-- have been set

	abort_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when selection of
			-- die overhead parameters is aborted
			-- prematurely

	state: DIE_OVERHEAD_PARAMETERS_STATE
			-- State saved by soft undo, if not Void

feature -- Modification

	set_state (s: like state)
			-- Set `state' to `s'
		do
			state := s
		end

end
