
indexing
	
	description: "Window to allow printing of maps for %
		%a specific run"
	author: "David Hollenberg"
	date: "March 10, 2005"

deferred class RC_RUN_PRINT_WINDOW

inherit
	RC_MAP_PRINT_WINDOW
		redefine
			session
		end
		
feature -- Properties

	session: RC_RUN_CLOSING_SESSION
			-- Session used to print maps

	has_file_name_items: BOOLEAN = True
			-- Is the data associated with each list item
			-- that can be printed a file name?  If not,
			-- the associated data is a data source that
			-- provides the data to be printed

feature {NONE} -- Implementation

	file_generator: RC_FILE_GENERATOR
		do
			Result := session.file_generator
		end

	cache: RUN_CACHE
		do
			Result := session.cache
		end

end
