class RC_SEARCH_PATH
	-- the search path used by RC to locate vendor geometry mebes sets
	-- (creation routine establishes the search path)

inherit
	SEARCH_PATH

	RUN_CACHABLE
		export {NONE} all
		undefine is_equal, copy
		end

create
	make_rc_path

create {RC_SEARCH_PATH}
	make_filled

feature {NONE} -- establish the search path

	make_rc_path (a_cache: RUN_CACHE)
	    -- establish our 2-part search path
	do  make(2)
	    set_cache (a_cache)
	    -- first entry is run directory
	    extend (cache.file_generator.run_directory_name)
	    -- second entry is the techn_directory
	    extend (cache.wafer_techn_families_row.techn_directory)
	end

end
