
indexing
	
	description: "A run closing session whose session type is not yet %
		%specified"
	author: "David Hollenberg"
	date: "September 25, 2002"

class RC_TYPELESS_SESSION
inherit
	RC_SESSION

create {RC_SESSION_MANAGER}
	make

feature -- Properties

	type: STRING = "UNSPECIFIED"
			-- Type of session

	id_name: STRING = ""
			-- Name of session-identifying value
	
	id_value: STRING = ""
			-- Value that identifies session
	
	has_steps: BOOLEAN = False
			-- Is session activity broken into separate steps?

	error_file_name: STRING
			-- Name of file for error messages
		do
			Result := environment.general_error_filename
		end

	log_file_name: STRING
			-- Name of log file (no specific file for typeless
			-- session)
		do
		end

	shared_lock_name: STRING
			-- Name of shared lock file
		do
			Result := environment.shared_lock_name
		end

	exclusive_lock_name: STRING
			-- Name of exclusive lock file
		do
		end

end

