
indexing
	
	description: "Object that can compose text for a regular expression %
		%compilation error"
	author: "David Hollenberg"
	date: "March 10, 2004"

class REGEXP_ERROR_COMPOSER
inherit
	TEXT_COMPOSER [REGEXP_COMPILE_ERROR]

feature -- Properties

	text (err: REGEXP_COMPILE_ERROR): STRING
			-- Text composed for `err'
		local
			expr: RX_PCRE_REGULAR_EXPRESSION
		do
			expr := err.expression
			Result := "Cannot compile regular expression %"" + err.pattern + "%"%NError code " + expr.error_code.out + " at position " + expr.error_position.out + "%NMeaning: " + expr.error_message
		end

end
