
indexing
	
	description: "Action that removes element if it is marked and sets %
		%selection status of elements that are not marked"
	author: "David Hollenberg"
	date: "October 1, 2006"

class REMOVE_MARKED_WITH_SELECT_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			if an_element.is_marked then
				-- Don't set its selection status, so
				-- it won't get added to any selection
				-- list and will be gone when element
				-- list is rebuilt
				an_element.unmark
			else
				an_element.set_selected (an_element.is_selected, True)
			end
		end

end
