
indexing
	
	description: "Object that can compose text for database 'list busy' %
		%conditions (which occur when at least one row of a list of %
		%rows being selected in a single select is locked by another %
		%session)"
	author: "David Hollenberg"
	date: "February 21, 2004"

class ROW_LIST_BUSY_ERROR_COMPOSER
inherit
	TEXT_COMPOSER [ROW_LIST_BUSY_ERROR]
	STRING_UTILITIES_ACCESS
		export
			{NONE} all
		end

feature -- Properties

	text (err: ROW_LIST_BUSY_ERROR): STRING
			-- Text composed for `err'
		do
			Result := "One or more rows selected for update is locked by another session%N%N"
			Result.append ("SQL query:%N") 
			su.append_string_indented (Indent, err.query_text, 0, Result)
 			Result.append (err.query_bindings)
		end

feature {NONE} -- Implementation

	Indent: STRING = "    "

end
