
indexing

	date: "Tue Apr 24 10:30:15 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUN_CLOSING_DATA_ITEMS (MOSIS.RUN_CLOSING_DATA_ITEMS)"
			-- Included columns
			-- 	DATA_ITEM
			-- 	DESCR
			-- 	PRODUCING_PRIMITIVE_STEP_NAME
			-- Excluded columns
			-- 	(none)

class RUN_CLOSING_DATA_ITEMS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_data_item: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_data_item_exists: the_data_item /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			data_item := the_data_item
			is_null_data_item := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  data_item, descr, producing_primitive_step_name"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "run_closing_data_items rcdi"

	join_condition: STRING = ""

	table_name: STRING = "run_closing_data_items"

	key_where_clause: STRING = "data_item = :1"

feature -- Values

	data_item: STRING
			-- DB: VARCHAR2(30) not null

	descr: STRING
			-- DB: VARCHAR2(200)

	producing_primitive_step_name: STRING
			-- DB: VARCHAR2(30) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_data_item: BOOLEAN
	is_null_producing_primitive_step_name: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (data_item, r.data_item)
			Result := Result
				and is_null_data_item = r.is_null_data_item
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (descr, r.descr)
				and equal (producing_primitive_step_name, r.producing_primitive_step_name)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_producing_primitive_step_name = r.is_null_producing_primitive_step_name
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 30)
			q.select_string (2, 200)
			q.select_string (3, 30)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
		end

	fill_in_references (q: SQL_QUERY)
		do
			data_item := q.string_value (1)
			descr := q.string_value (2)
			producing_primitive_step_name := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, data_item)
			q.get_string_value (2, descr)
			q.get_string_value (3, producing_primitive_step_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_data_item := q.is_null (1)
			is_null_descr := q.is_null (2)
			is_null_producing_primitive_step_name := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_data_item := True
			create data_item.make (0)
		end

	set_null_nonkey
		do
			is_null_descr := True
			is_null_producing_primitive_step_name := True
			create descr.make (0)
			create producing_primitive_step_name.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, data_item, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			q.get_string_value (1, s)
			Result := Result and equal (data_item, s)
			q.get_string_value (2, s)
			Result := Result and equal (descr, s)
			q.get_string_value (3, s)
			Result := Result and equal (producing_primitive_step_name, s)
			Result := Result
				and is_null_data_item = q.is_null (1)
				and is_null_descr = q.is_null (2)
				and is_null_producing_primitive_step_name = q.is_null (3)
		end

end
