
indexing

	date: "Tue Apr 24 10:30:15 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUN_CLOSING_STEP_COMPONENTS (MOSIS.RUN_CLOSING_STEP_COMPONENTS)"
			-- Included columns
			-- 	NONPRIMITIVE_STEP_NAME
			-- 	PRIMITIVE_STEP_NAME
			-- 	STEP_NAME
			-- 	STEP_NO
			-- Excluded columns
			-- 	(none)

class RUN_CLOSING_STEP_COMPONENTS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_step_name: STRING; the_step_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_step_name_exists: the_step_name /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			step_name := the_step_name
			step_no := the_step_no
			is_null_step_name := False
			is_null_step_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  nonprimitive_step_name, primitive_step_name, step_name, step_no"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "run_closing_step_components rcsc"

	join_condition: STRING = ""

	table_name: STRING = "run_closing_step_components"

	key_where_clause: STRING = "step_name = :1 and step_no = :2"

feature -- Values

	nonprimitive_step_name: STRING
			-- DB: VARCHAR2(30)

	primitive_step_name: STRING
			-- DB: VARCHAR2(30)

	step_name: STRING
			-- DB: VARCHAR2(30) not null

	step_no: INTEGER
			-- DB: NUMBER(3,0) not null

feature -- Nullness for null allowed columns

	is_null_nonprimitive_step_name: BOOLEAN
	is_null_primitive_step_name: BOOLEAN

feature -- Nullness for non-null columns

	is_null_step_name: BOOLEAN
	is_null_step_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and step_no = r.step_no
			Result := Result
				and equal (step_name, r.step_name)
			Result := Result
				and is_null_step_name = r.is_null_step_name
				and is_null_step_no = r.is_null_step_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (nonprimitive_step_name, r.nonprimitive_step_name)
				and equal (primitive_step_name, r.primitive_step_name)
			Result := Result
				and is_null_nonprimitive_step_name = r.is_null_nonprimitive_step_name
				and is_null_primitive_step_name = r.is_null_primitive_step_name
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 30)
			q.select_string (2, 30)
			q.select_string (3, 30)
			q.select_integer (4)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			step_no := q.integer_value (4)
		end

	fill_in_references (q: SQL_QUERY)
		do
			nonprimitive_step_name := q.string_value (1)
			primitive_step_name := q.string_value (2)
			step_name := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, nonprimitive_step_name)
			q.get_string_value (2, primitive_step_name)
			q.get_string_value (3, step_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_nonprimitive_step_name := q.is_null (1)
			is_null_primitive_step_name := q.is_null (2)
			is_null_step_name := q.is_null (3)
			is_null_step_no := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_step_name := True
			is_null_step_no := True
			create step_name.make (0)
		end

	set_null_nonkey
		do
			is_null_nonprimitive_step_name := True
			is_null_primitive_step_name := True
			create nonprimitive_step_name.make (0)
			create primitive_step_name.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, step_name, False)
			q.bind_num_to_integer (2, step_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and step_no = q.integer_value (4)
			q.get_string_value (1, s)
			Result := Result and equal (nonprimitive_step_name, s)
			q.get_string_value (2, s)
			Result := Result and equal (primitive_step_name, s)
			q.get_string_value (3, s)
			Result := Result and equal (step_name, s)
			Result := Result
				and is_null_nonprimitive_step_name = q.is_null (1)
				and is_null_primitive_step_name = q.is_null (2)
				and is_null_step_name = q.is_null (3)
				and is_null_step_no = q.is_null (4)
		end

end
