
indexing

	date: "Tue Apr 24 10:30:16 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUN_CUT_PATTERNS (MOSIS.RUN_CUT_PATTERNS)"
			-- Included columns
			-- 	CUT_PATTERN_NO
			-- 	FIELD_NAME
			-- 	PACKAGING_LOT_NO
			-- 	QUANTITY_WAFERS_NEEDED
			-- 	QUANTITY_WAFERS_NEEDED_WO_DFC
			-- 	RUN_ID
			-- Excluded columns
			-- 	(none)

class RUN_CUT_PATTERNS_MRAW

inherit

	DB_DELETABLE_ROW
	RUN_CUT_PATTERNS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_cut_pattern_no (k: INTEGER)
		do
			change_key_field
			cut_pattern_no := k
			is_null_cut_pattern_no := False
		end

	set_field_name (s: STRING)
		do
			change_field (True, True)
			field_name := s
			if s = Void then
				create field_name.make (0)
			end
			is_null_field_name := s = Void or else s.count = 0
		end

	set_packaging_lot_no (k: INTEGER)
		do
			change_field (True, True)
			packaging_lot_no := k
			is_null_packaging_lot_no := False
		end

	set_quantity_wafers_needed (k: INTEGER)
		do
			change_field (True, True)
			quantity_wafers_needed := k
			is_null_quantity_wafers_needed := False
		end

	set_quantity_wafers_needed_wo_dfc (k: INTEGER)
		do
			change_field (True, True)
			quantity_wafers_needed_wo_dfc := k
			is_null_quantity_wafers_needed_wo_dfc := False
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_packaging_lot_no
		do
			change_field (True, True)
			packaging_lot_no := 0
			is_null_packaging_lot_no := True
		end

	set_null_quantity_wafers_needed_wo_dfc
		do
			change_field (True, True)
			quantity_wafers_needed_wo_dfc := 0
			is_null_quantity_wafers_needed_wo_dfc := True
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, cut_pattern_no, is_null_cut_pattern_no)
			s.bind_num_to_string (2, field_name, is_null_field_name)
			s.bind_num_to_integer (3, packaging_lot_no, is_null_packaging_lot_no)
			s.bind_num_to_integer (4, quantity_wafers_needed, is_null_quantity_wafers_needed)
			s.bind_num_to_integer (5, quantity_wafers_needed_wo_dfc, is_null_quantity_wafers_needed_wo_dfc)
			s.bind_num_to_string (6, run_id, is_null_run_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6"

	bind_list_for_update: STRING = "  cut_pattern_no = :1, field_name = :2, packaging_lot_no = :3,%N  quantity_wafers_needed = :4, quantity_wafers_needed_wo_dfc = :5,%N  run_id = :6"

end
