
indexing
	
	description: "Run date requested column in a multi column list"
	author: "David Hollenberg"
	date: "December 21, 2005"

class RUN_DATE_REQUESTED_COLUMN [G -> HAS_RUN_DATE_REQUESTED]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Req Run Date"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_run_date_requested then
				Result := r.run_date_requested.to_date_string
			else
				Result := ""
			end
		end

	comparator: RUN_DATE_REQUESTED_COMPARATOR [G]
		do
			create Result
		end

end
