
indexing
	
	description: "Comparator for requested run date in a multi column list"
	author: "David Hollenberg"
	date: "December 21, 2005"

class RUN_DATE_REQUESTED_COMPARATOR [G -> HAS_RUN_DATE_REQUESTED]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_run_date_requested and v.has_run_date_requested then
				Result := u.run_date_requested < v.run_date_requested
			elseif v.has_run_date_requested then
				Result := True
			else
				Result := False
			end
		end

end
