
indexing

	date: "Tue Apr 24 10:30:16 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUN_EVENTS (MOSIS.RUN_EVENTS)"
			-- Included columns
			-- 	ACTUAL_DATE
			-- 	COMMENTS
			-- 	DATE_EVENT
			-- 	EVENT_NAME
			-- 	RUN_ID
			-- 	SIGNIFICANT
			-- Excluded columns
			-- 	(none)

class RUN_EVENTS_MRAW

inherit

	DB_DELETABLE_ROW
	RUN_EVENTS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_actual_date (b: BOOLEAN)
		do
			change_field (True, True)
			actual_date := b
			is_null_actual_date := False
		end

	set_comments (s: STRING)
		do
			change_field (True, True)
			comments := s
			if s = Void then
				create comments.make (0)
			end
			is_null_comments := s = Void or else s.count = 0
		end

	set_date_event (d: DB_DATE)
		do
			change_field (True, True)
			date_event := d
			if d = Void then
				create {ORACLE_DATE} date_event.set_null
			end
			is_null_date_event := d = Void or else d.is_null
		end

	set_event_name (s: STRING)
		do
			change_key_field
			event_name := s
			if s = Void then
				create event_name.make (0)
			end
			is_null_event_name := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_significant (b: BOOLEAN)
		do
			change_field (True, True)
			significant := b
			is_null_significant := False
		end

feature -- Modification to null

	set_null_comments
		do
			set_comments (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_boolean (1, actual_date, is_null_actual_date)
			s.bind_num_to_string (2, comments, is_null_comments)
			s.bind_num_to_date (3, date_event, is_null_date_event)
			s.bind_num_to_string (4, event_name, is_null_event_name)
			s.bind_num_to_string (5, run_id, is_null_run_id)
			s.bind_num_to_boolean (6, significant, is_null_significant)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6"

	bind_list_for_update: STRING = "  actual_date = :1, comments = :2, date_event = :3, event_name = :4,%N  run_id = :5, significant = :6"

end
