
indexing

	date: "Mon Jun 23 14:03:26 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"RUN_GDS_FILE_LAYERS (MOSIS.RUN_GDS_FILE_LAYERS)"
			-- Included columns
			-- 	FILE_NO
			-- 	LAYER_NAME
			-- 	RUN_ID
			-- Excluded columns
			-- 	(none)

class RUN_GDS_FILE_LAYERS_MRAW

inherit

	DB_DELETABLE_ROW
	RUN_GDS_FILE_LAYERS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_file_no (k: INTEGER)
		do
			change_key_field
			file_no := k
			is_null_file_no := False
		end

	set_layer_name (s: STRING)
		do
			change_key_field
			layer_name := s
			if s = Void then
				create layer_name.make (0)
			end
			is_null_layer_name := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, file_no, is_null_file_no)
			s.bind_num_to_string (2, layer_name, is_null_layer_name)
			s.bind_num_to_string (3, run_id, is_null_run_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3"

	bind_list_for_update: STRING = "  file_no = :1, layer_name = :2, run_id = :3"

end
