
indexing

	date: "Mon Nov  3 11:20:35 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"RUN_GDS_MERGE_RESULTS (MOSIS.RUN_GDS_MERGE_RESULTS)"
			-- Included columns
			-- 	CENTER_X
			-- 	CENTER_Y
			-- 	FILE_NO
			-- 	RUN_ID
			-- 	SIZE_X
			-- 	SIZE_Y
			-- 	TOP_STRUCTURE
			-- Excluded columns
			-- 	(none)

class RUN_GDS_MERGE_RESULTS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	RUN_GDS_MERGE_RESULTS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_center_x (d: DOUBLE)
		do
			change_field (True, True)
			center_x := d
			is_null_center_x := False
		end

	set_center_y (d: DOUBLE)
		do
			change_field (True, True)
			center_y := d
			is_null_center_y := False
		end

	set_file_no (k: INTEGER)
		do
			change_key_field
			file_no := k
			is_null_file_no := False
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_size_x (d: DOUBLE)
		do
			change_field (True, True)
			size_x := d
			is_null_size_x := False
		end

	set_size_y (d: DOUBLE)
		do
			change_field (True, True)
			size_y := d
			is_null_size_y := False
		end

	set_top_structure (s: STRING)
		do
			change_field (True, True)
			top_structure := s
			if s = Void then
				create top_structure.make (0)
			end
			is_null_top_structure := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_center_x
		do
			change_field (True, True)
			center_x := 0.0
			is_null_center_x := True
		end

	set_null_center_y
		do
			change_field (True, True)
			center_y := 0.0
			is_null_center_y := True
		end

	set_null_size_x
		do
			change_field (True, True)
			size_x := 0.0
			is_null_size_x := True
		end

	set_null_size_y
		do
			change_field (True, True)
			size_y := 0.0
			is_null_size_y := True
		end

	set_null_top_structure
		do
			set_top_structure (Void)
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_center_x then
				set_null_center_x
			else
				set_center_x (r.center_x)
			end
			if r.is_null_center_y then
				set_null_center_y
			else
				set_center_y (r.center_y)
			end
			if r.is_null_file_no then
				handle_null_copy_error ("file_no")
			else
				set_file_no (r.file_no)
			end
			if r.is_null_run_id then
				handle_null_copy_error ("run_id")
			else
				set_run_id (r.run_id)
			end
			if r.is_null_size_x then
				set_null_size_x
			else
				set_size_x (r.size_x)
			end
			if r.is_null_size_y then
				set_null_size_y
			else
				set_size_y (r.size_y)
			end
			if r.is_null_top_structure then
				set_null_top_structure
			else
				set_top_structure (r.top_structure)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_double (1, center_x, is_null_center_x)
			s.bind_num_to_double (2, center_y, is_null_center_y)
			s.bind_num_to_integer (3, file_no, is_null_file_no)
			s.bind_num_to_string (4, run_id, is_null_run_id)
			s.bind_num_to_double (5, size_x, is_null_size_x)
			s.bind_num_to_double (6, size_y, is_null_size_y)
			s.bind_num_to_string (7, top_structure, is_null_top_structure)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7"

	bind_list_for_update: STRING = "  center_x = :1, center_y = :2, file_no = :3, run_id = :4, size_x = :5,%N  size_y = :6, top_structure = :7"

end
