
indexing

	author: "Generated"
	date: "Thu Mar  4 11:53:18 PST 2004"

class RUN_JOBS_ROW
inherit
	RUN_JOBS_RAW
		rename
			cats_status as job_status,
			maxlen_cats_status as maxlen_job_status,
			is_null_cats_status as is_null_job_status
		end
	CONST_BATCH_JOB_REQUESTOR
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature -- Properties

	fill_selector_jobs_for_run (run: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All fill selector jobs for run `run'
		require
			run_exists: run /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_SS
			job_type: CATS_JOB_TYPE_VALUES
		do
			create b.make (run, job_type.Fill_selector)
			Result := all_rows_filtered (conn, "run_id = :1 and cats_job_type = :2", b)
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
