
indexing

	author: "Generated"
	date: "Tue Dec  2 15:24:00 PST 2003"

class RUN_LEVELS_ROW
inherit
	RUN_LEVELS_RAW
	ROW_COUNT_CHECK_ACCESS
	NULL_VALUE_CHECK_ACCESS
	ABSTRACT_LEVEL
create
	make_template, make_null

feature
	levels_for_run (a_run_id: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All levels (from wafer_techn_family_levels)
			-- for wafer processes used by `a_run_id'
		require
			a_run_id_exists: a_run_id /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_S
		do
			create b.make (a_run_id)
			Result := all_rows_filtered_ordered (conn, "run_id = :1", b, "level_no")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
