
indexing

	date: "Fri Jan 23 15:56:50 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"FIELD_SETS (MOSIS.FIELD_SETS)",
			-- Included columns
			-- 	DESCR
			-- 	FAB_LOCATION
			-- 	FIELD_SET_NAME
			-- 	LITHO_SIZE_ID (fs_litho_size_id)
			-- Excluded columns
			-- 	(none)
		"RUNS (MOSIS.RUNS)",
			-- Included columns
			-- 	RUN_ID
			-- Excluded columns
			-- 	CLOSER
			-- 	DESIGNATED_DESIGN_TECHN
			-- 	DESIGN_ENGINEER
			-- 	EDUCATIONAL
			-- 	FIELD_SET_NAME
			-- 	IS_RMOSIS
			-- 	IS_TRIAL_RUN
			-- 	MASK_PART_ID
			-- 	OTHER_BORDER
			-- 	OVERHEAD_STYLE
			-- 	PACKER_BOX_FULL_FILENAME
			-- 	PACKING_ID
			-- 	PACKING_VERSION_NO
			-- 	PHOTO_ORG_NO
			-- 	PLACARD_LINE
			-- 	QUANTITY_PROJECTS
			-- 	RUN_ID_FOR_OVERHEAD
			-- 	RUN_NICKNAME
			-- 	RUN_TYPE
			-- 	RUN_TYPE_VARIANT
			-- 	SCHED_RUN_NO
			-- 	SECURITY_CLASS_ID
			-- 	SECURITY_CLASS_ID_LABEL
			-- 	UNIFORM_OVERRIDE_BORDER
			-- 	WAFER_SCALE_INTEGRATION
			-- 	WAFER_TECHN
			-- 	WAFER_TECHN_ORG_NO
		"WAFER_LITHO_SIZE_PART_SEQ_IDS (MOSIS.WAFER_LITHO_SIZE_PART_SEQ_IDS)"
			-- Included columns
			-- 	LABELLED_ENTITY
			-- 	LITHO_SIZE_ID (wlspsi_litho_size_id)
			-- 	VENDOR_PART_SEQUENCE_ID
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class RUN_PART_SEQUENCES_ERAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 9

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  descr, fab_location, fs.field_set_name, fs.litho_size_id, run_id,%N  labelled_entity, wlspsi.litho_size_id, vendor_part_sequence_id,%N  wlspsi.wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "field_sets fs, runs r, wafer_litho_size_part_seq_ids wlspsi"

	join_condition: STRING = "r.wafer_techn = wlspsi.wafer_techn and r.field_set_name = fs.field_set_name and fs.litho_size_id = wlspsi.litho_size_id"

	table_count: INTEGER = 3

	group_by: STRING = ""

feature -- Values

	descr: STRING
			-- DB: VARCHAR2(255)

	fab_location: STRING
			-- DB: VARCHAR2(80)

	field_set_name: STRING
			-- DB: VARCHAR2(30) not null

	fs_litho_size_id: STRING
			-- DB: fs.litho_size_id VARCHAR2(30) not null

	run_id: STRING
			-- DB: CHAR(4) not null

	labelled_entity: STRING
			-- DB: VARCHAR2(15) not null

	wlspsi_litho_size_id: STRING
			-- DB: wlspsi.litho_size_id VARCHAR2(30) not null

	vendor_part_sequence_id: STRING
			-- DB: VARCHAR2(30) not null

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN
	is_null_fab_location: BOOLEAN

feature -- Nullness for non-null columns

	is_null_field_set_name: BOOLEAN
	is_null_fs_litho_size_id: BOOLEAN
	is_null_run_id: BOOLEAN
	is_null_labelled_entity: BOOLEAN
	is_null_wlspsi_litho_size_id: BOOLEAN
	is_null_vendor_part_sequence_id: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (field_set_name, r.field_set_name)
				and equal (run_id, r.run_id)
				and equal (labelled_entity, r.labelled_entity)
				and equal (wlspsi_litho_size_id, r.wlspsi_litho_size_id)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_field_set_name = r.is_null_field_set_name
				and is_null_run_id = r.is_null_run_id
				and is_null_labelled_entity = r.is_null_labelled_entity
				and is_null_wlspsi_litho_size_id = r.is_null_wlspsi_litho_size_id
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (descr, r.descr)
				and equal (fab_location, r.fab_location)
				and equal (fs_litho_size_id, r.fs_litho_size_id)
				and equal (vendor_part_sequence_id, r.vendor_part_sequence_id)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_fab_location = r.is_null_fab_location
				and is_null_fs_litho_size_id = r.is_null_fs_litho_size_id
				and is_null_vendor_part_sequence_id = r.is_null_vendor_part_sequence_id
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_string (2, 80)
			q.select_string (3, 30)
			q.select_string (4, 30)
			q.select_string (5, 4)
			q.select_string (6, 15)
			q.select_string (7, 30)
			q.select_string (8, 30)
			q.select_string (9, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (1)
			fab_location := q.string_value (2)
			field_set_name := q.string_value (3)
			fs_litho_size_id := q.string_value (4)
			run_id := q.string_value (5)
			labelled_entity := q.string_value (6)
			wlspsi_litho_size_id := q.string_value (7)
			vendor_part_sequence_id := q.string_value (8)
			wafer_techn := q.string_value (9)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, descr)
			q.get_string_value (2, fab_location)
			q.get_string_value (3, field_set_name)
			q.get_string_value (4, fs_litho_size_id)
			q.get_string_value (5, run_id)
			q.get_string_value (6, labelled_entity)
			q.get_string_value (7, wlspsi_litho_size_id)
			q.get_string_value (8, vendor_part_sequence_id)
			q.get_string_value (9, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_descr := q.is_null (1)
			is_null_fab_location := q.is_null (2)
			is_null_field_set_name := q.is_null (3)
			is_null_fs_litho_size_id := q.is_null (4)
			is_null_run_id := q.is_null (5)
			is_null_labelled_entity := q.is_null (6)
			is_null_wlspsi_litho_size_id := q.is_null (7)
			is_null_vendor_part_sequence_id := q.is_null (8)
			is_null_wafer_techn := q.is_null (9)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_descr := True
			is_null_fab_location := True
			is_null_field_set_name := True
			is_null_fs_litho_size_id := True
			is_null_run_id := True
			is_null_labelled_entity := True
			is_null_wlspsi_litho_size_id := True
			is_null_vendor_part_sequence_id := True
			is_null_wafer_techn := True
			create descr.make (0)
			create fab_location.make (0)
			create field_set_name.make (0)
			create fs_litho_size_id.make (0)
			create run_id.make (0)
			create labelled_entity.make (0)
			create wlspsi_litho_size_id.make (0)
			create vendor_part_sequence_id.make (0)
			create wafer_techn.make (0)
		end

end
