
indexing

	author: "Generated"
	date: "Mon Jun 16 12:38:12 PDT 2003"

class RUN_PART_SEQUENCES_EROW
inherit
	RUN_PART_SEQUENCES_ERAW
create
	make_template, make_null

feature -- Properties

	unclosed_runs_using_sequence (seq, run: STRING conn: DB_CONNECTION): LIST [like Current] is
			-- List of rows for runs that are not fully
			-- closed, that are using `seq' as their
			-- wafer part id sequence and whose run id is
			-- not `run'
		require
			sequence_exists: seq /= Void
			run_id_exists: run /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
		local
			b: DB_BIND_SSSS
			prod_type: PRODUCTION_TYPE_VALUES
			step_name: PRIMITIVE_STEP_NAME_VALUES
		do
			create b.make (run, seq, prod_type.Initial_run, step_name.Complete_run_assembly)
			Result := all_rows_filtered (conn, 
				"run_id <> :1 and %N%
				%  vendor_part_sequence_id = :2 and %N%
				%  exists (select 1 from productions p where p.run_id = r.run_id and p.not_mosis = 'N' and p.production_type = :3 and p.wafer_part_id_source is not null) and %N%
				%  not exists (select 1 from run_primitive_steps rps where rps.run_id = r.run_id and primitive_step_name = :4 and date_completed is not null)", b)
		ensure
			result_exists: Result /= Void
		end

end
