
indexing

	author: "Generated"
	date: "Thu Jun 12 13:50:27 PDT 2003"

class RUN_PRIMITIVE_STEPS_ROW
inherit
	RUN_PRIMITIVE_STEPS_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature -- Properties

	steps_for_run (run: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All fully or partially completed steps
			-- for `run'
		require
			run_exists: conn /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_S
		do
			create b.make (run)
			Result := all_rows_filtered (conn, "run_id = :1", b)
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
