
indexing
	
	description: "Queries related to runs"
	author: "David Hollenberg"
	date: "June 10, 2003"

deferred class RUN_QUERIES
inherit
	ANY
		undefine
			default_create
		end

feature -- Properties

	is_existing_run (run_id: STRING conn: DB_CONNECTION): BOOLEAN
			-- Is `run_id' an existing run in database for `conn'?
		require
			run_id_exists: run_id /= Void
			connection_exists: conn /= Void
		local
			b: DB_BIND_S
		do
			create b.make (run_id)
			Result := conn.selected_count ("runs", "run_id = :1", b) > 0
		end

end
