
indexing

	author: "Generated"
	date: "Tue Jan 27 09:41:33 PST 2004"

class RUN_WAFER_LEVEL_JOBS_MROW
inherit
	RUN_WAFER_LEVEL_JOBS_MRAW
		rename
			cats_status as job_status,
			maxlen_cats_status as maxlen_job_status,
			is_null_cats_status as is_null_job_status,
			set_cats_status as set_job_status
		redefine
			set_date_job_started,
			set_date_job_ended,
			set_error_explanation
		end
	RUN_WAFER_LEVEL_JOBS_ROW
		undefine
			initialize_new,
			initialize_new_by_key
		end
	BATCH_JOB_REQUESTOR
		undefine
			initialize_new,
			initialize_new_by_key
		redefine
			set_date_job_started,
			set_date_job_ended,
			set_error_explanation
		end
create
	make_template, make_null, make_by_key

feature -- Modification
	
	set_date_job_started (d: DB_DATE) is
		do
			precursor {BATCH_JOB_REQUESTOR} (d)
			precursor {RUN_WAFER_LEVEL_JOBS_MRAW} (d)
		end

	set_date_job_ended (d: DB_DATE) is
		do
			precursor {BATCH_JOB_REQUESTOR} (d)
			precursor {RUN_WAFER_LEVEL_JOBS_MRAW} (d)
		end

	set_error_explanation (s: STRING) is
		do
			precursor {BATCH_JOB_REQUESTOR} (s)
			precursor {RUN_WAFER_LEVEL_JOBS_MRAW} (truncated_error)
		end


end
