
indexing

	author: "Generated"
	date: "Mon Mar 29 14:49:51 PST 2004"

class RUN_WAFER_LOTS_MROW
inherit
	RUN_WAFER_LOTS_MRAW
	RUN_WAFER_LOTS_ROW
		undefine
			initialize_new,
			initialize_new_by_key
		end
create
	make_template, make_null, make_by_key

feature	-- set or adjust the field_step_pattern_offset (both x and y)

	set_field_step_pattern_offset_xy(x, y: DOUBLE) is
		-- two in one blow
	do  set_field_step_pattern_offset_x(x);
	    set_field_step_pattern_offset_y(y)
	end;

	set_field_step_pattern_offset(pt: CONST_POINT) is
		-- two in one blow
	do  set_field_step_pattern_offset_xy(pt.x, pt.y)
	end;

	adjust_field_step_pattern_offset_xy(x, y: DOUBLE) is
		-- add x (y) to the current values
	do  set_field_step_pattern_offset_xy
			(field_step_pattern_offset_x+x,
			 field_step_pattern_offset_y+y)
	end;

	adjust_field_step_pattern_offset(pt: CONST_POINT) is
		-- add pt to the current value
	do  adjust_field_step_pattern_offset_xy(pt.x, pt.y)
	end;

feature	-- set field_step_pattern AND zero the offsets

	switch_field_step_pattern(fsp: STRING) is
		-- set field_step_pattern and zero the offsets
	require have_fsp: fsp /= Void and then not fsp.is_empty
	do  set_field_step_pattern(fsp);
	    set_field_step_pattern_offset_xy(0, 0)
	end;

end
