
indexing

	date: "Wed Sep 12 17:13:56 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"SCHEDULED_RUN#PRICING_GROUPS (MOSIS.SCHEDULED_RUN#PRICING_GROUPS)",
			-- Included columns
			-- 	IS_REPORTABLE
			-- 	PRICING_GROUP
			-- Excluded columns
			-- 	SCHED_RUN_NO
		"SCHEDULED_RUNS (MOSIS.SCHEDULED_RUNS)"
			-- Included columns
			-- 	DATE_CANCELED
			-- 	DATE_SCHEDULED
			-- 	SCHED_RUN_NO
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class SCHEDULED_RUNS_ERAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 6

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  is_reportable, pricing_group, date_canceled, date_scheduled,%N  sr.sched_run_no, wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "scheduled_run#pricing_groups srpg, scheduled_runs sr"

	join_condition: STRING = "srpg.sched_run_no = sr.sched_run_no"

	table_count: INTEGER = 2

	group_by: STRING = ""

feature -- Values

	is_reportable: BOOLEAN
			-- DB: CHAR(1) not null

	pricing_group: STRING
			-- DB: VARCHAR2(15) not null

	date_canceled: DB_DATE
			-- DB: DATE

	date_scheduled: DB_DATE
			-- DB: DATE not null

	sched_run_no: INTEGER
			-- DB: NUMBER(6,0) not null

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_date_canceled: BOOLEAN

feature -- Nullness for non-null columns

	is_null_is_reportable: BOOLEAN
	is_null_pricing_group: BOOLEAN
	is_null_date_scheduled: BOOLEAN
	is_null_sched_run_no: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and sched_run_no = r.sched_run_no
			Result := Result
				and equal (pricing_group, r.pricing_group)
			Result := Result
				and is_null_pricing_group = r.is_null_pricing_group
				and is_null_sched_run_no = r.is_null_sched_run_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and is_reportable = r.is_reportable
			Result := Result
				and equal (date_canceled, r.date_canceled)
				and equal (date_scheduled, r.date_scheduled)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_is_reportable = r.is_null_is_reportable
				and is_null_date_canceled = r.is_null_date_canceled
				and is_null_date_scheduled = r.is_null_date_scheduled
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_string (2, 15)
			q.select_date (3)
			q.select_date (4)
			q.select_integer (5)
			q.select_string (6, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			is_reportable := q.boolean_value (1)
			sched_run_no := q.integer_value (5)
		end

	fill_in_references (q: SQL_QUERY)
		do
			pricing_group := q.string_value (2)
			date_canceled := q.date_value (3)
			date_scheduled := q.date_value (4)
			wafer_techn := q.string_value (6)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, pricing_group)
			q.get_date_value (3, date_canceled)
			q.get_date_value (4, date_scheduled)
			q.get_string_value (6, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_is_reportable := q.is_null (1)
			is_null_pricing_group := q.is_null (2)
			is_null_date_canceled := q.is_null (3)
			is_null_date_scheduled := q.is_null (4)
			is_null_sched_run_no := q.is_null (5)
			is_null_wafer_techn := q.is_null (6)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_is_reportable := True
			is_null_pricing_group := True
			is_null_date_canceled := True
			is_null_date_scheduled := True
			is_null_sched_run_no := True
			is_null_wafer_techn := True
			create pricing_group.make (0)
			create {ORACLE_DATE} date_canceled.set_null
			create {ORACLE_DATE} date_scheduled.set_null
			create wafer_techn.make (0)
		end

end
