
indexing
	
	description: "Filter that selects only reticle elements that are %
		%selected customer projects and that have more than one %
		%compatible wafer etest ID"
	author: "David Hollenberg"
	date: "December 18, 2006"

class SELECTED_CUST_PROJECT_ETEST_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_selected and an_element.is_cust_project and an_element.compatible_wafer_etest_ids.count > 1
		end


end
