
indexing
	
	description: "Filter that selects only reticle elements that are %
		%vertical scribes that are selected and that intersect at %
		%at least one field of view "
	author: "David Hollenberg"
	date: "January 17, 2007"

class SELECTED_INT_VERTICAL_SCRIBE_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_vertical_scribe and an_element.is_selected and an_element.intersects_any_field
		end


end
