
indexing
	
	description: "Action to apply to view element when set of selected items may have changed"
	author: "David Hollenberg"
	date: "October 1, 2006"

class SELECTION_CHANGED_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			an_element.uncache_all_copies_selected
			an_element.uncache_any_copies_selected
			if an_element.is_selected then
				an_element.include_in_selection_bounding_box
			end
		end

end
