
indexing
	
	description: "A run closing step operation that notifies %
		%customers that their project has been submitted to the %
		%foundry for review"
	author: "David Hollenberg"
	date: "June 3, 2005"

class SEND_SUBMISSION_MESSAGES_OP
inherit
	INTERNAL_FE_REQUEST_OP

create
	make

feature -- Properties

	input_data_items: LIST [STRING]
			-- Data items required before step can be executed
		do
			Result := array_as_list (<<
				data_item.Fab_run_order,
				data_item.Turnaround_estimates,
				data_item.Public_run_status
				 >>)
		end

feature {NONE} -- Implementation

	is_applicable: BOOLEAN
			-- Is step applicable to run for session?
		do
			Result := cache.wafer_techn_families_row.foundry_reviews_layout
		end

	internal_request_interface: INTERNAL_FE_REQUEST_IFC
		do
			Result := factory.posted_notification_interface (session.run_id, session.title_with_run_id ("Send SENT TO FOUNDRY Messages"))
		end

end
