
indexing
	
	description: "Window to select session type"
	author: "David Hollenberg"
	date: "May 27, 2003"

class SESSION_SELECTION_WINDOW

inherit
	SINGLE_FIXED_SELECTION_WINDOW
		redefine
			build_interface
		end
		
create
	make

feature {NONE} -- Implementation

	build_interface	is
		local
			separator: EV_HORIZONTAL_SEPARATOR
		do	
			precursor
			create separator
			upper_bar.extend (separator)
			add_menu_bar
		end

	add_menu_bar
			-- Add menu bar to window
		local
			file_menu, help_menu: EV_MENU
			exit_menu_item, about_menu_item: EV_MENU_ITEM
			a_menu_bar: EV_MENU_BAR
		do	
			create file_menu.make_with_text ("File")
			create help_menu.make_with_text ("Help")
			create exit_menu_item.make_with_text ("Exit")
			exit_menu_item.select_actions.extend (gui.destroy_application_agent)
			file_menu.extend (exit_menu_item)
			create about_menu_item.make_with_text ("About")
			about_menu_item.select_actions.extend (agent show_version_dialog)
			help_menu.extend (about_menu_item)
			create a_menu_bar
			a_menu_bar.extend (file_menu)
			a_menu_bar.extend (help_menu)
			set_menu_bar (a_menu_bar)
		end

	show_version_dialog
			-- Create and display the version dialog
		local
			version_dialog: DELTA_VERSION_DIALOG
		do
			create version_dialog.make
			version_dialog.show_modal_to_window (window)
		end
			
end
