
indexing
	
	description: "Label generators that can be shared among view elements"
	author: "David Hollenberg"
	date: "July 25, 2006"

class SHARED_RETICLE_LABEL_GENERATORS

feature -- Access

	design_number_label_generator: RETICLE_VIEW_ELEMENT_LABEL_GENERATOR
		once
			create {DESIGN_NUMBER_LABEL_GENERATOR} Result
		ensure
			result_not_void: Result /= Void
		end

	design_name_label_generator: RETICLE_VIEW_ELEMENT_LABEL_GENERATOR
		once
			create {DESIGN_NAME_LABEL_GENERATOR} Result
		ensure
			result_not_void: Result /= Void
		end

	die_id_label_generator: RETICLE_VIEW_ELEMENT_LABEL_GENERATOR
		once
			create {DIE_ID_LABEL_GENERATOR} Result
		ensure
			result_not_void: Result /= Void
		end

	account_type_label_generator: RETICLE_VIEW_ELEMENT_LABEL_GENERATOR
		once
			create {ACCOUNT_TYPE_LABEL_GENERATOR} Result
		ensure
			result_not_void: Result /= Void
		end

	account_number_label_generator: RETICLE_VIEW_ELEMENT_LABEL_GENERATOR
		once
			create {ACCOUNT_NUMBER_LABEL_GENERATOR} Result
		ensure
			result_not_void: Result /= Void
		end

	org_short_id_label_generator: RETICLE_VIEW_ELEMENT_LABEL_GENERATOR
		once
			create {ORG_SHORT_ID_LABEL_GENERATOR} Result
		ensure
			result_not_void: Result /= Void
		end

	wafer_etest_id_label_generator: RETICLE_VIEW_ELEMENT_LABEL_GENERATOR
		once
			create {WAFER_ETEST_ID_LABEL_GENERATOR} Result
		ensure
			result_not_void: Result /= Void
		end

	packaging_label_generator: RETICLE_VIEW_ELEMENT_LABEL_GENERATOR
		once
			create {PACKAGING_LABEL_GENERATOR} Result
		ensure
			result_not_void: Result /= Void
		end

	max_die_size_label_generator: RETICLE_VIEW_ELEMENT_LABEL_GENERATOR
		once
			create {MAX_DIE_SIZE_LABEL_GENERATOR} Result
		ensure
			result_not_void: Result /= Void
		end

	overhead_style_label_generator: RETICLE_VIEW_ELEMENT_LABEL_GENERATOR
		once
			create {OVERHEAD_STYLE_LABEL_GENERATOR} Result
		ensure
			result_not_void: Result /= Void
		end

end
