class SIMPLE_LAYER
	-- triple of layer_name, cif_name and gds_layer/datatype

inherit
	LAYER

create
	make

feature
	layer_name, 
	cif_name: STRING;
	gds_layer,
	gds_datatype: INTEGER;

	have_cif_name: BOOLEAN is true;

	have_gds_name: BOOLEAN is true;

	a_cif_name: STRING is
	do  Result := cif_name
	end;

	a_gds_layer: INTEGER is
	do  Result := gds_layer
	end;

	a_gds_datatype: INTEGER is
	do  Result := gds_datatype
	end;

	is_my_cif_name(c: STRING): BOOLEAN is
	do  Result := equal(c, cif_name)
	end;

	is_my_gds_name(layer, datatype: INTEGER): BOOLEAN is
	do  Result := layer = gds_layer and datatype = gds_datatype
	end;

	make(name, cname: STRING; gname, gtype: INTEGER) is
	require name /= Void; cname /= Void; gname >= 0
	do  layer_name := name;
	    cif_name := cname;
	    gds_layer := gname;
	    gds_datatype := gtype
	end;

end -- SIMPLE_LAYER
