
indexing
	
	description: "Size Y column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class SIZE_Y_COLUMN [G -> HAS_SIZE_Y]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Size Y"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_right_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.size_y_string
		end

	comparator: SIZE_Y_COMPARATOR [G]
		do
			create Result
		end

end
