
indexing
	
	description: "Comparator for size Y in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class SIZE_Y_COMPARATOR [G -> HAS_SIZE_Y]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_size_y and v.has_size_y then
				Result := u.size_y < v.size_y
			elseif v.has_size_y then
				Result := True
			else
				Result := False
			end
		end

end
