
indexing
	
	description: "Telephone number column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class TELEPHONE_COLUMN [G -> HAS_TELEPHONE_NUMBER]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Project Phone"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.telephone_number
		end

	comparator: TELEPHONE_COMPARATOR [G]
		do
			create Result
		end

end
