
indexing
	
	description: "Total assigned count column in a multi column list"
	author: "David Hollenberg"
	date: "December 19, 2006"

class TOTAL_ASSIGNED_COUNT_COLUMN [G -> HAS_TOTAL_ASSIGNED_COUNT]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Assigned"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_right_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_total_assigned_count then
				Result := r.total_assigned_count.out
			else
				Result := ""
			end
		end

	comparator: TOTAL_ASSIGNED_COUNT_COMPARATOR [G]
		do
			create Result
		end

end

