
indexing
	
	description: "Comparator for total assigned count in a multi column list"
	author: "David Hollenberg"
	date: "December 19, 2006"

class TOTAL_ASSIGNED_COUNT_COMPARATOR [G -> HAS_TOTAL_ASSIGNED_COUNT]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_total_assigned_count and v.has_total_assigned_count then
				Result := u.total_assigned_count < v.total_assigned_count
			elseif v.has_total_assigned_count then
				Result := True
			else
				Result := False
			end
		end

end
