
indexing
	
	description: "Action that unlocks view element almost completely %
		%(everything except duplication)"
	author: "David Hollenberg"
	date: "October 1, 2006"

class UNLOCK_ALMOST_COMPLETELY_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			an_element.unlock_almost_completely
			if an_element.is_non_dup_lockable_property_changed then
				an_element.add_to_changed_region
				an_element.add_change (create {UNLOCK_ALMOST_COMPLETELY_CHANGE}.make (an_element, an_element.is_movable_in_x_changed, an_element.is_movable_in_y_changed, an_element.is_rotatable_changed, an_element.is_deletable_changed))
			end
		end

end
