
indexing
	
	description: "Action that unlocks view element in position in X and Y"
	author: "David Hollenberg"
	date: "October 1, 2006"

class UNLOCK_IN_X_AND_Y_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			an_element.unlock_in_x_and_y
			if an_element.is_movable_in_x_changed or an_element.is_movable_in_y_changed then
				an_element.add_to_changed_region
				an_element.add_change (create {UNLOCK_IN_X_AND_Y_CHANGE}.make (an_element, an_element.is_movable_in_x_changed, an_element.is_movable_in_y_changed))
			end
		end

end
