
indexing
	
	description: "Comparator for version id in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class VERSION_ID_COMPARATOR [G -> HAS_VERSION_ID]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_version_id and v.has_version_id then
				Result := u.version_id < v.version_id
			elseif v.has_version_id then
				Result := True
			else
				Result := False
			end
		end

end
