
indexing
	
	description: "Object that can draw a view element onto a drawable"
	author: "David Hollenberg"
	date: "July 25, 2006"

deferred class VIEW_ELEMENT_DRAWER

feature -- Operations

	draw_without_fill (a_view_element: VIEW_GRAPHICAL_ELEMENT a_drawable: EV_DRAWABLE a_palette: VIEW_COLORS)
			-- Draw `a_view_element' onto `a_drawable' using
			-- `a_palette', not including any needed interior fill
		require
			a_view_element_not_void: a_view_element /= Void
			a_drawable_not_void: a_drawable /= Void
			a_palette_not_void: a_palette /= Void
		deferred
		end

	draw_fill_only (a_view_element: VIEW_GRAPHICAL_ELEMENT a_drawable: EV_DRAWABLE a_palette: VIEW_COLORS)
			-- Draw only any needed interior fill for
			-- `a_view_element' onto `a_drawable' using
			-- `a_palette'
		require
			a_view_element_not_void: a_view_element /= Void
			a_drawable_not_void: a_drawable /= Void
			a_palette_not_void: a_palette /= Void
		deferred
		end

end
