
indexing
	
	description: "Action that is applied to one specified view element"
	author: "David Hollenberg"
	date: "October 11, 2006"

deferred class VIEW_ONE_ELEMENT_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Properties

	only_element: RETICLE_VIEW_ELEMENT
			-- The only element to which action should be applied

feature -- Modification

	set_only_element (an_element: like only_element)
			-- Set `only_element' to `an_element'
		require
			an_element_not_void: an_element /= Void
		do
			only_element := an_element
		ensure
			only_element_set: only_element = an_element
		end

end
