
indexing

	author: "Generated"
	date: "Thu Jun 12 13:50:27 PDT 2003"

class WAFER_PROBERS_ROW
inherit
	WAFER_PROBERS_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature -- Properties

	all_possible_probers (conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All possible wafer probers, ordered by wafer prober
			-- id
		require
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		do
			Result := all_rows_ordered (conn, "wafer_prober_id")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

	chuck_travel_box: CONST_RECTANGLE is
			-- Box describing where prober chuck can be
			-- safely moved
		do
			create Result.make_by_size_and_center (chuck_travel_size_x - safety_margin_x, chuck_travel_size_y - safety_margin_y, chuck_travel_center_x, chuck_travel_center_y)
		ensure
			result_exists: Result /= Void
		end

end
