
indexing
	
	description: "Comparator for wafer process in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class WAFER_PROCESS_COMPARATOR [G -> HAS_WAFER_PROCESS]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_wafer_process and v.has_wafer_process then
				Result := u.wafer_process < v.wafer_process
			elseif v.has_wafer_process then
				Result := True
			else
				Result := False
			end
		end

end
