
indexing

	date: "Tue Apr 24 10:30:17 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user DHOLLEN"
	database_tables: 
		"OPTION_IDS (MOSIS.OPTION_IDS)",
			-- Included columns
			-- 	OPTION_CATEGORY
			-- 	OPTION_NAME
			-- 	USER_SELECTABLE
			-- Excluded columns
			-- 	OPTION_ID
		"WAFER_PROCESS_OPTIONS (MOSIS.WAFER_PROCESS_OPTIONS)"
			-- Included columns
			-- 	OPTION_ID
			-- 	WAFER_PROCESS_ID
			-- 	WAFER_TECHN_FAMILY
			-- Excluded columns
			-- 	(none)

class WAFER_PROCESS_OPTIONS_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 6

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  option_category, option_name, user_selectable, wproco.option_id,%N  wafer_process_id, wafer_techn_family"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "option_ids oid, wafer_process_options wproco"

	join_condition: STRING = "wproco.option_id = oid.option_id"

	table_count: INTEGER = 2

	group_by: STRING = ""

feature -- Values

	option_category: STRING
			-- DB: VARCHAR2(20)

	option_name: STRING
			-- DB: VARCHAR2(30)

	user_selectable: BOOLEAN
			-- DB: CHAR(1) not null

	option_id: STRING
			-- DB: VARCHAR2(10) not null

	wafer_process_id: STRING
			-- DB: VARCHAR2(20) not null

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_option_category: BOOLEAN
	is_null_option_name: BOOLEAN

feature -- Nullness for non-null columns

	is_null_user_selectable: BOOLEAN
	is_null_option_id: BOOLEAN
	is_null_wafer_process_id: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (option_id, r.option_id)
				and equal (wafer_process_id, r.wafer_process_id)
				and equal (wafer_techn_family, r.wafer_techn_family)
			Result := Result
				and is_null_option_id = r.is_null_option_id
				and is_null_wafer_process_id = r.is_null_wafer_process_id
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and user_selectable = r.user_selectable
			Result := Result
				and equal (option_category, r.option_category)
				and equal (option_name, r.option_name)
			Result := Result
				and is_null_option_category = r.is_null_option_category
				and is_null_option_name = r.is_null_option_name
				and is_null_user_selectable = r.is_null_user_selectable
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 20)
			q.select_string (2, 30)
			q.select_boolean (3)
			q.select_string (4, 10)
			q.select_string (5, 20)
			q.select_string (6, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			user_selectable := q.boolean_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			option_category := q.string_value (1)
			option_name := q.string_value (2)
			option_id := q.string_value (4)
			wafer_process_id := q.string_value (5)
			wafer_techn_family := q.string_value (6)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, option_category)
			q.get_string_value (2, option_name)
			q.get_string_value (4, option_id)
			q.get_string_value (5, wafer_process_id)
			q.get_string_value (6, wafer_techn_family)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_option_category := q.is_null (1)
			is_null_option_name := q.is_null (2)
			is_null_user_selectable := q.is_null (3)
			is_null_option_id := q.is_null (4)
			is_null_wafer_process_id := q.is_null (5)
			is_null_wafer_techn_family := q.is_null (6)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_option_category := True
			is_null_option_name := True
			is_null_user_selectable := True
			is_null_option_id := True
			is_null_wafer_process_id := True
			is_null_wafer_techn_family := True
			create option_category.make (0)
			create option_name.make (0)
			create option_id.make (0)
			create wafer_process_id.make (0)
			create wafer_techn_family.make (0)
		end

end
