
indexing
	
	description: "State saved for wafer process and quantity"
	author: "David Hollenberg"
	date: "March 1, 2007"

class WAFER_PROCESS_QUANTITY_STATE

feature -- Properties

	wafer_process: STRING
			-- Process for lot

	quantity: INTEGER
			-- Number of wafers to order

	step_pattern: STRING
			-- Name of field step pattern

	is_wafer_process_equal (s: STRING): BOOLEAN
			-- Is `wafer_process' equal to `s'?
		do
			Result := wafer_process.is_equal (s)
		end

	step_pattern_not_equal (s: STRING): BOOLEAN
			-- Is `step_pattern' not equal to `s'?
		do
			Result := not step_pattern.is_equal (s)
		end

feature -- Modification

	set_wafer_process (p: like wafer_process)
			-- Set `wafer_process' to `p'
		do
			wafer_process := p
		end

	set_quantity (q: like quantity)
			-- Set `quantity' to `q'
		do
			quantity := q
		end

	set_step_pattern (p: like step_pattern)
			-- Set `step_pattern' to `p'
		do
			step_pattern := p
		end

end
