
indexing
	
	description: "Wafer techn column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class WAFER_TECHN_COLUMN [G -> HAS_WAFER_TECHN]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Wafer Techn"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_wafer_techn then
				Result := r.wafer_techn
			else
				Result := ""
			end
		end

	comparator: WAFER_TECHN_COMPARATOR [G]
		do
			create Result
		end

end
