
indexing
	
	description: "Comparator for wafer techn in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class WAFER_TECHN_COMPARATOR [G -> HAS_WAFER_TECHN]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_wafer_techn and v.has_wafer_techn then
				Result := u.wafer_techn < v.wafer_techn
			elseif v.has_wafer_techn then
				Result := True
			else
				Result := False
			end
		end

end
