
indexing

	date: "Tue Apr 24 10:30:17 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user DHOLLEN"
	database_tables: 
		"WAFER_TECHN_FAMILY_LEVELS (MOSIS.WAFER_TECHN_FAMILY_LEVELS)"
			-- Included columns
			-- 	DEFECTS_CRITICAL
			-- 	FILL_PATTERN_GDS_LAYER
			-- 	FILL_PATTERN_SIZING
			-- 	FILL_ROLE
			-- 	LARGE_OVERETCH
			-- 	LEVEL_NAME
			-- 	LEVEL_NO
			-- 	MASK_LITHO_TYPE
			-- 	MASK_SPECIFICATION
			-- 	MAXIMUM_DENSITY
			-- 	MEBES_EXTENSION
			-- 	MERGED_PATTERN_FILE_SPOT_SIZE
			-- 	MINIMUM_DENSITY
			-- 	MIRRORING
			-- 	POLARITY
			-- 	SMALL_OVERETCH
			-- 	WAFER_TECHN_FAMILY
			-- 	WAFER_VENDOR_LEVEL_ID
			-- Excluded columns
			-- 	(none)

class WAFER_TECHN_FAMILY_LEVELS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_wafer_techn_family: STRING; the_level_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_wafer_techn_family_exists: the_wafer_techn_family /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			wafer_techn_family := the_wafer_techn_family
			level_no := the_level_no
			is_null_wafer_techn_family := False
			is_null_level_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 18

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  defects_critical, fill_pattern_gds_layer, fill_pattern_sizing, fill_role,%N  large_overetch, level_name, level_no, mask_litho_type,%N  mask_specification, maximum_density, mebes_extension,%N  merged_pattern_file_spot_size, minimum_density, mirroring, polarity,%N  small_overetch, wafer_techn_family, wafer_vendor_level_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_techn_family_levels wtflvl"

	join_condition: STRING = ""

	table_name: STRING = "wafer_techn_family_levels"

	key_where_clause: STRING = "wafer_techn_family = :1 and level_no = :2"

feature -- Values

	defects_critical: BOOLEAN
			-- DB: CHAR(1) not null

	fill_pattern_gds_layer: INTEGER
			-- DB: NUMBER(3,0)

	fill_pattern_sizing: DOUBLE
			-- DB: NUMBER(12,6)

	fill_role: STRING
			-- DB: VARCHAR2(10) not null

	large_overetch: DOUBLE
			-- DB: NUMBER(12,6)

	level_name: STRING
			-- DB: VARCHAR2(50) not null

	level_no: INTEGER
			-- DB: NUMBER(3,0) not null

	mask_litho_type: STRING
			-- DB: VARCHAR2(20)

	mask_specification: STRING
			-- DB: VARCHAR2(24)

	maximum_density: DOUBLE
			-- DB: NUMBER(*,*)

	mebes_extension: STRING
			-- DB: CHAR(2)

	merged_pattern_file_spot_size: DOUBLE
			-- DB: NUMBER(12,6)

	minimum_density: DOUBLE
			-- DB: NUMBER(*,*)

	mirroring: STRING
			-- DB: VARCHAR2(15)

	polarity: STRING
			-- DB: VARCHAR2(15)

	small_overetch: DOUBLE
			-- DB: NUMBER(12,6)

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

	wafer_vendor_level_id: STRING
			-- DB: VARCHAR2(10)

feature -- Nullness for null allowed columns

	is_null_fill_pattern_gds_layer: BOOLEAN
	is_null_fill_pattern_sizing: BOOLEAN
	is_null_large_overetch: BOOLEAN
	is_null_mask_litho_type: BOOLEAN
	is_null_mask_specification: BOOLEAN
	is_null_maximum_density: BOOLEAN
	is_null_mebes_extension: BOOLEAN
	is_null_merged_pattern_file_spot_size: BOOLEAN
	is_null_minimum_density: BOOLEAN
	is_null_mirroring: BOOLEAN
	is_null_polarity: BOOLEAN
	is_null_small_overetch: BOOLEAN
	is_null_wafer_vendor_level_id: BOOLEAN

feature -- Nullness for non-null columns

	is_null_defects_critical: BOOLEAN
	is_null_fill_role: BOOLEAN
	is_null_level_name: BOOLEAN
	is_null_level_no: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and level_no = r.level_no
			Result := Result
				and equal (wafer_techn_family, r.wafer_techn_family)
			Result := Result
				and is_null_level_no = r.is_null_level_no
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and defects_critical = r.defects_critical
				and fill_pattern_gds_layer = r.fill_pattern_gds_layer
				and fill_pattern_sizing = r.fill_pattern_sizing
				and large_overetch = r.large_overetch
				and maximum_density = r.maximum_density
				and merged_pattern_file_spot_size = r.merged_pattern_file_spot_size
				and minimum_density = r.minimum_density
				and small_overetch = r.small_overetch
			Result := Result
				and equal (fill_role, r.fill_role)
				and equal (level_name, r.level_name)
				and equal (mask_litho_type, r.mask_litho_type)
				and equal (mask_specification, r.mask_specification)
				and equal (mebes_extension, r.mebes_extension)
				and equal (mirroring, r.mirroring)
				and equal (polarity, r.polarity)
				and equal (wafer_vendor_level_id, r.wafer_vendor_level_id)
			Result := Result
				and is_null_defects_critical = r.is_null_defects_critical
				and is_null_fill_pattern_gds_layer = r.is_null_fill_pattern_gds_layer
				and is_null_fill_pattern_sizing = r.is_null_fill_pattern_sizing
				and is_null_fill_role = r.is_null_fill_role
				and is_null_large_overetch = r.is_null_large_overetch
				and is_null_level_name = r.is_null_level_name
				and is_null_mask_litho_type = r.is_null_mask_litho_type
				and is_null_mask_specification = r.is_null_mask_specification
				and is_null_maximum_density = r.is_null_maximum_density
				and is_null_mebes_extension = r.is_null_mebes_extension
				and is_null_merged_pattern_file_spot_size = r.is_null_merged_pattern_file_spot_size
				and is_null_minimum_density = r.is_null_minimum_density
				and is_null_mirroring = r.is_null_mirroring
				and is_null_polarity = r.is_null_polarity
				and is_null_small_overetch = r.is_null_small_overetch
				and is_null_wafer_vendor_level_id = r.is_null_wafer_vendor_level_id
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_integer (2)
			q.select_double (3)
			q.select_string (4, 10)
			q.select_double (5)
			q.select_string (6, 50)
			q.select_integer (7)
			q.select_string (8, 20)
			q.select_string (9, 24)
			q.select_double (10)
			q.select_string (11, 2)
			q.select_double (12)
			q.select_double (13)
			q.select_string (14, 15)
			q.select_string (15, 15)
			q.select_double (16)
			q.select_string (17, 50)
			q.select_string (18, 10)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			defects_critical := q.boolean_value (1)
			fill_pattern_gds_layer := q.integer_value (2)
			fill_pattern_sizing := q.double_value (3)
			large_overetch := q.double_value (5)
			level_no := q.integer_value (7)
			maximum_density := q.double_value (10)
			merged_pattern_file_spot_size := q.double_value (12)
			minimum_density := q.double_value (13)
			small_overetch := q.double_value (16)
		end

	fill_in_references (q: SQL_QUERY)
		do
			fill_role := q.string_value (4)
			level_name := q.string_value (6)
			mask_litho_type := q.string_value (8)
			mask_specification := q.string_value (9)
			mebes_extension := q.string_value (11)
			mirroring := q.string_value (14)
			polarity := q.string_value (15)
			wafer_techn_family := q.string_value (17)
			wafer_vendor_level_id := q.string_value (18)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (4, fill_role)
			q.get_string_value (6, level_name)
			q.get_string_value (8, mask_litho_type)
			q.get_string_value (9, mask_specification)
			q.get_string_value (11, mebes_extension)
			q.get_string_value (14, mirroring)
			q.get_string_value (15, polarity)
			q.get_string_value (17, wafer_techn_family)
			q.get_string_value (18, wafer_vendor_level_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_defects_critical := q.is_null (1)
			is_null_fill_pattern_gds_layer := q.is_null (2)
			is_null_fill_pattern_sizing := q.is_null (3)
			is_null_fill_role := q.is_null (4)
			is_null_large_overetch := q.is_null (5)
			is_null_level_name := q.is_null (6)
			is_null_level_no := q.is_null (7)
			is_null_mask_litho_type := q.is_null (8)
			is_null_mask_specification := q.is_null (9)
			is_null_maximum_density := q.is_null (10)
			is_null_mebes_extension := q.is_null (11)
			is_null_merged_pattern_file_spot_size := q.is_null (12)
			is_null_minimum_density := q.is_null (13)
			is_null_mirroring := q.is_null (14)
			is_null_polarity := q.is_null (15)
			is_null_small_overetch := q.is_null (16)
			is_null_wafer_techn_family := q.is_null (17)
			is_null_wafer_vendor_level_id := q.is_null (18)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_wafer_techn_family := True
			is_null_level_no := True
			create wafer_techn_family.make (0)
		end

	set_null_nonkey
		do
			is_null_defects_critical := True
			is_null_fill_pattern_gds_layer := True
			is_null_fill_pattern_sizing := True
			is_null_fill_role := True
			is_null_large_overetch := True
			is_null_level_name := True
			is_null_mask_litho_type := True
			is_null_mask_specification := True
			is_null_maximum_density := True
			is_null_mebes_extension := True
			is_null_merged_pattern_file_spot_size := True
			is_null_minimum_density := True
			is_null_mirroring := True
			is_null_polarity := True
			is_null_small_overetch := True
			is_null_wafer_vendor_level_id := True
			create fill_role.make (0)
			create level_name.make (0)
			create mask_litho_type.make (0)
			create mask_specification.make (0)
			create mebes_extension.make (0)
			create mirroring.make (0)
			create polarity.make (0)
			create wafer_vendor_level_id.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, wafer_techn_family, False)
			q.bind_num_to_integer (2, level_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and defects_critical = q.boolean_value (1)
				and fill_pattern_gds_layer = q.integer_value (2)
				and fill_pattern_sizing = q.double_value (3)
				and large_overetch = q.double_value (5)
				and level_no = q.integer_value (7)
				and maximum_density = q.double_value (10)
				and merged_pattern_file_spot_size = q.double_value (12)
				and minimum_density = q.double_value (13)
				and small_overetch = q.double_value (16)
			q.get_string_value (4, s)
			Result := Result and equal (fill_role, s)
			q.get_string_value (6, s)
			Result := Result and equal (level_name, s)
			q.get_string_value (8, s)
			Result := Result and equal (mask_litho_type, s)
			q.get_string_value (9, s)
			Result := Result and equal (mask_specification, s)
			q.get_string_value (11, s)
			Result := Result and equal (mebes_extension, s)
			q.get_string_value (14, s)
			Result := Result and equal (mirroring, s)
			q.get_string_value (15, s)
			Result := Result and equal (polarity, s)
			q.get_string_value (17, s)
			Result := Result and equal (wafer_techn_family, s)
			q.get_string_value (18, s)
			Result := Result and equal (wafer_vendor_level_id, s)
			Result := Result
				and is_null_defects_critical = q.is_null (1)
				and is_null_fill_pattern_gds_layer = q.is_null (2)
				and is_null_fill_pattern_sizing = q.is_null (3)
				and is_null_fill_role = q.is_null (4)
				and is_null_large_overetch = q.is_null (5)
				and is_null_level_name = q.is_null (6)
				and is_null_level_no = q.is_null (7)
				and is_null_mask_litho_type = q.is_null (8)
				and is_null_mask_specification = q.is_null (9)
				and is_null_maximum_density = q.is_null (10)
				and is_null_mebes_extension = q.is_null (11)
				and is_null_merged_pattern_file_spot_size = q.is_null (12)
				and is_null_minimum_density = q.is_null (13)
				and is_null_mirroring = q.is_null (14)
				and is_null_polarity = q.is_null (15)
				and is_null_small_overetch = q.is_null (16)
				and is_null_wafer_techn_family = q.is_null (17)
				and is_null_wafer_vendor_level_id = q.is_null (18)
		end

end
