
indexing

	date: "Thu Sep 25 16:29:56 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"WAFER_TECHN_PACKING_TARGETS (MOSIS.WAFER_TECHN_PACKING_TARGETS)"
			-- Included columns
			-- 	AVAILABLE
			-- 	DEFAULT_EXTERNAL_KERF_X
			-- 	DEFAULT_EXTERNAL_KERF_Y
			-- 	PACKING_TARGET
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class WAFER_TECHN_PACKING_TARGETS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_wafer_techn: STRING; the_packing_target: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_wafer_techn_exists: the_wafer_techn /= Void
			the_packing_target_exists: the_packing_target /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			wafer_techn := the_wafer_techn
			packing_target := the_packing_target
			is_null_wafer_techn := False
			is_null_packing_target := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 5

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  available, default_external_kerf_x, default_external_kerf_y,%N  packing_target, wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_techn_packing_targets wtpt"

	join_condition: STRING = ""

	table_name: STRING = "wafer_techn_packing_targets"

	key_where_clause: STRING = "wafer_techn = :1 and packing_target = :2"

feature -- Values

	available: BOOLEAN
			-- DB: CHAR(1) not null

	default_external_kerf_x: DOUBLE
			-- DB: NUMBER(12,6)

	default_external_kerf_y: DOUBLE
			-- DB: NUMBER(12,6)

	packing_target: STRING
			-- DB: VARCHAR2(20) not null

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_default_external_kerf_x: BOOLEAN
	is_null_default_external_kerf_y: BOOLEAN

feature -- Nullness for non-null columns

	is_null_available: BOOLEAN
	is_null_packing_target: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (packing_target, r.packing_target)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_packing_target = r.is_null_packing_target
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and available = r.available
				and default_external_kerf_x = r.default_external_kerf_x
				and default_external_kerf_y = r.default_external_kerf_y
			Result := Result
				and is_null_available = r.is_null_available
				and is_null_default_external_kerf_x = r.is_null_default_external_kerf_x
				and is_null_default_external_kerf_y = r.is_null_default_external_kerf_y
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_double (2)
			q.select_double (3)
			q.select_string (4, 20)
			q.select_string (5, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			available := q.boolean_value (1)
			default_external_kerf_x := q.double_value (2)
			default_external_kerf_y := q.double_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			packing_target := q.string_value (4)
			wafer_techn := q.string_value (5)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (4, packing_target)
			q.get_string_value (5, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_available := q.is_null (1)
			is_null_default_external_kerf_x := q.is_null (2)
			is_null_default_external_kerf_y := q.is_null (3)
			is_null_packing_target := q.is_null (4)
			is_null_wafer_techn := q.is_null (5)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_wafer_techn := True
			is_null_packing_target := True
			create wafer_techn.make (0)
			create packing_target.make (0)
		end

	set_null_nonkey
		do
			is_null_available := True
			is_null_default_external_kerf_x := True
			is_null_default_external_kerf_y := True
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, wafer_techn, False)
			q.bind_num_to_string (2, packing_target, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and available = q.boolean_value (1)
				and default_external_kerf_x = q.double_value (2)
				and default_external_kerf_y = q.double_value (3)
			q.get_string_value (4, s)
			Result := Result and equal (packing_target, s)
			q.get_string_value (5, s)
			Result := Result and equal (wafer_techn, s)
			Result := Result
				and is_null_available = q.is_null (1)
				and is_null_default_external_kerf_x = q.is_null (2)
				and is_null_default_external_kerf_y = q.is_null (3)
				and is_null_packing_target = q.is_null (4)
				and is_null_wafer_techn = q.is_null (5)
		end

end
