
indexing

	author: "David Hollenberg"
	date: "September 26, 2008"

class WAFER_TECHN_PACKING_TARGETS_ROW
inherit
	WAFER_TECHN_PACKING_TARGETS_RAW
	ROW_COUNT_CHECK_ACCESS
		export
			{NONE} all
		end

create
	make_template, make_null, make_by_key

feature -- Collections

	targets_for_wafer_techn (wt: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): DYNAMIC_LIST [like Current] is
			-- All rows wafer techn `wt'
		require
			wt_not_void: wt /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_S
		do
			create b.make (wt)
			Result := all_rows_filtered (conn, "wafer_techn = :1", b)
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
