
indexing

	date: "Tue Nov 18 09:22:53 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user ALLMOSIS"
	database_tables: 
		"WAFER_PROCESSES (MOSIS.WAFER_PROCESSES)",
			-- Included columns
			-- 	DESCR
			-- 	ELEC_SPEC_FILE_SPECIFICATION
			-- 	NOMINAL_TURNAROUND_DAYS
			-- 	PROCESS_VDD
			-- 	WAFER_ETEST_ID
			-- 	WAFER_PROCESS
			-- Excluded columns
			-- 	WAFER_PROCESS_ID
			-- 	WAFER_TECHN_FAMILY
		"WAFER_TECHN_OFFERED_PROCESSES (MOSIS.WAFER_TECHN_OFFERED_PROCESSES)"
			-- Included columns
			-- 	RELATIVE_COST
			-- 	SHORT_DESCR
			-- 	WAFER_PROCESS_ID
			-- 	WAFER_TECHN_FAMILY
			-- 	WAFER_TECHN_ID
			-- Excluded columns
			-- 	(none)

class WAFER_TECHN_PROCESSES_ROW

inherit

	DB_ANONYMOUS_ROW
	ESSENCE_OF_PROCESS

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 11

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  descr, elec_spec_file_specification, nominal_turnaround_days,%N  process_vdd, wafer_etest_id, wafer_process, relative_cost, short_descr,%N  wtofproc.wafer_process_id, wtofproc.wafer_techn_family, wafer_techn_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_processes wproc, wafer_techn_offered_processes wtofproc"

	join_condition: STRING = "wtofproc.wafer_techn_family = wproc.wafer_techn_family and wtofproc.wafer_process_id = wproc.wafer_process_id"

	table_count: INTEGER = 2

	group_by: STRING = ""

feature -- Values

	descr: STRING
			-- DB: VARCHAR2(255)

	elec_spec_file_specification: STRING
			-- DB: VARCHAR2(255)

	nominal_turnaround_days: INTEGER
			-- DB: NUMBER(4,0)

	process_vdd: REAL
			-- DB: NUMBER(5,2)

	wafer_etest_id: STRING
			-- DB: VARCHAR2(20) not null

	wafer_process: STRING
			-- DB: VARCHAR2(50) not null

	relative_cost: INTEGER
			-- DB: NUMBER(3,0)

	short_descr: STRING
			-- DB: VARCHAR2(80)

	wafer_process_id: STRING
			-- DB: VARCHAR2(20) not null

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

	wafer_techn_id: STRING
			-- DB: VARCHAR2(20) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN
	is_null_elec_spec_file_specification: BOOLEAN
	is_null_nominal_turnaround_days: BOOLEAN
	is_null_process_vdd: BOOLEAN
	is_null_relative_cost: BOOLEAN
	is_null_short_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_wafer_etest_id: BOOLEAN
	is_null_wafer_process: BOOLEAN
	is_null_wafer_process_id: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN
	is_null_wafer_techn_id: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (wafer_process, r.wafer_process)
				and equal (wafer_process_id, r.wafer_process_id)
				and equal (wafer_techn_family, r.wafer_techn_family)
				and equal (wafer_techn_id, r.wafer_techn_id)
			Result := Result
				and is_null_wafer_process = r.is_null_wafer_process
				and is_null_wafer_process_id = r.is_null_wafer_process_id
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
				and is_null_wafer_techn_id = r.is_null_wafer_techn_id
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and nominal_turnaround_days = r.nominal_turnaround_days
				and process_vdd = r.process_vdd
				and relative_cost = r.relative_cost
			Result := Result
				and equal (descr, r.descr)
				and equal (elec_spec_file_specification, r.elec_spec_file_specification)
				and equal (wafer_etest_id, r.wafer_etest_id)
				and equal (short_descr, r.short_descr)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_elec_spec_file_specification = r.is_null_elec_spec_file_specification
				and is_null_nominal_turnaround_days = r.is_null_nominal_turnaround_days
				and is_null_process_vdd = r.is_null_process_vdd
				and is_null_wafer_etest_id = r.is_null_wafer_etest_id
				and is_null_relative_cost = r.is_null_relative_cost
				and is_null_short_descr = r.is_null_short_descr
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_string (2, 255)
			q.select_integer (3)
			q.select_real (4)
			q.select_string (5, 20)
			q.select_string (6, 50)
			q.select_integer (7)
			q.select_string (8, 80)
			q.select_string (9, 20)
			q.select_string (10, 50)
			q.select_string (11, 20)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			nominal_turnaround_days := q.integer_value (3)
			process_vdd := q.real_value (4)
			relative_cost := q.integer_value (7)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (1)
			elec_spec_file_specification := q.string_value (2)
			wafer_etest_id := q.string_value (5)
			wafer_process := q.string_value (6)
			short_descr := q.string_value (8)
			wafer_process_id := q.string_value (9)
			wafer_techn_family := q.string_value (10)
			wafer_techn_id := q.string_value (11)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, descr)
			q.get_string_value (2, elec_spec_file_specification)
			q.get_string_value (5, wafer_etest_id)
			q.get_string_value (6, wafer_process)
			q.get_string_value (8, short_descr)
			q.get_string_value (9, wafer_process_id)
			q.get_string_value (10, wafer_techn_family)
			q.get_string_value (11, wafer_techn_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_descr := q.is_null (1)
			is_null_elec_spec_file_specification := q.is_null (2)
			is_null_nominal_turnaround_days := q.is_null (3)
			is_null_process_vdd := q.is_null (4)
			is_null_wafer_etest_id := q.is_null (5)
			is_null_wafer_process := q.is_null (6)
			is_null_relative_cost := q.is_null (7)
			is_null_short_descr := q.is_null (8)
			is_null_wafer_process_id := q.is_null (9)
			is_null_wafer_techn_family := q.is_null (10)
			is_null_wafer_techn_id := q.is_null (11)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_descr := True
			is_null_elec_spec_file_specification := True
			is_null_nominal_turnaround_days := True
			is_null_process_vdd := True
			is_null_wafer_etest_id := True
			is_null_wafer_process := True
			is_null_relative_cost := True
			is_null_short_descr := True
			is_null_wafer_process_id := True
			is_null_wafer_techn_family := True
			is_null_wafer_techn_id := True
			create descr.make (0)
			create elec_spec_file_specification.make (0)
			create wafer_etest_id.make (0)
			create wafer_process.make (0)
			create short_descr.make (0)
			create wafer_process_id.make (0)
			create wafer_techn_family.make (0)
			create wafer_techn_id.make (0)
		end

end
