
indexing

	date: "Tue Nov  6 10:11:43 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"WAFER_TECHN#MASK_TECHNS (MOSIS.WAFER_TECHN#MASK_TECHNS)"
			-- Included columns
			-- 	AVAILABLE
			-- 	MASK_TECHN
			-- 	NOMINAL_TURNAROUND_DAYS
			-- 	ONE_PATTERN_FILE_PER_FIELD
			-- 	ORG_NO_MASK_VENDOR
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class WAFER_TECHNXMASK_TECHNS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 6

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  available, mask_techn, nominal_turnaround_days,%N  one_pattern_file_per_field, org_no_mask_vendor, wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_techn#mask_techns wtmt"

	join_condition: STRING = ""

	table_name: STRING = "wafer_techn#mask_techns"

	key_where_clause: STRING = ""

feature -- Values

	available: BOOLEAN
			-- DB: VARCHAR2(1)

	mask_techn: STRING
			-- DB: VARCHAR2(50) not null

	nominal_turnaround_days: INTEGER
			-- DB: NUMBER(4,0)

	one_pattern_file_per_field: BOOLEAN
			-- DB: CHAR(1) not null

	org_no_mask_vendor: INTEGER
			-- DB: NUMBER(6,0) not null

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_available: BOOLEAN
	is_null_nominal_turnaround_days: BOOLEAN

feature -- Nullness for non-null columns

	is_null_mask_techn: BOOLEAN
	is_null_one_pattern_file_per_field: BOOLEAN
	is_null_org_no_mask_vendor: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and available = r.available
				and nominal_turnaround_days = r.nominal_turnaround_days
				and one_pattern_file_per_field = r.one_pattern_file_per_field
				and org_no_mask_vendor = r.org_no_mask_vendor
			Result := Result
				and equal (mask_techn, r.mask_techn)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_available = r.is_null_available
				and is_null_mask_techn = r.is_null_mask_techn
				and is_null_nominal_turnaround_days = r.is_null_nominal_turnaround_days
				and is_null_one_pattern_file_per_field = r.is_null_one_pattern_file_per_field
				and is_null_org_no_mask_vendor = r.is_null_org_no_mask_vendor
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_string (2, 50)
			q.select_integer (3)
			q.select_boolean (4)
			q.select_integer (5)
			q.select_string (6, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			available := q.boolean_value (1)
			nominal_turnaround_days := q.integer_value (3)
			one_pattern_file_per_field := q.boolean_value (4)
			org_no_mask_vendor := q.integer_value (5)
		end

	fill_in_references (q: SQL_QUERY)
		do
			mask_techn := q.string_value (2)
			wafer_techn := q.string_value (6)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, mask_techn)
			q.get_string_value (6, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_available := q.is_null (1)
			is_null_mask_techn := q.is_null (2)
			is_null_nominal_turnaround_days := q.is_null (3)
			is_null_one_pattern_file_per_field := q.is_null (4)
			is_null_org_no_mask_vendor := q.is_null (5)
			is_null_wafer_techn := q.is_null (6)
		end

feature {NONE} -- Initialization

	set_null_key
		do
		end

	set_null_nonkey
		do
			is_null_available := True
			is_null_mask_techn := True
			is_null_nominal_turnaround_days := True
			is_null_one_pattern_file_per_field := True
			is_null_org_no_mask_vendor := True
			is_null_wafer_techn := True
			create mask_techn.make (0)
			create wafer_techn.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and available = q.boolean_value (1)
				and nominal_turnaround_days = q.integer_value (3)
				and one_pattern_file_per_field = q.boolean_value (4)
				and org_no_mask_vendor = q.integer_value (5)
			q.get_string_value (2, s)
			Result := Result and equal (mask_techn, s)
			q.get_string_value (6, s)
			Result := Result and equal (wafer_techn, s)
			Result := Result
				and is_null_available = q.is_null (1)
				and is_null_mask_techn = q.is_null (2)
				and is_null_nominal_turnaround_days = q.is_null (3)
				and is_null_one_pattern_file_per_field = q.is_null (4)
				and is_null_org_no_mask_vendor = q.is_null (5)
				and is_null_wafer_techn = q.is_null (6)
		end

end
