
indexing

	date: "Mon May  7 13:44:39 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"WAFER_TECHN#RUN_TYPES (MOSIS.WAFER_TECHN#RUN_TYPES)"
			-- Included columns
			-- 	RTM_REQUEST_TYPE
			-- 	RUN_TYPE
			-- 	SENT_TO_FOUNDRY_REQUEST_TYPE
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class WAFER_TECHNXRUN_TYPES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_wafer_techn: STRING; the_run_type: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_wafer_techn_exists: the_wafer_techn /= Void
			the_run_type_exists: the_run_type /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			wafer_techn := the_wafer_techn
			run_type := the_run_type
			is_null_wafer_techn := False
			is_null_run_type := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  rtm_request_type, run_type, sent_to_foundry_request_type, wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_techn#run_types wtrt"

	join_condition: STRING = ""

	table_name: STRING = "wafer_techn#run_types"

	key_where_clause: STRING = "wafer_techn = :1 and run_type = :2"

feature -- Values

	rtm_request_type: STRING
			-- DB: VARCHAR2(24) not null

	run_type: STRING
			-- DB: VARCHAR2(5) not null

	sent_to_foundry_request_type: STRING
			-- DB: VARCHAR2(24)

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_sent_to_foundry_request_type: BOOLEAN

feature -- Nullness for non-null columns

	is_null_rtm_request_type: BOOLEAN
	is_null_run_type: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (run_type, r.run_type)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_run_type = r.is_null_run_type
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (rtm_request_type, r.rtm_request_type)
				and equal (sent_to_foundry_request_type, r.sent_to_foundry_request_type)
			Result := Result
				and is_null_rtm_request_type = r.is_null_rtm_request_type
				and is_null_sent_to_foundry_request_type = r.is_null_sent_to_foundry_request_type
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 24)
			q.select_string (2, 5)
			q.select_string (3, 24)
			q.select_string (4, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
		end

	fill_in_references (q: SQL_QUERY)
		do
			rtm_request_type := q.string_value (1)
			run_type := q.string_value (2)
			sent_to_foundry_request_type := q.string_value (3)
			wafer_techn := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, rtm_request_type)
			q.get_string_value (2, run_type)
			q.get_string_value (3, sent_to_foundry_request_type)
			q.get_string_value (4, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_rtm_request_type := q.is_null (1)
			is_null_run_type := q.is_null (2)
			is_null_sent_to_foundry_request_type := q.is_null (3)
			is_null_wafer_techn := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_wafer_techn := True
			is_null_run_type := True
			create wafer_techn.make (0)
			create run_type.make (0)
		end

	set_null_nonkey
		do
			is_null_rtm_request_type := True
			is_null_sent_to_foundry_request_type := True
			create rtm_request_type.make (0)
			create sent_to_foundry_request_type.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, wafer_techn, False)
			q.bind_num_to_string (2, run_type, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			q.get_string_value (1, s)
			Result := Result and equal (rtm_request_type, s)
			q.get_string_value (2, s)
			Result := Result and equal (run_type, s)
			q.get_string_value (3, s)
			Result := Result and equal (sent_to_foundry_request_type, s)
			q.get_string_value (4, s)
			Result := Result and equal (wafer_techn, s)
			Result := Result
				and is_null_rtm_request_type = q.is_null (1)
				and is_null_run_type = q.is_null (2)
				and is_null_sent_to_foundry_request_type = q.is_null (3)
				and is_null_wafer_techn = q.is_null (4)
		end

end
