
indexing

	author: "Generated"
	date: "Wed Nov 26 07:55:35 PST 2003"

class WAFER_TECHNXRUN_TYPES_ROW
inherit
	WAFER_TECHNXRUN_TYPES_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature

	rows_for_wt_and_run_type (wt, type: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All rows for wafer techn `wt' and run type 
			-- `type'
		require
			wt_not_void: wt /= Void
			type_not_void: type /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_SS
		do
			create b.make (wt, type)
			Result := all_rows_filtered (conn, "wafer_techn = :1 and run_type = :2", b)
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
