
indexing

	date: "Tue Apr 24 10:30:17 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"ZIP_TAXES (MOSIS.ZIP_TAXES)"
			-- Included columns
			-- 	DATE_EFFECTIVE
			-- 	TAX
			-- 	ZIP_1
			-- 	ZIP_2
			-- Excluded columns
			-- 	(none)

class ZIP_TAXES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  date_effective, tax, zip_1, zip_2"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "zip_taxes adr"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	date_effective: DB_DATE
			-- DB: DATE not null

	tax: REAL
			-- DB: NUMBER(5,3) not null

	zip_1: INTEGER
			-- DB: NUMBER(5,0) not null

	zip_2: INTEGER
			-- DB: NUMBER(5,0) not null

feature -- Nullness for non-null columns

	is_null_date_effective: BOOLEAN
	is_null_tax: BOOLEAN
	is_null_zip_1: BOOLEAN
	is_null_zip_2: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and zip_1 = r.zip_1
				and zip_2 = r.zip_2
			Result := Result
				and equal (date_effective, r.date_effective)
			Result := Result
				and is_null_date_effective = r.is_null_date_effective
				and is_null_zip_1 = r.is_null_zip_1
				and is_null_zip_2 = r.is_null_zip_2
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and tax = r.tax
			Result := Result
				and is_null_tax = r.is_null_tax
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_date (1)
			q.select_real (2)
			q.select_integer (3)
			q.select_integer (4)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			tax := q.real_value (2)
			zip_1 := q.integer_value (3)
			zip_2 := q.integer_value (4)
		end

	fill_in_references (q: SQL_QUERY)
		do
			date_effective := q.date_value (1)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_date_value (1, date_effective)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_date_effective := q.is_null (1)
			is_null_tax := q.is_null (2)
			is_null_zip_1 := q.is_null (3)
			is_null_zip_2 := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_date_effective := True
			is_null_tax := True
			is_null_zip_1 := True
			is_null_zip_2 := True
			create {ORACLE_DATE} date_effective.set_null
		end

end
