
indexing
	
	description: "Account type column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class ACCOUNT_TYPE_COLUMN [G -> HAS_ACCOUNT_TYPE]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Acct Type"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_account_type then
				Result := r.account_type
			else
				Result := ""
			end
		end

	comparator: ACCOUNT_TYPE_COMPARATOR [G]
		do
			create Result
		end

end
