
indexing
	
	description: "Comparator for account type in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class ACCOUNT_TYPE_COMPARATOR [G -> HAS_ACCOUNT_TYPE]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_account_type and v.has_account_type then
				Result := u.account_type < v.account_type
			elseif v.has_account_type then
				Result := True
			else
				Result := False
			end
		end

end
