
indexing
	
	description: "Account number column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class ACCT_NO_COLUMN [G -> HAS_ACCOUNT_NUMBER]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Acct No"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_right_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_account_number then
				Result := r.account_number.out
			else
				Result := ""
			end
		end

	comparator: ACCT_NO_COMPARATOR [G]
		do
			create Result
		end

end
