
indexing
	
	description: "Comparator for account no in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class ACCT_NO_COMPARATOR [G -> HAS_ACCOUNT_NUMBER]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_account_number and v.has_account_number then
				Result := u.account_number < v.account_number
			elseif v.has_account_number then
				Result := True
			else
				Result := False
			end
		end

end
