
indexing
	
	description: "Action that adds element to a list"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ADD_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Properties

	elements: LIST [RETICLE_VIEW_ELEMENT]
			-- List to which to add elements

feature -- Modification

	set_elements (a_list: like elements)
			-- Set `elements' to `a_list'
		require
			a_list_not_void: a_list /= Void
		do
			elements := a_list
		ensure
			elements_set: elements = a_list
		end

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			elements.extend (an_element)
		end

end
