
indexing

	date: "Tue Apr 24 10:30:09 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"ADDRESSES (MOSIS.ADDRESSES)",
			-- Included columns
			-- 	ADDRESS_TYPE
			-- 	ADDR_NO
			-- 	CITY
			-- 	CONTACT_NO
			-- 	COUNTRY
			-- 	COUNTY
			-- 	DEFAULT_CODE
			-- 	LINE_1
			-- 	LINE_2
			-- 	LINE_3
			-- 	ORG_NO
			-- 	POSTAL_CODE
			-- 	PROVINCE
			-- 	STATE
			-- 	SUB_TYPE (address_format)
			-- 	ZIP
			-- 	ZIP_PLUS_4
			-- Excluded columns
			-- 	DIV_NO
		"CONTACTS (MOSIS.CONTACTS)",
			-- Included columns
			-- 	DIV_NO
			-- 	FIRST_NAME
			-- 	LAST_NAME
			-- 	MID_NAME
			-- 	PREFIX (appellation)
			-- 	SUFFIX
			-- 	TITLE
			-- Excluded columns
			-- 	COMMENTS
			-- 	CONTACT_NO
			-- 	NET_ADDRESS
			-- 	ORG_NO
			-- 	PREFERRED_NAME
			-- 	PRONUNCIATION
		"ORGANIZATIONS (MOSIS.ORGANIZATIONS)"
			-- Included columns
			-- 	FULL_NAME
			-- 	SHORT_ID
			-- Excluded columns
			-- 	COMMENTS
			-- 	ORG_NO
			-- 	VENDOR
			-- 	VENDOR_CODE
			-- 	VENDOR_CODE_ACTIVE
			-- 	WAFER_VENDOR_CONSTRAINT_CODE

class ADDRESSES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 26

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  address_type, addr_no, city, adr.contact_no, country, county,%N  default_code, line_1, line_2, line_3, adr.org_no, postal_code, province,%N  state, sub_type, zip, zip_plus_4, con.div_no, first_name, last_name,%N  mid_name, prefix, suffix, title, full_name, short_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "addresses adr, contacts con, organizations org"

	join_condition: STRING = "adr.contact_no = con.contact_no and adr.org_no = org.org_no and con.org_no = org.org_no"

	table_count: INTEGER = 3

	group_by: STRING = ""

feature -- Values

	address_type: CHARACTER
			-- DB: CHAR(1) not null
			-- Eiffel type specified explicitly

	addr_no: INTEGER
			-- DB: NUMBER(6,0) not null

	city: STRING
			-- DB: VARCHAR2(23)

	contact_no: INTEGER
			-- DB: NUMBER(6,0)

	country: STRING
			-- DB: VARCHAR2(38)

	county: STRING
			-- DB: VARCHAR2(30)

	default_code: CHARACTER
			-- DB: CHAR(1) not null
			-- Eiffel type specified explicitly

	line_1: STRING
			-- DB: VARCHAR2(38)

	line_2: STRING
			-- DB: VARCHAR2(38)

	line_3: STRING
			-- DB: VARCHAR2(38)

	org_no: INTEGER
			-- DB: NUMBER(6,0) not null

	postal_code: STRING
			-- DB: VARCHAR2(9)

	province: STRING
			-- DB: VARCHAR2(32)

	state: STRING
			-- DB: CHAR(2)

	address_format: CHARACTER
			-- DB: sub_type CHAR(1) not null
			-- Eiffel type specified explicitly

	zip: STRING
			-- DB: CHAR(5)

	zip_plus_4: STRING
			-- DB: CHAR(4)

	div_no: INTEGER
			-- DB: NUMBER(6,0)

	first_name: STRING
			-- DB: VARCHAR2(30)

	last_name: STRING
			-- DB: VARCHAR2(30)

	mid_name: STRING
			-- DB: VARCHAR2(30)

	appellation: STRING
			-- DB: prefix VARCHAR2(15)

	suffix: STRING
			-- DB: VARCHAR2(15)

	title: STRING
			-- DB: VARCHAR2(38)

	full_name: STRING
			-- DB: VARCHAR2(40) not null

	short_id: STRING
			-- DB: VARCHAR2(15) not null

feature -- Nullness for null allowed columns

	is_null_city: BOOLEAN
	is_null_contact_no: BOOLEAN
	is_null_country: BOOLEAN
	is_null_county: BOOLEAN
	is_null_line_1: BOOLEAN
	is_null_line_2: BOOLEAN
	is_null_line_3: BOOLEAN
	is_null_postal_code: BOOLEAN
	is_null_province: BOOLEAN
	is_null_state: BOOLEAN
	is_null_zip: BOOLEAN
	is_null_zip_plus_4: BOOLEAN
	is_null_div_no: BOOLEAN
	is_null_first_name: BOOLEAN
	is_null_last_name: BOOLEAN
	is_null_mid_name: BOOLEAN
	is_null_appellation: BOOLEAN
	is_null_suffix: BOOLEAN
	is_null_title: BOOLEAN

feature -- Nullness for non-null columns

	is_null_address_type: BOOLEAN
	is_null_addr_no: BOOLEAN
	is_null_default_code: BOOLEAN
	is_null_org_no: BOOLEAN
	is_null_address_format: BOOLEAN
	is_null_full_name: BOOLEAN
	is_null_short_id: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and addr_no = r.addr_no
			Result := Result
				and is_null_addr_no = r.is_null_addr_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and address_type = r.address_type
				and contact_no = r.contact_no
				and default_code = r.default_code
				and org_no = r.org_no
				and address_format = r.address_format
				and div_no = r.div_no
			Result := Result
				and equal (city, r.city)
				and equal (country, r.country)
				and equal (county, r.county)
				and equal (line_1, r.line_1)
				and equal (line_2, r.line_2)
				and equal (line_3, r.line_3)
				and equal (postal_code, r.postal_code)
				and equal (province, r.province)
				and equal (state, r.state)
				and equal (zip, r.zip)
				and equal (zip_plus_4, r.zip_plus_4)
				and equal (first_name, r.first_name)
				and equal (last_name, r.last_name)
				and equal (mid_name, r.mid_name)
				and equal (appellation, r.appellation)
				and equal (suffix, r.suffix)
				and equal (title, r.title)
				and equal (full_name, r.full_name)
				and equal (short_id, r.short_id)
			Result := Result
				and is_null_address_type = r.is_null_address_type
				and is_null_city = r.is_null_city
				and is_null_contact_no = r.is_null_contact_no
				and is_null_country = r.is_null_country
				and is_null_county = r.is_null_county
				and is_null_default_code = r.is_null_default_code
				and is_null_line_1 = r.is_null_line_1
				and is_null_line_2 = r.is_null_line_2
				and is_null_line_3 = r.is_null_line_3
				and is_null_org_no = r.is_null_org_no
				and is_null_postal_code = r.is_null_postal_code
				and is_null_province = r.is_null_province
				and is_null_state = r.is_null_state
				and is_null_address_format = r.is_null_address_format
				and is_null_zip = r.is_null_zip
				and is_null_zip_plus_4 = r.is_null_zip_plus_4
				and is_null_div_no = r.is_null_div_no
				and is_null_first_name = r.is_null_first_name
				and is_null_last_name = r.is_null_last_name
				and is_null_mid_name = r.is_null_mid_name
				and is_null_appellation = r.is_null_appellation
				and is_null_suffix = r.is_null_suffix
				and is_null_title = r.is_null_title
				and is_null_full_name = r.is_null_full_name
				and is_null_short_id = r.is_null_short_id
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_character (1)
			q.select_integer (2)
			q.select_string (3, 23)
			q.select_integer (4)
			q.select_string (5, 38)
			q.select_string (6, 30)
			q.select_character (7)
			q.select_string (8, 38)
			q.select_string (9, 38)
			q.select_string (10, 38)
			q.select_integer (11)
			q.select_string (12, 9)
			q.select_string (13, 32)
			q.select_string (14, 2)
			q.select_character (15)
			q.select_string (16, 5)
			q.select_string (17, 4)
			q.select_integer (18)
			q.select_string (19, 30)
			q.select_string (20, 30)
			q.select_string (21, 30)
			q.select_string (22, 15)
			q.select_string (23, 15)
			q.select_string (24, 38)
			q.select_string (25, 40)
			q.select_string (26, 15)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			address_type := q.character_value (1)
			addr_no := q.integer_value (2)
			contact_no := q.integer_value (4)
			default_code := q.character_value (7)
			org_no := q.integer_value (11)
			address_format := q.character_value (15)
			div_no := q.integer_value (18)
		end

	fill_in_references (q: SQL_QUERY)
		do
			city := q.string_value (3)
			country := q.string_value (5)
			county := q.string_value (6)
			line_1 := q.string_value (8)
			line_2 := q.string_value (9)
			line_3 := q.string_value (10)
			postal_code := q.string_value (12)
			province := q.string_value (13)
			state := q.string_value (14)
			zip := q.string_value (16)
			zip_plus_4 := q.string_value (17)
			first_name := q.string_value (19)
			last_name := q.string_value (20)
			mid_name := q.string_value (21)
			appellation := q.string_value (22)
			suffix := q.string_value (23)
			title := q.string_value (24)
			full_name := q.string_value (25)
			short_id := q.string_value (26)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (3, city)
			q.get_string_value (5, country)
			q.get_string_value (6, county)
			q.get_string_value (8, line_1)
			q.get_string_value (9, line_2)
			q.get_string_value (10, line_3)
			q.get_string_value (12, postal_code)
			q.get_string_value (13, province)
			q.get_string_value (14, state)
			q.get_string_value (16, zip)
			q.get_string_value (17, zip_plus_4)
			q.get_string_value (19, first_name)
			q.get_string_value (20, last_name)
			q.get_string_value (21, mid_name)
			q.get_string_value (22, appellation)
			q.get_string_value (23, suffix)
			q.get_string_value (24, title)
			q.get_string_value (25, full_name)
			q.get_string_value (26, short_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_address_type := q.is_null (1)
			is_null_addr_no := q.is_null (2)
			is_null_city := q.is_null (3)
			is_null_contact_no := q.is_null (4)
			is_null_country := q.is_null (5)
			is_null_county := q.is_null (6)
			is_null_default_code := q.is_null (7)
			is_null_line_1 := q.is_null (8)
			is_null_line_2 := q.is_null (9)
			is_null_line_3 := q.is_null (10)
			is_null_org_no := q.is_null (11)
			is_null_postal_code := q.is_null (12)
			is_null_province := q.is_null (13)
			is_null_state := q.is_null (14)
			is_null_address_format := q.is_null (15)
			is_null_zip := q.is_null (16)
			is_null_zip_plus_4 := q.is_null (17)
			is_null_div_no := q.is_null (18)
			is_null_first_name := q.is_null (19)
			is_null_last_name := q.is_null (20)
			is_null_mid_name := q.is_null (21)
			is_null_appellation := q.is_null (22)
			is_null_suffix := q.is_null (23)
			is_null_title := q.is_null (24)
			is_null_full_name := q.is_null (25)
			is_null_short_id := q.is_null (26)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_address_type := True
			is_null_addr_no := True
			is_null_city := True
			is_null_contact_no := True
			is_null_country := True
			is_null_county := True
			is_null_default_code := True
			is_null_line_1 := True
			is_null_line_2 := True
			is_null_line_3 := True
			is_null_org_no := True
			is_null_postal_code := True
			is_null_province := True
			is_null_state := True
			is_null_address_format := True
			is_null_zip := True
			is_null_zip_plus_4 := True
			is_null_div_no := True
			is_null_first_name := True
			is_null_last_name := True
			is_null_mid_name := True
			is_null_appellation := True
			is_null_suffix := True
			is_null_title := True
			is_null_full_name := True
			is_null_short_id := True
			create city.make (0)
			create country.make (0)
			create county.make (0)
			create line_1.make (0)
			create line_2.make (0)
			create line_3.make (0)
			create postal_code.make (0)
			create province.make (0)
			create state.make (0)
			create zip.make (0)
			create zip_plus_4.make (0)
			create first_name.make (0)
			create last_name.make (0)
			create mid_name.make (0)
			create appellation.make (0)
			create suffix.make (0)
			create title.make (0)
			create full_name.make (0)
			create short_id.make (0)
		end

end
