
indexing
	
	description: "Object that generates a %"filled%" indication for all %
		%elements of a reticle view"
	author: "David Hollenberg"
	date: "July 25, 2006"

class ALL_FILL_GENERATOR
inherit
	RETICLE_VIEW_ELEMENT_FILL_GENERATOR

create
	make

feature  -- Access

	is_interior_filled (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Should interior of `an_element' be filled when
			-- it is displayed?
		do
			Result := an_element.is_selectable
		end
	
	interior_color (an_element: RETICLE_VIEW_ELEMENT): EV_COLOR
			-- Foreground color for interior of
			-- `an_element', if it is filled
		do
			if an_element.is_selected then
				Result := palette.selected_fill_color
			else
				Result := palette.unselected_fill_color
			end
		end
	
end
