
indexing
	
	description: "Alternate etest IDs in a multi column list"
	author: "David Hollenberg"
	date: "December 6, 2006"

class ALT_ETEST_IDS_COLUMN [G -> HAS_ALT_ETEST_IDS]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Alt Lots"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_alt_etest_ids then
				Result := r.alt_etest_ids
			else
				Result := ""
			end
		end

	comparator: ALT_ETEST_IDS_COMPARATOR [G]
		do
			create Result
		end

end
