
indexing
	
	description: "Comparator for alternate etest IDs in a multi column list"
	author: "David Hollenberg"
	date: "December 6, 2006"

class ALT_ETEST_IDS_COMPARATOR [G -> HAS_ALT_ETEST_IDS]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_alt_etest_ids and v.has_alt_etest_ids then
				Result := u.alt_etest_ids < v.alt_etest_ids
			elseif v.has_alt_etest_ids then
				Result := True
			else
				Result := False
			end
		end

end
