
indexing

	date: "Tue Apr 24 10:30:09 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"APPLICATION_COLORS (MOSIS.APPLICATION_COLORS)"
			-- Included columns
			-- 	APPLICATION
			-- 	BLUE_VALUE
			-- 	COLOR_NAME
			-- 	COLOR_ROLE
			-- 	GREEN_VALUE
			-- 	RED_VALUE
			-- Excluded columns
			-- 	(none)

class APPLICATION_COLORS_MRAW

inherit

	DB_DELETABLE_ROW
	APPLICATION_COLORS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_application (s: STRING)
		do
			change_key_field
			application := s
			if s = Void then
				create application.make (0)
			end
			is_null_application := s = Void or else s.count = 0
		end

	set_blue_value (d: DOUBLE)
		do
			change_field (True, True)
			blue_value := d
			is_null_blue_value := False
		end

	set_color_name (s: STRING)
		do
			change_field (True, True)
			color_name := s
			if s = Void then
				create color_name.make (0)
			end
			is_null_color_name := s = Void or else s.count = 0
		end

	set_color_role (s: STRING)
		do
			change_key_field
			color_role := s
			if s = Void then
				create color_role.make (0)
			end
			is_null_color_role := s = Void or else s.count = 0
		end

	set_green_value (d: DOUBLE)
		do
			change_field (True, True)
			green_value := d
			is_null_green_value := False
		end

	set_red_value (d: DOUBLE)
		do
			change_field (True, True)
			red_value := d
			is_null_red_value := False
		end

feature -- Modification to null

	set_null_blue_value
		do
			change_field (True, True)
			blue_value := 0.0
			is_null_blue_value := True
		end

	set_null_color_name
		do
			set_color_name (Void)
		end

	set_null_green_value
		do
			change_field (True, True)
			green_value := 0.0
			is_null_green_value := True
		end

	set_null_red_value
		do
			change_field (True, True)
			red_value := 0.0
			is_null_red_value := True
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, application, is_null_application)
			s.bind_num_to_double (2, blue_value, is_null_blue_value)
			s.bind_num_to_string (3, color_name, is_null_color_name)
			s.bind_num_to_string (4, color_role, is_null_color_role)
			s.bind_num_to_double (5, green_value, is_null_green_value)
			s.bind_num_to_double (6, red_value, is_null_red_value)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6"

	bind_list_for_update: STRING = "  application = :1, blue_value = :2, color_name = :3, color_role = :4,%N  green_value = :5, red_value = :6"

end
