
indexing
	
	description: "Assigned count column in a multi column list"
	author: "David Hollenberg"
	date: "December 19, 2006"

class ASSIGNED_COUNT_COLUMN [G -> HAS_ASSIGNED_COUNT]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Selected"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_right_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_assigned_count then
				Result := r.assigned_count.out
			else
				Result := ""
			end
		end

	comparator: ASSIGNED_COUNT_COMPARATOR [G]
		do
			create Result
		end

end

