
indexing
	
	description: "Batch job host column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class BATCH_JOB_HOST_COLUMN [G -> HAS_BATCH_JOB_HOST]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Job Host"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.batch_job_host
		end

	comparator: BATCH_JOB_HOST_COMPARATOR [G]
		do
			create Result
		end

end
