
indexing
	
	description: "Comparator for batch job number in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class BATCH_JOB_NO_COMPARATOR [G -> HAS_BATCH_JOB_NUMBER]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_batch_job and v.has_batch_job then
				Result := u.batch_job_number < v.batch_job_number
			elseif v.has_batch_job then
				Result := True
			else
				Result := False
			end
		end

end
