class CATS_EXTENT_MEASUREMENT

inherit
	CATS_STATEMENT

	CATS_EXPRESSION_SUPPORT

create
	make

feature	-- compilation

	compile_prolog is
	do
	end;

	compile_statement(cop: CATS_OPERATION): CATS_OPERATION is
		-- cop is always unmodified because we have just a layer
	do  cop.set_final_comment("==> EXTENT   # xxxxxxxxx." + mebes_ext);
	    cop.set_command(cmd_is_extent);
	    Result := cop
	end;

feature	-- creation

	make(layer: STRING; res: DOUBLE) is
	do  create {CATS_EXPR_LEAF}source.make(layer)
	    layer_level_name := layer
	    resolution := res
	    statement_name := su.string_of_2("extent of ", layer);
	end;

end -- CATS_EXTENT_MEASUREMENT
