class CATS_LEVEL_FRACTURE

inherit
	CATS_STATEMENT

create
	make

feature	-- compilation

	compile_prolog is
	do
	end;

	compile_statement(cop: CATS_OPERATION): CATS_OPERATION is
		-- cop is the final producer of our data
	local fnam: STRING 
	do  fnam := my_env.final_fracture_name(mebes_ext);
	    cop.set_format(frmt_is_mebes4);
	    cop.set_height(1024);
	    cop.set_output_final(fnam, layer_level_name);
	    cop.set_command(cmd_is_do);
	    Result := cop
	end;

feature	-- creation

	make(src: CATS_EXPRESSION; lnam: STRING; res: DOUBLE) is
	require have_src: src /= Void
	do  source := src;
	    layer_level_name := lnam;
	    if is_valid_mebes_ext(lnam)
	     then set_mebes_ext(lnam)
	    end;
	    resolution := res;
	    statement_name := su.string_of_2("fracturing ", lnam);
	end;

end -- CATS_LEVEL_FRACTURE
