
indexing
	
	description: "Center Y column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2006"

class CENTER_Y_COLUMN [G -> HAS_CENTER_Y]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Center Y"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_right_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.center_y_string
		end

	comparator: CENTER_Y_COMPARATOR [G]
		do
			create Result
		end

end
