
indexing

	date: "Tue Apr 24 10:30:09 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user DHOLLEN"
	database_tables: 
		"CIF#DESIGN_TECHN_ID_LAYERS (MOSIS.CIF#DESIGN_TECHN_ID_LAYERS)"
			-- Included columns
			-- 	CIF_LAYER
			-- 	DESIGN_TECHN_ID
			-- 	LAYER_NAME
			-- Excluded columns
			-- 	(none)

class CIFXDESIGN_TECHN_ID_LAYERS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_design_techn_id: STRING; the_cif_layer: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_design_techn_id_exists: the_design_techn_id /= Void
			the_cif_layer_exists: the_cif_layer /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			design_techn_id := the_design_techn_id
			cif_layer := the_cif_layer
			is_null_design_techn_id := False
			is_null_cif_layer := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  cif_layer, design_techn_id, layer_name"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cif#design_techn_id_layers dtil"

	join_condition: STRING = ""

	table_name: STRING = "cif#design_techn_id_layers"

	key_where_clause: STRING = "design_techn_id = :1 and cif_layer = :2"

feature -- Values

	cif_layer: STRING
			-- DB: VARCHAR2(4) not null

	design_techn_id: STRING
			-- DB: VARCHAR2(50) not null

	layer_name: STRING
			-- DB: VARCHAR2(255) not null

feature -- Nullness for non-null columns

	is_null_cif_layer: BOOLEAN
	is_null_design_techn_id: BOOLEAN
	is_null_layer_name: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (cif_layer, r.cif_layer)
				and equal (design_techn_id, r.design_techn_id)
			Result := Result
				and is_null_cif_layer = r.is_null_cif_layer
				and is_null_design_techn_id = r.is_null_design_techn_id
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (layer_name, r.layer_name)
			Result := Result
				and is_null_layer_name = r.is_null_layer_name
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 4)
			q.select_string (2, 50)
			q.select_string (3, 255)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
		end

	fill_in_references (q: SQL_QUERY)
		do
			cif_layer := q.string_value (1)
			design_techn_id := q.string_value (2)
			layer_name := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, cif_layer)
			q.get_string_value (2, design_techn_id)
			q.get_string_value (3, layer_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_cif_layer := q.is_null (1)
			is_null_design_techn_id := q.is_null (2)
			is_null_layer_name := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_techn_id := True
			is_null_cif_layer := True
			create design_techn_id.make (0)
			create cif_layer.make (0)
		end

	set_null_nonkey
		do
			is_null_layer_name := True
			create layer_name.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, design_techn_id, False)
			q.bind_num_to_string (2, cif_layer, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			q.get_string_value (1, s)
			Result := Result and equal (cif_layer, s)
			q.get_string_value (2, s)
			Result := Result and equal (design_techn_id, s)
			q.get_string_value (3, s)
			Result := Result and equal (layer_name, s)
			Result := Result
				and is_null_cif_layer = q.is_null (1)
				and is_null_design_techn_id = q.is_null (2)
				and is_null_layer_name = q.is_null (3)
		end

end
