
indexing
	
	description: "Change that converted a fixed object to a locked object"
	author: "David Hollenberg"
	date: "January 25, 2007"

class CONVERT_FIXED_TO_LOCKED_CHANGE
inherit
	CONVERT_CHANGE

create
	make

feature -- Operations

	undo
			-- Undo change
		do
			if locked_in_x_changed then
				element.unlock_in_x
			end
			if fixed_in_x_changed then
				element.fix_in_x
			end
			if locked_in_y_changed then
				element.unlock_in_y
			end
			if fixed_in_y_changed then
				element.fix_in_y
			end
		end

	redo
			-- Redo change
		do
			if fixed_in_x_changed then
				element.unfix_in_x
			end
			if locked_in_x_changed then
				element.lock_in_x
			end
			if fixed_in_y_changed then
				element.unfix_in_y
			end
			if locked_in_y_changed then
				element.lock_in_y
			end
		end

end
