
indexing
	
	description: "Action that counts view elements"
	author: "David Hollenberg"
	date: "October 31, 2006"

class COUNT_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Properties

	count: INTEGER
			-- Number of elements counted

feature -- Modification

	set_count (a_value: like count)
			-- Set `count' to `a_value'
		do
			count := a_value
		ensure
			count_set: count = a_value
		end

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			count := count + 1
		end

end
