
indexing
	
	description: "Creator column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class CREATOR_COLUMN [G -> HAS_CREATOR]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Created By"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_creator then
				Result := r.creator
			else
				Result := ""
			end
		end

	comparator: CREATOR_COMPARATOR [G]
		do
			create Result
		end

end
