
indexing
	
	description: "Comparator for cust work orders that puts IC orders %
		%before non-IC orders and larger area IC projects before %
		%smaller ones"
	author: "David Hollenberg"
	date: "June 22, 2005"

class CUST_WO_AREA_COMPARATOR
inherit
	KL_COMPARATOR [CUST_WOS_ROW]

feature -- Status report

	less_than (u, v: CUST_WOS_ROW): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.is_null_m_fab_no and v.is_null_m_fab_no then
				Result := u.cust_wo_id < v.cust_wo_id
			elseif u.is_null_m_fab_no then
				Result := False
			elseif v.is_null_m_fab_no then
				Result := True
			else
				Result := u.fab_instance.cust_ic_design.layout_area > v.fab_instance.cust_ic_design.layout_area
					-- Order by decreasing area
			end
		end

end
