
indexing

	date: "Tue Apr 24 10:30:10 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"CUST_WO_LINE_ITEMS (MOSIS.CUST_WO_LINE_ITEMS)"
			-- Included columns
			-- 	CUST_WO_LINE_COMMENT
			-- 	CUST_WO_LINE_NO
			-- 	IC_PACKAGING_NO
			-- 	M_JOB_NO
			-- 	M_ORDER_NO
			-- 	M_PART_NO
			-- 	M_SHIPMENT_NO
			-- 	PACKAGING_LOT_NO
			-- 	PACKAGING_RUN_ID
			-- 	PART_QUANTITY_ORDERED
			-- 	SIZE_OF_ITEM
			-- Excluded columns
			-- 	(none)

class CUST_WO_LINE_ITEMS_MRAW

inherit

	DB_DELETABLE_ROW
	CUST_WO_LINE_ITEMS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_cust_wo_line_comment (s: STRING)
		do
			change_field (True, True)
			cust_wo_line_comment := s
			if s = Void then
				create cust_wo_line_comment.make (0)
			end
			is_null_cust_wo_line_comment := s = Void or else s.count = 0
		end

	set_cust_wo_line_no (k: INTEGER)
		do
			change_field (True, True)
			cust_wo_line_no := k
			is_null_cust_wo_line_no := False
		end

	set_ic_packaging_no (k: INTEGER)
		do
			change_field (True, True)
			ic_packaging_no := k
			is_null_ic_packaging_no := False
		end

	set_m_job_no (k: INTEGER)
		do
			change_key_field
			m_job_no := k
			is_null_m_job_no := False
		end

	set_m_order_no (k: INTEGER)
		do
			change_field (True, True)
			m_order_no := k
			is_null_m_order_no := False
		end

	set_m_part_no (k: INTEGER)
		do
			change_field (True, True)
			m_part_no := k
			is_null_m_part_no := False
		end

	set_m_shipment_no (k: INTEGER)
		do
			change_field (True, True)
			m_shipment_no := k
			is_null_m_shipment_no := False
		end

	set_packaging_lot_no (k: INTEGER)
		do
			change_field (True, True)
			packaging_lot_no := k
			is_null_packaging_lot_no := False
		end

	set_packaging_run_id (s: STRING)
		do
			change_field (True, True)
			packaging_run_id := s
			if s = Void then
				create packaging_run_id.make (0)
			end
			is_null_packaging_run_id := s = Void or else s.count = 0
		end

	set_part_quantity_ordered (k: INTEGER)
		do
			change_field (True, True)
			part_quantity_ordered := k
			is_null_part_quantity_ordered := False
		end

	set_size_of_item (d: DOUBLE)
		do
			change_field (True, True)
			size_of_item := d
			is_null_size_of_item := False
		end

feature -- Modification to null

	set_null_cust_wo_line_comment
		do
			set_cust_wo_line_comment (Void)
		end

	set_null_ic_packaging_no
		do
			change_field (True, True)
			ic_packaging_no := 0
			is_null_ic_packaging_no := True
		end

	set_null_m_shipment_no
		do
			change_field (True, True)
			m_shipment_no := 0
			is_null_m_shipment_no := True
		end

	set_null_packaging_lot_no
		do
			change_field (True, True)
			packaging_lot_no := 0
			is_null_packaging_lot_no := True
		end

	set_null_packaging_run_id
		do
			set_packaging_run_id (Void)
		end

	set_null_part_quantity_ordered
		do
			change_field (True, True)
			part_quantity_ordered := 0
			is_null_part_quantity_ordered := True
		end

	set_null_size_of_item
		do
			change_field (True, True)
			size_of_item := 0.0
			is_null_size_of_item := True
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, cust_wo_line_comment, is_null_cust_wo_line_comment)
			s.bind_num_to_integer (2, cust_wo_line_no, is_null_cust_wo_line_no)
			s.bind_num_to_integer (3, ic_packaging_no, is_null_ic_packaging_no)
			s.bind_num_to_integer (4, m_job_no, is_null_m_job_no)
			s.bind_num_to_integer (5, m_order_no, is_null_m_order_no)
			s.bind_num_to_integer (6, m_part_no, is_null_m_part_no)
			s.bind_num_to_integer (7, m_shipment_no, is_null_m_shipment_no)
			s.bind_num_to_integer (8, packaging_lot_no, is_null_packaging_lot_no)
			s.bind_num_to_string (9, packaging_run_id, is_null_packaging_run_id)
			s.bind_num_to_integer (10, part_quantity_ordered, is_null_part_quantity_ordered)
			s.bind_num_to_double (11, size_of_item, is_null_size_of_item)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11"

	bind_list_for_update: STRING = "  cust_wo_line_comment = :1, cust_wo_line_no = :2, ic_packaging_no = :3,%N  m_job_no = :4, m_order_no = :5, m_part_no = :6, m_shipment_no = :7,%N  packaging_lot_no = :8, packaging_run_id = :9,%N  part_quantity_ordered = :10, size_of_item = :11"

end
