
indexing

	date: "Mon Mar 30 16:34:03 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"CUST_WOS (MOSIS.CUST_WOS)"
			-- Included columns
			-- 	ACKNOWLEDGEMENT_COMMENT
			-- 	CA_TAX_RATE
			-- 	CREATED_BY
			-- 	CUST_ACCT_NO
			-- 	CUST_WO_COMMENT
			-- 	CUST_WO_ID
			-- 	DATE_ACKNOWLEDGED
			-- 	DATE_APPROVED_FOR_EXPORT
			-- 	DATE_CUST_WO
			-- 	DATE_FAX_RECD
			-- 	DATE_FOR_FUNDING
			-- 	DATE_FOR_PRICING
			-- 	DATE_HARDCOPY_RECD
			-- 	DATE_VERBAL_RECD
			-- 	DISCOUNT_FRACTION
			-- 	HAS_BXA711
			-- 	HAS_ECCN
			-- 	MODIFIED_BY
			-- 	M_CUST_QUOTE_NO
			-- 	M_FAB_NO
			-- 	M_FUNDING_ALLOC_NO
			-- 	M_ORDER_NO
			-- 	PRICING_SCHEDULE
			-- 	PRODUCTION_ID
			-- 	REVISION_NO
			-- Excluded columns
			-- 	(none)

class CUST_WOS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	CUST_WOS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_acknowledgement_comment (s: STRING)
		do
			change_field (True, True)
			acknowledgement_comment := s
			if s = Void then
				create acknowledgement_comment.make (0)
			end
			is_null_acknowledgement_comment := s = Void or else s.count = 0
		end

	set_ca_tax_rate (d: DOUBLE)
		do
			change_field (True, True)
			ca_tax_rate := d
			is_null_ca_tax_rate := False
		end

	set_created_by (s: STRING)
		do
			change_field (True, True)
			created_by := s
			if s = Void then
				create created_by.make (0)
			end
			is_null_created_by := s = Void or else s.count = 0
		end

	set_cust_acct_no (k: INTEGER)
		do
			change_field (True, True)
			cust_acct_no := k
			is_null_cust_acct_no := False
		end

	set_cust_wo_comment (s: STRING)
		do
			change_field (True, True)
			cust_wo_comment := s
			if s = Void then
				create cust_wo_comment.make (0)
			end
			is_null_cust_wo_comment := s = Void or else s.count = 0
		end

	set_cust_wo_id (s: STRING)
		do
			change_field (True, True)
			cust_wo_id := s
			if s = Void then
				create cust_wo_id.make (0)
			end
			is_null_cust_wo_id := s = Void or else s.count = 0
		end

	set_date_acknowledged (d: DB_DATE)
		do
			change_field (True, True)
			date_acknowledged := d
			if d = Void then
				create {ORACLE_DATE} date_acknowledged.set_null
			end
			is_null_date_acknowledged := d = Void or else d.is_null
		end

	set_date_approved_for_export (d: DB_DATE)
		do
			change_field (True, True)
			date_approved_for_export := d
			if d = Void then
				create {ORACLE_DATE} date_approved_for_export.set_null
			end
			is_null_date_approved_for_export := d = Void or else d.is_null
		end

	set_date_cust_wo (d: DB_DATE)
		do
			change_field (True, True)
			date_cust_wo := d
			if d = Void then
				create {ORACLE_DATE} date_cust_wo.set_null
			end
			is_null_date_cust_wo := d = Void or else d.is_null
		end

	set_date_fax_recd (d: DB_DATE)
		do
			change_field (True, True)
			date_fax_recd := d
			if d = Void then
				create {ORACLE_DATE} date_fax_recd.set_null
			end
			is_null_date_fax_recd := d = Void or else d.is_null
		end

	set_date_for_funding (d: DB_DATE)
		do
			change_field (True, True)
			date_for_funding := d
			if d = Void then
				create {ORACLE_DATE} date_for_funding.set_null
			end
			is_null_date_for_funding := d = Void or else d.is_null
		end

	set_date_for_pricing (d: DB_DATE)
		do
			change_field (True, True)
			date_for_pricing := d
			if d = Void then
				create {ORACLE_DATE} date_for_pricing.set_null
			end
			is_null_date_for_pricing := d = Void or else d.is_null
		end

	set_date_hardcopy_recd (d: DB_DATE)
		do
			change_field (True, True)
			date_hardcopy_recd := d
			if d = Void then
				create {ORACLE_DATE} date_hardcopy_recd.set_null
			end
			is_null_date_hardcopy_recd := d = Void or else d.is_null
		end

	set_date_verbal_recd (d: DB_DATE)
		do
			change_field (True, True)
			date_verbal_recd := d
			if d = Void then
				create {ORACLE_DATE} date_verbal_recd.set_null
			end
			is_null_date_verbal_recd := d = Void or else d.is_null
		end

	set_discount_fraction (d: DOUBLE)
		do
			change_field (True, True)
			discount_fraction := d
			is_null_discount_fraction := False
		end

	set_has_bxa711 (b: BOOLEAN)
		do
			change_field (True, True)
			has_bxa711 := b
			is_null_has_bxa711 := False
		end

	set_has_eccn (b: BOOLEAN)
		do
			change_field (True, True)
			has_eccn := b
			is_null_has_eccn := False
		end

	set_modified_by (s: STRING)
		do
			change_field (True, True)
			modified_by := s
			if s = Void then
				create modified_by.make (0)
			end
			is_null_modified_by := s = Void or else s.count = 0
		end

	set_m_cust_quote_no (k: INTEGER)
		do
			change_field (True, True)
			m_cust_quote_no := k
			is_null_m_cust_quote_no := False
		end

	set_m_fab_no (k: INTEGER)
		do
			change_field (True, True)
			m_fab_no := k
			is_null_m_fab_no := False
		end

	set_m_funding_alloc_no (k: INTEGER)
		do
			change_field (True, True)
			m_funding_alloc_no := k
			is_null_m_funding_alloc_no := False
		end

	set_m_order_no (k: INTEGER)
		do
			change_key_field
			m_order_no := k
			is_null_m_order_no := False
		end

	set_pricing_schedule (s: STRING)
		do
			change_field (True, True)
			pricing_schedule := s
			if s = Void then
				create pricing_schedule.make (0)
			end
			is_null_pricing_schedule := s = Void or else s.count = 0
		end

	set_production_id (s: STRING)
		do
			change_field (True, True)
			production_id := s
			if s = Void then
				create production_id.make (0)
			end
			is_null_production_id := s = Void or else s.count = 0
		end

	set_revision_no (k: INTEGER)
		do
			change_field (True, True)
			revision_no := k
			is_null_revision_no := False
		end

feature -- Modification to null

	set_null_acknowledgement_comment
		do
			set_acknowledgement_comment (Void)
		end

	set_null_ca_tax_rate
		do
			change_field (True, True)
			ca_tax_rate := 0.0
			is_null_ca_tax_rate := True
		end

	set_null_cust_wo_comment
		do
			set_cust_wo_comment (Void)
		end

	set_null_cust_wo_id
		do
			set_cust_wo_id (Void)
		end

	set_null_date_acknowledged
		do
			set_date_acknowledged (Void)
		end

	set_null_date_approved_for_export
		do
			set_date_approved_for_export (Void)
		end

	set_null_date_cust_wo
		do
			set_date_cust_wo (Void)
		end

	set_null_date_fax_recd
		do
			set_date_fax_recd (Void)
		end

	set_null_date_for_funding
		do
			set_date_for_funding (Void)
		end

	set_null_date_hardcopy_recd
		do
			set_date_hardcopy_recd (Void)
		end

	set_null_date_verbal_recd
		do
			set_date_verbal_recd (Void)
		end

	set_null_m_cust_quote_no
		do
			change_field (True, True)
			m_cust_quote_no := 0
			is_null_m_cust_quote_no := True
		end

	set_null_m_fab_no
		do
			change_field (True, True)
			m_fab_no := 0
			is_null_m_fab_no := True
		end

	set_null_production_id
		do
			set_production_id (Void)
		end

	set_null_revision_no
		do
			change_field (True, True)
			revision_no := 0
			is_null_revision_no := True
		end

feature {NONE} -- Initialization

	set_default_values
		do
			db_column.select_date ("SYSDATE")
			date_for_pricing := db_column.date_value
			is_null_date_for_pricing := db_column.is_null
			discount_fraction := 0
			is_null_discount_fraction := False
			has_bxa711 := False
			is_null_has_bxa711 := False
			has_eccn := False
			is_null_has_eccn := False
			db_column.select_string ("USER", 30)
			modified_by := db_column.string_value
			is_null_modified_by := db_column.is_null
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, acknowledgement_comment, is_null_acknowledgement_comment)
			s.bind_num_to_double (2, ca_tax_rate, is_null_ca_tax_rate)
			s.bind_num_to_string (3, created_by, is_null_created_by)
			s.bind_num_to_integer (4, cust_acct_no, is_null_cust_acct_no)
			s.bind_num_to_string (5, cust_wo_comment, is_null_cust_wo_comment)
			s.bind_num_to_string (6, cust_wo_id, is_null_cust_wo_id)
			s.bind_num_to_date (7, date_acknowledged, is_null_date_acknowledged)
			s.bind_num_to_date (8, date_approved_for_export, is_null_date_approved_for_export)
			s.bind_num_to_date (9, date_cust_wo, is_null_date_cust_wo)
			s.bind_num_to_date (10, date_fax_recd, is_null_date_fax_recd)
			s.bind_num_to_date (11, date_for_funding, is_null_date_for_funding)
			s.bind_num_to_date (12, date_for_pricing, is_null_date_for_pricing)
			s.bind_num_to_date (13, date_hardcopy_recd, is_null_date_hardcopy_recd)
			s.bind_num_to_date (14, date_verbal_recd, is_null_date_verbal_recd)
			s.bind_num_to_double (15, discount_fraction, is_null_discount_fraction)
			s.bind_num_to_boolean (16, has_bxa711, is_null_has_bxa711)
			s.bind_num_to_boolean (17, has_eccn, is_null_has_eccn)
			s.bind_num_to_string (18, modified_by, is_null_modified_by)
			s.bind_num_to_integer (19, m_cust_quote_no, is_null_m_cust_quote_no)
			s.bind_num_to_integer (20, m_fab_no, is_null_m_fab_no)
			s.bind_num_to_integer (21, m_funding_alloc_no, is_null_m_funding_alloc_no)
			s.bind_num_to_integer (22, m_order_no, is_null_m_order_no)
			s.bind_num_to_string (23, pricing_schedule, is_null_pricing_schedule)
			s.bind_num_to_string (24, production_id, is_null_production_id)
			s.bind_num_to_integer (25, revision_no, is_null_revision_no)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20, :21, :22, :23, :24, :25"

	bind_list_for_update: STRING = "  acknowledgement_comment = :1, ca_tax_rate = :2, created_by = :3,%N  cust_acct_no = :4, cust_wo_comment = :5, cust_wo_id = :6,%N  date_acknowledged = :7, date_approved_for_export = :8, date_cust_wo = :9,%N  date_fax_recd = :10, date_for_funding = :11, date_for_pricing = :12,%N  date_hardcopy_recd = :13, date_verbal_recd = :14,%N  discount_fraction = :15, has_bxa711 = :16, has_eccn = :17,%N  modified_by = :18, m_cust_quote_no = :19, m_fab_no = :20,%N  m_funding_alloc_no = :21, m_order_no = :22, pricing_schedule = :23,%N  production_id = :24, revision_no = :25"

end
