
indexing

	date: "Tue Apr 24 10:30:10 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"CUT_DIE_SITES (MOSIS.CUT_DIE_SITES)"
			-- Included columns
			-- 	CUT_PATTERN_NO
			-- 	DIE_SIZE_CUT_X
			-- 	DIE_SIZE_CUT_Y
			-- 	LOCATION_X
			-- 	LOCATION_Y
			-- 	MASK_SITE_NO
			-- 	RUN_ID
			-- Excluded columns
			-- 	(none)

class CUT_DIE_SITES_MRAW

inherit

	DB_DELETABLE_ROW
	CUT_DIE_SITES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_cut_pattern_no (k: INTEGER)
		do
			change_key_field
			cut_pattern_no := k
			is_null_cut_pattern_no := False
		end

	set_die_size_cut_x (d: DOUBLE)
		do
			change_field (True, True)
			die_size_cut_x := d
			is_null_die_size_cut_x := False
		end

	set_die_size_cut_y (d: DOUBLE)
		do
			change_field (True, True)
			die_size_cut_y := d
			is_null_die_size_cut_y := False
		end

	set_location_x (d: DOUBLE)
		do
			change_field (True, True)
			location_x := d
			is_null_location_x := False
		end

	set_location_y (d: DOUBLE)
		do
			change_field (True, True)
			location_y := d
			is_null_location_y := False
		end

	set_mask_site_no (k: INTEGER)
		do
			change_key_field
			mask_site_no := k
			is_null_mask_site_no := False
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, cut_pattern_no, is_null_cut_pattern_no)
			s.bind_num_to_double (2, die_size_cut_x, is_null_die_size_cut_x)
			s.bind_num_to_double (3, die_size_cut_y, is_null_die_size_cut_y)
			s.bind_num_to_double (4, location_x, is_null_location_x)
			s.bind_num_to_double (5, location_y, is_null_location_y)
			s.bind_num_to_integer (6, mask_site_no, is_null_mask_site_no)
			s.bind_num_to_string (7, run_id, is_null_run_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7"

	bind_list_for_update: STRING = "  cut_pattern_no = :1, die_size_cut_x = :2, die_size_cut_y = :3,%N  location_x = :4, location_y = :5, mask_site_no = :6, run_id = :7"

end
