
indexing

	date: "Tue Apr 24 10:30:10 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"CUT_LOCATIONS (MOSIS.CUT_LOCATIONS)"
			-- Included columns
			-- 	CUT_NO
			-- 	CUT_PATTERN_NO
			-- 	LOCATION
			-- 	ORIENTATION
			-- 	RUN_ID
			-- Excluded columns
			-- 	(none)

class CUT_LOCATIONS_MRAW

inherit

	DB_DELETABLE_ROW
	CUT_LOCATIONS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_cut_no (k: INTEGER)
		do
			change_key_field
			cut_no := k
			is_null_cut_no := False
		end

	set_cut_pattern_no (k: INTEGER)
		do
			change_key_field
			cut_pattern_no := k
			is_null_cut_pattern_no := False
		end

	set_location (d: DOUBLE)
		do
			change_field (True, True)
			location := d
			is_null_location := False
		end

	set_orientation (s: STRING)
		do
			change_field (True, True)
			orientation := s
			if s = Void then
				create orientation.make (0)
			end
			is_null_orientation := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, cut_no, is_null_cut_no)
			s.bind_num_to_integer (2, cut_pattern_no, is_null_cut_pattern_no)
			s.bind_num_to_double (3, location, is_null_location)
			s.bind_num_to_string (4, orientation, is_null_orientation)
			s.bind_num_to_string (5, run_id, is_null_run_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5"

	bind_list_for_update: STRING = "  cut_no = :1, cut_pattern_no = :2, location = :3, orientation = :4,%N  run_id = :5"

end
