
indexing
	
	author: "David Hollenberg"
	date: "November 20, 1998"
	description: "A synchronous data transformation"

deferred class DATA_TRANSFORM_SYNCHRONOUS

inherit
	DATA_TRANSFORM

feature {NONE} -- Implementation

	propagate_data
			-- Propagate data in `output_buffer' to
			-- `output_consumer', if not Void
		do
			if output_consumer /= Void then
				output_consumer.consume (output_buffer)
				output_buffer.keep_head (0)
			end
		end

	propagate_eof
			-- Propagate "end of file" indication to
			-- `output_consumer', if not Void.  Don't
			-- propagate EOF indication if this consumer
			-- has had an error
		do
			if local_ok and output_consumer /= Void then
				output_consumer.consume_eof
			end
		end

end

