class DEBUG_LOGGING

inherit
	ANY
	FILE_UTILITIES
	export {NONE} all end

create
	make

feature
	
	log(line: STRING) is
	do  if debug_log /= Void
	     then debug_log.put_string(line); debug_log.putchar('%N')
	    end
	end;

	close is
	do  if debug_log /= Void
	     then debug_log.close; debug_log := Void
	    end
	end;

feature {NONE}

	debug_log: LARGE_PLAIN_TEXT_FILE

	make(fnam: STRING) is
	do  if fnam /= Void and then not fnam.is_empty
	     then debug_log := opened_for_append(fnam)
	    end;
	    log("----------")
	end;

end -- DEBUG_LOGGING
