
indexing

	date: "Tue Apr 24 10:30:11 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"DESIGN_CHECK_MESSAGES (MOSIS.DESIGN_CHECK_MESSAGES)"
			-- Included columns
			-- 	DESIGN_NO
			-- 	MESSAGE_CLASS
			-- 	MESSAGE_NO
			-- 	REVISION_NO
			-- 	SEVERITY
			-- 	TEXT
			-- Excluded columns
			-- 	(none)

class DESIGN_CHECK_MESSAGES_MRAW

inherit

	DB_DELETABLE_ROW
	DESIGN_CHECK_MESSAGES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached

feature -- Modification

	set_design_no (k: INTEGER)
		do
			change_key_field
			design_no := k
			is_null_design_no := False
		end

	set_message_class (s: STRING)
		do
			change_field (True, True)
			message_class := s
			if s = Void then
				create message_class.make (0)
			end
			is_null_message_class := s = Void or else s.count = 0
		end

	set_message_no (k: INTEGER)
		do
			change_key_field
			message_no := k
			is_null_message_no := False
		end

	set_revision_no (k: INTEGER)
		do
			change_key_field
			revision_no := k
			is_null_revision_no := False
		end

	set_severity (c: CHARACTER)
		do
			change_field (True, True)
			severity := c
			is_null_severity := False
		end

	set_text (s: STRING)
		do
			change_field (True, True)
			text := s
			if s = Void then
				create text.make (0)
			end
			is_null_text := s = Void or else s.count = 0
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, design_no, is_null_design_no)
			s.bind_num_to_string (2, message_class, is_null_message_class)
			s.bind_num_to_integer (3, message_no, is_null_message_no)
			s.bind_num_to_integer (4, revision_no, is_null_revision_no)
			s.bind_num_to_character (5, severity, is_null_severity)
			s.bind_num_to_string (6, text, is_null_text)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6"

	bind_list_for_update: STRING = "  design_no = :1, message_class = :2, message_no = :3, revision_no = :4,%N  severity = :5, text = :6"

end
