
indexing
	
	description: "Comparator for design name in a multi column list"
	author: "David Hollenberg"
	date: "December 22, 2005"

class DESIGN_NAME_COMPARATOR [G -> HAS_DESIGN_NAME]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_design_name and v.has_design_name then
				Result := u.design_name < v.design_name
			elseif v.has_design_name then
				Result := True
			else
				Result := False
			end
		end

end
