
indexing

	date: "Fri May  1 06:01:06 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user ALLMOSIS"
	database_tables: 
		"DESIGN_TECHN_LAYER#LAYERS (MOSIS.DESIGN_TECHN_LAYER#LAYERS)"
			-- Included columns
			-- 	ASSOCIATED_LAYER_NAME
			-- 	ASSOCIATION_TYPE
			-- 	DESIGN_TECHN_ID
			-- 	LAYER_NAME
			-- Excluded columns
			-- 	(none)

class DESIGN_TECHN_LAYERXLAYERS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  associated_layer_name, association_type, design_techn_id, layer_name"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "design_techn_layer#layers dtl"

	join_condition: STRING = ""

	table_name: STRING = "design_techn_layer#layers"

	key_where_clause: STRING = ""

feature -- Values

	associated_layer_name: STRING
			-- DB: VARCHAR2(255) not null

	association_type: STRING
			-- DB: VARCHAR2(50) not null

	design_techn_id: STRING
			-- DB: VARCHAR2(50) not null

	layer_name: STRING
			-- DB: VARCHAR2(255) not null

feature -- Nullness for non-null columns

	is_null_associated_layer_name: BOOLEAN
	is_null_association_type: BOOLEAN
	is_null_design_techn_id: BOOLEAN
	is_null_layer_name: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (associated_layer_name, r.associated_layer_name)
				and equal (association_type, r.association_type)
				and equal (design_techn_id, r.design_techn_id)
				and equal (layer_name, r.layer_name)
			Result := Result
				and is_null_associated_layer_name = r.is_null_associated_layer_name
				and is_null_association_type = r.is_null_association_type
				and is_null_design_techn_id = r.is_null_design_techn_id
				and is_null_layer_name = r.is_null_layer_name
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_string (2, 50)
			q.select_string (3, 50)
			q.select_string (4, 255)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
		end

	fill_in_references (q: SQL_QUERY)
		do
			associated_layer_name := q.string_value (1)
			association_type := q.string_value (2)
			design_techn_id := q.string_value (3)
			layer_name := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, associated_layer_name)
			q.get_string_value (2, association_type)
			q.get_string_value (3, design_techn_id)
			q.get_string_value (4, layer_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_associated_layer_name := q.is_null (1)
			is_null_association_type := q.is_null (2)
			is_null_design_techn_id := q.is_null (3)
			is_null_layer_name := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_techn_id := True
			is_null_layer_name := True
			is_null_association_type := True
			is_null_associated_layer_name := True
			create design_techn_id.make (0)
			create layer_name.make (0)
			create association_type.make (0)
			create associated_layer_name.make (0)
		end

	set_null_nonkey
		do
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			q.get_string_value (1, s)
			Result := Result and equal (associated_layer_name, s)
			q.get_string_value (2, s)
			Result := Result and equal (association_type, s)
			q.get_string_value (3, s)
			Result := Result and equal (design_techn_id, s)
			q.get_string_value (4, s)
			Result := Result and equal (layer_name, s)
			Result := Result
				and is_null_associated_layer_name = q.is_null (1)
				and is_null_association_type = q.is_null (2)
				and is_null_design_techn_id = q.is_null (3)
				and is_null_layer_name = q.is_null (4)
		end

end
