
indexing

	date: "Thu Feb 26 16:48:29 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"DESIGN_TECHN_XFORM_LEVELS (MOSIS.DESIGN_TECHN_XFORM_LEVELS)"
			-- Included columns
			-- 	DERIVED_WHEN_ABSENT
			-- 	DESIGN_TECHN
			-- 	LEVEL_NO
			-- 	MEBES_SPOT_SIZE
			-- 	OVERETCH_BIAS
			-- 	SOURCE_LAYER_NAME
			-- 	TOTAL_NOMINAL_BIAS
			-- 	WAFER_TECHN_FAMILY
			-- Excluded columns
			-- 	(none)

class DESIGN_TECHN_XFORM_LEVELS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 8

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  derived_when_absent, design_techn, level_no, mebes_spot_size,%N  overetch_bias, source_layer_name, total_nominal_bias, wafer_techn_family"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "design_techn_xform_levels dtxl"

	join_condition: STRING = ""

	table_name: STRING = "design_techn_xform_levels"

	key_where_clause: STRING = ""

feature -- Values

	derived_when_absent: BOOLEAN
			-- DB: CHAR(1) not null

	design_techn: STRING
			-- DB: VARCHAR2(50) not null

	level_no: INTEGER
			-- DB: NUMBER(3,0) not null

	mebes_spot_size: DOUBLE
			-- DB: NUMBER(12,6) not null

	overetch_bias: DOUBLE
			-- DB: NUMBER(12,6) not null

	source_layer_name: STRING
			-- DB: VARCHAR2(255)

	total_nominal_bias: DOUBLE
			-- DB: NUMBER(12,6)

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_source_layer_name: BOOLEAN
	is_null_total_nominal_bias: BOOLEAN

feature -- Nullness for non-null columns

	is_null_derived_when_absent: BOOLEAN
	is_null_design_techn: BOOLEAN
	is_null_level_no: BOOLEAN
	is_null_mebes_spot_size: BOOLEAN
	is_null_overetch_bias: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and level_no = r.level_no
			Result := Result
				and equal (design_techn, r.design_techn)
				and equal (wafer_techn_family, r.wafer_techn_family)
			Result := Result
				and is_null_design_techn = r.is_null_design_techn
				and is_null_level_no = r.is_null_level_no
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and derived_when_absent = r.derived_when_absent
				and mebes_spot_size = r.mebes_spot_size
				and overetch_bias = r.overetch_bias
				and total_nominal_bias = r.total_nominal_bias
			Result := Result
				and equal (source_layer_name, r.source_layer_name)
			Result := Result
				and is_null_derived_when_absent = r.is_null_derived_when_absent
				and is_null_mebes_spot_size = r.is_null_mebes_spot_size
				and is_null_overetch_bias = r.is_null_overetch_bias
				and is_null_source_layer_name = r.is_null_source_layer_name
				and is_null_total_nominal_bias = r.is_null_total_nominal_bias
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_string (2, 50)
			q.select_integer (3)
			q.select_double (4)
			q.select_double (5)
			q.select_string (6, 255)
			q.select_double (7)
			q.select_string (8, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			derived_when_absent := q.boolean_value (1)
			level_no := q.integer_value (3)
			mebes_spot_size := q.double_value (4)
			overetch_bias := q.double_value (5)
			total_nominal_bias := q.double_value (7)
		end

	fill_in_references (q: SQL_QUERY)
		do
			design_techn := q.string_value (2)
			source_layer_name := q.string_value (6)
			wafer_techn_family := q.string_value (8)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, design_techn)
			q.get_string_value (6, source_layer_name)
			q.get_string_value (8, wafer_techn_family)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_derived_when_absent := q.is_null (1)
			is_null_design_techn := q.is_null (2)
			is_null_level_no := q.is_null (3)
			is_null_mebes_spot_size := q.is_null (4)
			is_null_overetch_bias := q.is_null (5)
			is_null_source_layer_name := q.is_null (6)
			is_null_total_nominal_bias := q.is_null (7)
			is_null_wafer_techn_family := q.is_null (8)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_techn := True
			is_null_wafer_techn_family := True
			is_null_level_no := True
			create design_techn.make (0)
			create wafer_techn_family.make (0)
		end

	set_null_nonkey
		do
			is_null_derived_when_absent := True
			is_null_mebes_spot_size := True
			is_null_overetch_bias := True
			is_null_source_layer_name := True
			is_null_total_nominal_bias := True
			create source_layer_name.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and derived_when_absent = q.boolean_value (1)
				and level_no = q.integer_value (3)
				and mebes_spot_size = q.double_value (4)
				and overetch_bias = q.double_value (5)
				and total_nominal_bias = q.double_value (7)
			q.get_string_value (2, s)
			Result := Result and equal (design_techn, s)
			q.get_string_value (6, s)
			Result := Result and equal (source_layer_name, s)
			q.get_string_value (8, s)
			Result := Result and equal (wafer_techn_family, s)
			Result := Result
				and is_null_derived_when_absent = q.is_null (1)
				and is_null_design_techn = q.is_null (2)
				and is_null_level_no = q.is_null (3)
				and is_null_mebes_spot_size = q.is_null (4)
				and is_null_overetch_bias = q.is_null (5)
				and is_null_source_layer_name = q.is_null (6)
				and is_null_total_nominal_bias = q.is_null (7)
				and is_null_wafer_techn_family = q.is_null (8)
		end

end
