
indexing

	date: "Tue Apr 24 10:30:11 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"DIE_ID_FIRST_LETTERS (MOSIS.DIE_ID_FIRST_LETTERS)"
			-- Included columns
			-- 	DIE_ID_FIRST_LETTER
			-- 	DIE_TYPE
			-- 	LETTER_ORDER
			-- 	LITHO_TYPE
			-- Excluded columns
			-- 	(none)

class DIE_ID_FIRST_LETTERS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_die_id_first_letter: CHARACTER; the_litho_type: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_litho_type_exists: the_litho_type /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			die_id_first_letter := the_die_id_first_letter
			litho_type := the_litho_type
			is_null_die_id_first_letter := False
			is_null_litho_type := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  die_id_first_letter, die_type, letter_order, litho_type"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "die_id_first_letters difl"

	join_condition: STRING = ""

	table_name: STRING = "die_id_first_letters"

	key_where_clause: STRING = "die_id_first_letter = :1 and litho_type = :2"

feature -- Values

	die_id_first_letter: CHARACTER
			-- DB: CHAR(1) not null
			-- Eiffel type specified explicitly

	die_type: STRING
			-- DB: VARCHAR2(20) not null

	letter_order: INTEGER
			-- DB: NUMBER(3,0) not null

	litho_type: STRING
			-- DB: VARCHAR2(20) not null

feature -- Nullness for non-null columns

	is_null_die_id_first_letter: BOOLEAN
	is_null_die_type: BOOLEAN
	is_null_letter_order: BOOLEAN
	is_null_litho_type: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and die_id_first_letter = r.die_id_first_letter
			Result := Result
				and equal (litho_type, r.litho_type)
			Result := Result
				and is_null_die_id_first_letter = r.is_null_die_id_first_letter
				and is_null_litho_type = r.is_null_litho_type
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and letter_order = r.letter_order
			Result := Result
				and equal (die_type, r.die_type)
			Result := Result
				and is_null_die_type = r.is_null_die_type
				and is_null_letter_order = r.is_null_letter_order
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_character (1)
			q.select_string (2, 20)
			q.select_integer (3)
			q.select_string (4, 20)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			die_id_first_letter := q.character_value (1)
			letter_order := q.integer_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			die_type := q.string_value (2)
			litho_type := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, die_type)
			q.get_string_value (4, litho_type)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_die_id_first_letter := q.is_null (1)
			is_null_die_type := q.is_null (2)
			is_null_letter_order := q.is_null (3)
			is_null_litho_type := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_die_id_first_letter := True
			is_null_litho_type := True
			create litho_type.make (0)
		end

	set_null_nonkey
		do
			is_null_die_type := True
			is_null_letter_order := True
			create die_type.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_character (1, die_id_first_letter, False)
			q.bind_num_to_string (2, litho_type, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and die_id_first_letter = q.character_value (1)
				and letter_order = q.integer_value (3)
			q.get_string_value (2, s)
			Result := Result and equal (die_type, s)
			q.get_string_value (4, s)
			Result := Result and equal (litho_type, s)
			Result := Result
				and is_null_die_id_first_letter = q.is_null (1)
				and is_null_die_type = q.is_null (2)
				and is_null_letter_order = q.is_null (3)
				and is_null_litho_type = q.is_null (4)
		end

end
