
indexing
	
	description: "Object that can generate a die ID for an %
		%element of a reticle view"
	author: "David Hollenberg"
	date: "July 25, 2006"

class DIe_ID_LABEL_GENERATOR
inherit
	RETICLE_VIEW_ELEMENT_LABEL_GENERATOR

feature  -- Access

	label (an_element: RETICLE_VIEW_ELEMENT): STRING
			-- Label for `an_element'
		local
			d, id: STRING
		do
			d := an_element.die_id
			id := an_element.identification
			if not d.is_empty then
				Result := id + "%N" + d
			elseif an_element.is_project then
				Result := id + "%N??"
			else
				Result := id
			end
		end
	
end
