
indexing
	
	description: "A map for a specific run which shows the locations of %
		%the dies"
	author: "David Hollenberg"
	date: "January 24, 2005"

deferred class DIE_LOCATIONS_MAP
inherit
	RUN_MAP

feature -- Properties

	die_locations: HASH_TABLE [LIST [DIE_LOCATIONS_EROW], STRING]
			-- Lists of dies locations and their attributes,
			-- indexed by field name

feature -- Modification

	set_die_locations (list: like die_locations)
			-- Set `die_locations' to `list'
		require
			list_not_void: list /= Void
		do
			die_locations := list
		ensure
			die_locations_set: die_locations = list
		end

end
