
indexing

	date: "Tue Apr 24 10:30:11 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"DIE_LOCATIONS (MOSIS.DIE_LOCATIONS)"
			-- Included columns
			-- 	CATS_STATUS
			-- 	DIE_ID
			-- 	FIELD_NAME
			-- 	LOCATION_X
			-- 	LOCATION_Y
			-- 	MASK_SITE_NO
			-- 	RUN_ID
			-- 	WAFER_VENDOR_PART_ID
			-- Excluded columns
			-- 	(none)

class DIE_LOCATIONS_MRAW

inherit

	DB_DELETABLE_ROW
	DIE_LOCATIONS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_cats_status (s: STRING)
		do
			change_field (True, True)
			cats_status := s
			if s = Void then
				create cats_status.make (0)
			end
			is_null_cats_status := s = Void or else s.count = 0
		end

	set_die_id (s: STRING)
		do
			change_field (True, True)
			die_id := s
			if s = Void then
				create die_id.make (0)
			end
			is_null_die_id := s = Void or else s.count = 0
		end

	set_field_name (s: STRING)
		do
			change_field (True, True)
			field_name := s
			if s = Void then
				create field_name.make (0)
			end
			is_null_field_name := s = Void or else s.count = 0
		end

	set_location_x (d: DOUBLE)
		do
			change_field (True, True)
			location_x := d
			is_null_location_x := False
		end

	set_location_y (d: DOUBLE)
		do
			change_field (True, True)
			location_y := d
			is_null_location_y := False
		end

	set_mask_site_no (k: INTEGER)
		do
			change_key_field
			mask_site_no := k
			is_null_mask_site_no := False
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_wafer_vendor_part_id (s: STRING)
		do
			change_field (True, True)
			wafer_vendor_part_id := s
			if s = Void then
				create wafer_vendor_part_id.make (0)
			end
			is_null_wafer_vendor_part_id := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_cats_status
		do
			set_cats_status (Void)
		end

	set_null_wafer_vendor_part_id
		do
			set_wafer_vendor_part_id (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, cats_status, is_null_cats_status)
			s.bind_num_to_string (2, die_id, is_null_die_id)
			s.bind_num_to_string (3, field_name, is_null_field_name)
			s.bind_num_to_double (4, location_x, is_null_location_x)
			s.bind_num_to_double (5, location_y, is_null_location_y)
			s.bind_num_to_integer (6, mask_site_no, is_null_mask_site_no)
			s.bind_num_to_string (7, run_id, is_null_run_id)
			s.bind_num_to_string (8, wafer_vendor_part_id, is_null_wafer_vendor_part_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8"

	bind_list_for_update: STRING = "  cats_status = :1, die_id = :2, field_name = :3, location_x = :4,%N  location_y = :5, mask_site_no = :6, run_id = :7,%N  wafer_vendor_part_id = :8"

end
