
indexing

	date: "Tue Jun  9 16:10:01 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"DIES (MOSIS.DIES)"
			-- Included columns
			-- 	BATCH_JOB_NO
			-- 	CATS_STATUS
			-- 	DATE_JOB_ENDED
			-- 	DATE_JOB_STARTED
			-- 	DESIGN_NO (test_vehicle_design_no)
			-- 	DIE_ID
			-- 	DIE_SIZE_PRINTED_X
			-- 	DIE_SIZE_PRINTED_Y
			-- 	DIE_TYPE
			-- 	DIE_WAFER_ROTATION
			-- 	ERROR_EXPLANATION
			-- 	FILLER_NAME
			-- 	GEOMETRY_ID
			-- 	RUN_ID
			-- 	SCRIBE_ORIENTATION
			-- 	WAFER_VENDOR_PART_ID
			-- Excluded columns
			-- 	(none)

class DIES_MRAW

inherit

	DB_DELETABLE_ROW
	DIES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_batch_job_no (k: INTEGER)
		do
			change_field (True, True)
			batch_job_no := k
			is_null_batch_job_no := False
		end

	set_cats_status (s: STRING)
		do
			change_field (True, True)
			cats_status := s
			if s = Void then
				create cats_status.make (0)
			end
			is_null_cats_status := s = Void or else s.count = 0
		end

	set_date_job_ended (d: DB_DATE)
		do
			change_field (True, True)
			date_job_ended := d
			if d = Void then
				create {ORACLE_DATE} date_job_ended.set_null
			end
			is_null_date_job_ended := d = Void or else d.is_null
		end

	set_date_job_started (d: DB_DATE)
		do
			change_field (True, True)
			date_job_started := d
			if d = Void then
				create {ORACLE_DATE} date_job_started.set_null
			end
			is_null_date_job_started := d = Void or else d.is_null
		end

	set_test_vehicle_design_no (k: INTEGER)
		do
			change_field (True, True)
			test_vehicle_design_no := k
			is_null_test_vehicle_design_no := False
		end

	set_die_id (s: STRING)
		do
			change_key_field
			die_id := s
			if s = Void then
				create die_id.make (0)
			end
			is_null_die_id := s = Void or else s.count = 0
		end

	set_die_size_printed_x (d: DOUBLE)
		do
			change_field (True, True)
			die_size_printed_x := d
			is_null_die_size_printed_x := False
		end

	set_die_size_printed_y (d: DOUBLE)
		do
			change_field (True, True)
			die_size_printed_y := d
			is_null_die_size_printed_y := False
		end

	set_die_type (s: STRING)
		do
			change_field (True, True)
			die_type := s
			if s = Void then
				create die_type.make (0)
			end
			is_null_die_type := s = Void or else s.count = 0
		end

	set_die_wafer_rotation (k: INTEGER)
		do
			change_field (True, True)
			die_wafer_rotation := k
			is_null_die_wafer_rotation := False
		end

	set_error_explanation (s: STRING)
		do
			change_field (True, True)
			error_explanation := s
			if s = Void then
				create error_explanation.make (0)
			end
			is_null_error_explanation := s = Void or else s.count = 0
		end

	set_filler_name (s: STRING)
		do
			change_field (True, True)
			filler_name := s
			if s = Void then
				create filler_name.make (0)
			end
			is_null_filler_name := s = Void or else s.count = 0
		end

	set_geometry_id (s: STRING)
		do
			change_field (True, True)
			geometry_id := s
			if s = Void then
				create geometry_id.make (0)
			end
			is_null_geometry_id := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_scribe_orientation (s: STRING)
		do
			change_field (True, True)
			scribe_orientation := s
			if s = Void then
				create scribe_orientation.make (0)
			end
			is_null_scribe_orientation := s = Void or else s.count = 0
		end

	set_wafer_vendor_part_id (s: STRING)
		do
			change_field (True, True)
			wafer_vendor_part_id := s
			if s = Void then
				create wafer_vendor_part_id.make (0)
			end
			is_null_wafer_vendor_part_id := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_batch_job_no
		do
			change_field (True, True)
			batch_job_no := 0
			is_null_batch_job_no := True
		end

	set_null_date_job_ended
		do
			set_date_job_ended (Void)
		end

	set_null_date_job_started
		do
			set_date_job_started (Void)
		end

	set_null_test_vehicle_design_no
		do
			change_field (True, True)
			test_vehicle_design_no := 0
			is_null_test_vehicle_design_no := True
		end

	set_null_die_size_printed_x
		do
			change_field (True, True)
			die_size_printed_x := 0.0
			is_null_die_size_printed_x := True
		end

	set_null_die_size_printed_y
		do
			change_field (True, True)
			die_size_printed_y := 0.0
			is_null_die_size_printed_y := True
		end

	set_null_die_wafer_rotation
		do
			change_field (True, True)
			die_wafer_rotation := 0
			is_null_die_wafer_rotation := True
		end

	set_null_error_explanation
		do
			set_error_explanation (Void)
		end

	set_null_filler_name
		do
			set_filler_name (Void)
		end

	set_null_geometry_id
		do
			set_geometry_id (Void)
		end

	set_null_scribe_orientation
		do
			set_scribe_orientation (Void)
		end

	set_null_wafer_vendor_part_id
		do
			set_wafer_vendor_part_id (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, batch_job_no, is_null_batch_job_no)
			s.bind_num_to_string (2, cats_status, is_null_cats_status)
			s.bind_num_to_date (3, date_job_ended, is_null_date_job_ended)
			s.bind_num_to_date (4, date_job_started, is_null_date_job_started)
			s.bind_num_to_integer (5, test_vehicle_design_no, is_null_test_vehicle_design_no)
			s.bind_num_to_string (6, die_id, is_null_die_id)
			s.bind_num_to_double (7, die_size_printed_x, is_null_die_size_printed_x)
			s.bind_num_to_double (8, die_size_printed_y, is_null_die_size_printed_y)
			s.bind_num_to_string (9, die_type, is_null_die_type)
			s.bind_num_to_integer (10, die_wafer_rotation, is_null_die_wafer_rotation)
			s.bind_num_to_string (11, error_explanation, is_null_error_explanation)
			s.bind_num_to_string (12, filler_name, is_null_filler_name)
			s.bind_num_to_string (13, geometry_id, is_null_geometry_id)
			s.bind_num_to_string (14, run_id, is_null_run_id)
			s.bind_num_to_string (15, scribe_orientation, is_null_scribe_orientation)
			s.bind_num_to_string (16, wafer_vendor_part_id, is_null_wafer_vendor_part_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16"

	bind_list_for_update: STRING = "  batch_job_no = :1, cats_status = :2, date_job_ended = :3,%N  date_job_started = :4, design_no = :5, die_id = :6,%N  die_size_printed_x = :7, die_size_printed_y = :8, die_type = :9,%N  die_wafer_rotation = :10, error_explanation = :11, filler_name = :12,%N  geometry_id = :13, run_id = :14, scribe_orientation = :15,%N  wafer_vendor_part_id = :16"

end
