
indexing

	date: "Tue Apr 24 10:30:11 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"DIE#CUT_QUANTITIES (MOSIS.DIE#CUT_QUANTITIES)"
			-- Included columns
			-- 	DIE_ID
			-- 	QUANTITY_CUT_DIE
			-- 	RUN_ID
			-- 	WAFER_LOT_NO
			-- Excluded columns
			-- 	(none)

class DIEXCUT_QUANTITIES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  die_id, quantity_cut_die, run_id, wafer_lot_no"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "die#cut_quantities dcq"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	die_id: STRING
			-- DB: CHAR(2) not null

	quantity_cut_die: INTEGER
			-- DB: NUMBER(*,*)
			-- Eiffel type specified explicitly

	run_id: STRING
			-- DB: CHAR(4) not null

	wafer_lot_no: INTEGER
			-- DB: NUMBER(3,0) not null

feature -- Nullness for null allowed columns

	is_null_quantity_cut_die: BOOLEAN

feature -- Nullness for non-null columns

	is_null_die_id: BOOLEAN
	is_null_run_id: BOOLEAN
	is_null_wafer_lot_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and quantity_cut_die = r.quantity_cut_die
				and wafer_lot_no = r.wafer_lot_no
			Result := Result
				and equal (die_id, r.die_id)
				and equal (run_id, r.run_id)
			Result := Result
				and is_null_die_id = r.is_null_die_id
				and is_null_quantity_cut_die = r.is_null_quantity_cut_die
				and is_null_run_id = r.is_null_run_id
				and is_null_wafer_lot_no = r.is_null_wafer_lot_no
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 2)
			q.select_integer (2)
			q.select_string (3, 4)
			q.select_integer (4)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			quantity_cut_die := q.integer_value (2)
			wafer_lot_no := q.integer_value (4)
		end

	fill_in_references (q: SQL_QUERY)
		do
			die_id := q.string_value (1)
			run_id := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, die_id)
			q.get_string_value (3, run_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_die_id := q.is_null (1)
			is_null_quantity_cut_die := q.is_null (2)
			is_null_run_id := q.is_null (3)
			is_null_wafer_lot_no := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_die_id := True
			is_null_quantity_cut_die := True
			is_null_run_id := True
			is_null_wafer_lot_no := True
			create die_id.make (0)
			create run_id.make (0)
		end

end
