indexing
	description:
		"A position in a 2 dimensional space as DOUBLEs (x, y)."
	author: "Barden E. Smith"
	date:	"August 13, 2004"

class
	DRW_COORDINATE

inherit
	POINT
		rename
			make_xy as set,
			make_polar as set_as_polar,
			make_polar_degrees as set_as_polar_degrees
		end

create
	set,
	set_point

feature -- Element change

	set_point (p: VIRTUAL_POINT) is
		require
			point_exist: p /= Void
		do
			set (p.x, p.y)
		ensure
			x_assigned: x = p.x
			y_assigned: y = p.y
		end

end -- class DRW_COORDINATE