indexing
	description:
		"A drawing path generator."
	author: "Barden E. Smith"
	date:	"October 19, 2004"
	instructions: "[
	]"

class
	DRW_PATH_GENERATOR

inherit
	DRW_PATH_SCANNER

create
	default_create,
	make

feature {NONE} -- Creation

	make (path: STRING) is
		require
			path_not_void: path /= Void
		do
			set_path (path)
		end

feature -- Status report

	last_drawing_path: DRW_PATH is
			-- the drawing path from the last scan
		do
			if not commands.is_empty then
				create Result.make_from_command_array (commands.twin)
			end
		end

end -- class DRW_PATH_GENERATOR
