indexing
	description:
		"A drawing closed polygon."
	author: "Barden E. Smith"
	date:	"August 13, 2004"

class
	DRW_POLYGON

inherit
	SIMPLE_LIST_OF_POINTS

	DRW_POLYLINE
		undefine
			is_drawable
		redefine
			project
		end

	DRW_FILLABLE
		undefine
			copy,
			is_equal
		end

create
	make,
	make_copy

feature {DRW_PROJECTOR} -- plotting routine

	project (plotter: DRW_FIGURE_DRAWING_ROUTINES) is
		do
			if is_drawable then
				plotter.draw_figure_polygon (current)
			end
		end

end -- class DRW_POLYGON
