
indexing
	
	description: "Action that duplicates view element"
	author: "David Hollenberg"
	date: "October 31, 2006"

class DUPLICATE_ACTION
inherit
	VIEW_MOVE_RELATIVE_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		local
			new_element: like an_element
		do
			an_element.duplicate
			new_element := an_element.last_duplicated_element
			new_element.set_is_selected (an_element.is_selected)
			new_element.move_by (move_distance)
			new_element.set_view_coordinates
			if new_element.is_selected then
				new_element.include_in_selection_bounding_box
			end
			new_element.add_to_changed_region
			an_element.set_is_selected (False)
			an_element.add_to_changed_region
			an_element.uncache_all_copies_selected
			an_element.uncache_any_copies_selected
			new_element.add_to_new_element_list
			an_element.add_change (create {DUPLICATION_CHANGE}.make (new_element))
		end

end
