
indexing
	
	description: "Filter that selects only reticle elements that %
		%are projects whose cut die determined by surrounding %
		%cuts is invalid (not surrounded by cuts on all sides or%
		%has cut through printed die)"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_CUT_CUT_DIE_INVALID_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_cut_cut_die_invalid
		end


end
