
indexing
	
	description: "Filter that selects only reticle elements that are %
		%completely outside all fields of view"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_OUTSIDE_FIELDS_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := not an_element.intersects_any_field
		end


end
