
indexing
	
	description: "Atlernate filter that selects only reticle elements that %
		%are partially outside fields (intersect at least one field %
		%of view but are not completely enclosed by any field), with option %
		%for including or excluding scribes"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_PARTIALLY_OUTSIDE_FIELDS_ALT_FILTER
inherit
	VIEW_ELEMENT_FILTER
	SCRIBES_INCLUDABLE

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.partially_outside_fields and (scribes_included or an_element.is_non_scribe)
		end


end
