
indexing
	
	description: "Filter that selects only reticle elements that are %
		%partially selected (at least one copy selected but not all %
		%copies selected"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_PARTIALLY_SELECTED_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_partially_selected
		end


end
