
indexing
	
	description: "Filter that selects only reticle elements that are %
		%selected projects that are isolated in their cut die but not centered %
		%in cut die"
	author: "David Hollenberg"
	date: "October 1, 2006"

class ELEM_SELECTED_UNCENTERED_PROJECT_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_selected and an_element.is_uncentered_in_cut_die_project
		end


end
