
indexing
	
	description: "Filter that selects only isolated elements that %
		%have a cut die determined by surrounding cuts that is %
		%shared by partially or fully by one or more other non-scribe %
		%die elements"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_SHARES_CUt_DIE_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.shares_cut_die_with_others
		end


end
