
indexing
	
	description: "Filter that selects only reticle elements that are %
		%too small (can't manufacture them) and hence are illegal"
	author: "David Hollenberg"
	date: "October 1, 2006"

class ELEM_SIZE_TOO_SMALL_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_below_minimum_size
		end


end
