
indexing
	
	description: "Filter that selects only reticle elements that are %
		%scribes or fillers whose size is below the small object %
		%threshold in either dimension (just length for scribes)"
	author: "David Hollenberg"
	date: "October 1, 2006"

class ELEM_SMALL_SCRIBE_FILLER_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.intersects_any_field and an_element.is_small_scribe_or_filler
		end


end
