
indexing
	
	description: "Filter that selects only reticle elements that %
		%are intersect at least one field of view and have at least %
		%one edge which is too close to field of view edge"
	author: "David Hollenberg"
	date: "December 18, 2006"

class ELEM_TOO_CLOSE_TO_EDGE_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Filtering

	selects (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Does `Current' select `an_element'?
		do
			Result := an_element.is_too_close_to_field_edge
		end


end
