
indexing
	
	description: "Error description column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class ERROR_DESCRIPTION_COLUMN [G -> HAS_ERROR_DESCRIPTION]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Error Description"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.error_description
		end

	comparator: ERROR_DESCRIPTION_COMPARATOR [G]
		do
			create Result
		end

end
