
indexing
	
	description: "Export control type column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class EXPORT_CONTROL_TYPE_COLUMN [G -> HAS_EXPORT_CONTROL_TYPE]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Export Ctl"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_export_control_type then
				Result := r.export_control_type
			else
				Result := ""
			end
		end

	comparator: EXPORT_CONTROL_TYPE_COMPARATOR [G]
		do
			create Result
		end

end
