
indexing
	
	description: "Comparator for export conrol type in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class EXPORT_CONTROL_TYPE_COMPARATOR [G -> HAS_EXPORT_CONTROL_TYPE]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_export_control_type and v.has_export_control_type then
				Result := u.export_control_type < v.export_control_type
			elseif v.has_export_control_type then
				Result := True
			else
				Result := False
			end
		end

end
