
indexing
	
	description: "Action that adds view elements to a list"
	author: "David Hollenberg"
	date: "November 30, 2006"

class EXTEND_LIST_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Properties

	list: LIST [RETICLE_VIEW_ELEMENT]
			-- List to which to add view elements

feature -- Modification

	set_list (a_list: like list)
			-- Set `list' to `a_list'
		require
			a_list_not_void: a_list /= Void
		do
			list := a_list
		ensure
			list_set: list = a_list
		end

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			list.extend (an_element)
		end

end
