
indexing
	
	description: "Fab instance column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class FAB_INSTANCE_TYPE_COLUMN [G -> HAS_FAB_INSTANCE_TYPE]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Project Type"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_fab_instance_type then
				Result := r.fab_instance_type
			else
				Result := ""
			end
		end

	comparator: FAB_INSTANCE_TYPE_COMPARATOR [G]
		do
			create Result
		end

end
