
indexing
	
	description: "Field name in a multi column list"
	author: "David Hollenberg"
	date: "December 22, 2005"

class FIELD_NAME_COLUMN [G -> HAS_FIELD_NAME]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Field"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_field_name then
				Result := r.field_name
			else
				Result := ""
			end
		end

	comparator: FIELD_NAME_COMPARATOR [G]
		do
			create Result
		end

end
