
indexing
	
	description: "Comparator for field name in a multi column list"
	author: "David Hollenberg"
	date: "December 22, 2005"

class FIELD_NAME_COMPARATOR [G -> HAS_FIELD_NAME]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_field_name and v.has_field_name then
				Result := u.field_name < v.field_name
			elseif v.has_field_name then
				Result := True
			else
				Result := False
			end
		end

end
