
indexing

	date: "Thu Sep 25 09:44:55 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"FIELD_NAMES (MOSIS.FIELD_NAMES)"
			-- Included columns
			-- 	FIELD_NAME
			-- 	FIELD_SET_NAME
			-- Excluded columns
			-- 	(none)

class FIELD_NAMES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 2

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  field_name, field_set_name"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "field_names fn"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	field_name: STRING
			-- DB: VARCHAR2(20)

	field_set_name: STRING
			-- DB: VARCHAR2(30) not null

feature -- Nullness for null allowed columns

	is_null_field_name: BOOLEAN

feature -- Nullness for non-null columns

	is_null_field_set_name: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (field_name, r.field_name)
				and equal (field_set_name, r.field_set_name)
			Result := Result
				and is_null_field_name = r.is_null_field_name
				and is_null_field_set_name = r.is_null_field_set_name
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 20)
			q.select_string (2, 30)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
		end

	fill_in_references (q: SQL_QUERY)
		do
			field_name := q.string_value (1)
			field_set_name := q.string_value (2)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, field_name)
			q.get_string_value (2, field_set_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_field_name := q.is_null (1)
			is_null_field_set_name := q.is_null (2)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_field_name := True
			is_null_field_set_name := True
			create field_name.make (0)
			create field_set_name.make (0)
		end

end
