
indexing

	author: "Generated"
	date: "Wed Feb 11 09:26:02 PST 2004"

class FIELD_NAMES_ROW
inherit
	FIELD_NAMES_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null

feature

	field_names_for_set (set: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All rows from FIELD_NAMES for field set name `set',
			-- ordered by field name
		require
			set_exists: set /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_S
		do
			create b.make (set)
			Result := all_rows_filtered_ordered (conn, "field_set_name = :1", b, "field_name")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
