
indexing
	
	description: "Comparator for object that has a field and position in that field"
	author: "David Hollenberg"
	date: "March 9, 2007"

class FIELD_POSITION_COMPARATOR [G -> HAS_FIELD_POSITION]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_field_name and v.has_field_name then
				if not u.field_name.is_equal (v.field_name) then
					Result := u.field_name < v.field_name
				elseif u.has_center_y and v.has_center_y then
					if u.center_y /= v.center_y then
						Result := u.center_y > v.center_y
					elseif u.has_center_x and v.has_center_x then
						Result := u.center_x < v.center_x
					else
						Result := v.has_center_x
					end
				else
					Result := v.has_center_y
				end
			else
				Result := v.has_field_name
			end
		end

end
