
indexing
	
	description: "Field set column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class FIELD_SET_COLUMN [G -> HAS_FIELD_SET]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Field Set"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_field_set then
				Result := r.field_set
			else
				Result := ""
			end
		end

	comparator: FIELD_SET_COMPARATOR [G]
		do
			create Result
		end

end
