
indexing

	date: "Fri Aug  1 12:59:06 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"FIELD_STEP_PATTERNS (MOSIS.FIELD_STEP_PATTERNS)"
			-- Included columns
			-- 	AVAILABLE
			-- 	DESCR
			-- 	FIELD_SET_NAME
			-- 	FIELD_STEP_PATTERN
			-- 	IS_PRELIMINARY
			-- 	VENDOR_PART_ID
			-- Excluded columns
			-- 	(none)

class FIELD_STEP_PATTERNS_MRAW

inherit

	DB_DELETABLE_ROW
	FIELD_STEP_PATTERNS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_available (b: BOOLEAN)
		do
			change_field (True, True)
			available := b
			is_null_available := False
		end

	set_descr (s: STRING)
		do
			change_field (True, True)
			descr := s
			if s = Void then
				create descr.make (0)
			end
			is_null_descr := s = Void or else s.count = 0
		end

	set_field_set_name (s: STRING)
		do
			change_field (True, True)
			field_set_name := s
			if s = Void then
				create field_set_name.make (0)
			end
			is_null_field_set_name := s = Void or else s.count = 0
		end

	set_field_step_pattern (s: STRING)
		do
			change_key_field
			field_step_pattern := s
			if s = Void then
				create field_step_pattern.make (0)
			end
			is_null_field_step_pattern := s = Void or else s.count = 0
		end

	set_is_preliminary (b: BOOLEAN)
		do
			change_field (True, True)
			is_preliminary := b
			is_null_is_preliminary := False
		end

	set_vendor_part_id (s: STRING)
		do
			change_field (True, True)
			vendor_part_id := s
			if s = Void then
				create vendor_part_id.make (0)
			end
			is_null_vendor_part_id := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_descr
		do
			set_descr (Void)
		end

	set_null_vendor_part_id
		do
			set_vendor_part_id (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_boolean (1, available, is_null_available)
			s.bind_num_to_string (2, descr, is_null_descr)
			s.bind_num_to_string (3, field_set_name, is_null_field_set_name)
			s.bind_num_to_string (4, field_step_pattern, is_null_field_step_pattern)
			s.bind_num_to_boolean (5, is_preliminary, is_null_is_preliminary)
			s.bind_num_to_string (6, vendor_part_id, is_null_vendor_part_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6"

	bind_list_for_update: STRING = "  available = :1, descr = :2, field_set_name = :3, field_step_pattern = :4,%N  is_preliminary = :5, vendor_part_id = :6"

end
