class FIELD_STEP_PATTERNXFIELD_LOCS_MROW

inherit
	FIELD_STEP_PATTERNXFIELD_LOCS_MRAW

	FIELD_STEP_PATTERNXFIELD_LOCS_ROW
		undefine
			initialize_new, initialize_new_by_key
		end

create
	make_template, make_null, make_by_key

feature

	set_location(loc: CONST_POINT) is
	require have_loc: loc /= Void
	do  set_location_x(loc.x);
	    set_location_y(loc.y)
	end;

	move_location_xy(xoff, yoff: DOUBLE) is
	require have_old_loc: not (is_null_location_x or is_null_location_y);
	do  set_location_x(location_x + xoff);
	    set_location_y(location_y + yoff)
	end;

	move_location(offset: CONST_POINT) is
	require have_offset: offset /= Void;
		have_old_loc: not (is_null_location_x or is_null_location_y);
	do  move_location_xy(offset.x, offset.y)
	end;

end -- FIELD_STEP_PATTERNXFIELD_LOCS_MROW
