class FILE_RENAME_ACTION

inherit
	FILE_ACTION_ITEM

	STRING_UTILITIES_ACCESS

create
	make

feature

	new_name: STRING		-- the new name

	do_it is
	do  if fil.exists then fil.change_name(new_name) end;
	    done := true;
	end;

	descr: STRING is
	do  Result := su.string_of_4("Rename ", fil.name, " to ", new_name);
	end;

feature {NONE}

	make(onam, nnam: STRING) is
	require onam /= Void and nnam /= Void
	do  make_fil(onam);
	    new_name := nnam;
	end;

end -- FILE_RENAME_ACTION
