
class FILE_UNLINK_ACTION

inherit
	FILE_ACTION_ITEM

	STRING_UTILITIES_ACCESS
		export
			{NONE} all
		end

	UNIX_OS_ACCESS
		export
			{NONE} all
		end

create
	make

feature {NONE} -- Creation

	make (the_name: STRING) is
		require 
			name_exists: the_name /= Void
		do  
	    		name := the_name;
		end;

feature

	name: STRING		
			-- Name of file to be unlinked

	do_it is
		do  
			unix_os.unlink (name) 
	    		done := True;
		end;

	descr: STRING is
		do  
			Result := su.string_of_2("Unlink ", name);
		end;

end -- FILE_UNLINK_ACTION
