
indexing
	
	description: "Warning dialog whose text font can be changed";
	author: "David Hollenberg";
	date: "March 7, 2003"

class FONTABLE_WARNING_DIALOG

inherit
	EV_WARNING_DIALOG
		
create
	default_create, make_with_text, make_with_text_and_actions

feature -- Access

	text_font: EV_FONT is
			-- Font used for `text'
		require
			not_destroyed: not is_destroyed
		do
			Result := label.font
		ensure
			not_void: Result /= Void
		end

feature -- Status setting

	set_text_font (a_font: EV_FONT) is
			-- Assign `a_font' to `text_font'.
		require
			not_destroyed: not is_destroyed
			a_font_not_void: a_font /= Void
		do
			label.set_font (a_font)
		ensure
			assigned: text_font.is_equal (a_font)
		end

end
