
indexing

	date: "Tue Apr 24 10:30:12 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"FTP_RETRIEVAL_MESSAGES (MOSIS.FTP_RETRIEVAL_MESSAGES)"
			-- Included columns
			-- 	DESIGN_NO
			-- 	FRAGMENT_NO
			-- 	LINE_NO
			-- 	REVISION_NO
			-- 	TEXT
			-- Excluded columns
			-- 	(none)

class FTP_RETRIEVAL_MESSAGES_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 5

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  design_no, fragment_no, line_no, revision_no, text"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "ftp_retrieval_messages frm"

	join_condition: STRING = ""

	table_name: STRING = "ftp_retrieval_messages"

	key_where_clause: STRING = ""

feature -- Values

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	fragment_no: INTEGER
			-- DB: NUMBER(6,0) not null

	line_no: INTEGER
			-- DB: NUMBER(6,0) not null

	revision_no: INTEGER
			-- DB: NUMBER(6,0) not null

	text: STRING
			-- DB: VARCHAR2(2000)

feature -- Nullness for null allowed columns

	is_null_text: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_no: BOOLEAN
	is_null_fragment_no: BOOLEAN
	is_null_line_no: BOOLEAN
	is_null_revision_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and design_no = r.design_no
				and fragment_no = r.fragment_no
				and line_no = r.line_no
				and revision_no = r.revision_no
			Result := Result
				and is_null_design_no = r.is_null_design_no
				and is_null_fragment_no = r.is_null_fragment_no
				and is_null_line_no = r.is_null_line_no
				and is_null_revision_no = r.is_null_revision_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (text, r.text)
			Result := Result
				and is_null_text = r.is_null_text
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_integer (2)
			q.select_integer (3)
			q.select_integer (4)
			q.select_string (5, 2000)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			design_no := q.integer_value (1)
			fragment_no := q.integer_value (2)
			line_no := q.integer_value (3)
			revision_no := q.integer_value (4)
		end

	fill_in_references (q: SQL_QUERY)
		do
			text := q.string_value (5)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (5, text)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_design_no := q.is_null (1)
			is_null_fragment_no := q.is_null (2)
			is_null_line_no := q.is_null (3)
			is_null_revision_no := q.is_null (4)
			is_null_text := q.is_null (5)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_no := True
			is_null_revision_no := True
			is_null_fragment_no := True
			is_null_line_no := True
		end

	set_null_nonkey
		do
			is_null_text := True
			create text.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and design_no = q.integer_value (1)
				and fragment_no = q.integer_value (2)
				and line_no = q.integer_value (3)
				and revision_no = q.integer_value (4)
			q.get_string_value (5, s)
			Result := Result and equal (text, s)
			Result := Result
				and is_null_design_no = q.is_null (1)
				and is_null_fragment_no = q.is_null (2)
				and is_null_line_no = q.is_null (3)
				and is_null_revision_no = q.is_null (4)
				and is_null_text = q.is_null (5)
		end

end
