
indexing
	
	description: "A run closing step operation that generates PostScript %
		%and PDF files that show sponsors and organizations, %
		%with one page for each field of view"
	author: "David Hollenberg"
	date: "January 20, 2005"

class GEN_ORGANIZATIONS_MAP_OP
inherit
	GEN_SINGLE_MAP_OP

create
	make

feature -- Properties

	input_data_items: LIST [STRING]
			-- Data items required before step can be executed
		do
			Result := array_as_list (<<
				data_item.Field_set,
				data_item.Assigned_die_ids,
				data_item.Production_job
				>>)
		end

feature {NONE} -- Implementation

	create_map
			-- Create `map'
		do
			map := map_generator.organizations_map
		end

	postscript_file: RC_FILE
			-- PostScript file to write
		do
			Result := file_generator.organizations_map_ps_file
		end

	pdf_file: RC_FILE
			-- PDF file to write
		do
			Result := file_generator.organizations_map_pdf_file
		end

end
