indexing
	
	description: "Abstraction for object that may have a requested run date"
	author: "David Hollenberg"
	date: "December 21, 2005"

deferred class HAS_RUN_DATE_REQUESTED
feature
	has_run_date_requested: BOOLEAN
			-- Does `Current' have an associated requested run date?
		deferred
		end

	run_date_requested: DB_DATE
			-- Associated requested run date
		require
			has_run_date_requested: has_run_date_requested
		deferred
		ensure
			result_exists: Result /= Void
		end

end
