
indexing

	author: "Generated"
	date: "Tue Nov 18 12:43:41 PST 2003"

class IC_FAB_INSTANCES_EROW
inherit
	IC_FAB_INSTANCES_ERAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null

feature

	fab_instances_for_run (run: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All fab instances for run `run', ordered by die id
		require
			run_exists: run /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_S
		do
			create b.make (run)
			Result := all_rows_filtered_ordered (conn, "run_id = :1", b, "die_id")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
