
indexing

	date: "Tue Sep 23 09:02:08 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"IC_FAB_INSTANCES (MOSIS.IC_FAB_INSTANCES)"
			-- Included columns
			-- 	ALLOW_OVERSIZE_DIE_ON_RUN
			-- 	APPROVED_FUNDING_PO_ID
			-- 	DATE_CUST_REPORT
			-- 	DATE_FAB_REQUESTED
			-- 	DATE_REPORT_REMINDER_SENT
			-- 	DESIGN_DIE_ROTATION
			-- 	DESIGN_NO
			-- 	DESIGN_WAFER_ROTATION_REQD
			-- 	DIE_ID
			-- 	FILL_ALLOWED
			-- 	IC_FAB_INSTANCE_TYPE
			-- 	INTENDED_DISPOSITION
			-- 	IS_REWORKABLE
			-- 	MAX_ALLOWED_DIE_SIZE_X
			-- 	MAX_ALLOWED_DIE_SIZE_Y
			-- 	M_FAB_NO
			-- 	NET_ADDRESS
			-- 	OVERHEAD_STYLE
			-- 	OVERSIZE_DIE_INCL_CONDITIONS
			-- 	PENDING_FOR_RUN
			-- 	PHONE_NUMBER
			-- 	PROJECT_ON_DIE
			-- 	QUANTITY_REQUESTED
			-- 	QUANTITY_UNPACKAGED_REQUESTED
			-- 	QUEUE_FAILURE_REASON_ID
			-- 	REASON_STATUS_REQUESTED
			-- 	ROUTING_LABEL
			-- 	RUN_DATE_REQUESTED
			-- 	RUN_ID
			-- 	RUN_TYPE_REQUESTED
			-- 	SUBMITTED_FUNDING_PO_ID
			-- Excluded columns
			-- 	(none)

class IC_FAB_INSTANCES_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	IC_FAB_INSTANCES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_allow_oversize_die_on_run (b: BOOLEAN)
		do
			change_field (True, True)
			allow_oversize_die_on_run := b
			is_null_allow_oversize_die_on_run := False
		end

	set_approved_funding_po_id (s: STRING)
		do
			change_field (True, True)
			approved_funding_po_id := s
			if s = Void then
				create approved_funding_po_id.make (0)
			end
			is_null_approved_funding_po_id := s = Void or else s.count = 0
		end

	set_date_cust_report (d: DB_DATE)
		do
			change_field (True, True)
			date_cust_report := d
			if d = Void then
				create {ORACLE_DATE} date_cust_report.set_null
			end
			is_null_date_cust_report := d = Void or else d.is_null
		end

	set_date_fab_requested (d: DB_DATE)
		do
			change_field (True, True)
			date_fab_requested := d
			if d = Void then
				create {ORACLE_DATE} date_fab_requested.set_null
			end
			is_null_date_fab_requested := d = Void or else d.is_null
		end

	set_date_report_reminder_sent (d: DB_DATE)
		do
			change_field (True, True)
			date_report_reminder_sent := d
			if d = Void then
				create {ORACLE_DATE} date_report_reminder_sent.set_null
			end
			is_null_date_report_reminder_sent := d = Void or else d.is_null
		end

	set_design_die_rotation (k: INTEGER)
		do
			change_field (True, True)
			design_die_rotation := k
			is_null_design_die_rotation := False
		end

	set_design_no (k: INTEGER)
		do
			change_field (True, True)
			design_no := k
			is_null_design_no := False
		end

	set_design_wafer_rotation_reqd (k: INTEGER)
		do
			change_field (True, True)
			design_wafer_rotation_reqd := k
			is_null_design_wafer_rotation_reqd := False
		end

	set_die_id (s: STRING)
		do
			change_field (True, True)
			die_id := s
			if s = Void then
				create die_id.make (0)
			end
			is_null_die_id := s = Void or else s.count = 0
		end

	set_fill_allowed (b: BOOLEAN)
		do
			change_field (True, True)
			fill_allowed := b
			is_null_fill_allowed := False
		end

	set_ic_fab_instance_type (s: STRING)
		do
			change_field (True, True)
			ic_fab_instance_type := s
			if s = Void then
				create ic_fab_instance_type.make (0)
			end
			is_null_ic_fab_instance_type := s = Void or else s.count = 0
		end

	set_intended_disposition (s: STRING)
		do
			change_field (True, True)
			intended_disposition := s
			if s = Void then
				create intended_disposition.make (0)
			end
			is_null_intended_disposition := s = Void or else s.count = 0
		end

	set_is_reworkable (b: BOOLEAN)
		do
			change_field (True, True)
			is_reworkable := b
			is_null_is_reworkable := False
		end

	set_max_allowed_die_size_x (d: DOUBLE)
		do
			change_field (True, True)
			max_allowed_die_size_x := d
			is_null_max_allowed_die_size_x := False
		end

	set_max_allowed_die_size_y (d: DOUBLE)
		do
			change_field (True, True)
			max_allowed_die_size_y := d
			is_null_max_allowed_die_size_y := False
		end

	set_m_fab_no (k: INTEGER)
		do
			change_key_field
			m_fab_no := k
			is_null_m_fab_no := False
		end

	set_net_address (s: STRING)
		do
			change_field (True, True)
			net_address := s
			if s = Void then
				create net_address.make (0)
			end
			is_null_net_address := s = Void or else s.count = 0
		end

	set_overhead_style (s: STRING)
		do
			change_field (True, True)
			overhead_style := s
			if s = Void then
				create overhead_style.make (0)
			end
			is_null_overhead_style := s = Void or else s.count = 0
		end

	set_oversize_die_incl_conditions (s: STRING)
		do
			change_field (True, True)
			oversize_die_incl_conditions := s
			if s = Void then
				create oversize_die_incl_conditions.make (0)
			end
			is_null_oversize_die_incl_conditions := s = Void or else s.count = 0
		end

	set_pending_for_run (b: BOOLEAN)
		do
			change_field (True, True)
			pending_for_run := b
			is_null_pending_for_run := False
		end

	set_phone_number (s: STRING)
		do
			change_field (True, True)
			phone_number := s
			if s = Void then
				create phone_number.make (0)
			end
			is_null_phone_number := s = Void or else s.count = 0
		end

	set_project_on_die (k: INTEGER)
		do
			change_field (True, True)
			project_on_die := k
			is_null_project_on_die := False
		end

	set_quantity_requested (k: INTEGER)
		do
			change_field (True, True)
			quantity_requested := k
			is_null_quantity_requested := False
		end

	set_quantity_unpackaged_requested (k: INTEGER)
		do
			change_field (True, True)
			quantity_unpackaged_requested := k
			is_null_quantity_unpackaged_requested := False
		end

	set_queue_failure_reason_id (s: STRING)
		do
			change_field (True, True)
			queue_failure_reason_id := s
			if s = Void then
				create queue_failure_reason_id.make (0)
			end
			is_null_queue_failure_reason_id := s = Void or else s.count = 0
		end

	set_reason_status_requested (s: STRING)
		do
			change_field (True, True)
			reason_status_requested := s
			if s = Void then
				create reason_status_requested.make (0)
			end
			is_null_reason_status_requested := s = Void or else s.count = 0
		end

	set_routing_label (s: STRING)
		do
			change_field (True, True)
			routing_label := s
			if s = Void then
				create routing_label.make (0)
			end
			is_null_routing_label := s = Void or else s.count = 0
		end

	set_run_date_requested (d: DB_DATE)
		do
			change_field (True, True)
			run_date_requested := d
			if d = Void then
				create {ORACLE_DATE} run_date_requested.set_null
			end
			is_null_run_date_requested := d = Void or else d.is_null
		end

	set_run_id (s: STRING)
		do
			change_field (True, True)
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_run_type_requested (s: STRING)
		do
			change_field (True, True)
			run_type_requested := s
			if s = Void then
				create run_type_requested.make (0)
			end
			is_null_run_type_requested := s = Void or else s.count = 0
		end

	set_submitted_funding_po_id (s: STRING)
		do
			change_field (True, True)
			submitted_funding_po_id := s
			if s = Void then
				create submitted_funding_po_id.make (0)
			end
			is_null_submitted_funding_po_id := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_allow_oversize_die_on_run
		do
			change_field (True, True)
			allow_oversize_die_on_run := False
			is_null_allow_oversize_die_on_run := True
		end

	set_null_approved_funding_po_id
		do
			set_approved_funding_po_id (Void)
		end

	set_null_date_cust_report
		do
			set_date_cust_report (Void)
		end

	set_null_date_fab_requested
		do
			set_date_fab_requested (Void)
		end

	set_null_date_report_reminder_sent
		do
			set_date_report_reminder_sent (Void)
		end

	set_null_design_die_rotation
		do
			change_field (True, True)
			design_die_rotation := 0
			is_null_design_die_rotation := True
		end

	set_null_design_wafer_rotation_reqd
		do
			change_field (True, True)
			design_wafer_rotation_reqd := 0
			is_null_design_wafer_rotation_reqd := True
		end

	set_null_die_id
		do
			set_die_id (Void)
		end

	set_null_intended_disposition
		do
			set_intended_disposition (Void)
		end

	set_null_max_allowed_die_size_x
		do
			change_field (True, True)
			max_allowed_die_size_x := 0.0
			is_null_max_allowed_die_size_x := True
		end

	set_null_max_allowed_die_size_y
		do
			change_field (True, True)
			max_allowed_die_size_y := 0.0
			is_null_max_allowed_die_size_y := True
		end

	set_null_net_address
		do
			set_net_address (Void)
		end

	set_null_overhead_style
		do
			set_overhead_style (Void)
		end

	set_null_oversize_die_incl_conditions
		do
			set_oversize_die_incl_conditions (Void)
		end

	set_null_phone_number
		do
			set_phone_number (Void)
		end

	set_null_project_on_die
		do
			change_field (True, True)
			project_on_die := 0
			is_null_project_on_die := True
		end

	set_null_quantity_requested
		do
			change_field (True, True)
			quantity_requested := 0
			is_null_quantity_requested := True
		end

	set_null_quantity_unpackaged_requested
		do
			change_field (True, True)
			quantity_unpackaged_requested := 0
			is_null_quantity_unpackaged_requested := True
		end

	set_null_queue_failure_reason_id
		do
			set_queue_failure_reason_id (Void)
		end

	set_null_reason_status_requested
		do
			set_reason_status_requested (Void)
		end

	set_null_routing_label
		do
			set_routing_label (Void)
		end

	set_null_run_date_requested
		do
			set_run_date_requested (Void)
		end

	set_null_run_id
		do
			set_run_id (Void)
		end

	set_null_submitted_funding_po_id
		do
			set_submitted_funding_po_id (Void)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			is_reworkable := False
			is_null_is_reworkable := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_boolean (1, allow_oversize_die_on_run, is_null_allow_oversize_die_on_run)
			s.bind_num_to_string (2, approved_funding_po_id, is_null_approved_funding_po_id)
			s.bind_num_to_date (3, date_cust_report, is_null_date_cust_report)
			s.bind_num_to_date (4, date_fab_requested, is_null_date_fab_requested)
			s.bind_num_to_date (5, date_report_reminder_sent, is_null_date_report_reminder_sent)
			s.bind_num_to_integer (6, design_die_rotation, is_null_design_die_rotation)
			s.bind_num_to_integer (7, design_no, is_null_design_no)
			s.bind_num_to_integer (8, design_wafer_rotation_reqd, is_null_design_wafer_rotation_reqd)
			s.bind_num_to_string (9, die_id, is_null_die_id)
			s.bind_num_to_boolean (10, fill_allowed, is_null_fill_allowed)
			s.bind_num_to_string (11, ic_fab_instance_type, is_null_ic_fab_instance_type)
			s.bind_num_to_string (12, intended_disposition, is_null_intended_disposition)
			s.bind_num_to_boolean (13, is_reworkable, is_null_is_reworkable)
			s.bind_num_to_double (14, max_allowed_die_size_x, is_null_max_allowed_die_size_x)
			s.bind_num_to_double (15, max_allowed_die_size_y, is_null_max_allowed_die_size_y)
			s.bind_num_to_integer (16, m_fab_no, is_null_m_fab_no)
			s.bind_num_to_string (17, net_address, is_null_net_address)
			s.bind_num_to_string (18, overhead_style, is_null_overhead_style)
			s.bind_num_to_string (19, oversize_die_incl_conditions, is_null_oversize_die_incl_conditions)
			s.bind_num_to_boolean (20, pending_for_run, is_null_pending_for_run)
			s.bind_num_to_string (21, phone_number, is_null_phone_number)
			s.bind_num_to_integer (22, project_on_die, is_null_project_on_die)
			s.bind_num_to_integer (23, quantity_requested, is_null_quantity_requested)
			s.bind_num_to_integer (24, quantity_unpackaged_requested, is_null_quantity_unpackaged_requested)
			s.bind_num_to_string (25, queue_failure_reason_id, is_null_queue_failure_reason_id)
			s.bind_num_to_string (26, reason_status_requested, is_null_reason_status_requested)
			s.bind_num_to_string (27, routing_label, is_null_routing_label)
			s.bind_num_to_date (28, run_date_requested, is_null_run_date_requested)
			s.bind_num_to_string (29, run_id, is_null_run_id)
			s.bind_num_to_string (30, run_type_requested, is_null_run_type_requested)
			s.bind_num_to_string (31, submitted_funding_po_id, is_null_submitted_funding_po_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20, :21, :22, :23, :24, :25, :26, :27, :28, :29, :30, :31"

	bind_list_for_update: STRING = "  allow_oversize_die_on_run = :1, approved_funding_po_id = :2,%N  date_cust_report = :3, date_fab_requested = :4,%N  date_report_reminder_sent = :5, design_die_rotation = :6, design_no = :7,%N  design_wafer_rotation_reqd = :8, die_id = :9, fill_allowed = :10,%N  ic_fab_instance_type = :11, intended_disposition = :12,%N  is_reworkable = :13, max_allowed_die_size_x = :14,%N  max_allowed_die_size_y = :15, m_fab_no = :16, net_address = :17,%N  overhead_style = :18, oversize_die_incl_conditions = :19,%N  pending_for_run = :20, phone_number = :21, project_on_die = :22,%N  quantity_requested = :23, quantity_unpackaged_requested = :24,%N  queue_failure_reason_id = :25, reason_status_requested = :26,%N  routing_label = :27, run_date_requested = :28, run_id = :29,%N  run_type_requested = :30, submitted_funding_po_id = :31"

end
