
indexing

	date: "Thu Feb 19 09:45:50 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"IC_FAB_INSTANCE#WAFER_VENDORS (MOSIS.IC_FAB_INSTANCE#WAFER_VENDORS)"
			-- Included columns
			-- 	M_FAB_NO
			-- 	WAFER_VENDOR_CONSTRAINT_CODE
			-- Excluded columns
			-- 	(none)

class IC_FAB_INSTANCEXWAFER_VENDORS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 2

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  m_fab_no, wafer_vendor_constraint_code"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "ic_fab_instance#wafer_vendors ifiv"

	join_condition: STRING = ""

	table_name: STRING = "ic_fab_instance#wafer_vendors"

	key_where_clause: STRING = ""

feature -- Values

	m_fab_no: INTEGER
			-- DB: NUMBER(6,0) not null

	wafer_vendor_constraint_code: STRING
			-- DB: VARCHAR2(15) not null

feature -- Nullness for non-null columns

	is_null_m_fab_no: BOOLEAN
	is_null_wafer_vendor_constraint_code: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and m_fab_no = r.m_fab_no
			Result := Result
				and equal (wafer_vendor_constraint_code, r.wafer_vendor_constraint_code)
			Result := Result
				and is_null_m_fab_no = r.is_null_m_fab_no
				and is_null_wafer_vendor_constraint_code = r.is_null_wafer_vendor_constraint_code
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_string (2, 15)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			m_fab_no := q.integer_value (1)
		end

	fill_in_references (q: SQL_QUERY)
		do
			wafer_vendor_constraint_code := q.string_value (2)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, wafer_vendor_constraint_code)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_m_fab_no := q.is_null (1)
			is_null_wafer_vendor_constraint_code := q.is_null (2)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_m_fab_no := True
			is_null_wafer_vendor_constraint_code := True
			create wafer_vendor_constraint_code.make (0)
		end

	set_null_nonkey
		do
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and m_fab_no = q.integer_value (1)
			q.get_string_value (2, s)
			Result := Result and equal (wafer_vendor_constraint_code, s)
			Result := Result
				and is_null_m_fab_no = q.is_null (1)
				and is_null_wafer_vendor_constraint_code = q.is_null (2)
		end

end
