
indexing
	
	description: "Comparator for ic packagings rows to sort by fab-id, %
		%package id, bonding id"
	author: "David Hollenberg"
	date: "March 31, 2005"

class IC_PACKAGINGS_ROW_COMPARATOR
inherit
	KL_COMPARATOR [IC_PACKAGINGS_ROW]

feature -- Status report

	less_than (u, v: IC_PACKAGINGS_ROW): BOOLEAN
			-- Is `u' considered less than `v'?
		local
			ifi1, ifi2: IC_FAB_INSTANCES_ROW
		do
			ifi1 := u.fab_instance
			ifi2 := v.fab_instance
			Result := ifi1.run_id <= ifi2.run_id and
				ifi1.die_id <= ifi2.die_id and
				u.package_id <= v.package_id and
				u.bonding_id <= v.bonding_id and
				(not ifi1.run_id.is_equal (ifi2.run_id) or
				 not ifi1.die_id.is_equal (ifi2.die_id) or
				 not u.package_id.is_equal (v.package_id) or
				 not u.bonding_id.is_equal (v.bonding_id))
		end

end
