
indexing
	
	description: "Comparator for incompatible count in a multi column list"
	author: "David Hollenberg"
	date: "December 19, 2006"

class INCOMPATIBLE_COUNT_COMPARATOR [G -> HAS_INCOMPATIBLE_COUNT]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_incompatible_count and v.has_incompatible_count then
				Result := u.incompatible_count < v.incompatible_count
			elseif v.has_incompatible_count then
				Result := True
			else
				Result := False
			end
		end

end
