
indexing
	
	description: "Comparator for is included in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class IS_INCLUDED_COMPARATOR [G -> HAS_IS_INCLUDED]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_is_included and v.has_is_included then
				Result := not u.is_included and v.is_included
			elseif v.has_is_included then
				Result := True
			else
				Result := False
			end
		end

end
