
indexing
	
	description: "Comparator for is locked in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class IS_LOCKED_COMPARATOR [G -> HAS_IS_LOCKED]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_is_locked and v.has_is_locked then
				Result := not u.is_locked and v.is_locked
			elseif v.has_is_locked then
				Result := True
			else
				Result := False
			end
		end

end
