
indexing
	
	description: "Comparator for is lot assigned in a multi column list"
	author: "David Hollenberg"
	date: "December 19, 2006"

class IS_LOT_ASSIGNED_COMPARATOR [G -> HAS_IS_LOT_ASSIGNED]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_is_lot_assigned and v.has_is_lot_assigned then
				Result := not u.is_lot_assigned and v.is_lot_assigned
			elseif v.has_is_lot_assigned then
				Result := True
			else
				Result := False
			end
		end

end
