
indexing
	
	description: "Binding of key to an action"
	author: "David Hollenberg"
	date: "March 13, 2007"

class KEY_BINDING

create
	make

feature {NONE} -- Creation

	make (an_action: like action a_read_only: like is_read_only)
			-- Create with `an_action' and `a_read_only'
		do
			action := an_action
			is_read_only := a_read_only
		end

feature -- Properties

	action: PROCEDURE [ANY, TUPLE]
			-- Action to be executed

	is_read_only: BOOLEAN
			-- Is `action' considered a "read-only" action?

end
