
indexing

	date: "Tue Sep 25 10:50:51 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user GOLDBERG"
	database_tables: 
		"LAYER_ROLES (MOSIS.LAYER_ROLES)"
			-- Included columns
			-- 	BOND_LAYER_PRIORITY
			-- 	CHECK_MAX_SIZE
			-- 	CHECK_MIN_SIZE
			-- 	DESCR
			-- 	IS_CORNER_CHAMFER
			-- 	IS_GLASS_LAYER
			-- 	IS_LABEL_BACKGROUND
			-- 	IS_MEMS_LAYER
			-- 	IS_METAL_LAYER
			-- 	IS_NON_MASK_LAYER
			-- 	IS_PADS_LAYER
			-- 	LAYER_ROLE
			-- Excluded columns
			-- 	(none)

class LAYER_ROLES_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_layer_role: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_layer_role_exists: the_layer_role /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			layer_role := the_layer_role
			is_null_layer_role := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 12

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  bond_layer_priority, check_max_size, check_min_size, descr,%N  is_corner_chamfer, is_glass_layer, is_label_background, is_mems_layer,%N  is_metal_layer, is_non_mask_layer, is_pads_layer, layer_role"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "layer_roles lr"

	join_condition: STRING = ""

	table_name: STRING = "layer_roles"

	key_where_clause: STRING = "layer_role = :1"

feature -- Values

	bond_layer_priority: INTEGER
			-- DB: NUMBER(1,0)

	check_max_size: BOOLEAN
			-- DB: CHAR(1) not null

	check_min_size: BOOLEAN
			-- DB: CHAR(1) not null

	descr: STRING
			-- DB: VARCHAR2(300)

	is_corner_chamfer: BOOLEAN
			-- DB: CHAR(1) not null

	is_glass_layer: BOOLEAN
			-- DB: CHAR(1) not null

	is_label_background: BOOLEAN
			-- DB: CHAR(1) not null

	is_mems_layer: BOOLEAN
			-- DB: CHAR(1) not null

	is_metal_layer: BOOLEAN
			-- DB: CHAR(1) not null

	is_non_mask_layer: BOOLEAN
			-- DB: CHAR(1) not null

	is_pads_layer: BOOLEAN
			-- DB: CHAR(1) not null

	layer_role: STRING
			-- DB: VARCHAR2(5) not null

feature -- Nullness for null allowed columns

	is_null_bond_layer_priority: BOOLEAN
	is_null_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_check_max_size: BOOLEAN
	is_null_check_min_size: BOOLEAN
	is_null_is_corner_chamfer: BOOLEAN
	is_null_is_glass_layer: BOOLEAN
	is_null_is_label_background: BOOLEAN
	is_null_is_mems_layer: BOOLEAN
	is_null_is_metal_layer: BOOLEAN
	is_null_is_non_mask_layer: BOOLEAN
	is_null_is_pads_layer: BOOLEAN
	is_null_layer_role: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (layer_role, r.layer_role)
			Result := Result
				and is_null_layer_role = r.is_null_layer_role
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and bond_layer_priority = r.bond_layer_priority
				and check_max_size = r.check_max_size
				and check_min_size = r.check_min_size
				and is_corner_chamfer = r.is_corner_chamfer
				and is_glass_layer = r.is_glass_layer
				and is_label_background = r.is_label_background
				and is_mems_layer = r.is_mems_layer
				and is_metal_layer = r.is_metal_layer
				and is_non_mask_layer = r.is_non_mask_layer
				and is_pads_layer = r.is_pads_layer
			Result := Result
				and equal (descr, r.descr)
			Result := Result
				and is_null_bond_layer_priority = r.is_null_bond_layer_priority
				and is_null_check_max_size = r.is_null_check_max_size
				and is_null_check_min_size = r.is_null_check_min_size
				and is_null_descr = r.is_null_descr
				and is_null_is_corner_chamfer = r.is_null_is_corner_chamfer
				and is_null_is_glass_layer = r.is_null_is_glass_layer
				and is_null_is_label_background = r.is_null_is_label_background
				and is_null_is_mems_layer = r.is_null_is_mems_layer
				and is_null_is_metal_layer = r.is_null_is_metal_layer
				and is_null_is_non_mask_layer = r.is_null_is_non_mask_layer
				and is_null_is_pads_layer = r.is_null_is_pads_layer
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_boolean (2)
			q.select_boolean (3)
			q.select_string (4, 300)
			q.select_boolean (5)
			q.select_boolean (6)
			q.select_boolean (7)
			q.select_boolean (8)
			q.select_boolean (9)
			q.select_boolean (10)
			q.select_boolean (11)
			q.select_string (12, 5)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			bond_layer_priority := q.integer_value (1)
			check_max_size := q.boolean_value (2)
			check_min_size := q.boolean_value (3)
			is_corner_chamfer := q.boolean_value (5)
			is_glass_layer := q.boolean_value (6)
			is_label_background := q.boolean_value (7)
			is_mems_layer := q.boolean_value (8)
			is_metal_layer := q.boolean_value (9)
			is_non_mask_layer := q.boolean_value (10)
			is_pads_layer := q.boolean_value (11)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (4)
			layer_role := q.string_value (12)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (4, descr)
			q.get_string_value (12, layer_role)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_bond_layer_priority := q.is_null (1)
			is_null_check_max_size := q.is_null (2)
			is_null_check_min_size := q.is_null (3)
			is_null_descr := q.is_null (4)
			is_null_is_corner_chamfer := q.is_null (5)
			is_null_is_glass_layer := q.is_null (6)
			is_null_is_label_background := q.is_null (7)
			is_null_is_mems_layer := q.is_null (8)
			is_null_is_metal_layer := q.is_null (9)
			is_null_is_non_mask_layer := q.is_null (10)
			is_null_is_pads_layer := q.is_null (11)
			is_null_layer_role := q.is_null (12)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_layer_role := True
			create layer_role.make (0)
		end

	set_null_nonkey
		do
			is_null_bond_layer_priority := True
			is_null_check_max_size := True
			is_null_check_min_size := True
			is_null_descr := True
			is_null_is_corner_chamfer := True
			is_null_is_glass_layer := True
			is_null_is_label_background := True
			is_null_is_mems_layer := True
			is_null_is_metal_layer := True
			is_null_is_non_mask_layer := True
			is_null_is_pads_layer := True
			create descr.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, layer_role, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and bond_layer_priority = q.integer_value (1)
				and check_max_size = q.boolean_value (2)
				and check_min_size = q.boolean_value (3)
				and is_corner_chamfer = q.boolean_value (5)
				and is_glass_layer = q.boolean_value (6)
				and is_label_background = q.boolean_value (7)
				and is_mems_layer = q.boolean_value (8)
				and is_metal_layer = q.boolean_value (9)
				and is_non_mask_layer = q.boolean_value (10)
				and is_pads_layer = q.boolean_value (11)
			q.get_string_value (4, s)
			Result := Result and equal (descr, s)
			q.get_string_value (12, s)
			Result := Result and equal (layer_role, s)
			Result := Result
				and is_null_bond_layer_priority = q.is_null (1)
				and is_null_check_max_size = q.is_null (2)
				and is_null_check_min_size = q.is_null (3)
				and is_null_descr = q.is_null (4)
				and is_null_is_corner_chamfer = q.is_null (5)
				and is_null_is_glass_layer = q.is_null (6)
				and is_null_is_label_background = q.is_null (7)
				and is_null_is_mems_layer = q.is_null (8)
				and is_null_is_metal_layer = q.is_null (9)
				and is_null_is_non_mask_layer = q.is_null (10)
				and is_null_is_pads_layer = q.is_null (11)
				and is_null_layer_role = q.is_null (12)
		end

end
