class LAYOUT_PATH
	-- a piece of layout that is a PATH

inherit
	LAYOUT

	PATH
	rename bounding_box as path_bounding_box
	end;

	CACHED_BOUNDING_BOX
	rename calculate_bb as path_bounding_box
	end;

create
	make, make_frame, make_copy		-- in PATH

feature -- the deferred LAYOUT features

	is_unlayered: BOOLEAN is true;
	-- is this unlayered ("monochromatic") layout?

	traverse(c: LAYOUT_CONSUMER; m: MATRIX) is
	do  c.do_path(Current, m)
	end;

	change_layers(remapping: HASH_TABLE[STRING, STRING];
			notifier: PROCEDURE[ANY, TUPLE[LAYOUT, STRING]])
		-- no operation here
	do  
	end;

end -- LAYOUT_PATH
