deferred class LC_PURSUE_NAMING
		-- LAYOUT_CONSUMER instantiating do_name to
		--  keep track of the current layer and keep on trucking

inherit
	LAYOUT_CONSUMER

feature

	do_named(n: STRING; body: LAYOUT; at: MATRIX) is
		-- traverse the body 
		-- hang onto this name until we return
	do  if names = Void then create names.make(4) end;
	    names.extend(n);
	    body.traverse(Current, at)
	    names.finish; names.remove
	end;

	current_name: STRING is
		-- returns Void if not in a named layout
	do  if names /= Void and then not names.is_empty
	     then Result := names.last
	    end
	end;

feature {NONE}

	names: ARRAYED_LIST[STRING]

end -- LC_PURSUE_NAMING
