class LC_TERMINAL_SELECTOR
	-- select terminals to process or ignore dynamically

feature	-- relevant terminals
	-- default for all is false, meaning "do NOT ignore"

	ignore_rectangles,
	ignore_polygons,
	ignore_paths,
	ignore_ports,
	ignore_text: BOOLEAN
		-- terminals to ignore (default is all false)

	set_ignore_rectangles(i: BOOLEAN) is
	do  ignore_rectangles := i
	end;

	set_ignore_polygons(i: BOOLEAN) is
	do  ignore_polygons := i
	end;

	set_ignore_paths(i: BOOLEAN) is
	do  ignore_paths := i
	end;

	set_ignore_ports(i: BOOLEAN) is
	do  ignore_ports := i
	end;

	set_ignore_text(i: BOOLEAN) is
	do  ignore_text := i
	end;

end -- LC_TERMINAL_SELECTOR
