
indexing
	
	description: "Comparator for left X"
	author: "David Hollenberg"
	date: "November 18, 2003"

class LEFT_X_COMPARATOR [G -> HAS_LEFT_X]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_left_x and v.has_left_x then
				Result := u.left_x < v.left_x
			else
				Result := v.has_left_x
			end
		end

end
