
indexing
	
	description: "Level name column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class LEVEL_NAME_COLUMN [G -> HAS_LEVEL_NAME]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Level Name"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.level_name
		end

	comparator: LEVEL_NAME_COMPARATOR [G]
		do
			create Result
		end

end
