
indexing
	
	description: "Level number column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class LEVEL_NO_COLUMN [G -> HAS_LEVEL_NUMBER]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Level No"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_right_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.level_number.out
		end

	comparator: LEVEL_NO_COMPARATOR [G]
		do
			create Result
		end

end
