
indexing
	
	description: "Action that locks view element to prevent it from being duplicated"
	author: "David Hollenberg"
	date: "October 1, 2006"

class LOCK_DUPLICATION_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			an_element.lock_duplication
			if an_element.is_duplicatable_changed then
				an_element.add_to_changed_region
				an_element.add_change (create {LOCK_DUPLICATION_CHANGE}.make (an_element))
			end
		end

end
