
indexing
	
	description: "Action that locks orientation of view element"
	author: "David Hollenberg"
	date: "October 1, 2006"

class LOCK_ORIENTATION_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			an_element.lock_orientation
			if an_element.is_rotatable_changed then
				an_element.add_to_changed_region
				an_element.add_change (create {LOCK_ORIENTATION_CHANGE}.make (an_element))
			end
		end

end
