
indexing

	author: "Generated"
	date: "Thu Mar 11 15:52:47 PST 2004"

class M_DEVICES_ROW
inherit
	M_DEVICES_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature -- Properties

	available_devices (env, dev_class, med: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All rows for available devices in operating
			-- environment `env', of class `dev_class' for
			-- medium type `med'
		require
			env_not_void: env /= Void
			dev_class_not_void: dev_class /= Void
			med_not_void: med /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_SSS
		do
			create b.make (env, dev_class, med)
			Result := all_rows_filtered_ordered (conn, "operating_environment = :1 and device_class = :2 and medium_type = :3", b, "device_id")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
