
indexing

	date: "Tue Apr 24 10:30:13 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"MASK_LITHO_TYPES (MOSIS.MASK_LITHO_TYPES)"
			-- Included columns
			-- 	DESCR
			-- 	LITHO_TYPE
			-- 	MASK_LITHO_TYPE
			-- 	SCALE_FACTOR
			-- Excluded columns
			-- 	(none)

class MASK_LITHO_TYPES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_mask_litho_type: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_mask_litho_type_exists: the_mask_litho_type /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			mask_litho_type := the_mask_litho_type
			is_null_mask_litho_type := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  descr, litho_type, mask_litho_type, scale_factor"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "mask_litho_types mlt"

	join_condition: STRING = ""

	table_name: STRING = "mask_litho_types"

	key_where_clause: STRING = "mask_litho_type = :1"

feature -- Values

	descr: STRING
			-- DB: VARCHAR2(255)

	litho_type: STRING
			-- DB: VARCHAR2(20) not null

	mask_litho_type: STRING
			-- DB: VARCHAR2(20) not null

	scale_factor: DOUBLE
			-- DB: NUMBER(*,*) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_litho_type: BOOLEAN
	is_null_mask_litho_type: BOOLEAN
	is_null_scale_factor: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (mask_litho_type, r.mask_litho_type)
			Result := Result
				and is_null_mask_litho_type = r.is_null_mask_litho_type
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and scale_factor = r.scale_factor
			Result := Result
				and equal (descr, r.descr)
				and equal (litho_type, r.litho_type)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_litho_type = r.is_null_litho_type
				and is_null_scale_factor = r.is_null_scale_factor
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_string (2, 20)
			q.select_string (3, 20)
			q.select_double (4)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			scale_factor := q.double_value (4)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (1)
			litho_type := q.string_value (2)
			mask_litho_type := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, descr)
			q.get_string_value (2, litho_type)
			q.get_string_value (3, mask_litho_type)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_descr := q.is_null (1)
			is_null_litho_type := q.is_null (2)
			is_null_mask_litho_type := q.is_null (3)
			is_null_scale_factor := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_mask_litho_type := True
			create mask_litho_type.make (0)
		end

	set_null_nonkey
		do
			is_null_descr := True
			is_null_litho_type := True
			is_null_scale_factor := True
			create descr.make (0)
			create litho_type.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, mask_litho_type, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and scale_factor = q.double_value (4)
			q.get_string_value (1, s)
			Result := Result and equal (descr, s)
			q.get_string_value (2, s)
			Result := Result and equal (litho_type, s)
			q.get_string_value (3, s)
			Result := Result and equal (mask_litho_type, s)
			Result := Result
				and is_null_descr = q.is_null (1)
				and is_null_litho_type = q.is_null (2)
				and is_null_mask_litho_type = q.is_null (3)
				and is_null_scale_factor = q.is_null (4)
		end

end
