
indexing

	date: "Tue Apr 24 10:30:13 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"MASK_SETS (MOSIS.MASK_SETS)"
			-- Included columns
			-- 	DATE_ARCHIVE_STATE_MODIFIED
			-- 	DATE_MASKS_IN
			-- 	DATE_MASKS_OUT
			-- 	DATE_MASK_STATUS_MODIFIED
			-- 	DATE_SECONDARY_ARCHIVE_QUEUED
			-- 	DATE_TAPEOUT
			-- 	MASK_REVISION
			-- 	MASK_SET_ARCHIVE_STATE
			-- 	MASK_SET_COMMENTS
			-- 	MASK_STATUS
			-- 	MASK_TECHN
			-- 	PRODUCTION_ID
			-- 	RUN_ID
			-- Excluded columns
			-- 	(none)

class MASK_SETS_MRAW

inherit

	DB_DELETABLE_ROW
	MASK_SETS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_date_archive_state_modified (d: DB_DATE)
		do
			change_field (True, True)
			date_archive_state_modified := d
			if d = Void then
				create {ORACLE_DATE} date_archive_state_modified.set_null
			end
			is_null_date_archive_state_modified := d = Void or else d.is_null
		end

	set_date_masks_in (d: DB_DATE)
		do
			change_field (True, True)
			date_masks_in := d
			if d = Void then
				create {ORACLE_DATE} date_masks_in.set_null
			end
			is_null_date_masks_in := d = Void or else d.is_null
		end

	set_date_masks_out (d: DB_DATE)
		do
			change_field (True, True)
			date_masks_out := d
			if d = Void then
				create {ORACLE_DATE} date_masks_out.set_null
			end
			is_null_date_masks_out := d = Void or else d.is_null
		end

	set_date_mask_status_modified (d: DB_DATE)
		do
			change_field (True, True)
			date_mask_status_modified := d
			if d = Void then
				create {ORACLE_DATE} date_mask_status_modified.set_null
			end
			is_null_date_mask_status_modified := d = Void or else d.is_null
		end

	set_date_secondary_archive_queued (d: DB_DATE)
		do
			change_field (True, True)
			date_secondary_archive_queued := d
			if d = Void then
				create {ORACLE_DATE} date_secondary_archive_queued.set_null
			end
			is_null_date_secondary_archive_queued := d = Void or else d.is_null
		end

	set_date_tapeout (d: DB_DATE)
		do
			change_field (True, True)
			date_tapeout := d
			if d = Void then
				create {ORACLE_DATE} date_tapeout.set_null
			end
			is_null_date_tapeout := d = Void or else d.is_null
		end

	set_mask_revision (c: CHARACTER)
		do
			change_key_field
			mask_revision := c
			is_null_mask_revision := False
		end

	set_mask_set_archive_state (s: STRING)
		do
			change_field (True, True)
			mask_set_archive_state := s
			if s = Void then
				create mask_set_archive_state.make (0)
			end
			is_null_mask_set_archive_state := s = Void or else s.count = 0
		end

	set_mask_set_comments (s: STRING)
		do
			change_field (True, True)
			mask_set_comments := s
			if s = Void then
				create mask_set_comments.make (0)
			end
			is_null_mask_set_comments := s = Void or else s.count = 0
		end

	set_mask_status (s: STRING)
		do
			change_field (True, True)
			mask_status := s
			if s = Void then
				create mask_status.make (0)
			end
			is_null_mask_status := s = Void or else s.count = 0
		end

	set_mask_techn (s: STRING)
		do
			change_field (True, True)
			mask_techn := s
			if s = Void then
				create mask_techn.make (0)
			end
			is_null_mask_techn := s = Void or else s.count = 0
		end

	set_production_id (s: STRING)
		do
			change_field (True, True)
			production_id := s
			if s = Void then
				create production_id.make (0)
			end
			is_null_production_id := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_date_archive_state_modified
		do
			set_date_archive_state_modified (Void)
		end

	set_null_date_masks_in
		do
			set_date_masks_in (Void)
		end

	set_null_date_masks_out
		do
			set_date_masks_out (Void)
		end

	set_null_date_mask_status_modified
		do
			set_date_mask_status_modified (Void)
		end

	set_null_date_secondary_archive_queued
		do
			set_date_secondary_archive_queued (Void)
		end

	set_null_date_tapeout
		do
			set_date_tapeout (Void)
		end

	set_null_mask_set_archive_state
		do
			set_mask_set_archive_state (Void)
		end

	set_null_mask_set_comments
		do
			set_mask_set_comments (Void)
		end

	set_null_mask_status
		do
			set_mask_status (Void)
		end

	set_null_mask_techn
		do
			set_mask_techn (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_date (1, date_archive_state_modified, is_null_date_archive_state_modified)
			s.bind_num_to_date (2, date_masks_in, is_null_date_masks_in)
			s.bind_num_to_date (3, date_masks_out, is_null_date_masks_out)
			s.bind_num_to_date (4, date_mask_status_modified, is_null_date_mask_status_modified)
			s.bind_num_to_date (5, date_secondary_archive_queued, is_null_date_secondary_archive_queued)
			s.bind_num_to_date (6, date_tapeout, is_null_date_tapeout)
			s.bind_num_to_character (7, mask_revision, is_null_mask_revision)
			s.bind_num_to_string (8, mask_set_archive_state, is_null_mask_set_archive_state)
			s.bind_num_to_string (9, mask_set_comments, is_null_mask_set_comments)
			s.bind_num_to_string (10, mask_status, is_null_mask_status)
			s.bind_num_to_string (11, mask_techn, is_null_mask_techn)
			s.bind_num_to_string (12, production_id, is_null_production_id)
			s.bind_num_to_string (13, run_id, is_null_run_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13"

	bind_list_for_update: STRING = "  date_archive_state_modified = :1, date_masks_in = :2,%N  date_masks_out = :3, date_mask_status_modified = :4,%N  date_secondary_archive_queued = :5, date_tapeout = :6,%N  mask_revision = :7, mask_set_archive_state = :8, mask_set_comments = :9,%N  mask_status = :10, mask_techn = :11, production_id = :12, run_id = :13"

end
