
indexing

	date: "Tue Nov  6 10:11:40 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"MASK_TECHNS (MOSIS.MASK_TECHNS)"
			-- Included columns
			-- 	AVAILABLE
			-- 	COMPACTION_ALLOWED
			-- 	DESCR
			-- 	EBEAM_TYPE
			-- 	INCREASING_SPOT_SIZE
			-- 	LEVEL_BASED_OPTIONS_ALLOWED
			-- 	MASK_TECHN
			-- 	ONE_JOB_DECK_PER_LEVEL
			-- 	ORG_NO
			-- 	OVERETCH
			-- 	PRIMARY_CHIP_ID_SUFFIX
			-- 	TITLE_SHORT_NAME
			-- 	VENDOR_PART_SEQUENCE_ID
			-- 	WRITE_MODE
			-- Excluded columns
			-- 	(none)

class MASK_TECHNS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_mask_techn: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_mask_techn_exists: the_mask_techn /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			mask_techn := the_mask_techn
			is_null_mask_techn := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 14

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  available, compaction_allowed, descr, ebeam_type, increasing_spot_size,%N  level_based_options_allowed, mask_techn, one_job_deck_per_level, org_no,%N  overetch, primary_chip_id_suffix, title_short_name,%N  vendor_part_sequence_id, write_mode"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "mask_techns mt"

	join_condition: STRING = ""

	table_name: STRING = "mask_techns"

	key_where_clause: STRING = "mask_techn = :1"

feature -- Values

	available: BOOLEAN
			-- DB: CHAR(1) not null

	compaction_allowed: BOOLEAN
			-- DB: CHAR(1) not null

	descr: STRING
			-- DB: VARCHAR2(255)

	ebeam_type: STRING
			-- DB: VARCHAR2(25) not null

	increasing_spot_size: BOOLEAN
			-- DB: CHAR(1) not null

	level_based_options_allowed: BOOLEAN
			-- DB: CHAR(1) not null

	mask_techn: STRING
			-- DB: VARCHAR2(50) not null

	one_job_deck_per_level: BOOLEAN
			-- DB: CHAR(1) not null

	org_no: INTEGER
			-- DB: NUMBER(6,0) not null

	overetch: BOOLEAN
			-- DB: CHAR(1) not null

	primary_chip_id_suffix: STRING
			-- DB: VARCHAR2(25)

	title_short_name: STRING
			-- DB: CHAR(2) not null

	vendor_part_sequence_id: STRING
			-- DB: VARCHAR2(30)

	write_mode: STRING
			-- DB: VARCHAR2(25) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN
	is_null_primary_chip_id_suffix: BOOLEAN
	is_null_vendor_part_sequence_id: BOOLEAN

feature -- Nullness for non-null columns

	is_null_available: BOOLEAN
	is_null_compaction_allowed: BOOLEAN
	is_null_ebeam_type: BOOLEAN
	is_null_increasing_spot_size: BOOLEAN
	is_null_level_based_options_allowed: BOOLEAN
	is_null_mask_techn: BOOLEAN
	is_null_one_job_deck_per_level: BOOLEAN
	is_null_org_no: BOOLEAN
	is_null_overetch: BOOLEAN
	is_null_title_short_name: BOOLEAN
	is_null_write_mode: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (mask_techn, r.mask_techn)
			Result := Result
				and is_null_mask_techn = r.is_null_mask_techn
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and available = r.available
				and compaction_allowed = r.compaction_allowed
				and increasing_spot_size = r.increasing_spot_size
				and level_based_options_allowed = r.level_based_options_allowed
				and one_job_deck_per_level = r.one_job_deck_per_level
				and org_no = r.org_no
				and overetch = r.overetch
			Result := Result
				and equal (descr, r.descr)
				and equal (ebeam_type, r.ebeam_type)
				and equal (primary_chip_id_suffix, r.primary_chip_id_suffix)
				and equal (title_short_name, r.title_short_name)
				and equal (vendor_part_sequence_id, r.vendor_part_sequence_id)
				and equal (write_mode, r.write_mode)
			Result := Result
				and is_null_available = r.is_null_available
				and is_null_compaction_allowed = r.is_null_compaction_allowed
				and is_null_descr = r.is_null_descr
				and is_null_ebeam_type = r.is_null_ebeam_type
				and is_null_increasing_spot_size = r.is_null_increasing_spot_size
				and is_null_level_based_options_allowed = r.is_null_level_based_options_allowed
				and is_null_one_job_deck_per_level = r.is_null_one_job_deck_per_level
				and is_null_org_no = r.is_null_org_no
				and is_null_overetch = r.is_null_overetch
				and is_null_primary_chip_id_suffix = r.is_null_primary_chip_id_suffix
				and is_null_title_short_name = r.is_null_title_short_name
				and is_null_vendor_part_sequence_id = r.is_null_vendor_part_sequence_id
				and is_null_write_mode = r.is_null_write_mode
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_boolean (2)
			q.select_string (3, 255)
			q.select_string (4, 25)
			q.select_boolean (5)
			q.select_boolean (6)
			q.select_string (7, 50)
			q.select_boolean (8)
			q.select_integer (9)
			q.select_boolean (10)
			q.select_string (11, 25)
			q.select_string (12, 2)
			q.select_string (13, 30)
			q.select_string (14, 25)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			available := q.boolean_value (1)
			compaction_allowed := q.boolean_value (2)
			increasing_spot_size := q.boolean_value (5)
			level_based_options_allowed := q.boolean_value (6)
			one_job_deck_per_level := q.boolean_value (8)
			org_no := q.integer_value (9)
			overetch := q.boolean_value (10)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (3)
			ebeam_type := q.string_value (4)
			mask_techn := q.string_value (7)
			primary_chip_id_suffix := q.string_value (11)
			title_short_name := q.string_value (12)
			vendor_part_sequence_id := q.string_value (13)
			write_mode := q.string_value (14)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (3, descr)
			q.get_string_value (4, ebeam_type)
			q.get_string_value (7, mask_techn)
			q.get_string_value (11, primary_chip_id_suffix)
			q.get_string_value (12, title_short_name)
			q.get_string_value (13, vendor_part_sequence_id)
			q.get_string_value (14, write_mode)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_available := q.is_null (1)
			is_null_compaction_allowed := q.is_null (2)
			is_null_descr := q.is_null (3)
			is_null_ebeam_type := q.is_null (4)
			is_null_increasing_spot_size := q.is_null (5)
			is_null_level_based_options_allowed := q.is_null (6)
			is_null_mask_techn := q.is_null (7)
			is_null_one_job_deck_per_level := q.is_null (8)
			is_null_org_no := q.is_null (9)
			is_null_overetch := q.is_null (10)
			is_null_primary_chip_id_suffix := q.is_null (11)
			is_null_title_short_name := q.is_null (12)
			is_null_vendor_part_sequence_id := q.is_null (13)
			is_null_write_mode := q.is_null (14)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_mask_techn := True
			create mask_techn.make (0)
		end

	set_null_nonkey
		do
			is_null_available := True
			is_null_compaction_allowed := True
			is_null_descr := True
			is_null_ebeam_type := True
			is_null_increasing_spot_size := True
			is_null_level_based_options_allowed := True
			is_null_one_job_deck_per_level := True
			is_null_org_no := True
			is_null_overetch := True
			is_null_primary_chip_id_suffix := True
			is_null_title_short_name := True
			is_null_vendor_part_sequence_id := True
			is_null_write_mode := True
			create descr.make (0)
			create ebeam_type.make (0)
			create primary_chip_id_suffix.make (0)
			create title_short_name.make (0)
			create vendor_part_sequence_id.make (0)
			create write_mode.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, mask_techn, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and available = q.boolean_value (1)
				and compaction_allowed = q.boolean_value (2)
				and increasing_spot_size = q.boolean_value (5)
				and level_based_options_allowed = q.boolean_value (6)
				and one_job_deck_per_level = q.boolean_value (8)
				and org_no = q.integer_value (9)
				and overetch = q.boolean_value (10)
			q.get_string_value (3, s)
			Result := Result and equal (descr, s)
			q.get_string_value (4, s)
			Result := Result and equal (ebeam_type, s)
			q.get_string_value (7, s)
			Result := Result and equal (mask_techn, s)
			q.get_string_value (11, s)
			Result := Result and equal (primary_chip_id_suffix, s)
			q.get_string_value (12, s)
			Result := Result and equal (title_short_name, s)
			q.get_string_value (13, s)
			Result := Result and equal (vendor_part_sequence_id, s)
			q.get_string_value (14, s)
			Result := Result and equal (write_mode, s)
			Result := Result
				and is_null_available = q.is_null (1)
				and is_null_compaction_allowed = q.is_null (2)
				and is_null_descr = q.is_null (3)
				and is_null_ebeam_type = q.is_null (4)
				and is_null_increasing_spot_size = q.is_null (5)
				and is_null_level_based_options_allowed = q.is_null (6)
				and is_null_mask_techn = q.is_null (7)
				and is_null_one_job_deck_per_level = q.is_null (8)
				and is_null_org_no = q.is_null (9)
				and is_null_overetch = q.is_null (10)
				and is_null_primary_chip_id_suffix = q.is_null (11)
				and is_null_title_short_name = q.is_null (12)
				and is_null_vendor_part_sequence_id = q.is_null (13)
				and is_null_write_mode = q.is_null (14)
		end

end
