
indexing

	author: "Generated"
	date: "Sat Feb 21 09:30:28 PST 2004"

class MASK_TITLES_ROW
inherit
	MASK_TITLES_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null

feature
	
	titles_for_wt_family (wtf, run: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All mask title rows for wafer 
			-- techn family `wtf' and run id `run', ordered by 
			-- title command and level number
		require
			wtf_exists: wtf /= Void
			run_exists: run /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_SS
		do
			create b.make (wtf, run)
			Result := all_rows_filtered_ordered (conn, 
				"wafer_techn_family = :1 and %
				%(level_no is null or exists %
				%(select 1 from run_levels rl %
				% where run_id = :2 and %
				% mtit.level_no = rl.level_no))", 
				b, "job_deck_title_command, level_no")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
