
indexing
	
	description: "Comparator for maximum size Y in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2006"

class MAX_SIZE_Y_COMPARATOR [G -> HAS_MAX_SIZE_Y]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_max_size_y and v.has_max_size_y then
				Result := u.max_size_y < v.max_size_y
			elseif v.has_max_size_y then
				Result := True
			else
				Result := False
			end
		end

end
