class MESSAGE_SEND_ACTION

inherit
	ACTION_ITEM

	MESSAGE_SUPPORT

	STRING_UTILITIES_ACCESS

create
	make

feature

	msg: OUTGOING_MESSAGE

	do_it is
	do  msg.send;
	    done := true
	ensure then msg.sent
	end;

	descr: STRING is
	local  addr: STRING
	do  addr := msg.message_header1(msg_to);
	    if addr = Void then addr := msg.message_header1(msg_cc) end;
	    if addr = Void then addr := "<nobody>" end;
	    Result := su.string_of_2("send to ", addr);
	end;

feature {NONE}

	make(m: OUTGOING_MESSAGE) is
	require not m.sent
	do  msg := m
	end;

end -- MESSAGE_SEND_ACTION
