class MOSIS_ADDR_VALUES
	-- known attribute values with semantic meaning
	-- found primarily in ADDR section tables
	-- They are collected here for ease of use.

feature -- address_type and address_format (characters)

	addr_is_billing:	CHARACTER = 'B'	-- address_type
	addr_is_mailing:	CHARACTER = 'M'
	addr_is_shipping:	CHARACTER = 'S'

	addr_is_domestic:	CHARACTER = 'U'	-- sub_type or
	addr_is_foreign:	CHARACTER = 'F'	--  address_format

feature	-- phone locations and usages

	phone_loc_is_work:	CHARACTER = 'W'
	phone_loc_is_home:	CHARACTER = 'H'
	phone_loc_is_car:	CHARACTER = 'C'

	phone_usage_is_person:	CHARACTER = 'P'
	phone_usage_is_fax:	CHARACTER = 'F'
	phone_usage_is_modem:	CHARACTER = 'M'
	phone_usage_is_vmail:	CHARACTER = 'V'

end
