deferred class MOSIS_PRICE_CALCULATOR

inherit
	MONEY_MATTERS

feature	-- the two dollar amounts for this price or price_breakdown

	flat_amount,
	area_amount: DOUBLE is
	deferred
	end;

feature	-- the cost of an item

	total_amount(area: DOUBLE; discount_fraction: DOUBLE): DOUBLE is
	require 0 <= discount_fraction and discount_fraction <= 1.0;
	local pfr: DOUBLE;
	do  pfr := 1.0 - discount_fraction;	-- percent to pay
	    Result := to_the_penny(pfr * flat_amount +
				   to_the_dollar(pfr * area_amount * area))
	end;

end -- MOSIS_PRICE_CALCULATOR



