class MOSIS_TECH_VALUES
	-- known attribute values with semantic meaning
	-- found primarily in TECH section tables
	-- They are collected here for ease of use.

feature -- wafer_techns.wafer_techn_status

	wt_status_is_new:     STRING = "NEW"
	wt_status_is_current: STRING = "CUR"
	wt_status_is_retired: STRING = "RET"

feature	-- option_ids, option_names, and option_categories

	opt_cat_is_substrate:	STRING = "SUBSTRATE"
	option_id_is_epi:	STRING = "EPI"
	option_id_is_bulk:	STRING = "NON_EPI"

	opt_cat_is_top_metal:	STRING = "TOP_METAL"
	option_id_is_std:	STRING = "STD"
	option_id_is_thk:	STRING = "THK"
	option_name_is_std:	STRING = "STANDARD_METAL"
	option_name_is_thk:	STRING = "THICK_TOP_METAL"

feature	-- fill_roles

	frole_is_none:		STRING = "NONE"
	frole_is_fill:		STRING = "FILL"
	frole_is_excl:		STRING = "EXCLUSION"

feature	-- cd_styles and association_types

	cd_style_is_bar:	STRING = "BAR"
	cd_style_is_box:	STRING = "BOX"

	assoc_is_bkgrnd:	STRING = "CD_BACKGROUND"
	assoc_is_target:	STRING = "ALIGNMENT_TARGET"

feature	-- scribe_styles

	scribe_is_boxes:	STRING = "BOXES"
	scribe_is_trench2:	STRING = "TRENCH2"
	scribe_is_trench3:	STRING = "TRENCH3"

end
