
indexing
	
	description: "Column in an EV_MULTI_COLUMN_LIST with rows of type G"
	author: "David Hollenberg";
	date: "November 18, 2003"

deferred class MULTI_COLUMN_LIST_COLUMN [G]

feature -- Properties

	title: STRING is
			-- Title for column
		deferred
		ensure
			result_exists: Result /= Void
		end

	alignment: EV_TEXT_ALIGNMENT is
			-- Alignment for values in column
		deferred
		ensure
			result_exists: Result /= Void
		end

	value (r: G): STRING is
			-- Value in column for row `r'
		require
			record_exists: r /= Void
		deferred
		ensure
			result_exists: Result /= Void
		end

	comparator: KL_COMPARATOR [G] is
			-- Comparator for sorting values in column
		deferred
		ensure
			result_exists: Result /= Void
		end

end
