
indexing
	
	description: "Net address column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class NET_ADDRESS_COLUMN [G -> HAS_NET_ADDRESS]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Net Address"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.net_address
		end

	comparator: NET_ADDRESS_COMPARATOR [G]
		do
			create Result
		end

end
