
indexing
	
	description: "Dialog that informs user a feature is not implemented";
	author: "David Hollenberg";
	date: "June 20, 2002"

class NOT_IMPLEMENTED_DIALOG

inherit
	EV_WARNING_DIALOG
		redefine
			make_with_text
		end

create
	make_with_text

feature {NONE} -- Creation

	make_with_text (s: STRING) is
			-- Create with text `s'
		do
			precursor (not_implemented (s))
			set_title ("Function Not Implemented")
		end

feature -- Constant strings

	not_implemented (s: STRING): STRING is 
		require
			string_exists: s /= Void
		do
			Result := "Function not implemented: " + s
		ensure
			result_exists: Result /= Void
		end
		
end
