
indexing

	date: "Tue Apr 24 10:30:14 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"ORG_NAME#ORG_TYPES (MOSIS.ORG_NAME#ORG_TYPES)"
			-- Included columns
			-- 	FULL_NAME
			-- 	ORG_NO
			-- 	ORG_TYPE
			-- 	SHORT_ID
			-- Excluded columns
			-- 	(none)

class ORG_NAMEXORG_TYPES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  full_name, org_no, org_type, short_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "org_name#org_types ont"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	full_name: STRING
			-- DB: VARCHAR2(40) not null

	org_no: INTEGER
			-- DB: NUMBER(6,0) not null

	org_type: STRING
			-- DB: VARCHAR2(15)

	short_id: STRING
			-- DB: VARCHAR2(15) not null

feature -- Nullness for null allowed columns

	is_null_org_type: BOOLEAN

feature -- Nullness for non-null columns

	is_null_full_name: BOOLEAN
	is_null_org_no: BOOLEAN
	is_null_short_id: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and org_no = r.org_no
			Result := Result
				and equal (full_name, r.full_name)
				and equal (org_type, r.org_type)
				and equal (short_id, r.short_id)
			Result := Result
				and is_null_full_name = r.is_null_full_name
				and is_null_org_no = r.is_null_org_no
				and is_null_org_type = r.is_null_org_type
				and is_null_short_id = r.is_null_short_id
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 40)
			q.select_integer (2)
			q.select_string (3, 15)
			q.select_string (4, 15)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			org_no := q.integer_value (2)
		end

	fill_in_references (q: SQL_QUERY)
		do
			full_name := q.string_value (1)
			org_type := q.string_value (3)
			short_id := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, full_name)
			q.get_string_value (3, org_type)
			q.get_string_value (4, short_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_full_name := q.is_null (1)
			is_null_org_no := q.is_null (2)
			is_null_org_type := q.is_null (3)
			is_null_short_id := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_full_name := True
			is_null_org_no := True
			is_null_org_type := True
			is_null_short_id := True
			create full_name.make (0)
			create org_type.make (0)
			create short_id.make (0)
		end

end
