
indexing
	
	description: "Organization short ID in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class ORG_SHORT_ID_COLUMN [G -> HAS_ORG_SHORT_ID]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Organization"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_org_short_id then
				Result := r.org_short_id
			else
				Result := ""
			end
		end

	comparator: ORG_SHORT_ID_COMPARATOR [G]
		do
			create Result
		end

end
