
indexing
	
	description: "Overhead style column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class OVERHEAD_STYLE_COLUMN [G -> HAS_OVERHEAD_STYLE]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Die Label"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			Result := r.overhead_style
		end

	comparator: OVERHEAD_STYLE_COMPARATOR [G]
		do
			create Result
		end

end
