
indexing
	
	description: "Interface to provide information about packaging on a run"
	author: "David Hollenberg"
	date: "March 16, 2007"

deferred class PACKAGE_INFO_IFC
inherit
	ABSTRACT_INTERFACE

feature {NONE} -- Creation

	make_interface
			-- Create interface
		do
			create cancel_actions
		end

feature -- Properties

	session: RC_RUN_CLOSING_SESSION
			-- Session used to close or view run

	cancel_actions: CLOSED_ACTION_SEQUENCE
			-- Action to be invoked when user clicks on Cancel

feature -- Modification

	set_session (sess: like session)
			-- Set `session' to `sess'
		require
			sess_exists: sess /= Void
		do
			session := sess
		ensure
			session_set: session = sess
		end

end
