
indexing
	
	description: "Comparator for package manufacturer in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class PACKAGE_MANUFACTURER_COMPARATOR [G -> HAS_PACKAGE_MANUFACTURER]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_package_manufacturer and v.has_package_manufacturer then
				Result := u.package_manufacturer < v.package_manufacturer
			else
				Result := v.has_package_manufacturer
			end
		end

end
