
indexing
	
	description: "State saved for packaging lot"
	author: "David Hollenberg"
	date: "March 31, 2004"

class PACKAGING_LOT_STATE

feature -- Properties

	wafer_process: STRING
			-- Process for lot

	packaging_org_no: INTEGER
			-- Organization number

	packaging_order_type: STRING
			-- Type of packaging order

	date_received: DB_DATE
			-- (Estimated) date lot received

	date_sent: DB_DATE
			-- (Estimated) date lot sent

feature -- Modification

	set_wafer_process (p: like wafer_process)
			-- Set `wafer_process' to `p'
		do
			wafer_process := p
		end

	set_packaging_org_no (d: like packaging_org_no)
			-- Set `packaging_org_no' to `d'
		do
			packaging_org_no := d
		end

	set_packaging_order_type (d: like packaging_order_type)
			-- Set `packaging_order_type' to `d'
		do
			packaging_order_type := d
		end

	set_date_received (d: like date_received)
			-- Set `date_received' to `d'
		do
			date_received := d
		end

	set_date_sent (d: like date_sent)
			-- Set `date_sent' to `d'
		do
			date_sent := d
		end

end
