
indexing

	date: "Wed Jun 27 14:03:22 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_CUT_PATTERNS (MOSIS.PACKING_CUT_PATTERNS)"
			-- Included columns
			-- 	CUT_PATTERN_NO
			-- 	FIELD_NAME
			-- 	IS_COMPLETED
			-- 	PACKING_ID
			-- 	QUANTITY_WAFERS_NEEDED
			-- 	VERSION_NO
			-- 	WAFER_ETEST_NAME
			-- Excluded columns
			-- 	(none)

class PACKING_CUT_PATTERNS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values,
			copy_from_row,
			detached_twin
		end
	PACKING_CUT_PATTERNS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_cut_pattern_no (k: INTEGER)
		do
			change_key_field
			cut_pattern_no := k
			is_null_cut_pattern_no := False
		end

	set_field_name (s: STRING)
		do
			change_field (True, True)
			field_name := s
			if s = Void then
				create field_name.make (0)
			end
			is_null_field_name := s = Void or else s.count = 0
		end

	set_is_completed (b: BOOLEAN)
		do
			change_field (True, True)
			is_completed := b
			is_null_is_completed := False
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_quantity_wafers_needed (k: INTEGER)
		do
			change_field (True, True)
			quantity_wafers_needed := k
			is_null_quantity_wafers_needed := False
		end

	set_version_no (k: INTEGER)
		do
			change_key_field
			version_no := k
			is_null_version_no := False
		end

	set_wafer_etest_name (s: STRING)
		do
			change_field (True, True)
			wafer_etest_name := s
			if s = Void then
				create wafer_etest_name.make (0)
			end
			is_null_wafer_etest_name := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_quantity_wafers_needed
		do
			change_field (True, True)
			quantity_wafers_needed := 0
			is_null_quantity_wafers_needed := True
		end

	set_null_wafer_etest_name
		do
			set_wafer_etest_name (Void)
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_cut_pattern_no then
				handle_null_copy_error ("cut_pattern_no")
			else
				set_cut_pattern_no (r.cut_pattern_no)
			end
			if r.is_null_field_name then
				handle_null_copy_error ("field_name")
			else
				set_field_name (r.field_name)
			end
			if r.is_null_is_completed then
				handle_null_copy_error ("is_completed")
			else
				set_is_completed (r.is_completed)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_quantity_wafers_needed then
				set_null_quantity_wafers_needed
			else
				set_quantity_wafers_needed (r.quantity_wafers_needed)
			end
			if r.is_null_version_no then
				handle_null_copy_error ("version_no")
			else
				set_version_no (r.version_no)
			end
			if r.is_null_wafer_etest_name then
				set_null_wafer_etest_name
			else
				set_wafer_etest_name (r.wafer_etest_name)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			is_completed := False
			is_null_is_completed := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, cut_pattern_no, is_null_cut_pattern_no)
			s.bind_num_to_string (2, field_name, is_null_field_name)
			s.bind_num_to_boolean (3, is_completed, is_null_is_completed)
			s.bind_num_to_string (4, packing_id, is_null_packing_id)
			s.bind_num_to_integer (5, quantity_wafers_needed, is_null_quantity_wafers_needed)
			s.bind_num_to_integer (6, version_no, is_null_version_no)
			s.bind_num_to_string (7, wafer_etest_name, is_null_wafer_etest_name)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7"

	bind_list_for_update: STRING = "  cut_pattern_no = :1, field_name = :2, is_completed = :3, packing_id = :4,%N  quantity_wafers_needed = :5, version_no = :6, wafer_etest_name = :7"

end
