
indexing

	date: "Tue Apr 24 10:30:15 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_ETEST_COLORS (MOSIS.PACKING_ETEST_COLORS)"
			-- Included columns
			-- 	BLUE_VALUE
			-- 	COLOR_NAME
			-- 	GREEN_VALUE
			-- 	PACKING_ID
			-- 	RED_VALUE
			-- 	WAFER_ETEST_NAME
			-- Excluded columns
			-- 	(none)

class PACKING_ETEST_COLORS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_packing_id: STRING; the_wafer_etest_name: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_packing_id_exists: the_packing_id /= Void
			the_wafer_etest_name_exists: the_wafer_etest_name /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			packing_id := the_packing_id
			wafer_etest_name := the_wafer_etest_name
			is_null_packing_id := False
			is_null_wafer_etest_name := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 6

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  blue_value, color_name, green_value, packing_id, red_value,%N  wafer_etest_name"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "packing_etest_colors pec"

	join_condition: STRING = ""

	table_name: STRING = "packing_etest_colors"

	key_where_clause: STRING = "packing_id = :1 and wafer_etest_name = :2"

feature -- Values

	blue_value: DOUBLE
			-- DB: NUMBER(*,*)

	color_name: STRING
			-- DB: VARCHAR2(30)

	green_value: DOUBLE
			-- DB: NUMBER(*,*)

	packing_id: STRING
			-- DB: VARCHAR2(30) not null

	red_value: DOUBLE
			-- DB: NUMBER(*,*)

	wafer_etest_name: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_blue_value: BOOLEAN
	is_null_color_name: BOOLEAN
	is_null_green_value: BOOLEAN
	is_null_red_value: BOOLEAN

feature -- Nullness for non-null columns

	is_null_packing_id: BOOLEAN
	is_null_wafer_etest_name: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (packing_id, r.packing_id)
				and equal (wafer_etest_name, r.wafer_etest_name)
			Result := Result
				and is_null_packing_id = r.is_null_packing_id
				and is_null_wafer_etest_name = r.is_null_wafer_etest_name
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and blue_value = r.blue_value
				and green_value = r.green_value
				and red_value = r.red_value
			Result := Result
				and equal (color_name, r.color_name)
			Result := Result
				and is_null_blue_value = r.is_null_blue_value
				and is_null_color_name = r.is_null_color_name
				and is_null_green_value = r.is_null_green_value
				and is_null_red_value = r.is_null_red_value
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_double (1)
			q.select_string (2, 30)
			q.select_double (3)
			q.select_string (4, 30)
			q.select_double (5)
			q.select_string (6, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			blue_value := q.double_value (1)
			green_value := q.double_value (3)
			red_value := q.double_value (5)
		end

	fill_in_references (q: SQL_QUERY)
		do
			color_name := q.string_value (2)
			packing_id := q.string_value (4)
			wafer_etest_name := q.string_value (6)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, color_name)
			q.get_string_value (4, packing_id)
			q.get_string_value (6, wafer_etest_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_blue_value := q.is_null (1)
			is_null_color_name := q.is_null (2)
			is_null_green_value := q.is_null (3)
			is_null_packing_id := q.is_null (4)
			is_null_red_value := q.is_null (5)
			is_null_wafer_etest_name := q.is_null (6)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_packing_id := True
			is_null_wafer_etest_name := True
			create packing_id.make (0)
			create wafer_etest_name.make (0)
		end

	set_null_nonkey
		do
			is_null_blue_value := True
			is_null_color_name := True
			is_null_green_value := True
			is_null_red_value := True
			create color_name.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, packing_id, False)
			q.bind_num_to_string (2, wafer_etest_name, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and blue_value = q.double_value (1)
				and green_value = q.double_value (3)
				and red_value = q.double_value (5)
			q.get_string_value (2, s)
			Result := Result and equal (color_name, s)
			q.get_string_value (4, s)
			Result := Result and equal (packing_id, s)
			q.get_string_value (6, s)
			Result := Result and equal (wafer_etest_name, s)
			Result := Result
				and is_null_blue_value = q.is_null (1)
				and is_null_color_name = q.is_null (2)
				and is_null_green_value = q.is_null (3)
				and is_null_packing_id = q.is_null (4)
				and is_null_red_value = q.is_null (5)
				and is_null_wafer_etest_name = q.is_null (6)
		end

end
