
expanded class PACKING_TARGET_VALUES

inherit
	STRING_UTILITIES_ACCESS

feature -- Properties

	Custom_reticle: 	STRING = "CUSTOM_RETICLE"
	Custom_reticle_die: 	STRING = "CUSTOM_RETICLE_DIE"
	Custom_tile: 		STRING = "CUSTOM_TILE"
	Standard_reticle: 	STRING = "STANDARD_RETICLE"
	Standard_reticle_die: 	STRING = "STANDARD_RETICLE_DIE"
	Unpacked_die: 		STRING = "UNPACKED_DIE"

feature	-- custom names for litho_size_id/field_set_name/field_step_pattern

	custom_tile_name(rid: STRING): STRING
		-- litho_size/field_set name for a custom tile for run rid
	do  Result := su.string_of_3(custom_tile, su.underscore, rid)
	end;

	custom_reticle_name(rid: STRING): STRING
		-- litho_size/field_set/step_pattern name for a custom reticle
	do  Result := su.string_of_3(custom_reticle, su.underscore, rid)
	end;

	custom_reticle_die_name(rid: STRING): STRING
		-- litho_size/field_set/step_pattern name for a custom reticle die
	do  Result := su.string_of_3(custom_reticle_die, su.underscore, rid)
	end;

end -- PACKING_TARGET_VALUES
