
indexing

	date: "Tue Apr 24 10:30:15 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_VERSIONS (MOSIS.PACKING_VERSIONS)"
			-- Included columns
			-- 	CREATOR
			-- 	DATE_CREATED
			-- 	PACKING_ID
			-- 	PACKING_NAME
			-- 	PARENT_VERSION_NO
			-- 	VERSION_ID
			-- 	VERSION_NO
			-- Excluded columns
			-- 	(none)

class PACKING_VERSIONS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	PACKING_VERSIONS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_creator (s: STRING)
		do
			change_field (True, True)
			creator := s
			if s = Void then
				create creator.make (0)
			end
			is_null_creator := s = Void or else s.count = 0
		end

	set_date_created (d: DB_DATE)
		do
			change_field (True, True)
			date_created := d
			if d = Void then
				create {ORACLE_DATE} date_created.set_null
			end
			is_null_date_created := d = Void or else d.is_null
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_packing_name (s: STRING)
		do
			change_field (True, True)
			packing_name := s
			if s = Void then
				create packing_name.make (0)
			end
			is_null_packing_name := s = Void or else s.count = 0
		end

	set_parent_version_no (k: INTEGER)
		do
			change_field (True, True)
			parent_version_no := k
			is_null_parent_version_no := False
		end

	set_version_id (s: STRING)
		do
			change_field (True, True)
			version_id := s
			if s = Void then
				create version_id.make (0)
			end
			is_null_version_id := s = Void or else s.count = 0
		end

	set_version_no (k: INTEGER)
		do
			change_key_field
			version_no := k
			is_null_version_no := False
		end

feature -- Modification to null

	set_null_packing_name
		do
			set_packing_name (Void)
		end

	set_null_parent_version_no
		do
			change_field (True, True)
			parent_version_no := 0
			is_null_parent_version_no := True
		end

	set_null_version_id
		do
			set_version_id (Void)
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_creator then
				handle_null_copy_error ("creator")
			else
				set_creator (r.creator)
			end
			if r.is_null_date_created then
				handle_null_copy_error ("date_created")
			else
				set_date_created (r.date_created)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_packing_name then
				set_null_packing_name
			else
				set_packing_name (r.packing_name)
			end
			if r.is_null_parent_version_no then
				set_null_parent_version_no
			else
				set_parent_version_no (r.parent_version_no)
			end
			if r.is_null_version_id then
				set_null_version_id
			else
				set_version_id (r.version_id)
			end
			if r.is_null_version_no then
				handle_null_copy_error ("version_no")
			else
				set_version_no (r.version_no)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, creator, is_null_creator)
			s.bind_num_to_date (2, date_created, is_null_date_created)
			s.bind_num_to_string (3, packing_id, is_null_packing_id)
			s.bind_num_to_string (4, packing_name, is_null_packing_name)
			s.bind_num_to_integer (5, parent_version_no, is_null_parent_version_no)
			s.bind_num_to_string (6, version_id, is_null_version_id)
			s.bind_num_to_integer (7, version_no, is_null_version_no)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7"

	bind_list_for_update: STRING = "  creator = :1, date_created = :2, packing_id = :3, packing_name = :4,%N  parent_version_no = :5, version_id = :6, version_no = :7"

end
