
indexing

	author: "David Hollenberg"

class PACKINGS_MROW
inherit
	PACKINGS_MRAW
	PACKINGS_ROW
		undefine
			initialize_new,
			initialize_new_by_key
		end

create
	make_template, make_null, make_by_key, make_detached

feature -- Modification

	initialize_from_run (r: RUNS_ROW) is
			-- Initialize from attributes of `r'
		require
			r_not_void: r /= Void
		do
			set_date_created (any_connection.transaction_date)
			set_creator (any_connection.user_name)
			set_run_type (r.run_type)
			set_is_taxi (r.initial_run_production.is_taxi)
			set_educational (r.educational)
			set_wafer_techn (r.wafer_techn)
			set_wafer_techn_family (r.wafer_techn_row.wafer_techn_family)
			if r.is_null_sched_run_no then
				set_null_sched_run_no
			else
				set_sched_run_no (r.sched_run_no)
			end
			set_field_set_name (r.field_set_name)
			if r.is_null_uniform_override_border then
				set_null_uniform_override_border
			else
				set_uniform_override_border (r.uniform_override_border)
			end
			if r.is_null_overhead_style then
				set_null_overhead_style
			else
				set_overhead_style (r.overhead_style)
			end
			set_other_border (r.other_border)
			set_intended_run (r.run_id)
			set_assigned_run_id (r.run_id)
			set_packed_with_new_packer (True)
			set_descr ("Packing created automatically by Delta")
		end

end
