
indexing
	
	description: "Error on path name"
	author: "David Hollenberg"
	date: "July 13, 2000"

class PATH_ERROR

create
	make

feature {NONE} -- Creation

	make (full_path, descr: STRING)
			-- Create `Current' with full pathname `full_path'
			-- and error description `error'
		require
			full_path_exists: full_path /= Void
			full_path_nonempty: not full_path.is_empty
			descr_exists: descr /= Void
			descr_nonempty: not descr.is_empty
		do
			path_name := full_path
			description := descr
		end

feature -- Properties

	path_name: STRING
			-- Full path name on which error occurred

	description: STRING
			-- Description of error

end

