
indexing

	date: "Tue Apr 24 10:30:15 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PATTERN_FILES (MOSIS.PATTERN_FILES)"
			-- Included columns
			-- 	ARRAY_RECTANGLE_COUNT
			-- 	ARRAY_TRAPEZOID_COUNT
			-- 	DENSITY
			-- 	DIE_ID
			-- 	FIELD_NAME
			-- 	GRAND_TOTAL_COUNT
			-- 	LEVEL_NO
			-- 	PATTERN_FILENAME
			-- 	PATTERN_TYPE
			-- 	RECTANGLE_COUNT
			-- 	RENAMED_PATTERN_FILENAME
			-- 	RUN_ID
			-- 	TRAPEZOID_COUNT
			-- Excluded columns
			-- 	(none)

class PATTERN_FILES_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	PATTERN_FILES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_array_rectangle_count (d: DOUBLE)
		do
			change_field (True, True)
			array_rectangle_count := d
			is_null_array_rectangle_count := False
		end

	set_array_trapezoid_count (d: DOUBLE)
		do
			change_field (True, True)
			array_trapezoid_count := d
			is_null_array_trapezoid_count := False
		end

	set_density (d: DOUBLE)
		do
			change_field (True, True)
			density := d
			is_null_density := False
		end

	set_die_id (s: STRING)
		do
			change_field (True, True)
			die_id := s
			if s = Void then
				create die_id.make (0)
			end
			is_null_die_id := s = Void or else s.count = 0
		end

	set_field_name (s: STRING)
		do
			change_field (True, True)
			field_name := s
			if s = Void then
				create field_name.make (0)
			end
			is_null_field_name := s = Void or else s.count = 0
		end

	set_grand_total_count (d: DOUBLE)
		do
			change_field (True, True)
			grand_total_count := d
			is_null_grand_total_count := False
		end

	set_level_no (k: INTEGER)
		do
			change_field (True, True)
			level_no := k
			is_null_level_no := False
		end

	set_pattern_filename (s: STRING)
		do
			change_key_field
			pattern_filename := s
			if s = Void then
				create pattern_filename.make (0)
			end
			is_null_pattern_filename := s = Void or else s.count = 0
		end

	set_pattern_type (s: STRING)
		do
			change_field (True, True)
			pattern_type := s
			if s = Void then
				create pattern_type.make (0)
			end
			is_null_pattern_type := s = Void or else s.count = 0
		end

	set_rectangle_count (d: DOUBLE)
		do
			change_field (True, True)
			rectangle_count := d
			is_null_rectangle_count := False
		end

	set_renamed_pattern_filename (s: STRING)
		do
			change_field (True, True)
			renamed_pattern_filename := s
			if s = Void then
				create renamed_pattern_filename.make (0)
			end
			is_null_renamed_pattern_filename := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_field (True, True)
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_trapezoid_count (d: DOUBLE)
		do
			change_field (True, True)
			trapezoid_count := d
			is_null_trapezoid_count := False
		end

feature -- Modification to null

	set_null_array_rectangle_count
		do
			change_field (True, True)
			array_rectangle_count := 0.0
			is_null_array_rectangle_count := True
		end

	set_null_array_trapezoid_count
		do
			change_field (True, True)
			array_trapezoid_count := 0.0
			is_null_array_trapezoid_count := True
		end

	set_null_density
		do
			change_field (True, True)
			density := 0.0
			is_null_density := True
		end

	set_null_die_id
		do
			set_die_id (Void)
		end

	set_null_field_name
		do
			set_field_name (Void)
		end

	set_null_grand_total_count
		do
			change_field (True, True)
			grand_total_count := 0.0
			is_null_grand_total_count := True
		end

	set_null_rectangle_count
		do
			change_field (True, True)
			rectangle_count := 0.0
			is_null_rectangle_count := True
		end

	set_null_renamed_pattern_filename
		do
			set_renamed_pattern_filename (Void)
		end

	set_null_trapezoid_count
		do
			change_field (True, True)
			trapezoid_count := 0.0
			is_null_trapezoid_count := True
		end

feature {NONE} -- Initialization

	set_default_values
		do
			level_no := -1
			is_null_level_no := False
			pattern_type := "DIE"
			is_null_pattern_type := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_double (1, array_rectangle_count, is_null_array_rectangle_count)
			s.bind_num_to_double (2, array_trapezoid_count, is_null_array_trapezoid_count)
			s.bind_num_to_double (3, density, is_null_density)
			s.bind_num_to_string (4, die_id, is_null_die_id)
			s.bind_num_to_string (5, field_name, is_null_field_name)
			s.bind_num_to_double (6, grand_total_count, is_null_grand_total_count)
			s.bind_num_to_integer (7, level_no, is_null_level_no)
			s.bind_num_to_string (8, pattern_filename, is_null_pattern_filename)
			s.bind_num_to_string (9, pattern_type, is_null_pattern_type)
			s.bind_num_to_double (10, rectangle_count, is_null_rectangle_count)
			s.bind_num_to_string (11, renamed_pattern_filename, is_null_renamed_pattern_filename)
			s.bind_num_to_string (12, run_id, is_null_run_id)
			s.bind_num_to_double (13, trapezoid_count, is_null_trapezoid_count)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13"

	bind_list_for_update: STRING = "  array_rectangle_count = :1, array_trapezoid_count = :2, density = :3,%N  die_id = :4, field_name = :5, grand_total_count = :6, level_no = :7,%N  pattern_filename = :8, pattern_type = :9, rectangle_count = :10,%N  renamed_pattern_filename = :11, run_id = :12, trapezoid_count = :13"

end
