
indexing
	
	description: "Comparator for position"
	author: "David Hollenberg"
	date: "November 18, 2003"

class POSITION_COMPARATOR [G -> HAS_POSITION]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_position and v.has_position then
				Result := u.position < v.position
			elseif v.has_position then
				Result := True
			else
				Result := False
			end
		end

end
