
indexing
	
	description: "Action to be taken prior to attempt to do horizontal scan"
	author: "David Hollenberg"
	date: "January 3, 2007"

class PRE_HORIZONTAL_SCAN_ACTION
inherit
	PRE_SCAN_ACTION

feature {NONE} -- Implementation

	is_valid_scribe (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Is `an_element' a scribe of the correct orientation
			-- to be included in this scan?
		do
			Result := an_element.is_vertical_scribe
		end

	is_scribe_included (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Should scribe `an_element', which has the correct
			-- orientation, be included in this scan?
		do
			Result := an_element.is_center_x_in_field
		end

	is_movable (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Is `an_element' movable for scanning purposes
			-- in the direction of the scan?
		do
			Result := not an_element.is_fixed_in_x
		end

end
