
indexing
	
	description: "A run closing step operation that prepares %
		%final bonding diagrams and makes them available for %
		%download by customers"
	author: "David Hollenberg"
	date: "May 31, 2005"

class PREPARE_FINAL_BOND_DIAGRAMS_OP
inherit
	INTERNAL_FE_REQUEST_OP
	RC_APPLICABLE_STEP

create
	make

feature -- Properties

	input_data_items: LIST [STRING]
			-- Data items required before step can be executed
		do
			Result := array_as_list (<<
				data_item.Fab_posted_event
				 >>)
		end

feature {NONE} -- Implementation

	internal_request_interface: INTERNAL_FE_REQUEST_IFC
		do
			Result := factory.bond_diagram_prep_interface (session.run_id, session.title_with_run_id ("Prepare Final Bonding Diagrams"))
		end

end
