
indexing
	
	description: "Interface to show progress of an application, with a button to abort operation"
	author: "David Hollenberg"
	date: "May 8, 2003"

deferred class PROGRESS_IFC

inherit
	ABSTRACT_INTERFACE

feature {NONE} -- Creation

	make_interface
			-- Create interface
		do
			create decline_actions
		end

feature -- Properties

	decline_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when user declines to
			-- proceed with current operation

feature -- Modification

	set_label (s: STRING)
		require
			text_exists: s /= Void
		deferred
		end

end
