
indexing
	
	description: "Quantity ordered column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class QUANTITY_ORDERED_COLUMN [G -> HAS_QUANTITY_ORDERED]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Quantity"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_right_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_quantity_ordered then
				Result := r.quantity_ordered.out
			else
				Result := ""
			end
		end

	comparator: QUANTITY_ORDERED_COMPARATOR [G]
		do
			create Result
		end

end
