
indexing
	
	description: "Run closing application control"
	author: "David Hollenberg"
	date: "April 24, 2003"

deferred class RC_APPLICATION

feature -- Properties

	current_window: EV_TITLED_WINDOW
		deferred
		end

feature -- Operations

	handle_unimplemented_function (s: STRING)
			-- Handle unimplemented function described by `s'
		require
			description_exists: s /= Void
		deferred
		end
	
	show_current_window
			-- Make sure current window is displayed
		deferred
		end
			
	hide_current_window
			-- Make sure current window is not displayed
		deferred
		end
			
	switch_to_auxiliary_window
			-- Make auxiliary window the current window
		deferred
		end
			
	switch_to_main_window
			-- Make main window the current window
		deferred
		end
			
	raise_auxiliary_window
			-- Raise auxiliary window so that it is on top
		deferred
		end
			
	raise_main_window
			-- Raise main window so that it is on top
		deferred
		end
			
	exit_application
			-- Exit the application
		deferred
		end
	
end
