
indexing
	
	description: "Interface to allow printing of bonding diagrams for %
		%a list of IC packagings"
	author: "David Hollenberg"
	date: "April 20, 2005"

deferred class RC_BOND_PRINT_IFC

inherit
	RC_MAP_PRINT_IFC
		
feature -- Modification

	set_packagings (list: like packagings)
			-- Set `packagings' to `list'
		require
			list_not_void: list /= Void
		do
			packagings := list
		ensure
			packagings_set: packagings = list
		end

feature -- Properties

	packagings: LIST [IC_PACKAGING_AND_WO]
			-- List of packagings for which bonding diagrams
			-- can be printed

end
