
indexing
	
	description: "A session for creating a new packing"
	author: "David Hollenberg"
	date: "November 7, 2005"

class RC_PACKING_CREATION_SESSION
inherit
	RC_SESSION

create
	make_from_session

feature -- Properties

	type: STRING = "Packing creation"
			-- Type of session

	id_name: STRING = ""
			-- Name of session-identifying value
	
	id_value: STRING = ""
			-- Value that identifies session

	has_steps: BOOLEAN = False
			-- Is session activity broken into separate steps?

	error_file_name: STRING
			-- Name of file for error messages
		do
			Result := environment.general_error_filename
		end

	log_file_name: STRING
			-- Name of log file for session
		do
			Result := environment.general_log_filename
		end

	shared_lock_name: STRING
			-- Name of shared lock file
		do
			Result := environment.shared_lock_name
		end

	exclusive_lock_name: STRING
			-- Name of exclusive lock file
		do
		end

end

