
indexing
	
	description: "Interface to provide help in packer"
	author: "David Hollenberg"
	date: "March 16, 2007"

deferred class RC_PACKING_HELP_IFC
inherit
	ABSTRACT_INTERFACE

feature {NONE} -- Creation

	make_interface
			-- Create interface
		do
			create save_actions
			create cancel_actions
		end

feature -- Properties

	bindings: LIST [MODIFIED_BINDING]
			-- List of key and pointer button bindings

	save_actions: ACTION_SEQUENCE [TUPLE [STRING]]
			-- Action to be invoked when user clicks on Save

	cancel_actions: CLOSED_ACTION_SEQUENCE
			-- Action to be invoked when user clicks on Cancel

feature -- Modification

	set_bindings (a_list: like bindings)
			-- Set `bindings' to `a_list'
		require
			a_list_not_void: a_list /= Void
		do
			bindings := a_list
		ensure
			bindings_set: bindings = a_list
		end

end
