
indexing
	
	description: "Interface to allow specification of distance for %
		%relative move operation in packer"
	author: "David Hollenberg"
	date: "November 7, 2006"

deferred class RC_PACKING_MOVE_REL_IFC
inherit
	ABSTRACT_INTERFACE
	GRIDABLE

feature {NONE} -- Creation

	make_interface
			-- Create interface
		do
			create accept_actions
			create cancel_actions
		end

feature -- Properties

	accept_actions: ACTION_SEQUENCE [TUPLE [DOUBLE, DOUBLE]]
			-- Action to be invoked when user accepts
			-- current values

	cancel_actions: CLOSED_ACTION_SEQUENCE
			-- Action to be invoked when user clicks on Cancel

end
