
indexing
	
	description: "Reason unselectable column in a multi column list"
	author: "David Hollenberg"
	date: "December 21, 2005"

class REASON_UNSELECTABLE_COLUMN [G -> HAS_REASON_UNSELECTABLE]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Reason Not Available"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_reason_unselectable then
				Result := r.reason_unselectable
			else
				Result := ""
			end
		end

	comparator: REASON_UNSELECTABLE_COMPARATOR [G]
		do
			create Result
		end

end
