
indexing
	
	description: "Comparator for reason unselectable in a multi column list"
	author: "David Hollenberg"
	date: "December 21, 2003"

class REASON_UNSELECTABLE_COMPARATOR [G -> HAS_REASON_UNSELECTABLE]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_reason_unselectable and v.has_reason_unselectable then
				Result := u.reason_unselectable < v.reason_unselectable
			elseif v.has_reason_unselectable then
				Result := True
			else
				Result := False
			end
		end

end
