
indexing
	
	description: "Comparator for required count in a multi column list"
	author: "David Hollenberg"
	date: "December 19, 2006"

class REQUIRED_COUNT_COMPARATOR [G -> HAS_REQUIRED_COUNT]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_required_count and v.has_required_count then
				Result := u.required_count < v.required_count
			elseif v.has_required_count then
				Result := True
			else
				Result := False
			end
		end

end
