
indexing
	
	description: "Change applied to reticle during packing which %
		%may have deleted some existing elements (possibly deleting %
		%last copy and may have created some new elements"
	author: "David Hollenberg"
	date: "January 25, 2007"

class RETICLE_CREATION_AND_DELETION_CHANGE
inherit
	RETICLE_CREATION_OR_DELETION_CHANGE
	
create
	make

feature {NONE} -- Implementation

	start_undo
			-- Take actions needed before undoing each simple
			-- change
		do
			start_delete
		end

	finish_undo
			-- Take actions needed after undoing each simple
			-- change
		do
			finish_delete
		end

	start_redo
			-- Take actions needed before redoing each simple
			-- change
		do
			start_delete
		end

	finish_redo
			-- Take actions needed after redoing each simple
			-- change
		do
			finish_delete
		end

end
