
indexing
	
	description: "Test vehicle element of reticle model"
	author: "David Hollenberg"
	date: "July 28, 2006"

class RETICLE_TEST_VEHICLE
inherit
	RETICLE_PROJECT
		redefine
			is_test_vehicle
		end

create
	make

feature -- Properties

	is_test_vehicle: BOOLEAN = True
			-- Is element a test vehicle?

feature -- Contract support

	is_valid_for_creation (a_die: like die): BOOLEAN
			-- Is `a_die' have a die type that is valid
			-- for creation of `Current'?
		do
			Result := a_die.is_test_vehicle
		end

end
