
indexing
	
	description: "Object that can generate an opaque or transparent %
		%indication for an element of a reticle view"
	author: "David Hollenberg"
	date: "October 3, 2006"

deferred class RETICLE_VIEW_ELEMENT_OPACITY_GENERATOR

feature  -- Access

	is_opaque (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Should `an_element' be displayed opaque?
		require
			an_element_not_void: an_element /= Void
		deferred
		end
	
	is_transparent (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Should `an_element' be displayed transparent?
		require
			an_element_not_void: an_element /= Void
		do
			Result := not is_opaque (an_element)
		end
	
end
