deferred class RGB_COLOR
		-- parent of anyone having a (possibly named) RGB color scheme

feature
	color_name: STRING is
		-- the (optional) name for this color
	deferred
	end;

	has_color_name: BOOLEAN is
		-- does this color have a name?
	deferred
	end;

	red_value: DOUBLE is
	deferred
	ensure 0 <= Result and Result <= 1
	end;

	green_value: DOUBLE is
	deferred
	ensure 0 <= Result and Result <= 1
	end;

	blue_value: DOUBLE is
	deferred
	ensure 0 <= Result and Result <= 1
	end;

end -- RGB_COLOR
