
indexing
	
	description: "Object that can compose text for database row count error"
	author: "David Hollenberg"
	date: "October 30, 2003"

class ROW_COUNT_ERROR_COMPOSER
inherit
	TEXT_COMPOSER [ROW_COUNT_ERROR]
	STRING_UTILITIES_ACCESS
		export
			{NONE} all
		end

feature -- Properties

	text (err: ROW_COUNT_ERROR): STRING
			-- Text composed for `err'
		local
			actual_range: ITEM_COUNT_RANGE
		do
			create actual_range.make_exact (err.actual_count)
			Result := "Expected to fetch " + err.expected_range.item_text (Row, Rows) + " from database but got " + actual_range.item_text (Row, Rows) + "%N%N"
			Result.append ("SQL query:%N") 
			su.append_string_indented (Indent, err.query_text, 0, Result)
 			Result.append (err.query_bindings)
		end

feature {NONE} -- Implementation

	Row: STRING = "row"

	Rows: STRING = "rows"

	Indent: STRING = "    "

end
