
indexing

	date: "Tue Apr 24 10:30:15 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUN_CLOSING_STEP_DATA_ITEMS (MOSIS.RUN_CLOSING_STEP_DATA_ITEMS)"
			-- Included columns
			-- 	DATA_ITEM
			-- 	DETERMINES_APPLICABILITY
			-- 	IS_INPUT
			-- 	PRIMITIVE_STEP_NAME
			-- Excluded columns
			-- 	(none)

class RUN_CLOSING_STEP_DATA_ITEMS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_primitive_step_name: STRING; the_data_item: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_primitive_step_name_exists: the_primitive_step_name /= Void
			the_data_item_exists: the_data_item /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			primitive_step_name := the_primitive_step_name
			data_item := the_data_item
			is_null_primitive_step_name := False
			is_null_data_item := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  data_item, determines_applicability, is_input, primitive_step_name"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "run_closing_step_data_items rcsdi"

	join_condition: STRING = ""

	table_name: STRING = "run_closing_step_data_items"

	key_where_clause: STRING = "primitive_step_name = :1 and data_item = :2"

feature -- Values

	data_item: STRING
			-- DB: VARCHAR2(30) not null

	determines_applicability: BOOLEAN
			-- DB: CHAR(1) not null

	is_input: BOOLEAN
			-- DB: CHAR(1) not null

	primitive_step_name: STRING
			-- DB: VARCHAR2(30) not null

feature -- Nullness for non-null columns

	is_null_data_item: BOOLEAN
	is_null_determines_applicability: BOOLEAN
	is_null_is_input: BOOLEAN
	is_null_primitive_step_name: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (data_item, r.data_item)
				and equal (primitive_step_name, r.primitive_step_name)
			Result := Result
				and is_null_data_item = r.is_null_data_item
				and is_null_primitive_step_name = r.is_null_primitive_step_name
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and determines_applicability = r.determines_applicability
				and is_input = r.is_input
			Result := Result
				and is_null_determines_applicability = r.is_null_determines_applicability
				and is_null_is_input = r.is_null_is_input
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 30)
			q.select_boolean (2)
			q.select_boolean (3)
			q.select_string (4, 30)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			determines_applicability := q.boolean_value (2)
			is_input := q.boolean_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			data_item := q.string_value (1)
			primitive_step_name := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, data_item)
			q.get_string_value (4, primitive_step_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_data_item := q.is_null (1)
			is_null_determines_applicability := q.is_null (2)
			is_null_is_input := q.is_null (3)
			is_null_primitive_step_name := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_primitive_step_name := True
			is_null_data_item := True
			create primitive_step_name.make (0)
			create data_item.make (0)
		end

	set_null_nonkey
		do
			is_null_determines_applicability := True
			is_null_is_input := True
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, primitive_step_name, False)
			q.bind_num_to_string (2, data_item, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and determines_applicability = q.boolean_value (2)
				and is_input = q.boolean_value (3)
			q.get_string_value (1, s)
			Result := Result and equal (data_item, s)
			q.get_string_value (4, s)
			Result := Result and equal (primitive_step_name, s)
			Result := Result
				and is_null_data_item = q.is_null (1)
				and is_null_determines_applicability = q.is_null (2)
				and is_null_is_input = q.is_null (3)
				and is_null_primitive_step_name = q.is_null (4)
		end

end
