
indexing

	date: "Tue Apr 24 10:30:15 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUN_CLOSING_STEPS (MOSIS.RUN_CLOSING_STEPS)"
			-- Included columns
			-- 	DESCR
			-- 	PRESENTATION_ORDER
			-- 	PRESENTATION_TEXT
			-- 	STEP_NAME
			-- Excluded columns
			-- 	(none)

class RUN_CLOSING_STEPS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_step_name: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_step_name_exists: the_step_name /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			step_name := the_step_name
			is_null_step_name := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  descr, presentation_order, presentation_text, step_name"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "run_closing_steps rcs"

	join_condition: STRING = ""

	table_name: STRING = "run_closing_steps"

	key_where_clause: STRING = "step_name = :1"

feature -- Values

	descr: STRING
			-- DB: VARCHAR2(200)

	presentation_order: DOUBLE
			-- DB: NUMBER(*,*)

	presentation_text: STRING
			-- DB: VARCHAR2(50) not null

	step_name: STRING
			-- DB: VARCHAR2(30) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN
	is_null_presentation_order: BOOLEAN

feature -- Nullness for non-null columns

	is_null_presentation_text: BOOLEAN
	is_null_step_name: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (step_name, r.step_name)
			Result := Result
				and is_null_step_name = r.is_null_step_name
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and presentation_order = r.presentation_order
			Result := Result
				and equal (descr, r.descr)
				and equal (presentation_text, r.presentation_text)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_presentation_order = r.is_null_presentation_order
				and is_null_presentation_text = r.is_null_presentation_text
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 200)
			q.select_double (2)
			q.select_string (3, 50)
			q.select_string (4, 30)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			presentation_order := q.double_value (2)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (1)
			presentation_text := q.string_value (3)
			step_name := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, descr)
			q.get_string_value (3, presentation_text)
			q.get_string_value (4, step_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_descr := q.is_null (1)
			is_null_presentation_order := q.is_null (2)
			is_null_presentation_text := q.is_null (3)
			is_null_step_name := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_step_name := True
			create step_name.make (0)
		end

	set_null_nonkey
		do
			is_null_descr := True
			is_null_presentation_order := True
			is_null_presentation_text := True
			create descr.make (0)
			create presentation_text.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, step_name, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and presentation_order = q.double_value (2)
			q.get_string_value (1, s)
			Result := Result and equal (descr, s)
			q.get_string_value (3, s)
			Result := Result and equal (presentation_text, s)
			q.get_string_value (4, s)
			Result := Result and equal (step_name, s)
			Result := Result
				and is_null_descr = q.is_null (1)
				and is_null_presentation_order = q.is_null (2)
				and is_null_presentation_text = q.is_null (3)
				and is_null_step_name = q.is_null (4)
		end

end
