
indexing

	date: "Tue Oct  7 11:33:08 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"RUN_GDS_FILES (MOSIS.RUN_GDS_FILES)"
			-- Included columns
			-- 	BATCH_JOB_NO
			-- 	CENTER_X
			-- 	CENTER_Y
			-- 	DATE_JOB_ENDED
			-- 	DATE_JOB_STARTED
			-- 	DIE_ID
			-- 	ERROR_EXPLANATION
			-- 	FIELD_NAME
			-- 	FILE_NO
			-- 	GDS_FILENAME
			-- 	JOB_STATUS
			-- 	LOG_FILENAME
			-- 	RUN_ID
			-- 	SIZE_X
			-- 	SIZE_Y
			-- 	TOP_STRUCTURE
			-- Excluded columns
			-- 	(none)

class RUN_GDS_FILES_MRAW

inherit

	DB_DELETABLE_ROW
	RUN_GDS_FILES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_batch_job_no (k: INTEGER)
		do
			change_field (True, True)
			batch_job_no := k
			is_null_batch_job_no := False
		end

	set_center_x (d: DOUBLE)
		do
			change_field (True, True)
			center_x := d
			is_null_center_x := False
		end

	set_center_y (d: DOUBLE)
		do
			change_field (True, True)
			center_y := d
			is_null_center_y := False
		end

	set_date_job_ended (d: DB_DATE)
		do
			change_field (True, True)
			date_job_ended := d
			if d = Void then
				create {ORACLE_DATE} date_job_ended.set_null
			end
			is_null_date_job_ended := d = Void or else d.is_null
		end

	set_date_job_started (d: DB_DATE)
		do
			change_field (True, True)
			date_job_started := d
			if d = Void then
				create {ORACLE_DATE} date_job_started.set_null
			end
			is_null_date_job_started := d = Void or else d.is_null
		end

	set_die_id (s: STRING)
		do
			change_field (True, True)
			die_id := s
			if s = Void then
				create die_id.make (0)
			end
			is_null_die_id := s = Void or else s.count = 0
		end

	set_error_explanation (s: STRING)
		do
			change_field (True, True)
			error_explanation := s
			if s = Void then
				create error_explanation.make (0)
			end
			is_null_error_explanation := s = Void or else s.count = 0
		end

	set_field_name (s: STRING)
		do
			change_field (True, True)
			field_name := s
			if s = Void then
				create field_name.make (0)
			end
			is_null_field_name := s = Void or else s.count = 0
		end

	set_file_no (k: INTEGER)
		do
			change_key_field
			file_no := k
			is_null_file_no := False
		end

	set_gds_filename (s: STRING)
		do
			change_field (True, True)
			gds_filename := s
			if s = Void then
				create gds_filename.make (0)
			end
			is_null_gds_filename := s = Void or else s.count = 0
		end

	set_job_status (s: STRING)
		do
			change_field (True, True)
			job_status := s
			if s = Void then
				create job_status.make (0)
			end
			is_null_job_status := s = Void or else s.count = 0
		end

	set_log_filename (s: STRING)
		do
			change_field (True, True)
			log_filename := s
			if s = Void then
				create log_filename.make (0)
			end
			is_null_log_filename := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_size_x (d: DOUBLE)
		do
			change_field (True, True)
			size_x := d
			is_null_size_x := False
		end

	set_size_y (d: DOUBLE)
		do
			change_field (True, True)
			size_y := d
			is_null_size_y := False
		end

	set_top_structure (s: STRING)
		do
			change_field (True, True)
			top_structure := s
			if s = Void then
				create top_structure.make (0)
			end
			is_null_top_structure := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_batch_job_no
		do
			change_field (True, True)
			batch_job_no := 0
			is_null_batch_job_no := True
		end

	set_null_center_x
		do
			change_field (True, True)
			center_x := 0.0
			is_null_center_x := True
		end

	set_null_center_y
		do
			change_field (True, True)
			center_y := 0.0
			is_null_center_y := True
		end

	set_null_date_job_ended
		do
			set_date_job_ended (Void)
		end

	set_null_date_job_started
		do
			set_date_job_started (Void)
		end

	set_null_die_id
		do
			set_die_id (Void)
		end

	set_null_error_explanation
		do
			set_error_explanation (Void)
		end

	set_null_field_name
		do
			set_field_name (Void)
		end

	set_null_gds_filename
		do
			set_gds_filename (Void)
		end

	set_null_log_filename
		do
			set_log_filename (Void)
		end

	set_null_size_x
		do
			change_field (True, True)
			size_x := 0.0
			is_null_size_x := True
		end

	set_null_size_y
		do
			change_field (True, True)
			size_y := 0.0
			is_null_size_y := True
		end

	set_null_top_structure
		do
			set_top_structure (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, batch_job_no, is_null_batch_job_no)
			s.bind_num_to_double (2, center_x, is_null_center_x)
			s.bind_num_to_double (3, center_y, is_null_center_y)
			s.bind_num_to_date (4, date_job_ended, is_null_date_job_ended)
			s.bind_num_to_date (5, date_job_started, is_null_date_job_started)
			s.bind_num_to_string (6, die_id, is_null_die_id)
			s.bind_num_to_string (7, error_explanation, is_null_error_explanation)
			s.bind_num_to_string (8, field_name, is_null_field_name)
			s.bind_num_to_integer (9, file_no, is_null_file_no)
			s.bind_num_to_string (10, gds_filename, is_null_gds_filename)
			s.bind_num_to_string (11, job_status, is_null_job_status)
			s.bind_num_to_string (12, log_filename, is_null_log_filename)
			s.bind_num_to_string (13, run_id, is_null_run_id)
			s.bind_num_to_double (14, size_x, is_null_size_x)
			s.bind_num_to_double (15, size_y, is_null_size_y)
			s.bind_num_to_string (16, top_structure, is_null_top_structure)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16"

	bind_list_for_update: STRING = "  batch_job_no = :1, center_x = :2, center_y = :3, date_job_ended = :4,%N  date_job_started = :5, die_id = :6, error_explanation = :7,%N  field_name = :8, file_no = :9, gds_filename = :10, job_status = :11,%N  log_filename = :12, run_id = :13, size_x = :14, size_y = :15,%N  top_structure = :16"

end
