
indexing
	
	description: "Run id column in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class RUN_ID_COLUMN [G -> HAS_RUN_ID]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Run Id"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_run_id then
				Result := r.run_id
			else
				Result := ""
			end
		end

	comparator: RUN_ID_COMPARATOR [G]
		do
			create Result
		end

end
