
indexing
	
	description: "Comparator for run id in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class RUN_ID_COMPARATOR [G -> HAS_RUN_ID]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_run_id and v.has_run_id then
				Result := u.run_id < v.run_id
			elseif v.has_run_id then
				Result := True
			else
				Result := False
			end
		end

end
