
indexing

	date: "Tue Apr 24 10:30:16 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUN_JOBS (MOSIS.RUN_JOBS)"
			-- Included columns
			-- 	BATCH_JOB_NO
			-- 	CATS_JOB_TYPE
			-- 	CATS_STATUS
			-- 	DATE_JOB_ENDED
			-- 	DATE_JOB_STARTED
			-- 	ERROR_EXPLANATION
			-- 	RUN_ID
			-- Excluded columns
			-- 	(none)

class RUN_JOBS_MRAW

inherit

	DB_DELETABLE_ROW
	RUN_JOBS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_batch_job_no (k: INTEGER)
		do
			change_field (True, True)
			batch_job_no := k
			is_null_batch_job_no := False
		end

	set_cats_job_type (s: STRING)
		do
			change_key_field
			cats_job_type := s
			if s = Void then
				create cats_job_type.make (0)
			end
			is_null_cats_job_type := s = Void or else s.count = 0
		end

	set_cats_status (s: STRING)
		do
			change_field (True, True)
			cats_status := s
			if s = Void then
				create cats_status.make (0)
			end
			is_null_cats_status := s = Void or else s.count = 0
		end

	set_date_job_ended (d: DB_DATE)
		do
			change_field (True, True)
			date_job_ended := d
			if d = Void then
				create {ORACLE_DATE} date_job_ended.set_null
			end
			is_null_date_job_ended := d = Void or else d.is_null
		end

	set_date_job_started (d: DB_DATE)
		do
			change_field (True, True)
			date_job_started := d
			if d = Void then
				create {ORACLE_DATE} date_job_started.set_null
			end
			is_null_date_job_started := d = Void or else d.is_null
		end

	set_error_explanation (s: STRING)
		do
			change_field (True, True)
			error_explanation := s
			if s = Void then
				create error_explanation.make (0)
			end
			is_null_error_explanation := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_batch_job_no
		do
			change_field (True, True)
			batch_job_no := 0
			is_null_batch_job_no := True
		end

	set_null_date_job_ended
		do
			set_date_job_ended (Void)
		end

	set_null_date_job_started
		do
			set_date_job_started (Void)
		end

	set_null_error_explanation
		do
			set_error_explanation (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, batch_job_no, is_null_batch_job_no)
			s.bind_num_to_string (2, cats_job_type, is_null_cats_job_type)
			s.bind_num_to_string (3, cats_status, is_null_cats_status)
			s.bind_num_to_date (4, date_job_ended, is_null_date_job_ended)
			s.bind_num_to_date (5, date_job_started, is_null_date_job_started)
			s.bind_num_to_string (6, error_explanation, is_null_error_explanation)
			s.bind_num_to_string (7, run_id, is_null_run_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7"

	bind_list_for_update: STRING = "  batch_job_no = :1, cats_job_type = :2, cats_status = :3,%N  date_job_ended = :4, date_job_started = :5, error_explanation = :6,%N  run_id = :7"

end
