
indexing

	date: "Tue Apr 24 10:30:16 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUN_PRIMITIVE_STEPS (MOSIS.RUN_PRIMITIVE_STEPS)"
			-- Included columns
			-- 	DATE_COMPLETED
			-- 	DATE_STARTED
			-- 	DATE_UNDO_COMPLETED
			-- 	DATE_UNDO_STARTED
			-- 	IS_APPLICABLE
			-- 	IS_OFFICIAL
			-- 	PRIMITIVE_STEP_NAME
			-- 	RUN_ID
			-- 	SAVED_STATE_FILENAME
			-- 	SAVED_UNDO_COUNT
			-- 	USERNAME
			-- Excluded columns
			-- 	(none)

class RUN_PRIMITIVE_STEPS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	RUN_PRIMITIVE_STEPS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_date_completed (d: DB_DATE)
		do
			change_field (True, True)
			date_completed := d
			if d = Void then
				create {ORACLE_DATE} date_completed.set_null
			end
			is_null_date_completed := d = Void or else d.is_null
		end

	set_date_started (d: DB_DATE)
		do
			change_field (True, True)
			date_started := d
			if d = Void then
				create {ORACLE_DATE} date_started.set_null
			end
			is_null_date_started := d = Void or else d.is_null
		end

	set_date_undo_completed (d: DB_DATE)
		do
			change_field (True, True)
			date_undo_completed := d
			if d = Void then
				create {ORACLE_DATE} date_undo_completed.set_null
			end
			is_null_date_undo_completed := d = Void or else d.is_null
		end

	set_date_undo_started (d: DB_DATE)
		do
			change_field (True, True)
			date_undo_started := d
			if d = Void then
				create {ORACLE_DATE} date_undo_started.set_null
			end
			is_null_date_undo_started := d = Void or else d.is_null
		end

	set_is_applicable (b: BOOLEAN)
		do
			change_field (True, True)
			is_applicable := b
			is_null_is_applicable := False
		end

	set_is_official (b: BOOLEAN)
		do
			change_field (True, True)
			is_official := b
			is_null_is_official := False
		end

	set_primitive_step_name (s: STRING)
		do
			change_key_field
			primitive_step_name := s
			if s = Void then
				create primitive_step_name.make (0)
			end
			is_null_primitive_step_name := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_saved_state_filename (s: STRING)
		do
			change_field (True, True)
			saved_state_filename := s
			if s = Void then
				create saved_state_filename.make (0)
			end
			is_null_saved_state_filename := s = Void or else s.count = 0
		end

	set_saved_undo_count (k: INTEGER)
		do
			change_field (True, True)
			saved_undo_count := k
			is_null_saved_undo_count := False
		end

	set_username (s: STRING)
		do
			change_field (True, True)
			username := s
			if s = Void then
				create username.make (0)
			end
			is_null_username := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_date_completed
		do
			set_date_completed (Void)
		end

	set_null_date_undo_completed
		do
			set_date_undo_completed (Void)
		end

	set_null_date_undo_started
		do
			set_date_undo_started (Void)
		end

	set_null_saved_state_filename
		do
			set_saved_state_filename (Void)
		end

	set_null_saved_undo_count
		do
			change_field (True, True)
			saved_undo_count := 0
			is_null_saved_undo_count := True
		end

feature {NONE} -- Initialization

	set_default_values
		do
			is_official := True
			is_null_is_official := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_date (1, date_completed, is_null_date_completed)
			s.bind_num_to_date (2, date_started, is_null_date_started)
			s.bind_num_to_date (3, date_undo_completed, is_null_date_undo_completed)
			s.bind_num_to_date (4, date_undo_started, is_null_date_undo_started)
			s.bind_num_to_boolean (5, is_applicable, is_null_is_applicable)
			s.bind_num_to_boolean (6, is_official, is_null_is_official)
			s.bind_num_to_string (7, primitive_step_name, is_null_primitive_step_name)
			s.bind_num_to_string (8, run_id, is_null_run_id)
			s.bind_num_to_string (9, saved_state_filename, is_null_saved_state_filename)
			s.bind_num_to_integer (10, saved_undo_count, is_null_saved_undo_count)
			s.bind_num_to_string (11, username, is_null_username)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11"

	bind_list_for_update: STRING = "  date_completed = :1, date_started = :2, date_undo_completed = :3,%N  date_undo_started = :4, is_applicable = :5, is_official = :6,%N  primitive_step_name = :7, run_id = :8, saved_state_filename = :9,%N  saved_undo_count = :10, username = :11"

end
