
indexing
	
	description: "Comparator for run type in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class RUN_TYPE_COMPARATOR [G -> HAS_RUN_TYPE]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_run_type and v.has_run_type then
				Result := u.run_type < v.run_type
			elseif v.has_run_type then
				Result := True
			else
				Result := False
			end
		end

end
