
indexing

	date: "Tue Apr 24 10:30:16 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUN_TYPES (MOSIS.RUN_TYPES)"
			-- Included columns
			-- 	DESCR
			-- 	IS_RUN_DATE_REQUIRED
			-- 	RUN_TYPE
			-- 	RUN_TYPE_WORD
			-- Excluded columns
			-- 	(none)

class RUN_TYPES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_run_type: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_run_type_exists: the_run_type /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			run_type := the_run_type
			is_null_run_type := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  descr, is_run_date_required, run_type, run_type_word"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "run_types rtyp"

	join_condition: STRING = ""

	table_name: STRING = "run_types"

	key_where_clause: STRING = "run_type = :1"

feature -- Values

	descr: STRING
			-- DB: VARCHAR2(255)

	is_run_date_required: BOOLEAN
			-- DB: CHAR(1) not null

	run_type: STRING
			-- DB: VARCHAR2(5) not null

	run_type_word: STRING
			-- DB: VARCHAR2(15) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_is_run_date_required: BOOLEAN
	is_null_run_type: BOOLEAN
	is_null_run_type_word: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (run_type, r.run_type)
			Result := Result
				and is_null_run_type = r.is_null_run_type
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and is_run_date_required = r.is_run_date_required
			Result := Result
				and equal (descr, r.descr)
				and equal (run_type_word, r.run_type_word)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_is_run_date_required = r.is_null_is_run_date_required
				and is_null_run_type_word = r.is_null_run_type_word
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_boolean (2)
			q.select_string (3, 5)
			q.select_string (4, 15)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			is_run_date_required := q.boolean_value (2)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (1)
			run_type := q.string_value (3)
			run_type_word := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, descr)
			q.get_string_value (3, run_type)
			q.get_string_value (4, run_type_word)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_descr := q.is_null (1)
			is_null_is_run_date_required := q.is_null (2)
			is_null_run_type := q.is_null (3)
			is_null_run_type_word := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_run_type := True
			create run_type.make (0)
		end

	set_null_nonkey
		do
			is_null_descr := True
			is_null_is_run_date_required := True
			is_null_run_type_word := True
			create descr.make (0)
			create run_type_word.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, run_type, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and is_run_date_required = q.boolean_value (2)
			q.get_string_value (1, s)
			Result := Result and equal (descr, s)
			q.get_string_value (3, s)
			Result := Result and equal (run_type, s)
			q.get_string_value (4, s)
			Result := Result and equal (run_type_word, s)
			Result := Result
				and is_null_descr = q.is_null (1)
				and is_null_is_run_date_required = q.is_null (2)
				and is_null_run_type = q.is_null (3)
				and is_null_run_type_word = q.is_null (4)
		end

end
