
indexing

	author: "Generated"
	date: "Tue Jan 27 09:41:33 PST 2004"

class RUN_WAFER_LEVEL_JOBS_ROW
inherit
	RUN_WAFER_LEVEL_JOBS_RAW
		rename
			cats_status as job_status,
			maxlen_cats_status as maxlen_job_status,
			is_null_cats_status as is_null_job_status
		end
	CONST_BATCH_JOB_REQUESTOR
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature

	level_jobs_for_run_and_type (run, job_type: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- All jobs for wafer techn levels for run `run'
			-- with CATS job type `job_type',
			-- ordered by level_no
		require
			run_exists: run /= Void
			job_type_exists: job_type /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_SS
		do
			create b.make (run, job_type)
			Result := all_rows_filtered_ordered (conn, "run_id = :1 and cats_job_type = :2", b, "level_no")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end


end
