
indexing

	date: "Fri Jun 13 15:36:31 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"RUN_WAFER_LOTS (MOSIS.RUN_WAFER_LOTS)"
			-- Included columns
			-- 	COMMENTS
			-- 	DATE_ACCEPTED
			-- 	DATE_RECEIVED
			-- 	FIELD_STEP_PATTERN
			-- 	FIELD_STEP_PATTERN_OFFSET_X
			-- 	FIELD_STEP_PATTERN_OFFSET_Y
			-- 	PROCESSING_STAGE
			-- 	PRODUCTION_ID
			-- 	QUANTITY_WAFERS_ORDERED
			-- 	QUANTITY_WAFERS_ORDERED_WO_DFC
			-- 	QUANTITY_WAFERS_RECEIVED
			-- 	RUN_ID
			-- 	VENDOR_ADDITIONAL_LOT_ID
			-- 	VENDOR_PCM_DATA_FILENAME
			-- 	WAFER_LOT_NO
			-- 	WAFER_PROCESS
			-- 	WAFER_VENDOR_LOT_ID
			-- Excluded columns
			-- 	(none)

class RUN_WAFER_LOTS_MRAW

inherit

	DB_DELETABLE_ROW
	RUN_WAFER_LOTS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_comments (s: STRING)
		do
			change_field (True, True)
			comments := s
			if s = Void then
				create comments.make (0)
			end
			is_null_comments := s = Void or else s.count = 0
		end

	set_date_accepted (d: DB_DATE)
		do
			change_field (True, True)
			date_accepted := d
			if d = Void then
				create {ORACLE_DATE} date_accepted.set_null
			end
			is_null_date_accepted := d = Void or else d.is_null
		end

	set_date_received (d: DB_DATE)
		do
			change_field (True, True)
			date_received := d
			if d = Void then
				create {ORACLE_DATE} date_received.set_null
			end
			is_null_date_received := d = Void or else d.is_null
		end

	set_field_step_pattern (s: STRING)
		do
			change_field (True, True)
			field_step_pattern := s
			if s = Void then
				create field_step_pattern.make (0)
			end
			is_null_field_step_pattern := s = Void or else s.count = 0
		end

	set_field_step_pattern_offset_x (d: DOUBLE)
		do
			change_field (True, True)
			field_step_pattern_offset_x := d
			is_null_field_step_pattern_offset_x := False
		end

	set_field_step_pattern_offset_y (d: DOUBLE)
		do
			change_field (True, True)
			field_step_pattern_offset_y := d
			is_null_field_step_pattern_offset_y := False
		end

	set_processing_stage (s: STRING)
		do
			change_field (True, True)
			processing_stage := s
			if s = Void then
				create processing_stage.make (0)
			end
			is_null_processing_stage := s = Void or else s.count = 0
		end

	set_production_id (s: STRING)
		do
			change_field (True, True)
			production_id := s
			if s = Void then
				create production_id.make (0)
			end
			is_null_production_id := s = Void or else s.count = 0
		end

	set_quantity_wafers_ordered (k: INTEGER)
		do
			change_field (True, True)
			quantity_wafers_ordered := k
			is_null_quantity_wafers_ordered := False
		end

	set_quantity_wafers_ordered_wo_dfc (k: INTEGER)
		do
			change_field (True, True)
			quantity_wafers_ordered_wo_dfc := k
			is_null_quantity_wafers_ordered_wo_dfc := False
		end

	set_quantity_wafers_received (k: INTEGER)
		do
			change_field (True, True)
			quantity_wafers_received := k
			is_null_quantity_wafers_received := False
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_vendor_additional_lot_id (s: STRING)
		do
			change_field (True, True)
			vendor_additional_lot_id := s
			if s = Void then
				create vendor_additional_lot_id.make (0)
			end
			is_null_vendor_additional_lot_id := s = Void or else s.count = 0
		end

	set_vendor_pcm_data_filename (s: STRING)
		do
			change_field (True, True)
			vendor_pcm_data_filename := s
			if s = Void then
				create vendor_pcm_data_filename.make (0)
			end
			is_null_vendor_pcm_data_filename := s = Void or else s.count = 0
		end

	set_wafer_lot_no (k: INTEGER)
		do
			change_key_field
			wafer_lot_no := k
			is_null_wafer_lot_no := False
		end

	set_wafer_process (s: STRING)
		do
			change_field (True, True)
			wafer_process := s
			if s = Void then
				create wafer_process.make (0)
			end
			is_null_wafer_process := s = Void or else s.count = 0
		end

	set_wafer_vendor_lot_id (s: STRING)
		do
			change_field (True, True)
			wafer_vendor_lot_id := s
			if s = Void then
				create wafer_vendor_lot_id.make (0)
			end
			is_null_wafer_vendor_lot_id := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_comments
		do
			set_comments (Void)
		end

	set_null_date_accepted
		do
			set_date_accepted (Void)
		end

	set_null_date_received
		do
			set_date_received (Void)
		end

	set_null_field_step_pattern
		do
			set_field_step_pattern (Void)
		end

	set_null_field_step_pattern_offset_x
		do
			change_field (True, True)
			field_step_pattern_offset_x := 0.0
			is_null_field_step_pattern_offset_x := True
		end

	set_null_field_step_pattern_offset_y
		do
			change_field (True, True)
			field_step_pattern_offset_y := 0.0
			is_null_field_step_pattern_offset_y := True
		end

	set_null_processing_stage
		do
			set_processing_stage (Void)
		end

	set_null_quantity_wafers_ordered
		do
			change_field (True, True)
			quantity_wafers_ordered := 0
			is_null_quantity_wafers_ordered := True
		end

	set_null_quantity_wafers_ordered_wo_dfc
		do
			change_field (True, True)
			quantity_wafers_ordered_wo_dfc := 0
			is_null_quantity_wafers_ordered_wo_dfc := True
		end

	set_null_quantity_wafers_received
		do
			change_field (True, True)
			quantity_wafers_received := 0
			is_null_quantity_wafers_received := True
		end

	set_null_vendor_additional_lot_id
		do
			set_vendor_additional_lot_id (Void)
		end

	set_null_vendor_pcm_data_filename
		do
			set_vendor_pcm_data_filename (Void)
		end

	set_null_wafer_vendor_lot_id
		do
			set_wafer_vendor_lot_id (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, comments, is_null_comments)
			s.bind_num_to_date (2, date_accepted, is_null_date_accepted)
			s.bind_num_to_date (3, date_received, is_null_date_received)
			s.bind_num_to_string (4, field_step_pattern, is_null_field_step_pattern)
			s.bind_num_to_double (5, field_step_pattern_offset_x, is_null_field_step_pattern_offset_x)
			s.bind_num_to_double (6, field_step_pattern_offset_y, is_null_field_step_pattern_offset_y)
			s.bind_num_to_string (7, processing_stage, is_null_processing_stage)
			s.bind_num_to_string (8, production_id, is_null_production_id)
			s.bind_num_to_integer (9, quantity_wafers_ordered, is_null_quantity_wafers_ordered)
			s.bind_num_to_integer (10, quantity_wafers_ordered_wo_dfc, is_null_quantity_wafers_ordered_wo_dfc)
			s.bind_num_to_integer (11, quantity_wafers_received, is_null_quantity_wafers_received)
			s.bind_num_to_string (12, run_id, is_null_run_id)
			s.bind_num_to_string (13, vendor_additional_lot_id, is_null_vendor_additional_lot_id)
			s.bind_num_to_string (14, vendor_pcm_data_filename, is_null_vendor_pcm_data_filename)
			s.bind_num_to_integer (15, wafer_lot_no, is_null_wafer_lot_no)
			s.bind_num_to_string (16, wafer_process, is_null_wafer_process)
			s.bind_num_to_string (17, wafer_vendor_lot_id, is_null_wafer_vendor_lot_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17"

	bind_list_for_update: STRING = "  comments = :1, date_accepted = :2, date_received = :3,%N  field_step_pattern = :4, field_step_pattern_offset_x = :5,%N  field_step_pattern_offset_y = :6, processing_stage = :7,%N  production_id = :8, quantity_wafers_ordered = :9,%N  quantity_wafers_ordered_wo_dfc = :10, quantity_wafers_received = :11,%N  run_id = :12, vendor_additional_lot_id = :13,%N  vendor_pcm_data_filename = :14, wafer_lot_no = :15, wafer_process = :16,%N  wafer_vendor_lot_id = :17"

end
