
indexing

	date: "Fri Jan 23 15:56:43 2009"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"RUNS (MOSIS.RUNS)"
			-- Included columns
			-- 	CLOSER
			-- 	DESIGNATED_DESIGN_TECHN
			-- 	DESIGN_ENGINEER
			-- 	EDUCATIONAL
			-- 	FIELD_SET_NAME
			-- 	IS_RMOSIS
			-- 	IS_TRIAL_RUN
			-- 	MASK_PART_ID
			-- 	OTHER_BORDER
			-- 	OVERHEAD_STYLE
			-- 	PACKER_BOX_FULL_FILENAME
			-- 	PACKING_ID
			-- 	PACKING_VERSION_NO
			-- 	PHOTO_ORG_NO
			-- 	PLACARD_LINE
			-- 	QUANTITY_PROJECTS
			-- 	RUN_ID
			-- 	RUN_ID_FOR_OVERHEAD
			-- 	RUN_NICKNAME
			-- 	RUN_TYPE
			-- 	RUN_TYPE_VARIANT
			-- 	SCHED_RUN_NO
			-- 	SECURITY_CLASS_ID
			-- 	SECURITY_CLASS_ID_LABEL
			-- 	UNIFORM_OVERRIDE_BORDER
			-- 	WAFER_SCALE_INTEGRATION
			-- 	WAFER_TECHN
			-- 	WAFER_TECHN_ORG_NO
			-- Excluded columns
			-- 	(none)

class RUNS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	RUNS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_closer (s: STRING)
		do
			change_field (True, True)
			closer := s
			if s = Void then
				create closer.make (0)
			end
			is_null_closer := s = Void or else s.count = 0
		end

	set_designated_design_techn (s: STRING)
		do
			change_field (True, True)
			designated_design_techn := s
			if s = Void then
				create designated_design_techn.make (0)
			end
			is_null_designated_design_techn := s = Void or else s.count = 0
		end

	set_design_engineer (s: STRING)
		do
			change_field (True, True)
			design_engineer := s
			if s = Void then
				create design_engineer.make (0)
			end
			is_null_design_engineer := s = Void or else s.count = 0
		end

	set_educational (b: BOOLEAN)
		do
			change_field (True, True)
			educational := b
			is_null_educational := False
		end

	set_field_set_name (s: STRING)
		do
			change_field (True, True)
			field_set_name := s
			if s = Void then
				create field_set_name.make (0)
			end
			is_null_field_set_name := s = Void or else s.count = 0
		end

	set_is_rmosis (b: BOOLEAN)
		do
			change_field (True, True)
			is_rmosis := b
			is_null_is_rmosis := False
		end

	set_is_trial_run (b: BOOLEAN)
		do
			change_field (True, True)
			is_trial_run := b
			is_null_is_trial_run := False
		end

	set_mask_part_id (s: STRING)
		do
			change_field (True, True)
			mask_part_id := s
			if s = Void then
				create mask_part_id.make (0)
			end
			is_null_mask_part_id := s = Void or else s.count = 0
		end

	set_other_border (d: DOUBLE)
		do
			change_field (True, True)
			other_border := d
			is_null_other_border := False
		end

	set_overhead_style (s: STRING)
		do
			change_field (True, True)
			overhead_style := s
			if s = Void then
				create overhead_style.make (0)
			end
			is_null_overhead_style := s = Void or else s.count = 0
		end

	set_packer_box_full_filename (s: STRING)
		do
			change_field (True, True)
			packer_box_full_filename := s
			if s = Void then
				create packer_box_full_filename.make (0)
			end
			is_null_packer_box_full_filename := s = Void or else s.count = 0
		end

	set_packing_id (s: STRING)
		do
			change_field (True, True)
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_packing_version_no (k: INTEGER)
		do
			change_field (True, True)
			packing_version_no := k
			is_null_packing_version_no := False
		end

	set_photo_org_no (k: INTEGER)
		do
			change_field (True, True)
			photo_org_no := k
			is_null_photo_org_no := False
		end

	set_placard_line (s: STRING)
		do
			change_field (True, True)
			placard_line := s
			if s = Void then
				create placard_line.make (0)
			end
			is_null_placard_line := s = Void or else s.count = 0
		end

	set_quantity_projects (k: INTEGER)
		do
			change_field (True, True)
			quantity_projects := k
			is_null_quantity_projects := False
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_run_id_for_overhead (s: STRING)
		do
			change_field (True, True)
			run_id_for_overhead := s
			if s = Void then
				create run_id_for_overhead.make (0)
			end
			is_null_run_id_for_overhead := s = Void or else s.count = 0
		end

	set_run_nickname (s: STRING)
		do
			change_field (True, True)
			run_nickname := s
			if s = Void then
				create run_nickname.make (0)
			end
			is_null_run_nickname := s = Void or else s.count = 0
		end

	set_run_type (s: STRING)
		do
			change_field (True, True)
			run_type := s
			if s = Void then
				create run_type.make (0)
			end
			is_null_run_type := s = Void or else s.count = 0
		end

	set_run_type_variant (s: STRING)
		do
			change_field (True, True)
			run_type_variant := s
			if s = Void then
				create run_type_variant.make (0)
			end
			is_null_run_type_variant := s = Void or else s.count = 0
		end

	set_sched_run_no (k: INTEGER)
		do
			change_field (True, True)
			sched_run_no := k
			is_null_sched_run_no := False
		end

	set_security_class_id (s: STRING)
		do
			change_field (True, True)
			security_class_id := s
			if s = Void then
				create security_class_id.make (0)
			end
			is_null_security_class_id := s = Void or else s.count = 0
		end

	set_security_class_id_label (s: STRING)
		do
			change_field (True, True)
			security_class_id_label := s
			if s = Void then
				create security_class_id_label.make (0)
			end
			is_null_security_class_id_label := s = Void or else s.count = 0
		end

	set_uniform_override_border (d: DOUBLE)
		do
			change_field (True, True)
			uniform_override_border := d
			is_null_uniform_override_border := False
		end

	set_wafer_scale_integration (b: BOOLEAN)
		do
			change_field (True, True)
			wafer_scale_integration := b
			is_null_wafer_scale_integration := False
		end

	set_wafer_techn (s: STRING)
		do
			change_field (True, True)
			wafer_techn := s
			if s = Void then
				create wafer_techn.make (0)
			end
			is_null_wafer_techn := s = Void or else s.count = 0
		end

	set_wafer_techn_org_no (k: INTEGER)
		do
			change_field (True, True)
			wafer_techn_org_no := k
			is_null_wafer_techn_org_no := False
		end

feature -- Modification to null

	set_null_closer
		do
			set_closer (Void)
		end

	set_null_designated_design_techn
		do
			set_designated_design_techn (Void)
		end

	set_null_design_engineer
		do
			set_design_engineer (Void)
		end

	set_null_field_set_name
		do
			set_field_set_name (Void)
		end

	set_null_mask_part_id
		do
			set_mask_part_id (Void)
		end

	set_null_other_border
		do
			change_field (True, True)
			other_border := 0.0
			is_null_other_border := True
		end

	set_null_overhead_style
		do
			set_overhead_style (Void)
		end

	set_null_packer_box_full_filename
		do
			set_packer_box_full_filename (Void)
		end

	set_null_packing_id
		do
			set_packing_id (Void)
		end

	set_null_packing_version_no
		do
			change_field (True, True)
			packing_version_no := 0
			is_null_packing_version_no := True
		end

	set_null_photo_org_no
		do
			change_field (True, True)
			photo_org_no := 0
			is_null_photo_org_no := True
		end

	set_null_placard_line
		do
			set_placard_line (Void)
		end

	set_null_quantity_projects
		do
			change_field (True, True)
			quantity_projects := 0
			is_null_quantity_projects := True
		end

	set_null_run_id_for_overhead
		do
			set_run_id_for_overhead (Void)
		end

	set_null_run_nickname
		do
			set_run_nickname (Void)
		end

	set_null_run_type
		do
			set_run_type (Void)
		end

	set_null_run_type_variant
		do
			set_run_type_variant (Void)
		end

	set_null_sched_run_no
		do
			change_field (True, True)
			sched_run_no := 0
			is_null_sched_run_no := True
		end

	set_null_security_class_id
		do
			set_security_class_id (Void)
		end

	set_null_security_class_id_label
		do
			set_security_class_id_label (Void)
		end

	set_null_uniform_override_border
		do
			change_field (True, True)
			uniform_override_border := 0.0
			is_null_uniform_override_border := True
		end

	set_null_wafer_techn
		do
			set_wafer_techn (Void)
		end

	set_null_wafer_techn_org_no
		do
			change_field (True, True)
			wafer_techn_org_no := 0
			is_null_wafer_techn_org_no := True
		end

feature {NONE} -- Initialization

	set_default_values
		do
			educational := False
			is_null_educational := False
			is_rmosis := False
			is_null_is_rmosis := False
			is_trial_run := False
			is_null_is_trial_run := False
			wafer_scale_integration := False
			is_null_wafer_scale_integration := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, closer, is_null_closer)
			s.bind_num_to_string (2, designated_design_techn, is_null_designated_design_techn)
			s.bind_num_to_string (3, design_engineer, is_null_design_engineer)
			s.bind_num_to_boolean (4, educational, is_null_educational)
			s.bind_num_to_string (5, field_set_name, is_null_field_set_name)
			s.bind_num_to_boolean (6, is_rmosis, is_null_is_rmosis)
			s.bind_num_to_boolean (7, is_trial_run, is_null_is_trial_run)
			s.bind_num_to_string (8, mask_part_id, is_null_mask_part_id)
			s.bind_num_to_double (9, other_border, is_null_other_border)
			s.bind_num_to_string (10, overhead_style, is_null_overhead_style)
			s.bind_num_to_string (11, packer_box_full_filename, is_null_packer_box_full_filename)
			s.bind_num_to_string (12, packing_id, is_null_packing_id)
			s.bind_num_to_integer (13, packing_version_no, is_null_packing_version_no)
			s.bind_num_to_integer (14, photo_org_no, is_null_photo_org_no)
			s.bind_num_to_string (15, placard_line, is_null_placard_line)
			s.bind_num_to_integer (16, quantity_projects, is_null_quantity_projects)
			s.bind_num_to_string (17, run_id, is_null_run_id)
			s.bind_num_to_string (18, run_id_for_overhead, is_null_run_id_for_overhead)
			s.bind_num_to_string (19, run_nickname, is_null_run_nickname)
			s.bind_num_to_string (20, run_type, is_null_run_type)
			s.bind_num_to_string (21, run_type_variant, is_null_run_type_variant)
			s.bind_num_to_integer (22, sched_run_no, is_null_sched_run_no)
			s.bind_num_to_string (23, security_class_id, is_null_security_class_id)
			s.bind_num_to_string (24, security_class_id_label, is_null_security_class_id_label)
			s.bind_num_to_double (25, uniform_override_border, is_null_uniform_override_border)
			s.bind_num_to_boolean (26, wafer_scale_integration, is_null_wafer_scale_integration)
			s.bind_num_to_string (27, wafer_techn, is_null_wafer_techn)
			s.bind_num_to_integer (28, wafer_techn_org_no, is_null_wafer_techn_org_no)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20, :21, :22, :23, :24, :25, :26, :27, :28"

	bind_list_for_update: STRING = "  closer = :1, designated_design_techn = :2, design_engineer = :3,%N  educational = :4, field_set_name = :5, is_rmosis = :6, is_trial_run = :7,%N  mask_part_id = :8, other_border = :9, overhead_style = :10,%N  packer_box_full_filename = :11, packing_id = :12,%N  packing_version_no = :13, photo_org_no = :14, placard_line = :15,%N  quantity_projects = :16, run_id = :17, run_id_for_overhead = :18,%N  run_nickname = :19, run_type = :20, run_type_variant = :21,%N  sched_run_no = :22, security_class_id = :23,%N  security_class_id_label = :24, uniform_override_border = :25,%N  wafer_scale_integration = :26, wafer_techn = :27,%N  wafer_techn_org_no = :28"

end
