
indexing

	date: "Tue Apr 24 10:30:16 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"SCHEDULED_RUNS (MOSIS.SCHEDULED_RUNS)"
			-- Included columns
			-- 	DATE_CANCELED
			-- 	DATE_SCHEDULED
			-- 	SCHED_RUN_NO
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class SCHEDULED_RUNS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_sched_run_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			sched_run_no := the_sched_run_no
			is_null_sched_run_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  date_canceled, date_scheduled, sched_run_no, wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "scheduled_runs sr"

	join_condition: STRING = ""

	table_name: STRING = "scheduled_runs"

	key_where_clause: STRING = "sched_run_no = :1"

feature -- Values

	date_canceled: DB_DATE
			-- DB: DATE

	date_scheduled: DB_DATE
			-- DB: DATE not null

	sched_run_no: INTEGER
			-- DB: NUMBER(6,0) not null

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_date_canceled: BOOLEAN

feature -- Nullness for non-null columns

	is_null_date_scheduled: BOOLEAN
	is_null_sched_run_no: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and sched_run_no = r.sched_run_no
			Result := Result
				and is_null_sched_run_no = r.is_null_sched_run_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (date_canceled, r.date_canceled)
				and equal (date_scheduled, r.date_scheduled)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_date_canceled = r.is_null_date_canceled
				and is_null_date_scheduled = r.is_null_date_scheduled
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_date (1)
			q.select_date (2)
			q.select_integer (3)
			q.select_string (4, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			sched_run_no := q.integer_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			date_canceled := q.date_value (1)
			date_scheduled := q.date_value (2)
			wafer_techn := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_date_value (1, date_canceled)
			q.get_date_value (2, date_scheduled)
			q.get_string_value (4, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_date_canceled := q.is_null (1)
			is_null_date_scheduled := q.is_null (2)
			is_null_sched_run_no := q.is_null (3)
			is_null_wafer_techn := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_sched_run_no := True
		end

	set_null_nonkey
		do
			is_null_date_canceled := True
			is_null_date_scheduled := True
			is_null_wafer_techn := True
			create {ORACLE_DATE} date_canceled.set_null
			create {ORACLE_DATE} date_scheduled.set_null
			create wafer_techn.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, sched_run_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and sched_run_no = q.integer_value (3)
			q.get_date_value (1, d)
			Result := Result and equal (date_canceled, d)
			q.get_date_value (2, d)
			Result := Result and equal (date_scheduled, d)
			q.get_string_value (4, s)
			Result := Result and equal (wafer_techn, s)
			Result := Result
				and is_null_date_canceled = q.is_null (1)
				and is_null_date_scheduled = q.is_null (2)
				and is_null_sched_run_no = q.is_null (3)
				and is_null_wafer_techn = q.is_null (4)
		end

end
