
indexing
	
	description: "Object that has an option to include scribes or not"
	author: "David Hollenberg"
	date: "December 18, 2006"

class SCRIBES_INCLUDABLE

feature -- Properties

	scribes_included: BOOLEAN
			-- Should scribes be included in operation?

feature -- Modification

	set_scribes_included (a_value: like scribes_included)
			-- Set `scribes_included' to `a_value'
		do
			scribes_included := a_value
		ensure
			scribes_included_set: scribes_included = a_value
		end

end
