
indexing
	
	description: "Object that generates a %"filled%" indication for %
		%elements of a reticle view that matched the search criteria %
		%for the last search"
	author: "David Hollenberg"
	date: "December 11, 2006"

class SEARCH_RESULTS_FILL_GENERATOR
inherit
	RETICLE_VIEW_ELEMENT_FILL_GENERATOR

create
	make

feature  -- Access

	is_interior_filled (an_element: RETICLE_VIEW_ELEMENT): BOOLEAN
			-- Should interior of `an_element' be filled when
			-- it is displayed?
		do
			Result := an_element.matched_last_search
		end
	
	interior_color (an_element: RETICLE_VIEW_ELEMENT): EV_COLOR
			-- Foreground color for interior of
			-- `an_element', if it is filled
		do
			Result := palette.search_match_fill_color
		end
	
end
