
indexing
	
	description: "A run closing step operation that allows user to %
		%create, edit and delete packaging lots and cut patterns %
		%and to associate cut patterns with packaging lots"
	author: "David Hollenberg"
	date: "October 8, 2004"

class SETUP_PACKAGING_OP
inherit
	RC_PRIMITIVE_STEP_OP
		redefine
			-- FIXME: may need to save state
			-- state
		end
	RC_APPLICABLE_STEP
	HAS_USER_INTERFACE
	NO_EXTERNAL_STATE
	RC_UTILITIES_ACCESS
		export
			{NONE} all
		end

create
	make

feature -- Properties

	input_data_items: LIST [STRING]
			-- Data items required before step can be executed
		do
			Result := array_as_list (<<
				data_item.Test_vehicle_orders
				 >>)
		end

	-- state: TURNAROUND_DATES_STATE
			-- State saved by soft undo
			-- FIXME: may need to save state

feature {NONE} -- Implementation

	do_step
		local
			-- ifc: PACKAGING_CONTROL_IFC
			-- pkg_lot_ifc: PACKAGING_LOTS_IFC
		do
			-- pkg_lot_ifc := factory.packaging_lots_interface (session.run_id, session.title_with_run_id ("Packaging Lots"))
			-- pkg_lot_ifc.set_session (session)
			-- ifc := factory.packaging_control_interface (session.run_id, session.title_with_run_id ("Control Packaging"))
			-- ifc.set_session (session)
			-- ifc.set_packaging_lots_interface (pkg_lot_ifc)
			-- ifc.success_actions.extend (agent call_completion_actions)
			-- ifc.abort_actions.append (abort_actions)
			-- ifc.build
		end

	undo_step
			-- Undo execution of step
		do
			call_completion_actions
		end

	set_state
			-- Set `state'
		do
			state := Void
		end
end
