
indexing
	
	description: "Access to shared font factory that can provide the appropriate font and %
		%the size of a string in that font for a particular string"
	author: "David Hollenberg"
	date: "July 28, 2006"

class SHARED_STRING_SIZE_FONT_FACTORY
inherit
	ANY
	EV_FONT_CONSTANTS
		export
			{NONE} all
		end

feature -- Access

	string_size_font_factory: STRING_SIZE_FONT_FACTORY
		local
			font_list: ARRAYED_LIST [EV_FONT]
			a_weight: INTEGER
			k: INTEGER
		once
			create Result.make
			create font_list.make (100)
			from
				k := 1
			until
				k > 50
			loop
				if k >= 18 then
					a_weight := Weight_regular
				else
					a_weight := Weight_bold
				end
				font_list.extend (new_font (k, a_weight))
				k := k + 1
			end
			-- from
			-- 	k := 25
			-- until
			-- 	k > 50
			-- loop
			-- 	font_list.extend (new_font (k, Weight_regular))
			-- 	k := k + 5
			-- end
			Result.set_fonts (font_list)
		end

feature {NONE} -- Implementation

	new_font (a_height, a_weight: INTEGER): EV_FONT
			-- New default font with `a_height' and `a_weight'
		do
			create Result
			Result.set_height (a_height)
			Result.set_weight (a_weight)
		end

end