class SIMPLE_LAYER_SET
	-- a non-database LAYER_SET

inherit
	LAYER_SET [SIMPLE_LAYER]

create
	make

feature	-- 

	name: STRING		-- whatever you call me

	layer_set: ARRAYED_LIST[SIMPLE_LAYER]

feature	-- construction

	add_simple_layer(l: SIMPLE_LAYER) is
	require all_new: layer_by_name(l.layer_name) = Void and
		layer_by_cif(l.a_cif_name) = Void and
		layer_by_gds(l.a_gds_layer, l.a_gds_datatype) = Void
	do  layer_set.extend(l)
	end;

	build_and_add_layer(lname, cname: STRING; gname: GDS_PAIR) is
	local it: SIMPLE_LAYER
	do  create it.make(lname, cname, gname.layer, gname.datatype)
	    add_simple_layer(it)
	end;

feature {NONE} -- creation

	make(n: STRING) is
	do  name := n;
	    create layer_set.make(10)
	end;

end -- SIMPLE_LAYER_SET

