
indexing
	
	description: "Comparator for size X in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class SIZE_X_COMPARATOR [G -> HAS_SIZE_X]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_size_x and v.has_size_x then
				Result := u.size_x < v.size_x
			elseif v.has_size_x then
				Result := True
			else
				Result := False
			end
		end

end
