
indexing

	date: "Mon Feb 25 15:56:24 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user GOLDBERG"
	database_tables: 
		"TECHN_GROUP_FAMILIES (MOSIS.TECHN_GROUP_FAMILIES)"
			-- Included columns
			-- 	DESCR
			-- 	IS_PUBLISHED
			-- 	MENU_TEXT
			-- 	PACKAGE_GROUP
			-- 	QUOTED_PRICE_ONLY
			-- 	TECHN_GROUP_FAMILY
			-- 	TECHN_GROUP_FAMILY_STATUS
			-- Excluded columns
			-- 	PRICING_GROUP

class TECHN_GROUP_FAMILIES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_techn_group_family: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_techn_group_family_exists: the_techn_group_family /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			techn_group_family := the_techn_group_family
			is_null_techn_group_family := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 7

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  descr, is_published, menu_text, package_group, quoted_price_only,%N  techn_group_family, techn_group_family_status"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "techn_group_families tgf"

	join_condition: STRING = ""

	table_name: STRING = "techn_group_families"

	key_where_clause: STRING = "techn_group_family = :1"

feature -- Values

	descr: STRING
			-- DB: VARCHAR2(100)

	is_published: BOOLEAN
			-- DB: CHAR(1) not null

	menu_text: STRING
			-- DB: VARCHAR2(30)

	package_group: STRING
			-- DB: VARCHAR2(30) not null

	quoted_price_only: BOOLEAN
			-- DB: CHAR(1) not null

	techn_group_family: STRING
			-- DB: VARCHAR2(20) not null

	techn_group_family_status: STRING
			-- DB: CHAR(3) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN
	is_null_menu_text: BOOLEAN

feature -- Nullness for non-null columns

	is_null_is_published: BOOLEAN
	is_null_package_group: BOOLEAN
	is_null_quoted_price_only: BOOLEAN
	is_null_techn_group_family: BOOLEAN
	is_null_techn_group_family_status: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (techn_group_family, r.techn_group_family)
			Result := Result
				and is_null_techn_group_family = r.is_null_techn_group_family
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and is_published = r.is_published
				and quoted_price_only = r.quoted_price_only
			Result := Result
				and equal (descr, r.descr)
				and equal (menu_text, r.menu_text)
				and equal (package_group, r.package_group)
				and equal (techn_group_family_status, r.techn_group_family_status)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_is_published = r.is_null_is_published
				and is_null_menu_text = r.is_null_menu_text
				and is_null_package_group = r.is_null_package_group
				and is_null_quoted_price_only = r.is_null_quoted_price_only
				and is_null_techn_group_family_status = r.is_null_techn_group_family_status
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 100)
			q.select_boolean (2)
			q.select_string (3, 30)
			q.select_string (4, 30)
			q.select_boolean (5)
			q.select_string (6, 20)
			q.select_string (7, 3)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			is_published := q.boolean_value (2)
			quoted_price_only := q.boolean_value (5)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (1)
			menu_text := q.string_value (3)
			package_group := q.string_value (4)
			techn_group_family := q.string_value (6)
			techn_group_family_status := q.string_value (7)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, descr)
			q.get_string_value (3, menu_text)
			q.get_string_value (4, package_group)
			q.get_string_value (6, techn_group_family)
			q.get_string_value (7, techn_group_family_status)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_descr := q.is_null (1)
			is_null_is_published := q.is_null (2)
			is_null_menu_text := q.is_null (3)
			is_null_package_group := q.is_null (4)
			is_null_quoted_price_only := q.is_null (5)
			is_null_techn_group_family := q.is_null (6)
			is_null_techn_group_family_status := q.is_null (7)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_techn_group_family := True
			create techn_group_family.make (0)
		end

	set_null_nonkey
		do
			is_null_descr := True
			is_null_is_published := True
			is_null_menu_text := True
			is_null_package_group := True
			is_null_quoted_price_only := True
			is_null_techn_group_family_status := True
			create descr.make (0)
			create menu_text.make (0)
			create package_group.make (0)
			create techn_group_family_status.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, techn_group_family, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and is_published = q.boolean_value (2)
				and quoted_price_only = q.boolean_value (5)
			q.get_string_value (1, s)
			Result := Result and equal (descr, s)
			q.get_string_value (3, s)
			Result := Result and equal (menu_text, s)
			q.get_string_value (4, s)
			Result := Result and equal (package_group, s)
			q.get_string_value (6, s)
			Result := Result and equal (techn_group_family, s)
			q.get_string_value (7, s)
			Result := Result and equal (techn_group_family_status, s)
			Result := Result
				and is_null_descr = q.is_null (1)
				and is_null_is_published = q.is_null (2)
				and is_null_menu_text = q.is_null (3)
				and is_null_package_group = q.is_null (4)
				and is_null_quoted_price_only = q.is_null (5)
				and is_null_techn_group_family = q.is_null (6)
				and is_null_techn_group_family_status = q.is_null (7)
		end

end
