
indexing
	
	description: "A run closing step operation that transfers files %
		%to the mask shop"
	author: "David Hollenberg"
	date: "May 26, 2004"

class TRANSFER_MASK_SHOP_FILES_OP
inherit
	RC_PRIMITIVE_STEP_OP
	RC_APPLICABLE_STEP
	NO_USER_INTERFACE
	NO_EXTERNAL_STATE

create
	make

feature -- Properties

	input_data_items: LIST [STRING]
			-- Data items required before step can be executed
		do
			Result := array_as_list (<<
					data_item.Mask_shop_files,
					data_item.Sent_foundry_eccn_report
				 >>)
		end

feature {NONE} -- Implementation

	do_step
			-- Execute step
		do
			if question ("Have all required files (job file, MEBES files, GDS files, etc) been transferred%Nto the mask shop or made available for retrieval, possibly as a single archive file?") then
			else
				abort
			end
			call_completion_actions
		end

	undo_step
			-- Undo execution of step
		do
			call_completion_actions
		end

	set_state
			-- Set `state'
		do
			state := Void
		end

end
