
indexing
	
	description: "Interface to set tapeout date and estimated turnaround %
		%dates for a run"
	author: "David Hollenberg"
	date: "March 29, 2004"

deferred class TURNAROUND_DATES_IFC

inherit
	ABSTRACT_INTERFACE
	RC_SESSIONABLE
		
feature {NONE} -- Creation

	make_interface
			-- Create interface
		do
			create success_actions
			create abort_actions
		end

feature -- Properties

	success_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when all jobs complete
			-- successfully

	abort_actions: CLOSED_ACTION_SEQUENCE
			-- Actions to be performed when execution of jobs
			-- is aborted prematurely

	state: TURNAROUND_DATES_STATE
			-- State saved by soft undo, if not Void

feature -- Modification

	set_state (s: TURNAROUND_DATES_STATE)
			-- Set `state' to `s'
		do
			state := s
		end

end
