
indexing
	
	description: "State saved by step that sets run turnaround dates"
	author: "David Hollenberg"
	date: "March 31, 2004"

class TURNAROUND_DATES_STATE

feature -- Properties

	tapeout_date: DB_DATE
			-- Tapeout date for run

	wafer_lots: LIST [WAFER_LOT_STATE]
			-- Saved information about wafer lots

	packaging_lots: LIST [PACKAGING_LOT_STATE]
			-- Saved information about packaging lots

feature -- Modification

	set_tapeout_date (d: like tapeout_date)
			-- Set `tapeout_date' to `d'
		do
			tapeout_date := d
		end

	set_wafer_lots (list: like wafer_lots)
			-- Set `wafer_lots' to `list'
		do
			wafer_lots := list
		end

	set_packaging_lots (list: like packaging_lots)
			-- Set `packaging_lots' to `list'
		do
			packaging_lots := list
		end

end
