
indexing
	
	description: "Action that unlocks view element to allow it to be deleted"
	author: "David Hollenberg"
	date: "October 1, 2006"

class UNLOCK_DELETION_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Operations

	apply (an_element: RETICLE_VIEW_ELEMENT)
			-- Apply action to `an_element'
		do
			an_element.unlock_deletion
			if an_element.is_deletable_changed then
				an_element.add_to_changed_region
				an_element.add_change (create {UNLOCK_DELETION_CHANGE}.make (an_element))
			end
		end

end
