
indexing

	date: "Tue Apr 24 10:30:16 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"VENDOR_PART_IDS (MOSIS.VENDOR_PART_IDS)"
			-- Included columns
			-- 	ASSIGNED
			-- 	ROW_NO
			-- 	VENDOR_PART_ID_SOURCE
			-- 	VENDOR_PART_SEQUENCE_ID
			-- Excluded columns
			-- 	(none)

class VENDOR_PART_IDS_MRAW

inherit

	DB_CHANGEABLE_ROW
	VENDOR_PART_IDS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_assigned (b: BOOLEAN)
		do
			change_field (True, True)
			assigned := b
			is_null_assigned := False
		end

	set_row_no (k: INTEGER)
		do
			change_key_field
			row_no := k
			is_null_row_no := False
		end

	set_vendor_part_id_source (s: STRING)
		do
			change_field (True, True)
			vendor_part_id_source := s
			if s = Void then
				create vendor_part_id_source.make (0)
			end
			is_null_vendor_part_id_source := s = Void or else s.count = 0
		end

	set_vendor_part_sequence_id (s: STRING)
		do
			change_key_field
			vendor_part_sequence_id := s
			if s = Void then
				create vendor_part_sequence_id.make (0)
			end
			is_null_vendor_part_sequence_id := s = Void or else s.count = 0
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_boolean (1, assigned, is_null_assigned)
			s.bind_num_to_integer (2, row_no, is_null_row_no)
			s.bind_num_to_string (3, vendor_part_id_source, is_null_vendor_part_id_source)
			s.bind_num_to_string (4, vendor_part_sequence_id, is_null_vendor_part_sequence_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4"

	bind_list_for_update: STRING = "  assigned = :1, row_no = :2, vendor_part_id_source = :3,%N  vendor_part_sequence_id = :4"

end
