
indexing
	
	description: "Comparator for versoin no in a multi column list"
	author: "David Hollenberg"
	date: "November 18, 2003"

class VERSION_NO_COMPARATOR [G -> HAS_VERSION_NUMBER]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_version_number and v.has_version_number then
				Result := u.version_number < v.version_number
			elseif v.has_version_number then
				Result := True
			else
				Result := False
			end
		end

end
