
indexing
	
	description: "Action that uses a filter"
	author: "David Hollenberg"
	date: "October 11, 2006"

deferred class VIEW_ELEMENT_FILTERED_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Properties

	filter: VIEW_ELEMENT_FILTER
			-- Filter for use by `apply'

feature -- Modification

	set_filter (a_filter: like filter)
			-- Set `filter' to `a_filter'
		require
			a_filter_not_void: a_filter /= Void
		do
			filter := a_filter
		ensure
			filter_set: filter = a_filter
		end

end
