
indexing
	
	description: "Action that selects view elements based on whether they %
		%contain a point"
	author: "David Hollenberg"
	date: "October 1, 2006"

deferred class VIEW_POINT_ACTION
inherit
	VIEW_ELEMENT_ACTION

feature -- Properties

	selection_point: EV_COORDINATE
			-- Point that defines selection

feature -- Modification

	set_selection_point (a_point: like selection_point)
			-- Set `selection_point' to `a_point'
		require
			a_point_not_void: a_point /= Void
		do
			selection_point := a_point
		ensure
			selection_point_set: selection_point = a_point
		end

end
