
indexing
	
	description: "Filter that selects reticle elements based on their %
		%relationship with a view point"
	author: "David Hollenberg"
	date: "December 18, 2006"

deferred class VIEW_POINT_FILTER
inherit
	VIEW_ELEMENT_FILTER

feature -- Properties

	point: EV_COORDINATE
			-- Point used to decide whether to select element

feature -- Modification

	set_point (a_point: like point)
			-- Set `point' to `a_point'
		require
			a_point_not_void: a_point /= Void
		do
			point := a_point
		ensure
			point_set: point = a_point
		end

end
