
indexing
	
	description: "Wafer etest ID in a multi column list"
	author: "David Hollenberg"
	date: "December 6, 2006"

class WAFER_ETEST_ID_COLUMN [G -> HAS_WAFER_ETEST_ID]
inherit
	MULTI_COLUMN_LIST_COLUMN [G]

create
	default_create

feature -- Properties

	title: STRING = "Wafer Lot"
			-- Title for column

	alignment: EV_TEXT_ALIGNMENT
			-- Alignment for values in column
		do
			create Result.make_with_left_alignment
		end

	value (r: G): STRING
			-- Value in column for `r'
		do
			if r.has_wafer_etest_id then
				Result := r.wafer_etest_id
			else
				Result := ""
			end
		end

	comparator: WAFER_ETEST_ID_COMPARATOR [G]
		do
			create Result
		end

end
