
indexing
	
	description: "Comparator for wafer etest ID in a multi column list"
	author: "David Hollenberg"
	date: "December 6, 2006"

class WAFER_ETEST_ID_COMPARATOR [G -> HAS_WAFER_ETEST_ID]
inherit
	KL_COMPARATOR [G]

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			if u.has_wafer_etest_id and v.has_wafer_etest_id then
				Result := u.wafer_etest_id < v.wafer_etest_id
			elseif v.has_wafer_etest_id then
				Result := True
			else
				Result := False
			end
		end

end
