
indexing

	date: "Tue Sep 23 12:34:44 2008"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"WAFER_LITHO_SIZE_PART_SEQ_IDS (MOSIS.WAFER_LITHO_SIZE_PART_SEQ_IDS)"
			-- Included columns
			-- 	LABELLED_ENTITY
			-- 	LITHO_SIZE_ID
			-- 	VENDOR_PART_SEQUENCE_ID
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class WAFER_LITHO_SIZE_PART_SEQ_IDS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_wafer_techn: STRING; the_litho_size_id: STRING; the_labelled_entity: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_wafer_techn_exists: the_wafer_techn /= Void
			the_litho_size_id_exists: the_litho_size_id /= Void
			the_labelled_entity_exists: the_labelled_entity /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			wafer_techn := the_wafer_techn
			litho_size_id := the_litho_size_id
			labelled_entity := the_labelled_entity
			is_null_wafer_techn := False
			is_null_litho_size_id := False
			is_null_labelled_entity := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 4

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  labelled_entity, litho_size_id, vendor_part_sequence_id, wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_litho_size_part_seq_ids wlspsi"

	join_condition: STRING = ""

	table_name: STRING = "wafer_litho_size_part_seq_ids"

	key_where_clause: STRING = "wafer_techn = :1 and litho_size_id = :2 and labelled_entity = :3"

feature -- Values

	labelled_entity: STRING
			-- DB: VARCHAR2(15) not null

	litho_size_id: STRING
			-- DB: VARCHAR2(30) not null

	vendor_part_sequence_id: STRING
			-- DB: VARCHAR2(30) not null

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for non-null columns

	is_null_labelled_entity: BOOLEAN
	is_null_litho_size_id: BOOLEAN
	is_null_vendor_part_sequence_id: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (labelled_entity, r.labelled_entity)
				and equal (litho_size_id, r.litho_size_id)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_labelled_entity = r.is_null_labelled_entity
				and is_null_litho_size_id = r.is_null_litho_size_id
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (vendor_part_sequence_id, r.vendor_part_sequence_id)
			Result := Result
				and is_null_vendor_part_sequence_id = r.is_null_vendor_part_sequence_id
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 15)
			q.select_string (2, 30)
			q.select_string (3, 30)
			q.select_string (4, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
		end

	fill_in_references (q: SQL_QUERY)
		do
			labelled_entity := q.string_value (1)
			litho_size_id := q.string_value (2)
			vendor_part_sequence_id := q.string_value (3)
			wafer_techn := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, labelled_entity)
			q.get_string_value (2, litho_size_id)
			q.get_string_value (3, vendor_part_sequence_id)
			q.get_string_value (4, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_labelled_entity := q.is_null (1)
			is_null_litho_size_id := q.is_null (2)
			is_null_vendor_part_sequence_id := q.is_null (3)
			is_null_wafer_techn := q.is_null (4)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_wafer_techn := True
			is_null_litho_size_id := True
			is_null_labelled_entity := True
			create wafer_techn.make (0)
			create litho_size_id.make (0)
			create labelled_entity.make (0)
		end

	set_null_nonkey
		do
			is_null_vendor_part_sequence_id := True
			create vendor_part_sequence_id.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, wafer_techn, False)
			q.bind_num_to_string (2, litho_size_id, False)
			q.bind_num_to_string (3, labelled_entity, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			q.get_string_value (1, s)
			Result := Result and equal (labelled_entity, s)
			q.get_string_value (2, s)
			Result := Result and equal (litho_size_id, s)
			q.get_string_value (3, s)
			Result := Result and equal (vendor_part_sequence_id, s)
			q.get_string_value (4, s)
			Result := Result and equal (wafer_techn, s)
			Result := Result
				and is_null_labelled_entity = q.is_null (1)
				and is_null_litho_size_id = q.is_null (2)
				and is_null_vendor_part_sequence_id = q.is_null (3)
				and is_null_wafer_techn = q.is_null (4)
		end

end
