
indexing

	date: "Tue Apr 24 10:30:16 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"OPTION_IDS (MOSIS.OPTION_IDS)",
			-- Included columns
			-- 	OPTION_CATEGORY
			-- 	OPTION_NAME
			-- 	USER_SELECTABLE
			-- Excluded columns
			-- 	OPTION_ID
		"WAFER_OPTION_REQUIREMENTS (MOSIS.WAFER_OPTION_REQUIREMENTS)"
			-- Included columns
			-- 	COMMENTS
			-- 	DESIGN_TECHN_ID
			-- 	LAYER_ERROR_ID
			-- 	OPTION_ID
			-- 	OPTION_IN_PROCESS
			-- 	WAFER_TECHN_FAMILY
			-- Excluded columns
			-- 	(none)

class WAFER_OPTION_REQUIREMENTS_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 9

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  option_category, option_name, user_selectable, comments, design_techn_id,%N  layer_error_id, worq.option_id, option_in_process, wafer_techn_family"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "option_ids oid, wafer_option_requirements worq"

	join_condition: STRING = "worq.option_id = oid.option_id"

	table_count: INTEGER = 2

	group_by: STRING = ""

feature -- Values

	option_category: STRING
			-- DB: VARCHAR2(20)

	option_name: STRING
			-- DB: VARCHAR2(30)

	user_selectable: BOOLEAN
			-- DB: CHAR(1) not null

	comments: STRING
			-- DB: VARCHAR2(200)

	design_techn_id: STRING
			-- DB: VARCHAR2(50) not null

	layer_error_id: STRING
			-- DB: VARCHAR2(20) not null

	option_id: STRING
			-- DB: VARCHAR2(10) not null

	option_in_process: BOOLEAN
			-- DB: CHAR(1) not null

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_option_category: BOOLEAN
	is_null_option_name: BOOLEAN
	is_null_comments: BOOLEAN

feature -- Nullness for non-null columns

	is_null_user_selectable: BOOLEAN
	is_null_design_techn_id: BOOLEAN
	is_null_layer_error_id: BOOLEAN
	is_null_option_id: BOOLEAN
	is_null_option_in_process: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (design_techn_id, r.design_techn_id)
				and equal (layer_error_id, r.layer_error_id)
				and equal (option_id, r.option_id)
				and equal (wafer_techn_family, r.wafer_techn_family)
			Result := Result
				and is_null_design_techn_id = r.is_null_design_techn_id
				and is_null_layer_error_id = r.is_null_layer_error_id
				and is_null_option_id = r.is_null_option_id
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and user_selectable = r.user_selectable
				and option_in_process = r.option_in_process
			Result := Result
				and equal (option_category, r.option_category)
				and equal (option_name, r.option_name)
				and equal (comments, r.comments)
			Result := Result
				and is_null_option_category = r.is_null_option_category
				and is_null_option_name = r.is_null_option_name
				and is_null_user_selectable = r.is_null_user_selectable
				and is_null_comments = r.is_null_comments
				and is_null_option_in_process = r.is_null_option_in_process
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 20)
			q.select_string (2, 30)
			q.select_boolean (3)
			q.select_string (4, 200)
			q.select_string (5, 50)
			q.select_string (6, 20)
			q.select_string (7, 10)
			q.select_boolean (8)
			q.select_string (9, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			user_selectable := q.boolean_value (3)
			option_in_process := q.boolean_value (8)
		end

	fill_in_references (q: SQL_QUERY)
		do
			option_category := q.string_value (1)
			option_name := q.string_value (2)
			comments := q.string_value (4)
			design_techn_id := q.string_value (5)
			layer_error_id := q.string_value (6)
			option_id := q.string_value (7)
			wafer_techn_family := q.string_value (9)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, option_category)
			q.get_string_value (2, option_name)
			q.get_string_value (4, comments)
			q.get_string_value (5, design_techn_id)
			q.get_string_value (6, layer_error_id)
			q.get_string_value (7, option_id)
			q.get_string_value (9, wafer_techn_family)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_option_category := q.is_null (1)
			is_null_option_name := q.is_null (2)
			is_null_user_selectable := q.is_null (3)
			is_null_comments := q.is_null (4)
			is_null_design_techn_id := q.is_null (5)
			is_null_layer_error_id := q.is_null (6)
			is_null_option_id := q.is_null (7)
			is_null_option_in_process := q.is_null (8)
			is_null_wafer_techn_family := q.is_null (9)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_option_category := True
			is_null_option_name := True
			is_null_user_selectable := True
			is_null_comments := True
			is_null_design_techn_id := True
			is_null_layer_error_id := True
			is_null_option_id := True
			is_null_option_in_process := True
			is_null_wafer_techn_family := True
			create option_category.make (0)
			create option_name.make (0)
			create comments.make (0)
			create design_techn_id.make (0)
			create layer_error_id.make (0)
			create option_id.make (0)
			create wafer_techn_family.make (0)
		end

end
