class WAFER_TECHN_FAMILY_LEVELS_ROW

inherit
	WAFER_TECHN_FAMILY_LEVELS_RAW
	ABSTRACT_LEVEL
	DB_QUERY_OPTIONS
		export {NONE} all end;

create
	make_template, make_null, make_by_key

feature -- mask_litho_types and attributes therefrom
	-- (we need the litho_type_row and the fill_role_row data to flesh
	--  out ABSTRACT_LEVEL)

	litho_type_row: MASK_LITHO_TYPES_ROW is
	do  if cached_litho_type = Void then
		create cached_litho_type.make_by_key
				(connection, old_row, mask_litho_type)
	    end;
	    Result := cached_litho_type
	end;

	scale_factor: DOUBLE is
	do  Result := litho_type_row.scale_factor
	end;

feature	-- fill_roles and attributes therefrom

	fill_role_row: FILL_ROLES_ROW is
	do  if cached_fill_role = Void then
		create cached_fill_role.make_by_key
			(connection, old_row, fill_role)
	    end;
	    Result := cached_fill_role
	end;

	filled_layer: BOOLEAN is
	do  Result := fill_role_row.filled_layer
	end;

feature {NONE} -- cached data

	cached_litho_type: MASK_LITHO_TYPES_ROW

	cached_fill_role: FILL_ROLES_ROW

end -- WAFER_TECHN_FAMILY_LEVELS_ROW
