
indexing

	author: "Generated"
	date: "Tue Jan 27 10:56:11 PST 2004"

class WAFER_TECHNXMASK_TECHNS_ROW
inherit
	WAFER_TECHNXMASK_TECHNS_RAW
	ROW_COUNT_CHECK_ACCESS
	NULL_VALUE_CHECK_ACCESS
create
	make_template, make_null

feature

feature -- Properties

	wafer_mask_techns_with_name (wt_name, mt_name: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current] is
			-- Rows with wafer techn `wt_name' and mask techn
			-- `mt_name'
		require
			wt_name_exists: wt_name /= Void
			mt_name_exists: mt_name /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_SS
		do
			create b.make (wt_name, mt_name)
			Result := all_rows_filtered (conn, "wafer_techn = :1 and mask_techn = :2", b)
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

	non_null_nominal_turnaround_days: like nominal_turnaround_days is
			-- Value of `nominal_turnaround_days',
			-- with error check for nullness
		do
			check_not_null ("nominal_turnaround_days", is_null_nominal_turnaround_days, Current)
			Result := nominal_turnaround_days
		end

end
