
indexing

	date: "Tue Apr 24 10:30:17 2007"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"LAYER_ERRORS (MOSIS.LAYER_ERRORS)",
			-- Included columns
			-- 	DESCR
			-- Excluded columns
			-- 	LAYER_ERROR_ID
		"WAFER_TECHN_LAYER_ERRORS (MOSIS.WAFER_TECHN_LAYER_ERRORS)"
			-- Included columns
			-- 	DESIGN_TECHN_ID
			-- 	LAYER_ERROR_ID
			-- 	REPORTABLE
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class WT_LAYER_ERRORS_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 5

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  descr, design_techn_id, wtle.layer_error_id, reportable, wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "layer_errors le, wafer_techn_layer_errors wtle"

	join_condition: STRING = "wtle.layer_error_id = le.layer_error_id"

	table_count: INTEGER = 2

	group_by: STRING = ""

feature -- Values

	descr: STRING
			-- DB: VARCHAR2(255)

	design_techn_id: STRING
			-- DB: VARCHAR2(50) not null

	layer_error_id: STRING
			-- DB: VARCHAR2(20) not null

	reportable: BOOLEAN
			-- DB: CHAR(1) not null

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_techn_id: BOOLEAN
	is_null_layer_error_id: BOOLEAN
	is_null_reportable: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (design_techn_id, r.design_techn_id)
				and equal (layer_error_id, r.layer_error_id)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_design_techn_id = r.is_null_design_techn_id
				and is_null_layer_error_id = r.is_null_layer_error_id
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and reportable = r.reportable
			Result := Result
				and equal (descr, r.descr)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_reportable = r.is_null_reportable
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_string (2, 50)
			q.select_string (3, 20)
			q.select_boolean (4)
			q.select_string (5, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			reportable := q.boolean_value (4)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (1)
			design_techn_id := q.string_value (2)
			layer_error_id := q.string_value (3)
			wafer_techn := q.string_value (5)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, descr)
			q.get_string_value (2, design_techn_id)
			q.get_string_value (3, layer_error_id)
			q.get_string_value (5, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_descr := q.is_null (1)
			is_null_design_techn_id := q.is_null (2)
			is_null_layer_error_id := q.is_null (3)
			is_null_reportable := q.is_null (4)
			is_null_wafer_techn := q.is_null (5)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_descr := True
			is_null_design_techn_id := True
			is_null_layer_error_id := True
			is_null_reportable := True
			is_null_wafer_techn := True
			create descr.make (0)
			create design_techn_id.make (0)
			create layer_error_id.make (0)
			create wafer_techn.make (0)
		end

end
