class WT_LAYER_ERRORS_ROW

inherit
	WT_LAYER_ERRORS_RAW

	LAYER_ERROR_TESTER

create

	make_template, make_null, make_detached, make_forged

feature {NONE} -- alternate creation (non-db)

	make_forged(an_id, a_descr: STRING) is
	do  
	    make_null
	    if an_id = Void then
		create layer_error_id.make(0)
	    else
		layer_error_id := an_id
	    end;
	    if a_descr = Void then
		create descr.make(0)
	    else
		descr := a_descr
	    end;
	    reportable := true;
	    is_null_layer_error_id := layer_error_id.is_empty;
	    is_null_descr := descr.is_empty
	end;

end -- WT_LAYER_ERRORS_ROW
